Configuration and setup guide

About this guide
Configuration and setup guide
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • About this guide
  • About configuring AutoCAD Mechanical
  • Hypothetical case study
  • Selecting a drafting standard
  • Configure Automatic Property Management
  • Configure text height and color
  • Configure Leaders
  • Configure Symbols
  • Configure BOMs, Balloons, and Parts Lists
  • Configure hole charts
  • Configure dimensions
  • Configure drawing sheets
  • Configure section lines and section view labels
  • Configure standard parts
  • Configure mechanical structure
  • Distribute configuration files
  • Import Drafting Standard Settings
Please send us your comment about this page


About this guide

Configuration and setup guide
Configuration and setup guide
About configuring AutoCAD Mechanical
Configuration and setup guide >
About this guide
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

What does this guide contain?

This guide contains information about how to configure the drafting standard and establish settings before you start drawing. It also provides information on how to set up defaults for mechanical structure.

Who is this guide for?

This guide is meant for users responsible for creating and maintaining AutoCAD Mechanical template (.dwt) files. In large organizations, that means the CAD manager or a person to whom the CAD manager has delegated the job.

How is this guide organized?

The topic About configuring AutoCAD Mechanical provides a quick overview of configuring AutoCAD Mechanical. It also provides a flowchart that depicts the recommended process of configuring AutoCAD Mechanical. A case study gives context to the configuration operations and relates each stage of the case study to the flowchart.

The table of contents in the left pane lists each category of configuration operations under a separate heading. You can jump directly to that heading and obtain all the information required to configure that category.

Each heading on the table of contents is linked to a Concept, which ties related configuration operations together. The Procedures tab provides step-by-step instructions for the operations referred to in the concept. The Reference tab explains the dialog boxes and other related information referred to in the Procedures.


About configuring AutoCAD Mechanical

About this guide
Configuration and setup guide
Hypothetical case study
Configuration and setup guide >
About configuring AutoCAD Mechanical
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Configuring AutoCAD Mechanical establishes settings before you start drawing.

Begin by creating a drawing based on one of the stock templates supplied with AutoCAD Mechanical. These templates are based on international drafting standards. If your company uses a variation of a drafting standard, use the template corresponding to that standard, modify the settings per your requirements, and save a new template.

The Options dialog box handles configuration settings, particularly in the AM:Standards tab. The settings in this dialog box can be broadly categorized as system-wide settings and drawing-wide settings. The program saves system-wide settings in the Windows registry and applies them to all drawings you open. The program saves drawing-wide settings with the template you create. In the Options dialog box, the [image] icon indicates these settings.

There are many configuration settings in this dialog box, making it possible to create several configuration workflows. The following diagram shows a high-level configuration flowchart which takes into account the interdependencies of different configuration operations and provides a workflow that applies under most circumstances.

When you finish configuring your system, you have a new .dwt file (a drawing template) and a few other files such as .dwg (drawing) files that contain custom title blocks, custom parts lists, and so on. Copy these files to the corresponding folders on other computers running AutoCAD Mechanical. You can alternatively copy these files to a shared folder and use the Files tab on the Options dialog box to point to them.


Hypothetical case study

About configuring AutoCAD Mechanical
Configuration and setup guide
Selecting a drafting standard
Configuration and setup guide >
Hypothetical case study
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

About this case study

This case study illustrates the typical configuration requirements of a hypothetical company, Company XYZ. The purpose of this study is to map configuration requirements to the topics listed in this publication. Each of the following sections describes a set of requirements and contains links to the related pages that provide step-by-step instructions. Each includes links to the flowchart introduced in the page About configuring AutoCAD Mechanical and shows your position in the configuration process. This publication covers many configuration topics, not limited to the requirements stated in the case study.

See flowchart

Standards

Company XYZ wants to start using AutoCAD Mechanical for all of their mechanical design. Company XYZ uses drawing guidelines that comply with the ISO standard. However, their implementations of layers and object colors, not strictly governed by the standard, are different from the defaults in the ISO standard included with AutoCAD Mechanical. They decided to use a variation of the ISO standard. To retain the original ISO Standard for reference purposes, they create a user-defined standard called “Company XYZ” which is based on the ISO Standard.

Where am I in the flowchart? | Related configuration tasks

Layers

Company XYZ has been using AutoCAD for many years and has established guidelines on the usage of layers. They require AutoCAD Mechanical layers to follow the same guidelines.

Layer Renaming

They change the “AM_” naming convention to match the names they use currently. In addition, some of the layers have different color, linetype, and lineweight properties, requiring modification to the defaults.

ACM Layer Name | Company Layer Name | Color | Linetype | Lineweight
AM_0 | CONTOUR_LINES | White (7) | Continuous | 0.50mm
AM_3 | HIDDEN | Magenta (6) | Hidden (AM_ISO02W050) | 0.25mm
AM_4 | AUXILIARY | Green (3) | Continuous | 0.25mm
AM_5 | DIMENSIONS | Red (1) | Continuous | 0.25mm
AM_6 | TEXT | Yellow (2) | Continuous | 0.35mm
AM_7 | CENTERLINES | Cyan (4) | Center Lines (AM_ISO08W050) | 0.25mm
AM_8 | HATCHING | Red (1) | Continuous | 0.25mm
AM_CL | CONSTR_LINES | Blue (1) | Continuous | 0.25mm

Where am I in the flowchart?

Related configuration tasks

Layers for Standard Parts

The company requires that standard parts not be created on special standard part layers (the default), but on the previously renamed layers instead.

Where am I in the flowchart?

Related configuration tasks

Layer Creation

When they place symbols such as balloons, welding, and surface finish symbols, they want them placed on their own layer rather than the same layer as dimensions (AM_5). This modification requires them to create a layer called SYMBOLS and to map the objects to the new layer.

ACM Layer Name | Company Layer Name | Color | Linetype | Lineweight
AM_5 | SYMBOLS | Red (1) | Continuous | 0.35mm
Where am I in the flowchart? | Related configuration tasks

Text Style and Height

Because all existing drawings use the TrueType font “ISOCPEUR,” AutoCAD Mechanical is to use the same font for all annotation types.

The height and color of each annotation type must match that of the existing drawings. The following table lists the annotation type text height and color along with the description used in AutoCAD Mechanical.

Annotation Type | Text Height | Text Color | AutoCAD Mechanical Description
Dimension value | 3.5 mm | Yellow (2) | Text Medium
Dimension tolerance | 2.5 mm | Red (1) | Text Small
Note text | 3.5 mm | Yellow (2) | Text Medium
Balloon text | 5.0 mm | White (7) | Text Large
Parts Lists text | 3.5 mm | Yellow (2) | Text Medium
Where am I in the flowchart? | Related configuration tasks

Dimension Style

Company XYZ wants to use a dimension style named “Company XYZ.” They use the TrueType font “ISOCPEUR.” Dimension text is 3.5 mm high and YELLOW. Tolerance text is 2.5 mm and RED. Dimension lines, leaders, and arrows are RED. Dimension precision is set to one decimal place and always shows the trailing zero for linear and angular dimensions.

Where am I in the flowchart? | Related configuration tasks

Title Blocks and Borders

The company likes the benefits of the “AMTITLE” command, so they change their existing LISP routines to use that command after they add the appropriate intelligence to their title blocks and borders.

They make the company title block, Company TB.dwg, available from the “Title block” drop-down list. They make the company borders, A4L (A4 Landscape), A4P (A4 Portrait), A3, A2, and A1.dwg, available from the “Paper Format” drop-down list.

The company title block and borders appear in all drawings. They use the “AMTITLE” command to calculate the recommended scale based on the object selection.

Where am I in the flowchart? | Related configuration tasks

BOM Properties and Parts Lists

Due to the abilities of AutoCAD Mechanical's bill of materials, they capture the PART NUMBER, CUT LENGTH, and MASS of each component to assist in design documentation. The MASS multiplied by the QTY automatically calculates the TOTAL MASS of individual components. This figure is summed to give a final result for the drawing/design. All properties; PART NUMBER, CUT LENGTH, MASS, and TOTAL MASS appear in each parts list by default, as shown in the following parts list.

Parts List
Item | QTY | Part No | Description | Material / Standard | Cut Length (mm) | Mass (kg) | Total Mass (kg)
Parts List
Item | QTY | Part No | Description | Material / Standard | Cut Length (mm) | Mass (kg) | Total Mass (kg)
1 | 2 | 10025 | Mounting Plate | Flat Bar 50x6 | 175.0 | 0.413 | 0.826
2 | 6 | 30531 | Hex-Head Bolt | ISO 4014 - M6 x 45 |  | 0.0 | 0.0
3 | 1 | 20105 | I-Shape | AISC - M8 x 6.5 | 1200.0 | 11.608 | 11.608
 |  |  |  |  |  |  | 12.434

Where am I in the flowchart?

Related configuration tasks

The column widths and text heights are:

Property | Caption | Column Width | Caption Text Height | Data Text Height
Item | Item | 10 mm | 3.5 mm | 3.5 mm
QTY | QTY
PART NUMBER | Part No. | 20 mm
DESCRIPTION | Description | 50 mm
Standard | Material / Standard
DIM | Cut Length (mm) | 15 mm
MASS | Mass (kg)
TMASS | Total Mass (kg)
Where am I in the flowchart? | Related configuration tasks

Template (.dwt)

The template file Company XYZ.dwt, containing all of the standard changes and settings, is in AutoCAD Mechanical's default template folder - C:\Program Files [(x86)]\Autodesk\MDT 2007\Acadm\Template. All newly created drawings must start from this template to ensure and maintain company drafting standards.

Where am I in the flowchart?


Selecting a drafting standard (Concept)

Hypothetical case study
Configuration and setup guide
Configure Automatic Property Management
Configuration and setup guide >
Selecting a drafting standard
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AutoCAD Mechanical groups all settings governed by drafting standards and saves them to a profile referred to as a Standard. AutoCAD Mechanical includes eight such profiles (ANSI, BSI, CSN, DIN, GB, ISO JIS, and GOST), each configured to match a drafting standard. These settings govern how AutoCAD Mechanical’s built-in tools create geometry. Therefore, AutoCAD Mechanical is said to be standards-driven. The following figure shows a drawing of a shaft created with the standard set to DIN. Note how the annotations comply with the DIN standard.

The program selects a drafting standard automatically, but you can change it

Because AutoCAD Mechanical is standards-driven, assigning a drafting standard to a drawing is critical. When you create a drawing, AutoCAD Mechanical automatically assigns a drafting standard to the drawing.

If you open an AutoCAD drawing or create a drawing using an AutoCAD template (.dwt), AutoCAD Mechanical assigns the most appropriate standard for the drawing (see also the following discussion “making standard overrides and custom standards available for other drawings”). You can change the drafting standard easily.

Settings controlled by the drafting standard

The drafting standard controls the following elements of the standard:

    • Mechanical layer settings.
    • Mechanical object mappings to layers.
    • Mechanical object property settings.
    • Text heights and colors.
    • Projection settings for use with Power View.
    • Dimension styles.
    • Hole chart settings and formats.
    • Centerline format.
    • Section line format.
    • Threadline format.
    • Note text and leader formats.
    • Symbology formats.
    • Bill of Materials (BOM), parts list and balloon formats.

Overriding elements of the standard

You can override any of the standard-dependent settings. The program saves overrides with the standard. If you change to a different standard, the elements of the new standard become active. If you change standards in the middle of a drawing session, the drawing objects that exist in the drawing do not reflect the change. Only new objects follow the newly selected standard. If you change back to the original standard, the settings that were in force previously become active again.

Note If you change standards in the middle of a drawing session and then override an element of the standard, the overrides apply only to the objects you create after you change the standard For example, you can create a note while the standard is ISO, then change the standard to DIN. If you then override the text color settings for notes, only the notes you created after you changed to DIN reflect that change. Notes you created under ISO keep their original colors.

Custom standards and their significance

When you override an element of a standard, AutoCAD Mechanical validates the overrides and sometimes, prevents you from creating settings that violate the standard. To work around the validation process, create a custom standard and select it as the current drafting standard.

For example, the ANSI standard limits your choices for text height to 0.1, 0.12 and 0.24. To use a different text height, create a custom standard based on the ANSI standard. The custom standard enables you to change the text height to any value. All other settings comply with the ANSI standard.

Making standard overrides and custom standards available for other drawings

To make a custom standard or standard overrides available for future drawings, save them in a template drawing (.dwt) and use it to create new drawings. If you set this template as the default template, whenever you open an AutoCAD drawing or create a drawing based on an AutoCAD template, the standard-dependent settings from the default template apply to the drawing. If there is a unit mismatch between the default template and the AutoCAD drawing/template, AutoCAD Mechanical behaves as though no default template is set. If no default template is set, AutoCAD Mechanical assigns either the ANSI standard (for imperial drawings) or the ISO standard (for metric drawings).

You can import settings from an AutoCAD Mechanical drawing that is configured already. Use the Import button on the AM:Preferences tab in the Options dialog box. You can also import settings from a template drawing (.dwt) with the AMSETUPDWG command. Importing settings in the middle of a drawing session is like changing the drafting standard or changing the elements of a standard in the middle of a drawing session.


Selecting a drafting standard (Procedure)

Selecting a drafting standard
Selecting a drafting standard
Configuration and setup guide >
Selecting a drafting standard
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To change the current drafting standard

To configure elements of the drafting standard

To create a custom drafting standard

To import all standards from a drawing.


Selecting a drafting standard (Quick Reference)

Selecting a drafting standard
Selecting a drafting standard
Configuration and setup guide >
Selecting a drafting standard
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMSYMSCALE System Variable

AM:Standards tab of the Options dialog box

Standard Settings dialog box


To change the current drafting standard (Procedure)

Selecting a drafting standard
Selecting a drafting standard
Selecting a drafting standard
Configuration and setup guide >
Selecting a drafting standard
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To change the current drafting standard

  1. Click None [image] None [image] At the Command prompt, enter AMOPTIONS.
  2. In the Options dialog box, select the AM:Standards tab.
  3. From the Standards list, select a new standard. Then choose OK.
NoteNone of the drawing objects that exist at the time the standard is switched are affected. Only the new objects you draw follow the standard you switched to.


To configure elements of the drafting standard (Procedure)

Selecting a drafting standard
Selecting a drafting standard
Selecting a drafting standard
Configuration and setup guide >
Selecting a drafting standard
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To configure elements of the drafting standard

The AM:Standards tab of the Options dialog box contains a list of features that are controlled by the drafting standard, which are referred to as elements of the standard. Examples of such elements are drawing sheet formats, dimension styles, symbol formats, and so on. You can override the default settings of an element as follows:

  1. Click None [image] None [image] At the Command prompt, enter AMOPTIONS.
  2. In the Options dialog box, select the AM:Standards tab.
  3. In the Standard Elements list, double-click the entry you want to change. The corresponding settings dialog box appears.
  4. Make the necessary overrides and click OK until all dialog boxes close.
NoteOverrides are applied only to the objects created under the current drafting standard. For example, if you created a note while the standard was set to ISO, and then switched the standard to DIN, and you then override the text color settings for notes, only the notes created after you switched to DIN are affected. The note you created under ISO does not change color.


To create a custom drafting standard (Procedure)

Selecting a drafting standard
Selecting a drafting standard
Selecting a drafting standard
Configuration and setup guide >
Selecting a drafting standard
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To create a custom drafting standard

Instead of overriding any of the drafting standards supplied with AutoCAD Mechanical, you can create a custom standard, based on a supplied standard. Additionally, by creating a custom standard you can work around the validation mechanism that prevents you from creating some settings that violate the standard. For example, if you are using the ANSI standard, your choices for text height are limited to 0.1, 0.12 and 0.24. No such restrictions are imposed on custom standards. To create a custom drafting standard:

  1. Click None [image] None [image] At the Command prompt, enter AMOPTIONS.
  2. In the Options dialog box, select the AM:Standards tab.
  3. In the Standard box, type a name for your own standard, and press ENTER. The selection dialog box appears.
  4. From the drop-down list box, select a standard to use as a base standard.
  5. Click OK until all dialog boxes close.
NoteOnce the custom drafting standard is created, you configure the elements of the standard and then save as a .dwt file for future use.


To import all standards from a drawing. (Procedure)

Selecting a drafting standard
Selecting a drafting standard
Configure Automatic Property Management
Configuration and setup guide >
Selecting a drafting standard
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To import all standards from a drawing.

  1. Click [image] [image] Drawing Utilities [image] Setup Drawing.
  2. In the Drawing Setup dialog box, click Overwrite Settings.
  3. At the command prompt enter T and press ENTER for the Drawing Template option.
  4. At the command prompt enter B and press ENTER.
  5. In the Select Template Drawing dialog box, select the file to import the standard from and click Open.
    NoteTo import from a .dwg file, you must first save it as a .dwt file and then import from the dwt file.

    AMSETUPDWG replaces the standards in the current drawing with the standards of the file you are importing from.


Selecting a drafting standard (Quick Reference)

Selecting a drafting standard
Selecting a drafting standard
Selecting a drafting standard
Configuration and setup guide >
Selecting a drafting standard
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMSYMSCALE System Variable

Controls the scale to be used for text and symbols for the drawing in model space.

Type: | Real
Initial value: | 1
Possible values: | Only positive numbers are allowed.


Selecting a drafting standard (Quick Reference)

Selecting a drafting standard
Selecting a drafting standard
Selecting a drafting standard
Configuration and setup guide >
Selecting a drafting standard
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AM:Standards tab of the Options dialog box

Use this dialog box to set preferences that are typically governed by a drafting standard.

Standard

Standard

Specifies the drafting standard to be used in the drawing.

If you switch the standard, settings for all elements of the standard change accordingly. However, none of the existing drawing objects are affected. Only the new objects you draw follow the new standard.

To create a custom standard (user-defined standard), type a name for the standard in this box and press ENTER.

Apply new settings to layers when standard is created or changed

Controls if Layer and Object settings change (along with the settings for other elements of the standard) if the standard is switched.

Measurement

Sets the units of measurement to be used in the current drawing.

If you change the units, you are prompted to confirm if the system should perform text scaling. No length scaling is performed.

Model Scale

Sets the scale to be used for text and symbols for the drawing in model space.

Use 1:1 Scale in Layout

Specifies that a 1:1 scale is used in layout, irrespective of the scale selected for model space.

.

Use Selected Scale in Layout

Specifies that the model space scale is used in layout as well.

Default standards template

Specifies the template the system picks the standard settings from, in case you open an AutoCAD Drawing (as opposed to an AutoCAD Mechanical drawing) or if you choose to create a drawing without using a template.

Note
  1. Only standard dependent settings come from the default template.
  2. If there is a unit mismatch between the default template and the AutoCAD drawing you are opening, the default template setting is ignored and the system behaves as though no default template is specified.
  3. If you are creating a drawing without a template and the units you selected do not match the default template units, the default template setting is ignored and the system behaves as though no default template is specified.
  4. If no default template is specified, the system automatically selects the most appropriate standard based on the type of units in the drawing you are opening.

Standard Elements

Displays a list of elements of the standard in the form of a tree.

They root of the tree shows the current drafting standard. Double-click the root to display a dialog box containing the master settings for the standard. Double-click an element to display its properties dialog box. From this dialog box, you can override the default settings as well as the settings inherited from the master settings.

Overrides are applied only to the objects created under the current drafting standard. For example, if you created a note while the standard was set to ISO, and then switched the standard to DIN, and you then override the text color settings for notes, only the notes created after you switched to DIN are affected. The note you created under ISO does not change color.

TipTo find out what standard an object was created under, display the properties of that object.

For some items such as Feature Control Frames, more than one revision of a standard is available. Right click the revision you want to make active and select Set Current. If Set Current is not available, select Insert Standard

Setup Drawing

Starts a wizard that enables you to import the settings for the elements of the standard, from an AutoCAD Mechanical drawing or drawing template.

Right-click menu items

Remove

Makes the selected item unavailable for implementation. For example, if you remove notes, and later on if you invoke the AMNOTE command, a message appears to inform you that the feature is unavailable for the selected standard.

Properties

Displays a dialog box containing the properties for the selected item. This dialog box is used to override the default settings for this item.

Default

Removes all overrides for the selected item and resets its properties to the default settings.

Insert standard

Inserts an item that was removed previously. If the item contained overrides before removal, they are not available when you reinsert the item.


Selecting a drafting standard (Quick Reference)

Selecting a drafting standard
Selecting a drafting standard
What is Automatic Property Management?
Configuration and setup guide >
Selecting a drafting standard
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Standard Settings dialog box

Sets up master settings for the current drafting standard. The elements of the standard that have their settings configured as ByNameOfCurrentDraftingStandard, automatically acquire their settings from this dialog box.

Dimension link

Link to dimension style

Links the text and leader settings to a dimension style, so that dimension styles are controlled by the drafting standard. Any change you make on this dialog box is applied to the linked dimension style. Any change you make to the linked dimension style is applied back to the text and leader settings.

When this option is selected, you can specify non-standard text heights.

Link to leader dimension style only

Restricts linking of dimension styles to the Leader dimension sub-style. Hence changes to text and leader settings are applied only to the Leader sub-style.

If this option is not selected, you link to the base dimension style. Changes to the base dimension style are automatically applied to all sub-styles, unless that setting is overridden in the sub-style. This means that if you modify the text and leader settings in this dialog box, the change is applied across all sub-styles, unless the settings are explicitly overridden in the sub-style.

Style

Displays the name of the dimension style to which leader and text settings are linked.

Text

Style

Sets the text style for use with all annotations. This setting is controlled by the drafting standard. Hence this setting can be changed only if the current drafting standard is a custom drafting standard or if the text and leader settings are linked to a dimension style.

Base height

Sets the text height to use as the base height for annotation text. If the Link to dimension style check box is selected, or if the current drafting standard is a custom drafting standard, you can specify non-standard text heights. If not, you can only select the standard text heights that are available on the list.

By default, all symbols use the base text height for symbol text. Annotations such as annotation view labels, section line labels, detail view labels and balloons, use a text height that is one size larger than the base height.

Color

Sets the color for the text category selected for base text. If you click Select Color (at the bottom of the Color list), the Select Color dialog box appears. You can also enter a color name or number.

Leader

Arrowhead

Sets the default leader arrowhead type for all annotations.

Arrow size

Sets the default leader arrowhead size for all annotations.

Color

Displays and sets the leader color for all annotations. If you click Select Color (at the bottom of the Color list), the Select Color dialog box appears. You can also enter a color name or number. If the Link to dimension style check box is selected, this setting affects the dimension line and extension line colors.

Symbols

List attach point

Sets the default attachment point for lists such as parts lists and hole charts, which are controlled by the drafting standard.

Color

Sets the color for all symbol geometry. If you click Select Color (at the bottom of the Color list), the Select Color dialog box appears. You can also enter a color name or number.

Object Properties

Let AutoCAD Mechanical manage object properties

Specifies that all objects created using AutoCAD Mechanical commands are automatically assigned properties as specified in the Object Properties Settings dialog box.

Settings

Displays the Object Property Settings dialog box, which enables you to pre configure the settings of all objects created using AutoCAD Mechanical commands.

Projection angle

Projection angle for drawing views:

Specifies the projection angle to use when generating drawing views and shaft generator views.

Restore Defaults

Returns all values to the default values for the current standard.


Configure Automatic Property Management

Selecting a drafting standard
Configuration and setup guide
What is Automatic Property Management?
Configuration and setup guide >
Configure Automatic Property Management
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

Topics in this section

  • What is Automatic Property Management?
  • Predefine object properties
  • Assign layers to objects


Configure Automatic Property Management (Procedure)

Selecting a drafting standard
Configure Automatic Property Management
What is Automatic Property Management?
Configuration and setup guide >
Configure Automatic Property Management
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

To Turn Off Automatic Property Management

To Turn On Automatic Property Management

To predefine the linetype of a mechanical object

To Predefine the Lineweight of a Mechanical Object

To Predefine the Color of a Mechanical Object

To Specify how an Object Behaves in a Hide Situation

To assign a layer to a mechanical object

To Rename a Mechanical Layer

To Specify a Description for a Mechanical Layer

To change properties of a mechanical layer


What is Automatic Property Management? (Concept)

Configure Automatic Property Management
Configure Automatic Property Management
Predefine object properties
Configuration and setup guide > Configure Automatic Property Management >
What is Automatic Property Management?
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Automatic Property Management refers to the process where every AutoCAD Mechanical command checks a group of settings known as the Object Property Settings and honors them during execution. This enables each command to be “aware” of the other commands and intelligently react to objects in the drawing area. This process is best illustrated using an example.

Example to illustrate Automatic Property Management

The AMCONSTLINES command draws construction lines. While drawing, this command checks Object Property Settings and automatically sets the line type, line weight and line color properties of construction lines to that predefined in Object Property Settings. Additionally, the command draws the construction lines on the layer pre-defined in Object Property Settings. No matter what layer is current the AMCONSTLINE command always draws construction lines on the pre-defined layer. If the layer doesn't exist, the command automatically creates the layer.

The AMCLINEO commands toggles the visibility of construction lines. The command checks Object Property Settings to determine what layer contains construction lines, and then turns on or turns off the layer as appropriate.

The AMSHIDE command converts lines/line segments overlapped by other objects into hidden lines. When you select objects for the background, AMSHIDE checks the background objects against Object Property Settings to determine how the line should behave in a hide situation. Hence, if you select construction lines, AMSHIDE ignores them and refrains from converting them into hidden lines. This gives AMSHIDE the ability to intelligently hide appropriate objects only.

Conclusion

Automatic Property Management / Object Property Settings is central to the intelligence behind AutoCAD Mechanical commands. Each command has its own unique logic of dealing with Object Property Settings. If you turn off Automatic Property Management, these commands stop checking Object Property Settings and hence looses the intelligence built around Object Property Settings.

If Automatic Property Management becomes intrusive, do not turn off Automatic Property Mechanism. Instead, we recommend that you customize Object Property Settings to suit your particular requirements.


What is Automatic Property Management? (Procedure)

Configure Automatic Property Management
Up a level to ..
What is Automatic Property Management?
Configuration and setup guide > Configure Automatic Property Management >
What is Automatic Property Management?
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To Turn Off Automatic Property Management

To Turn On Automatic Property Management


To Turn Off Automatic Property Management (Procedure)

What is Automatic Property Management?
Up a level to ..
What is Automatic Property Management?
Configuration and setup guide > Configure Automatic Property Management >
What is Automatic Property Management?
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To Turn Off Automatic Property Management

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. Click the AM:Standards tab.
  3. In the Standard Elements list, double-click the name of the Standard (the root node of the tree). The Standard Settings dialog box appears.
  4. Clear the Let AutoCAD Mechanical manage object properties check box.
  5. Dismiss the warning message that appears.
  6. Click OK until all dialog boxes close.


To Turn On Automatic Property Management (Procedure)

What is Automatic Property Management?
Up a level to ..
Predefine object properties
Configuration and setup guide > Configure Automatic Property Management >
What is Automatic Property Management?
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To Turn On Automatic Property Management

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. Click the AM:Standards tab.
  3. In the Standard Elements list, double-click the name of the Standard (the root node of the tree). The Standard Settings dialog box appears.
  4. Select the Let AutoCAD Mechanical manage object properties check box.
  5. Click OK until all dialog boxes close.


What is Automatic Property Management? (Quick Reference)

Selecting a drafting standard
What is Automatic Property Management?
Predefine object properties
Configuration and setup guide > Configure Automatic Property Management >
What is Automatic Property Management?
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Standard Settings dialog box

Sets up master settings for the current drafting standard. The elements of the standard that have their settings configured as ByNameOfCurrentDraftingStandard, automatically acquire their settings from this dialog box.

Dimension link

Link to dimension style

Links the text and leader settings to a dimension style, so that dimension styles are controlled by the drafting standard. Any change you make on this dialog box is applied to the linked dimension style. Any change you make to the linked dimension style is applied back to the text and leader settings.

When this option is selected, you can specify non-standard text heights.

Link to leader dimension style only

Restricts linking of dimension styles to the Leader dimension sub-style. Hence changes to text and leader settings are applied only to the Leader sub-style.

If this option is not selected, you link to the base dimension style. Changes to the base dimension style are automatically applied to all sub-styles, unless that setting is overridden in the sub-style. This means that if you modify the text and leader settings in this dialog box, the change is applied across all sub-styles, unless the settings are explicitly overridden in the sub-style.

Style

Displays the name of the dimension style to which leader and text settings are linked.

Text

Style

Sets the text style for use with all annotations. This setting is controlled by the drafting standard. Hence this setting can be changed only if the current drafting standard is a custom drafting standard or if the text and leader settings are linked to a dimension style.

Base height

Sets the text height to use as the base height for annotation text. If the Link to dimension style check box is selected, or if the current drafting standard is a custom drafting standard, you can specify non-standard text heights. If not, you can only select the standard text heights that are available on the list.

By default, all symbols use the base text height for symbol text. Annotations such as annotation view labels, section line labels, detail view labels and balloons, use a text height that is one size larger than the base height.

Color

Sets the color for the text category selected for base text. If you click Select Color (at the bottom of the Color list), the Select Color dialog box appears. You can also enter a color name or number.

Leader

Arrowhead

Sets the default leader arrowhead type for all annotations.

Arrow size

Sets the default leader arrowhead size for all annotations.

Color

Displays and sets the leader color for all annotations. If you click Select Color (at the bottom of the Color list), the Select Color dialog box appears. You can also enter a color name or number. If the Link to dimension style check box is selected, this setting affects the dimension line and extension line colors.

Symbols

List attach point

Sets the default attachment point for lists such as parts lists and hole charts, which are controlled by the drafting standard.

Color

Sets the color for all symbol geometry. If you click Select Color (at the bottom of the Color list), the Select Color dialog box appears. You can also enter a color name or number.

Object Properties

Let AutoCAD Mechanical manage object properties

Specifies that all objects created using AutoCAD Mechanical commands are automatically assigned properties as specified in the Object Properties Settings dialog box.

Settings

Displays the Object Property Settings dialog box, which enables you to pre configure the settings of all objects created using AutoCAD Mechanical commands.

Projection angle

Projection angle for drawing views:

Specifies the projection angle to use when generating drawing views and shaft generator views.

Restore Defaults

Returns all values to the default values for the current standard.


Predefine object properties (Concept)

What is Automatic Property Management?
Configure Automatic Property Management
Assign layers to objects
Configuration and setup guide > Configure Automatic Property Management >
Predefine object properties
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

In the Object Property Settings dialog box, you can predefine the properties of objects that AutoCAD Mechanical commands create. Some AutoCAD Mechanical commands create basic objects, while other commands create compound objects, which consist of several basic objects.

For example, the AMTEXT5 command creates text, which is a basic object. The AMBALLOON command creates balloons, which are compound objects that consists of three basic objects, text, leaders and balloon geometry.

In the Object Property Settings dialog box, you can predefine properties for both compound objects and basic objects. Compound objects are shown in a tree with the constituent basic objects listed under them, When you select an object, the preview panel in the dialog box highlights the corresponding geometry of a sample drawn, to provide you with a graphical example of how the object is used. You can pre-define properties for each object as appropriate.

Basic objects often are used in several compound objects. For example, the leader object is used in balloons as well as mechanical symbols. Hence if you change a property of the leader (the line color for example), both balloons and mechanical symbols are affected.

Not all property settings can be modified for one or more of the following reasons:

  • It doesn’t make sense to change the property. For example, the Usage in Hide property for text is permanently set to “Ignore in Hide”.
  • The property does not apply to the selected object - For example, the linetype for balloons is set by setting the linetypes of the leader, text, and balloon geometry separately. You do not set the linetype directly for the balloon object.
  • For technical reasons -a command may require that a particular property must be fixed to a predetermined value.

Usually, when you set a layer for an object, that object always gets created on that layer. However text does not follow this rule when it is part of a compound object. Text is always created on the layer of the compound object. The layer setting for text is used only to derive properties that have been set to “By Layer”.


Predefine object properties (Procedure)

What is Automatic Property Management?
Up a level to ..
Predefine object properties
Configuration and setup guide > Configure Automatic Property Management >
Predefine object properties
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To predefine the linetype of a mechanical object

To Predefine the Lineweight of a Mechanical Object

To Predefine the Color of a Mechanical Object

To Specify how an Object Behaves in a Hide Situation


To predefine the linetype of a mechanical object (Procedure)

Predefine object properties
Up a level to ..
Predefine object properties
Configuration and setup guide > Configure Automatic Property Management >
Predefine object properties
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To predefine the linetype of a mechanical object

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. Click the AM:Standards tab.
  3. In the Standard Elements list, double-click the root node (the standard name). The Standard Settings dialog box appears.
  4. In the Object properties section, click Settings. The Object Property Settings dialog box appears.
    NoteThe Settings button is available only if the Let AutoCAD Mechanical manage object properties check box is selected.
  5. In the Category list, select the category corresponding to the object you want to modify.
    NoteThe Object you want to modify may be listed in more than one category.
  6. In the row corresponding to the object you want to modify, click in the Linetype column. A drop-down list appears.
  7. Select the desired linetype.

    If other objects use the object you are modifying, a message appears showing the categories of the affected objects. Click Change Property.

  8. Click OK until all dialog boxes close.


To Predefine the Lineweight of a Mechanical Object (Procedure)

Predefine object properties
Up a level to ..
Predefine object properties
Configuration and setup guide > Configure Automatic Property Management >
Predefine object properties
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To Predefine the Lineweight of a Mechanical Object

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. Click the AM:Standards tab.
  3. In the Standard Elements list, double-click the root node (the standard name). The Standard Settings dialog box appears.
  4. In the Object properties section, click Settings. The Object Property Settings dialog box appears.
    NoteThe Settings button is available only if the Let AutoCAD Mechanical manage object properties check box is selected.
  5. In the Category list, select the category corresponding to the object you want to modify.
    NoteThe Object you want to modify may be listed in more than one category.
  6. In the row corresponding to the object you want to modify, click in the Lineweight column. A drop-down list appears.
  7. Select the desired lineweight.

    If other objects use the object you are modifying, a message appears showing the categories of the affected objects. Click Change Property.

  8. Click OK until all dialog boxes close.


To Predefine the Color of a Mechanical Object (Procedure)

Predefine object properties
Up a level to ..
Predefine object properties
Configuration and setup guide > Configure Automatic Property Management >
Predefine object properties
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To Predefine the Color of a Mechanical Object

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. Click the AM:Standards tab.
  3. In the Standard Elements list, double-click the root node (the standard name). The Standard Settings dialog box appears.
  4. In the Object properties section, click Settings. The Object Property Settings dialog box appears.
    NoteThe Settings button is available only if the Let AutoCAD Mechanical manage object properties check box is selected.
  5. In the Category list, select the category corresponding to the object you want to modify.
    NoteThe Object you want to modify may be listed in more than one category.
  6. In the row corresponding to the object you want to modify, click in the color column. The Select Color dialog box appears.
  7. Select the desired color.
    • To enable the object to acquire the color from the layer it uses, click ByLayer.
    • To enable the object to acquire the color from a block it is part of, click ByBlock.
    • To select an explicit color, click the desired color.

    If other objects use the object you are modifying, a message appears showing the categories of the affected objects. Click Change Property.

  8. Click OK until all dialog boxes close.


To Specify how an Object Behaves in a Hide Situation (Procedure)

Predefine object properties
Up a level to ..
Assign layers to objects
Configuration and setup guide > Configure Automatic Property Management >
Predefine object properties
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To Specify how an Object Behaves in a Hide Situation

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. Click the AM:Standards tab.
  3. In the Standard Elements list, double-click the root node (the standard name). The Standard Settings dialog box appears.
  4. In the Object properties section, click Settings. The Object Property Settings dialog box appears.
    NoteThe Settings button is available only if the Let AutoCAD Mechanical manage object properties check box is selected.
  5. In the Category list, select the category corresponding to the object you want to modify.
    NoteThe Object you want to modify may be listed in more than one category.
  6. In the row corresponding to the object you want to modify, click in the Usage in hide column. A drop-down list appears.
  7. Select the desired behavior.
    • To specify that an object is valid only as a foreground entity, select Foreground only.
    • To specify that an object is valid only as a background entity, select Background only.
    • To specify that the object is neither a valid foreground nor background entity, select Ignore in hide.
    • To specify that the object is valid both as foreground and background entities, select Accept in hide.

    If other objects use the object you are modifying, a message appears showing the categories of the affected objects. Click Change Property.

  8. Click OK until all dialog boxes close.


Predefine object properties (Quick Reference)

What is Automatic Property Management?
Predefine object properties
Assign layers to objects
Configuration and setup guide > Configure Automatic Property Management >
Predefine object properties
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Object Property Settings dialog box

Use this dialog box to pre-configure properties for Objects created by AutoCAD Mechanical commands.

NoteWe recommend that you modify these settings before you start drawing. If you change the settings in the middle of a drawing session, the objects that you have already drawn may not update. This is because drawing integrity takes precedence over conversion of existing objects.

Category

Contains a list of categories that group objects in a logical order. Click on a category to list objects that belong to that category.

Show properties for

Displays a list of properties for the objects that belong to that category. Depending on whether AutoCAD Mechanical commands depend on a property being fixed to a predefined value, you may not be able to modify properties for some objects.

When you select an object in the list, the preview highlights the object you selected on a sample drawing.

Object

Displays a list of objects that belong to that category. When grouped by objects, compound objects (objects that are made up of other objects) as the root of a tree and the constituent objects, as children.

Layer

Specifies the layer that the object must be created on. When grouped by objects, clicking in this column displays a dialog box that enables you to select existing layers and layer definitions or create a new layer definition, if necessary.

NoteWhen a text object is part of a compound object, the text object is always created on the layer assigned to the parent object. The layer corresponding to the text object is used only to obtain values for the properties set to “By Layer”.

Color

Specifies the line color for the object. Clicking the color icon displays a dialog box that enables you to select a color for the object.

Linetype

Specifies the line type for the object. Clicking in the column displays a list containing the line types that can be applied to the object.

Lineweight

Changes master setting for object lineweight. Clicking in the column displays a list containing the line weights that can be applied to the object.

Usage in hide

Controls behavior of the object, when in a hide situation. Clicking in the column toggles displays a list containing the options applicable to the object.

Group by

Controls how objects are visually represented in the Show properties for list.

If you group by objects, the list emphasizes the hierarchical relationship between objects. The list shows compound objects (objects that are made up of other objects) as the root of a tree and the constituent objects, as children.

If you group by layers, the list emphasizes the objects that share the same layer. This option is useful to quickly specify a linetype, lineweight, and color for a layer, without having to invoke the AMLAYER command.

Preview

Displays a sample drawing to illustrate the object selected in the Show properties for list.

Highlight all categories that use the selected object

Highlights categories in the Category list, which use the selected object. This option is useful to quickly check what other categories are affected if you change the properties of the selected object.

Import button

Launches the Open dialog box to select and import a complete setting for layers and object properties from any of the following file types:

  • Drawing file (.dwg): Genius 14 and AutoCAD Mechanical files.
  • Template drawing (.dwt): AutoCAD Mechanical template files.
  • Configuration file (.cfg): Genius 13, Genius 14, or AutoCAD Mechanical configuration files

Restore Defaults

Returns all settings to their default values.

NoteThe default settings for a light background drawing differs from the default settings for a black background.


Assign layers to objects (Concept)

Predefine object properties
Configure Automatic Property Management
Configure text height and color
Configuration and setup guide > Configure Automatic Property Management >
Assign layers to objects
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Within the Object Property Settings dialog box, you can specify what layer the object must be created on. When Automatic Property Management is enabled, AutoCAD Mechanical commands honor this setting and always create objects on the pre-assigned layer. If the layer does not exist, AutoCAD Mechanical commands creates the layer on the fly. Layers that are created by AutoCAD Mechanical commands in this manner are referred to as mechanical layers.

Because mechanical layers are created on the fly, AutoCAD Mechanical provides the ability to pre-define mechanical layers and their properties with the help of an entity that is referred to as a layer definition. Similar to how a block definition is used by AutoCAD commands to create instances of blocks, AutoCAD Mechanical commands use the layer definition to create layers on the fly. All mechanical layers have a corresponding definition.

You use the AMLAYER command to specify properties for layer definitions, similar to how you use the LAYER command to specify properties for layers.

AutoCAD Mechanical ships with several predefined mechanical layers. Some layers are shared among several objects while other layers are exclusive to particular objects. The default layer assignments have been tried and tested for optimum use over several releases of AutoCAD Mechanical. However, you may need to change these assignments to satisfy company standards or customer requirements.

There are two ways by which you can customize layer assignments. You can rename the existing layers to reflect the company standards or create your own set of mechanical layers and assign them to objects. However, when assigning your layers, we advice you to exert caution when sharing layers with different objects.

For example, if you share a single layer with construction lines and hatches, every time you turn off construction lines, the hatches also hide. In order to avoid such issues, we recommend that you do not share layers among objects. If you have a compelling reason to share layers, use the default layer assignment as a guideline for objects that must go together.

The layers that standard parts and features are created on, by default, depend on the context that they are inserted in the drawing. AutoCAD Mechanical uses a complex algorithm to select the layer. However, you can stop AutoCAD Mechanical from selecting standard parts automatically and specify that they be created on a preassigned mechanical layer(s). Alternatively, you can specify that AutoCAD Mechanical should create standard parts on the current layer. If so, AutoCAD Mechanical commands always creates standard parts and features on the current layer. The responsibility of changing to the appropriate layer then becomes yours. Consequently, commands that depend on objects being drawn on specific layers may not work as expected. We recommend that you leave this setting at its default value; Auto.


Assign layers to objects (Procedure)

Predefine object properties
Up a level to ..
Assign layers to objects
Configuration and setup guide > Configure Automatic Property Management >
Assign layers to objects
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To assign a layer to a mechanical object

To Rename a Mechanical Layer

To Specify a Description for a Mechanical Layer

To change properties of a mechanical layer


Assign layers to objects (Quick Reference)

Predefine object properties
Assign layers to objects
Assign layers to objects
Configuration and setup guide > Configure Automatic Property Management >
Assign layers to objects
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Object Property Settings dialog box

Select Layer dialog box

Default layer assignments to objects


To assign a layer to a mechanical object (Procedure)

Assign layers to objects
Up a level to ..
Assign layers to objects
Configuration and setup guide > Configure Automatic Property Management >
Assign layers to objects
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To assign a layer to a mechanical object

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. Click the AM:Standards tab.
  3. In the Standard Elements list, double-click the root node (the standard name). The Standard Settings dialog box appears.
  4. In the Object properties section, click Settings. The Object Property Settings dialog box appears.
    NoteThe Settings button is available only if the Let AutoCAD Mechanical manage object properties check box is selected.
  5. In the Category list, select the category corresponding to the object you want to modify.
    NoteThe Object you want to modify may be listed in more than one category.
  6. In the row corresponding to the object you want to modify, click in the Layer column. The Select Layer dialog box appears.
  7. Select a layer.
    • To select an existing layer or layer definition, select it and click OK.
    • To create a layer definition and assign it to the object:
      1. Click [image] .
      2. In the Name column, specify a name for the new layer definition.
      3. Click OK.

    If other objects use the object you are modifying, a message showing other affected objects appears. Click Change Property.

  8. Click OK until all dialog boxes close.


To Rename a Mechanical Layer (Procedure)

Assign layers to objects
Up a level to ..
Assign layers to objects
Configuration and setup guide > Configure Automatic Property Management >
Assign layers to objects
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To Rename a Mechanical Layer

  1. Click None [image] None [image] At the Command prompt, enter AMLAYER.
  2. In the row corresponding to the mechanical layer or layer definition you want to modify, click in the Name column.
  3. Specify a new name for the layer.
  4. Click OK.


To Specify a Description for a Mechanical Layer (Procedure)

Assign layers to objects
Up a level to ..
Assign layers to objects
Configuration and setup guide > Configure Automatic Property Management >
Assign layers to objects
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To Specify a Description for a Mechanical Layer

  1. Click None [image] None [image] At the Command prompt, enter AMLAYER.
  2. In the row corresponding to the mechanical layer or layer definition you want to modify, click in the Description column.
  3. Specify the description.
  4. Click OK.


To change properties of a mechanical layer (Procedure)

Assign layers to objects
Up a level to ..
Configure text height and color
Configuration and setup guide > Configure Automatic Property Management >
Assign layers to objects
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To change properties of a mechanical layer

  1. Click None [image] None [image] At the Command prompt, enter AMLAYER.
  2. In the row containing the layer to modify:
    • To change the layer name: Click in the name column, type the new name, and then press ENTER.
    • To change the layer color: Click the layer color icon, select a color from the dialog box that appears, and then click OK.
    • To change the layer Linetype: Click Linetype and select a linetype from the drop-down list.
    • To change the layer Lineweight: Click Lineweight and select a lineweight from the drop-down list.
    • To toggle the ability to plot the layer: Click in the Plot column to toggle between the Plot and Do not plot icons.
    • To allow or disallow replication in layer groups: Click in the Replicate in Layergroup column. A tick in the column indicates that the feature is allowed.
    • To allow or disallow the layer group color to override the layer color: Click in the Override color by layer group column. A tick in the column indicates that the feature is allowed.
    • To change the description: Click in the Description column, type the description, and then press ENTER.
  3. Click OK until all dialog boxes close.


Assign layers to objects (Quick Reference)

Assign layers to objects
Assign layers to objects
Assign layers to objects
Configuration and setup guide > Configure Automatic Property Management >
Assign layers to objects
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Object Property Settings dialog box

Use this dialog box to pre-configure properties for Objects created by AutoCAD Mechanical commands.

NoteWe recommend that you modify these settings before you start drawing. If you change the settings in the middle of a drawing session, the objects that you have already drawn may not update. This is because drawing integrity takes precedence over conversion of existing objects.

Category

Contains a list of categories that group objects in a logical order. Click on a category to list objects that belong to that category.

Show properties for

Displays a list of properties for the objects that belong to that category. Depending on whether AutoCAD Mechanical commands depend on a property being fixed to a predefined value, you may not be able to modify properties for some objects.

When you select an object in the list, the preview highlights the object you selected on a sample drawing.

Object

Displays a list of objects that belong to that category. When grouped by objects, compound objects (objects that are made up of other objects) as the root of a tree and the constituent objects, as children.

Layer

Specifies the layer that the object must be created on. When grouped by objects, clicking in this column displays a dialog box that enables you to select existing layers and layer definitions or create a new layer definition, if necessary.

NoteWhen a text object is part of a compound object, the text object is always created on the layer assigned to the parent object. The layer corresponding to the text object is used only to obtain values for the properties set to “By Layer”.

Color

Specifies the line color for the object. Clicking the color icon displays a dialog box that enables you to select a color for the object.

Linetype

Specifies the line type for the object. Clicking in the column displays a list containing the line types that can be applied to the object.

Lineweight

Changes master setting for object lineweight. Clicking in the column displays a list containing the line weights that can be applied to the object.

Usage in hide

Controls behavior of the object, when in a hide situation. Clicking in the column toggles displays a list containing the options applicable to the object.

Group by

Controls how objects are visually represented in the Show properties for list.

If you group by objects, the list emphasizes the hierarchical relationship between objects. The list shows compound objects (objects that are made up of other objects) as the root of a tree and the constituent objects, as children.

If you group by layers, the list emphasizes the objects that share the same layer. This option is useful to quickly specify a linetype, lineweight, and color for a layer, without having to invoke the AMLAYER command.

Preview

Displays a sample drawing to illustrate the object selected in the Show properties for list.

Highlight all categories that use the selected object

Highlights categories in the Category list, which use the selected object. This option is useful to quickly check what other categories are affected if you change the properties of the selected object.

Import button

Launches the Open dialog box to select and import a complete setting for layers and object properties from any of the following file types:

  • Drawing file (.dwg): Genius 14 and AutoCAD Mechanical files.
  • Template drawing (.dwt): AutoCAD Mechanical template files.
  • Configuration file (.cfg): Genius 13, Genius 14, or AutoCAD Mechanical configuration files

Restore Defaults

Returns all settings to their default values.

NoteThe default settings for a light background drawing differs from the default settings for a black background.


Assign layers to objects (Quick Reference)

Assign layers to objects
Assign layers to objects
Assign layers to objects
Configuration and setup guide > Configure Automatic Property Management >
Assign layers to objects
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Select Layer dialog box

Use this dialog box to assign an existing layer or mechanical layer definition to an object. You can also use this dialog box to create a new mechanical layer definition and assign it to the object.

Creates a new mechanical layer definition. You can name it as soon as it is created.
Deletes the selected layer or layer definition.
List of layers/layer definitions
 | Status - Indicates that the row corresponds to a mechanical layer or mechanical layer definition. - Indicates that the row corresponds to a mechanical layer that does not get replicated when a Layergroup is created with the AMLAYERGROUP command. - Indicates that the row corresponds to an AutoCAD layer.
 | Name Displays the name of the layer or layer definition. Clicking in this column enables you to rename the layer or layer definition.
 | Associated objects Contains the names of the objects that use the layer. This is applicable only to mechanical layers.
 | Description Displays an optional description for the layer or layer definition. You must use the AMLAYER command to specify the description.


Assign layers to objects (Quick Reference)

Assign layers to objects
Assign layers to objects
Configure text height and color
Configuration and setup guide > Configure Automatic Property Management >
Assign layers to objects
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Default layer assignments to objects

Mechanical Layers for Hidden Lines
1 | Behind | AM_9
2 | Behind (extra) | AM_INV
3 | Hidden Line, Narrow | AM_3
4 | Hidden Line | AM_3
5 | Standard Parts: Behind | AM_9N
6 | Standard Parts: Hidden Line, Narrow | AM_3N
7 | Standard Parts: Hidden Line | AM_3N
Mechanical Layers for Title Block / Border
1 | Drawing Border Thin Objects | AM_BOR
2 | Drawing Border Objects | AM_BOR
3 | Drawing Border Thick Objects | AM_BOR
4 | Title Block Thin Objects | AM_BOR
5 | Title Block Objects | AM_BOR
6 | Title Block Thick Objects | AM_BOR
Mechanical Layers for Calculation
1 | Calculation Symbols | AM_5
2 | Calculation Thick Objects | AM_4
3 | Calculation Thin Objects | AM_4
4 | Calculation Very Thick Objects | AM_4
5 | FEA: Deformation Mesh | AM_2
6 | FEA: Mesh | AM_8
7 | FEA: Number of Points | AM_8
8 | FEA: Stress | AM_11
9 | FEA: Text for Stress | AM_11
10 | FEA: Text for Deformation | AM_2
Mechanical Layers for Drafting
1 | Auxiliary Line | AM_4
2 | Break Line Long (Zig Zag) | AM_4
3 | Break Line Short | AM_4
4 | Break Out Line | AM_4
5 | Centerline | AM_7
6 | Centerline, Narrow | AM_7
7 | Construction Line | AM_CL
8 | Contour 1 | AM_0
9 | Contour 2 | AM_1
10 | Contour 3 | AM_2
11 | Detail Enlargement Border | AM_4
12 | Diagonal Cross for Planes | AM_5
13 | Hatch | AM_8
14 | Hidden Line | AM_3
15 | Hidden Line, Narrow | AM_3
16 | Hole Circle | AM_7
17 | Hole Circle, Narrow | AM_7
18 | Section/Viewing Plane Line | AM_10
19 | Standard Parts: Centerline | AM_7N
20 | Standard Parts: Centerline Narrow | AM_7N
21 | Standard Parts: Contour 1 | AM_0N
22 | Standard Parts: Contour 2 | AM_1N
23 | Standard Parts: Contour 3 | AM_2N
24 | Standard Parts: Contour 4 | AM_2N
25 | Standard Parts: Hatch | AM_8N
26 | Standard Parts: Hidden Line | AM_3N
27 | Standard Parts: Hidden Line, Narrow | AM_3N
28 | Standard Parts: Phantom | AM_11N
29 | Standard Parts: Section/Viewing Plane Line | AM_10N
30 | Standard Parts: Thread Contour | AM_0N
31 | Standard Parts: Thread End at Usable Length | AM_0N
32 | Standard Parts: Thread Line | AM_4N
33 | Thread Contour | AM_0
34 | Thread End at Usable Length | AM_0
35 | Thread Line | AM_4
36 | Trailing Line | AM_TR
37 | Transition Line | AM_4
Mechanical Layers for Dimensioning
1 | Dimension Line | AM_5
2 | Standard Parts: Dimension Line | AM_5N
3 | Text Small | AM_6
4 | Text Medium | AM_6
Mechanical Layers for BOM / Symbols
1 | Balloon Geometry | AM_5
2 | Leader | AM_5
3 | Standard Parts: Leader | AM_5N
4 | Mechanical Symbols | AM_5
5 | Parts List Cell Lines | AM_BOR
6 | Parts List Grip Frame | AM_BOR
7 | Parts List Outer Frame | AM_BOR
8 | Part Reference | AM_PAREF
Mechanical Layers for Standard Parts
1 | Standard Parts: Behind | AM_9N
2 | Standard Parts: Contour 1 | AM_0N
3 | Standard Parts: Contour 2 | AM_1N
4 | Standard Parts: Contour 3 | AM_2N
5 | Standard Parts: Contour 4 | AM_2N
6 | Standard Parts: Centerline | AM_7N
7 | Standard Parts: Centerline Narrow | AM_7N
8 | Standard Parts: Dimension Line | AM_5N
9 | Standard Parts: Hatch | AM_8N
10 | Standard Parts: Hidden Line, Narrow | AM_3N
11 | Standard Parts: Hidden Line | AM_3N
12 | Standard Parts: Leader | AM_5N
13 | Standard Parts: Non-plottable Objects | AM_12N
14 | Standard Parts: Phantom | AM_11N
15 | Standard Parts: Thread Contour | AM_0N
16 | Standard Parts: Thread Line | AM_4N
17 | Standard Parts: Thread End at Usable Length | AM_0N
18 | Standard Parts: Section/Viewing Plane Line | AM_10N
Mechanical Layers for Text
1 | Text Large | AM_6
2 | Text Medium | AM_6
3 | Text Small | AM_6
4 | Text Very Large | AM_6
5 | Text Very Small | AM_6
Mechanical Layers for Non-plottable Objects
1 | Non-plottable Objects | AM_12
2 | Part Reference | AM_PAREF
3 | Standard Parts: Non-plottable Objects | AM_12N
4 | Viewport | AM_VIEWS


Configure text height and color (Concept)

Assign layers to objects
Configuration and setup guide
Configure Leaders
Configuration and setup guide >
Configure text height and color
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Because text and leader lines are the most common objects used for annotations, AutoCAD Mechanical provides a single configuration point (the Standard Settings dialog box) to enable you to specify their default properties. These settings are the master settings. By default, the text and leader settings for all annotations (elements of the standard) derive from the master settings. If you change the master settings, the corresponding settings in each of the elements of the standard change. To prevent specific elements from following the master settings, override the text settings for that element.

How the master setting for text height applies across annotations

The master setting for text height is the base height for text. By default, the text height setting for all elements of the standard is set to “By NameOfCurrentDraftingStandard.”

Annotations such as symbols that have their text height set to “By NameOfCurrentDraftingStandard” use the base height value. Annotations such as section line labels, detail view labels, balloons, and annotation view labels use a text height one size larger than the base height. This “size up” behavior enforces the rule that the text heights for labels are larger than symbol text.

The drafting standard validates any changes made to the text setting, preventing you from changing the text style or specifying non-standard text heights. To work around this validation, use a custom standard or link leader and text settings to a dimension style.

How the master settings for text color apply across annotations

AutoCAD Mechanical classifies text into five categories, based on height. The categories are:

Category | Height range (mm) | Height range (inches)
Text very small | 0 – 2.2 | 0 - 0.0866
Text small | 2.2 – 2.9 | 0.0866 – 0.1142
Text medium | 2.9 – 3.6 | 0.1142 – 0.1417
Text large | 3.6 – 5.1 | 0.1417 – 0.2008
Text very large | > 5.1 | > 0.2008

AutoCAD Mechanical enables you to specify properties such as color, linetype, and lineweight for each category, independently. If you change the text color in the master settings, the standard elements that have their text colors set to “By NameOfCurrentDraftingStandard” automatically use the new color.

If you change the text height in an element of the standard, the text color automatically uses the preset color corresponding to that text height. It does not matter if you have set the color to “By NameOfCurrentDraftingStandard,” if the text height changes, the text color automatically changes.

You cannot override the line weight and line height master settings for text objects.

Control all annotations from master settings

AutoCAD Mechanical enables you to link dimension styles to leader and text settings, making the Standard Settings dialog box a single command center for controlling all annotations. Settings apply to AutoCAD Mechanical-specific annotations as well as dimensions.

To ensure that the leader and text settings control all dimensions, clear the Link to the leader dimension style only check box. When you clear this box, master settings link to the base dimension style. When you modify master settings, dimension substyles follow the changes unless you override the settings in the substyle.

The link to dimension styles is a bi-directional link. When you modify the linked dimension style, the Standard Settings dialog box automatically reacts to the changes.


Configure text height and color (Procedure)

Assign layers to objects
Configure text height and color
Configure text height and color
Configuration and setup guide >
Configure text height and color
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To Configure Master Settings for Text Height

To Configure Master Settings for Text Color

To create a custom text style

To Link Text and Leader Master Settings to Dimension Styles

To Configure Text Height and Color for Annotation View Labels

To Configure Text Height and Color for Balloons

To Configure Text Height and Color for Detail Views

To configure text height and color for hole charts

To Configure Text Height and Color for Leader Notes

To Configure Text Height and Color for Section Labels

To Configure Text Settings for Parts Lists

To configure text height and color for datum and feature identifier symbols

To configure text height and color for datum target symbols

To configure text height and color for surface texture symbols

To configure text height and color for taper and slope symbols

To configure text height and color for welding symbols

To configure text height and color for feature control frame symbols

To Set the Text Color and Height for Each Dimension Type Separately

To Set the Text Color and Height for all Dimension Types


Configure text height and color (Quick Reference)

Assign layers to objects
Configure text height and color
Configure text height and color
Configuration and setup guide >
Configure text height and color
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Standard Settings dialog box

Annotation View Settings dialog box

Balloon Settings dialog box

Detail Symbol dialog box

Hole Chart Settings dialog box

Note Settings dialog box

Section View Settings dialog box

Parts List Settings dialog box

Datum and Feature Identifier Settings dialog box

Datum Target Settings dialog box

Surface Texture Settings dialog box

Taper and Slope Settings dialog box

Welding Settings dialog box

Dimension Settings dialog box

Edit Dimension Style dialog box


To Configure Master Settings for Text Height (Procedure)

Configure text height and color
Configure text height and color
Configure text height and color
Configuration and setup guide >
Configure text height and color
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To Configure Master Settings for Text Height

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. In the Options dialog box, click the AM:Standards tab.
  3. In the Standard Elements list, double-click the root node (the standard name). The Standard Settings dialog box appears.
  4. To change the text height, in the text section, in the Base height box, select a text height.
Note If the current drafting standard is a custom standard or if the Link to Dimension Style check box is selected, you can do the following additional operations:
  • Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  • Click in the Base height box and type any text height.


To Configure Master Settings for Text Color (Procedure)

Configure text height and color
Configure text height and color
Configure text height and color
Configuration and setup guide >
Configure text height and color
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To Configure Master Settings for Text Color

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. Click the AM:Standards tab.
  3. In the Standard Elements list, double-click the root node (the standard name). The Standard Settings dialog box appears.
  4. Click Settings. The Object Property Settings dialog box appears.
  5. In the Category list, click Text. The Show Properties for Text list shows the text categories supported by AutoCAD Mechanical.
  6. Click the color icon in the row corresponding to the text category to change the color for. The Select Color dialog box appears.
  7. Click a color and then click OK.
  8. Click in the Lineweight column and select the lineweight from the drop-down list.
  9. Click OK until all dialog boxes close.
NoteThe text color settings reset to the selected color for all objects containing text.


To create a custom text style (Procedure)

Configure text height and color
Configure text height and color
Configure text height and color
Configuration and setup guide >
Configure text height and color
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To create a custom text style

  1. Click None [image] None [image] . At the Command prompt, enter STYLE.
  2. Click New. The New Text Style dialog box is displayed.
  3. In the Style Name box, type the name of the style to create and click OK. You return to the Text Style dialog box.
  4. In the Font Name box, select the font to use.
  5. In the Height box, type 0 (zero).
    NoteAutoCAD Mechanical automatically manipulates text heights. To preserve this behavior, set text heights of custom text styles to 0.
  6. Click Apply.
  7. Click Close.


To Link Text and Leader Master Settings to Dimension Styles (Procedure)

Configure text height and color
Configure text height and color
Configure text height and color
Configuration and setup guide >
Configure text height and color
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To Link Text and Leader Master Settings to Dimension Styles

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. In the Options dialog box, click the AM:Standards tab.
  3. In the Standard Elements list, double-click the root node (the standard name). The Standard Settings dialog box appears.
  4. Select the Link to dimension style check box.
  5. To link to the Leader substyle only, select the Link to leader dimension style only check box.
    NoteIf you clear the Link to leader dimension style only check box, the leader and text settings link to the base dimension style. If you modify text or leader settings, all dimension substyles update unless the substyle overrides the setting.
  6. In the Style list, select the dimension style to link to.
  7. Click OK until all dialog boxes close.


To Configure Text Height and Color for Annotation View Labels (Procedure)

Configure text height and color
Configure text height and color
Configure text height and color
Configuration and setup guide >
Configure text height and color
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To Configure Text Height and Color for Annotation View Labels

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. In the Options dialog box, click the AM:Standards tab.
  3. In the Standard Elements list, double-click Annotation View. The Annotation View Settings dialog box appears.
  4. To change the annotation view label text height, in the Height list, select the text height.
    NoteTo derive the text height from the master text settings automatically, select the text height marked “By NameOfCurrentDraftingStandard.”
  5. To change the text color, in the Color list, select the color.
  6. Click OK until all dialog boxes close.
NoteIf the current drafting standard is a custom drafting standard, you can select a text style as well.


To Configure Text Height and Color for Balloons (Procedure)

Configure text height and color
Configure text height and color
Configure text height and color
Configuration and setup guide >
Configure text height and color
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To Configure Text Height and Color for Balloons

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. In the Options dialog box, click the AM:Standards tab.
  3. In the Standard Elements list, double-click Balloon. The BOM Settings dialog box appears.
  4. In the Default style section, click [image] . The Balloon Settings dialog box appears.
  5. To change the text height, in the Text Section, in the Height list, select the text height.
    NoteTo derive the text height from the master text settings automatically, select the text height marked “By NameOfCurrentDraftingStandard.”
  6. To change the text color, in the Text Section, in the Color list, select the color.
  7. Click OK until all dialog boxes close.


To Configure Text Height and Color for Detail Views (Procedure)

Configure text height and color
Configure text height and color
Configure text height and color
Configuration and setup guide >
Configure text height and color
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To Configure Text Height and Color for Detail Views

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. In the Options dialog box, click the AM:Standards tab.
  3. In the Standard Elements list, double-click Detail View. The Detail Symbol Settings dialog box appears.
  4. To change the detail view label text height, in the Height list, select the text height.
    NoteTo derive the text height from the master text settings automatically, select the text height marked “By NameOfCurrentDraftingStandard.”
  5. To change the text color, click the Text Color button and select a color from the dialog box that appears.
  6. Click OK until all dialog boxes close.
NoteIf the current drafting standard is a custom drafting standard, you can select a text style for the detail view labels.


To configure text height and color for hole charts (Procedure)

Configure text height and color
Configure text height and color
Configure text height and color
Configuration and setup guide >
Configure text height and color
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To configure text height and color for hole charts

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. In the Options dialog box, click the AM:Standards tab.
  3. In the Standard Elements list, double-click Hole Chart. The Hole Chart settings dialog box appears.
  4. To change the text height of hole chart column labels, in the List of coordinates section, in the Heading text height list, select the text height.
    NoteTo acquire the base height setting from the master text settings, select the text height marked “By NameOfCurrentDraftingStandard.”
  5. To change the text height of hole chart data rows, in the List of coordinates section, in the Data text height list, select the text height.
  6. To change the text height of the origin labels, in the Point and Origin Cartesian section, in the Text height list, select the text height.
  7. To change the text color of hole chart column labels, in the List of coordinates section, in the Heading text color list, select the color.
  8. To change the text color of hole chart data rows, in the List of coordinates section, in the Data text color list, select the color.
  9. To change the text color of the origin labels, in the Point and Origin Cartesian section, in the Text color list, select the color.
  10. Click OK until all dialog boxes close.
NoteIf the current drafting standard is a custom standard, you can select a text style for hole chart text.


To Configure Text Height and Color for Leader Notes (Procedure)

Configure text height and color
Configure text height and color
Configure text height and color
Configuration and setup guide >
Configure text height and color
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To Configure Text Height and Color for Leader Notes

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. In the Options dialog box, click the AM:Standards tab.
  3. In the Standard Elements list, double-click Note. The Note Settings dialog box appears.
  4. Click the Leader and Text tab.
  5. To change the text height, in the Text section, in the Height list, select the text height.
    NoteTo acquire the base height setting from the master text settings, select the text height marked “By NameOfCurrentDraftingStandard.”
  6. To change the text color, in the Text section, in the Color list, select the color.
  7. Click OK until all dialog boxes close.
NoteIf the current drafting standard is a custom standard, you can click inside the Height box and type any text height.


To Configure Text Height and Color for Section Labels (Procedure)

Configure text height and color
Configure text height and color
Configure text height and color
Configuration and setup guide >
Configure text height and color
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To Configure Text Height and Color for Section Labels

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. In the Options dialog box, click the AM:Standards tab.
  3. In the Standard Elements list, double-click Section View. The Section View Settings dialog box appears.
  4. To change the section line and section view label text heights, in the Text section, in the Height list, select the text height.
    NoteTo derive the text height from the master text settings automatically, select the text height marked “By NameOfCurrentDraftingStandard.”
  5. To change the text color, in the Text section, in the Color list in the Text section, select a color.
  6. Click OK until all dialog boxes close.
NoteIf the current drafting standard is a custom drafting standard, you can select a text style for the section line/view labels.


To Configure Text Settings for Parts Lists (Procedure)

Configure text height and color
Configure text height and color
Configure text height and color
Configuration and setup guide >
Configure text height and color
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To Configure Text Settings for Parts Lists

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. In the Options dialog box, click the AM:Standards tab.
  3. In the Standard Elements list, double-click Parts List. The BOM Settings dialog box appears.
  4. In the Parts List tab, click [image] .
  5. To change the text height of part list column captions, in the Text section, below the Header row, from the Height list, select the text height.
    NoteTo acquire the base height setting from the master text settings, select the text height marked “By NameOfCurrentDraftingStandard.”
  6. To change the text height of the data rows, in the Text section, below the Data row, from the Height list, select the text height.
  7. To change the text color of part list column captions, in the Text section, below the Header row, from the Color list, select the color.
  8. To change the text color of the data rows, in the Text section, below the Data row, from the Color list, select the color.
  9. To specify how text works with columns:
    1. To resize text to fit the column width, in the Text section, in the appropriate Control list, select Fit.
    2. To wrap text into multiple lines, in the Text section, in the appropriate Control list, select Wrap.
  10. Click OK until all dialog boxes close.
NoteIf the current drafting standard is a custom standard, you can select a text style for part list text.


To configure text height and color for datum and feature identifier symbols (Procedure)

Configure text height and color
Configure text height and color
Configure text height and color
Configuration and setup guide >
Configure text height and color
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To configure text height and color for datum and feature identifier symbols

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. In the Options dialog box, click the AM:Standards tab.
  3. In the Standard Elements list, double-click Datum and Feature Identifier. The Datum and Feature Identifier Settings dialog box appears.
  4. To change the text height, in the Text section, in the Height list, select the text height.
    NoteTo acquire the base height setting from the master text settings, select the text height marked “By NameOfCurrentDraftingStandard.”
  5. To change the text color, in the Text section, in the Color list, select the color.
  6. Click OK until all dialog boxes close.
NoteIf the current drafting standard is a custom standard, you can click inside the Height box and type any text height.


To configure text height and color for datum target symbols (Procedure)

Configure text height and color
Configure text height and color
Configure text height and color
Configuration and setup guide >
Configure text height and color
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To configure text height and color for datum target symbols

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. In the Options dialog box, click the AM:Standards tab.
  3. In the Standard Elements list, double-click Datum Target. The Datum Target Settings dialog box appears.
  4. To change the text height, in the Text section, in the Height list, select the text height.
    NoteTo acquire the base height setting from the master text settings, select the text height marked “By NameOfCurrentDraftingStandard.”
  5. To change the text color, in the Text section, in the Color list, select the color.
  6. Click OK until all dialog boxes close.
NoteIf the current drafting standard is a custom standard, you can click inside the Height box and type any text height.


To configure text height and color for surface texture symbols (Procedure)

Configure text height and color
Configure text height and color
Configure text height and color
Configuration and setup guide >
Configure text height and color
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To configure text height and color for surface texture symbols

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. In the Options dialog box, click the AM:Standards tab.
  3. In the Standard Elements list, double-click Surface Texture. The Surface Texture Settings dialog box appears.
  4. To change the text height, in the Text section, in the Height list, select the text height.
    NoteTo acquire the base height setting from the master text settings, select the text height marked “By NameOfCurrentDraftingStandard.”
  5. To change the text color, in the Text section, in the Color list, select the color.
  6. Click OK until all dialog boxes close.
NoteIf the current drafting standard is a custom standard, you can click inside the Height box and type any text height.


To configure text height and color for taper and slope symbols (Procedure)

Configure text height and color
Configure text height and color
Configure text height and color
Configuration and setup guide >
Configure text height and color
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To configure text height and color for taper and slope symbols

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. In the Options dialog box, click the AM:Standards tab.
  3. In the Standard Elements list, double-click Taper and Slope. The Taper and Slope Settings dialog box appears.
  4. To change the text height, in the Text section, in the Height list, select the text height.
    NoteTo acquire the base height setting from the master text settings, select the text height marked “By NameOfCurrentDraftingStandard.”
  5. To change the text color, in the Text section, in the Color list, select the color.
  6. Click OK until all dialog boxes close.
NoteIf the current drafting standard is a custom standard, you can click inside the Height box and type any text height.


To configure text height and color for welding symbols (Procedure)

Configure text height and color
Configure text height and color
Configure text height and color
Configuration and setup guide >
Configure text height and color
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To configure text height and color for welding symbols

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. In the Options dialog box, click the AM:Standards tab.
  3. In the Standard Elements list, double-click Welding. The Welding Settings dialog box appears.
  4. To change the text height, in the Text section, in the Height list, select the text height.
    NoteTo acquire the base height setting from the master text settings, select the text height marked “By NameOfCurrentDraftingStandard.”
  5. To change the text color, in the Text section, in the Color list, select the color.
  6. Click OK until all dialog boxes close.
NoteIf the current drafting standard is a custom standard, you can click inside the Height box and type any text height.


To configure text height and color for feature control frame symbols (Procedure)

Configure text height and color
Configure text height and color
Configure text height and color
Configuration and setup guide >
Configure text height and color
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To configure text height and color for feature control frame symbols

  1. Click None tab [image] None panel. At the command prompt, enter AMOPTIONS.
  2. In the Options dialog box, click the AM:Standards tab.
  3. In the Standard Elements list, double-click Feature Control Frame. The Feature Control Frame Settings dialog box appears.
  4. To change the text height, in the Text section, in the Height list, select the text height.
    NoteTo acquire the base height setting from the master text settings, select the text height marked “By NameOfCurrentDraftingStandard.”
  5. To change the text color, in the Text section, in the Color list, select the color.
  6. Click OK until all dialog boxes close.
NoteIf the current drafting standard is a custom standard, you can click inside the Height box and type any text height.


To Set the Text Color and Height for Each Dimension Type Separately (Procedure)

Configure text height and color
Configure text height and color
Configure text height and color
Configuration and setup guide >
Configure text height and color
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To Set the Text Color and Height for Each Dimension Type Separately

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. In the Options dialog box, click the AM:Standards tab.
  3. In the Standard Elements list, double-click Dimension. The Dimension Settings dialog box appears.
  4. Click Edit. The Edit Dimension Styles dialog box appears.
  5. From the tree on the left, select the dimension type to set text color and height for and click Modify.
  6. Click the Text tab.
  7. In the Text color list, select a color for text.
  8. In the Text height box, type the new text height.
  9. Click OK until all dialog boxes close.

NoteIf the text color and height settings of a substyle are not the same as the base dimension style, the text color and height of the substyle do not change.


To Set the Text Color and Height for all Dimension Types (Procedure)

Configure text height and color
Configure text height and color
Configure Leaders
Configuration and setup guide >
Configure text height and color
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To Set the Text Color and Height for all Dimension Types

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. In the Options dialog box, click the AM:Standards tab.
  3. In the Standard Elements list, double-click Dimension. The Dimension Settings dialog box appears.
  4. Click Edit. The Edit Dimension Styles dialog box appears.
  5. From the tree on the left, select the base dimension style and click Modify.
  6. Click the Text tab.
  7. In the Text color list, select a color for text.
  8. In the Text height box, type the new text height.
  9. Click OK until all dialog boxes close.
NoteIf the text color and height settings of a substyle are not the same as the base dimension style, the text color and height of the substyle do not change.


Configure text height and color (Quick Reference)

Configure text height and color
Configure text height and color
Configure text height and color
Configuration and setup guide >
Configure text height and color
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Standard Settings dialog box

Sets up master settings for the current drafting standard. The elements of the standard that have their settings configured as ByNameOfCurrentDraftingStandard, automatically acquire their settings from this dialog box.

Dimension link

Link to dimension style

Links the text and leader settings to a dimension style, so that dimension styles are controlled by the drafting standard. Any change you make on this dialog box is applied to the linked dimension style. Any change you make to the linked dimension style is applied back to the text and leader settings.

When this option is selected, you can specify non-standard text heights.

Link to leader dimension style only

Restricts linking of dimension styles to the Leader dimension sub-style. Hence changes to text and leader settings are applied only to the Leader sub-style.

If this option is not selected, you link to the base dimension style. Changes to the base dimension style are automatically applied to all sub-styles, unless that setting is overridden in the sub-style. This means that if you modify the text and leader settings in this dialog box, the change is applied across all sub-styles, unless the settings are explicitly overridden in the sub-style.

Style

Displays the name of the dimension style to which leader and text settings are linked.

Text

Style

Sets the text style for use with all annotations. This setting is controlled by the drafting standard. Hence this setting can be changed only if the current drafting standard is a custom drafting standard or if the text and leader settings are linked to a dimension style.

Base height

Sets the text height to use as the base height for annotation text. If the Link to dimension style check box is selected, or if the current drafting standard is a custom drafting standard, you can specify non-standard text heights. If not, you can only select the standard text heights that are available on the list.

By default, all symbols use the base text height for symbol text. Annotations such as annotation view labels, section line labels, detail view labels and balloons, use a text height that is one size larger than the base height.

Color

Sets the color for the text category selected for base text. If you click Select Color (at the bottom of the Color list), the Select Color dialog box appears. You can also enter a color name or number.

Leader

Arrowhead

Sets the default leader arrowhead type for all annotations.

Arrow size

Sets the default leader arrowhead size for all annotations.

Color

Displays and sets the leader color for all annotations. If you click Select Color (at the bottom of the Color list), the Select Color dialog box appears. You can also enter a color name or number. If the Link to dimension style check box is selected, this setting affects the dimension line and extension line colors.

Symbols

List attach point

Sets the default attachment point for lists such as parts lists and hole charts, which are controlled by the drafting standard.

Color

Sets the color for all symbol geometry. If you click Select Color (at the bottom of the Color list), the Select Color dialog box appears. You can also enter a color name or number.

Object Properties

Let AutoCAD Mechanical manage object properties

Specifies that all objects created using AutoCAD Mechanical commands are automatically assigned properties as specified in the Object Properties Settings dialog box.

Settings

Displays the Object Property Settings dialog box, which enables you to pre configure the settings of all objects created using AutoCAD Mechanical commands.

Projection angle

Projection angle for drawing views:

Specifies the projection angle to use when generating drawing views and shaft generator views.

Restore Defaults

Returns all values to the default values for the current standard.


Configure text height and color (Quick Reference)

Configure text height and color
Configure text height and color
Configure text height and color
Configuration and setup guide >
Configure text height and color
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Annotation View Settings dialog box

Use this dialog box to set up the default labels for Annotation views.

Label

Pattern

Defines what the label of the subview should display. You can select a references to the formula from a predefined list of applicable reference by clicking [image] .

Position

Defines the position (relative to the subview) the label is displayed.

Text

Style

Defines the text style to use for labels. This option is available only if the current standard is a custom standard.

Height

Defines the text height of annotation view label. If the current standard is a custom standard, you can set any text height. If not, the system restricts you to values allowed by the drafting standard. You must select a text height from the list. If you modify the master settings for text, and apply it to all elements of the standard, the changes you make here are overwritten (by one size larger than the master text setting).

NoteWhen a text height is selected, the text color automatically changes to the default text object color for that text height. Text object colors are set from the Layer/Objects Settings dialog box (OPTIONS/AMOPTIONS command > AM:Standards tab > Layer/Objects).

Color

Sets the color for annotation view labels.

Restore Defaults

Resets all settings to the default for the current drafting standard.


Configure text height and color (Quick Reference)

Configure text height and color
Configure text height and color
Configure text height and color
Configuration and setup guide >
Configure text height and color
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Balloon Settings dialog box

Use this dialog box to configure the default settings for balloons.

Revision

Displays the name and the revision of the standard that controls the default settings of balloons.

Balloon

Provides options for setting the appearance for standard based balloons. These options are not available if the balloon style has been set to a custom balloon.

Balloon type

Displays a palette of predefined standard based balloons. The current selection is boxed. Click a balloon to set it as the default.

Balloon size factor

Specifies how many times larger than the balloon text a balloon is.

Horizontal spacing

Sets the horizontal distance (between the centers of two adjacent balloons) that must be maintained when balloons are automatically aligned.

Vertical spacing

Sets the vertical distance (between the centers of two adjacent balloons) that must be maintained when balloons are automatically aligned.

Arrowhead

Sets the arrowhead to be used for the leader termination. A palette containing standard compliant arrows appears to assist you select the desired arrowhead.

Inset Arrowhead

Sets the arrowhead to be used for leaders that do not terminate on object lines or the part reference icon ( [image] ). A palette containing standard compliant arrows appears to assist you select the desired arrowhead.

Fix balloon position

Locks balloons in the place you place them such that they won’t move when the objects they are attached to are moved.

Text

Provides options to set the text height and color for standard based balloons. These options are not available if the balloon type style is set to a custom balloon.

Height

Sets text height for balloon text.

When the height is set to ByNameOfCurrentDraftingStandard, the text height is derived from the master settings of the current drafting standard. If the master setting changes, the text height automatically changes to one size larger than the base height setting.

If the current standard is a custom standard, you can specify a non-standard text height. If not, the AutoCAD Mechanical restricts you to selecting a value from the list.

Color

Sets text color for balloon text.

When the text color is set to ByNameOfCurrentDraftingStandard, it acquires the color from the master settings of the current drafting standard. If the master setting changes, the balloon text color changes automatically.

NoteIf the text height changes, the color automatically changes to the default color corresponding to that text height. Text object colors are set from the Object Property Settings dialog box.

Leader Connection

Defines where on a custom balloon the leader connects to it. This option is not available if the current balloon style is a standard based balloon.

Restore Defaults

Resets all settings to the default settings for the current drafting standard.


Configure text height and color (Quick Reference)

Configure text height and color
Configure text height and color
Configure text height and color
Configuration and setup guide >
Configure text height and color
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Detail Symbol dialog box

Use this dialog box to configure the default settings for detail views created using the AMDETAIL command.

Label

Pattern

Defines what the detail view label should display. You can select references to the formula from a predefined list of applicable reference by clicking [image] .

Position

Defines the position the detail view label appears by default.

Text

Style

Defines the text style to use for detail view labels. This option is available only If the current standard is a custom standard.

Height

Defines the text height of detail view label.

When the height is set to ByNameOfCurrentDraftingStandard, the text height is derived from the master settings of the current drafting standard. If the master setting changes, the text height automatically changes to one size larger than the base height setting.

If the current standard is a custom standard, you can specify a non-standard text height. If not, the AutoCAD Mechanical restricts you to selecting a value from the list.

Color

Sets text color for detail view labels.

When the text color is set to ByNameOfCurrentDraftingStandard, it acquires the color from the master settings of the current drafting standard. If the master setting changes, the label text color changes automatically.

Detail Border

Linetype

Sets the linetype for the border line of detail views.

Show view border

Draws a border around detail views when you create detail views with the AMDETAIL command.

Show connection line

Provides the option to create a leader line connecting the base view and the detail view border when you create detail views with the AMDETAIL command.

Detail boundary

Arrowhead

Sets the arrowhead type for the detail symbol leader line. This option is visible only if the current drafting standard is set to ANSI.

Arrowhead size

Specifies the size of leader line arrowheads. This option is visible only if the current drafting standard is set to ANSI.

Restore Defaults

Resets all settings to the default for the current drafting standard.


Configure text height and color (Quick Reference)

Configure text height and color
Configure text height and color
Configure text height and color
Configuration and setup guide >
Configure text height and color
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Hole Chart Settings dialog box

Toolbar

Sets the default coordinates to the cartesian type. Once set, all new hole charts you create will have their coordinate type set to cartesian coordinates. This button is available only if you arrived at this dialog box via the AM:Standards tab.

Sets the default coordinates to the polar type. Once set, all new hole charts you create will have their coordinate type set to polar coordinates. This button is available only if you arrived at this dialog box via the AM:Standards tab.

Enables creation of a hole table by default. Consequently, whenever you place a hole chart in the drawing area, the AMHOLECHART command prompts you to place a hole table as well. This button is available only if you arrived at this dialog box via the AM:Standards tab. You typically use this option with ANSI hole charts.

Show

Specifies whether this dialog box displays hole chart or hole table details. Select “List of Coordinates” for hole chart details and “Hole Table” for hole table details. This option is available only if you arrived at this dialog box via the AM:Standards tab.

Displays the Hole Chart Columns dialog box. Use this dialog box to set the column defaults for hole charts. This button is available only if you arrived at this dialog box via the AM:Standards tab.

Displays the Sort dialog box to set the default sort order. This button is available only if you arrived at this dialog box via the AM:Standards tab.

Specifies that hole charts must display column headings by default. This button is available only if you arrived at this dialog box via the AM:Standards tab.

Specifies that hole charts must display a table title by default. Once set, all new hole charts you create will contain titles. This button is available only if you arrived at this dialog box via the AM:Standards tab.

Specifies that hole charts should display a grip frame by default. Once set, all new hole charts you create will contain grip frames. This button is available only if you arrived at this dialog box via the AM:Standards tab.

List of Coordinates/Hole Table

Attach Point

Sets the placement for the grip.

Title pattern

Sets the table title. You can add free text as well as a formula. To add a formula, type the equal sign character (=) as the first character of the title. The table title can display the <DefaultTitle> (evaluates to HOLE table or LIST OF COORDINATES) and <Origin> (evaluates to the hole chart origin name) variables. \P (backslash character followed by P followed by a space) inserts a line break. The [image] button enables you to pickup variables from a look up table.

Text style

Specifies the text style to use with hole chart text. This option is available only if the current drafting standard is a custom standard or if text settings are linked to dimension styles.

Heading Gap

Sets the gap between the heading and the first row in the table.

Row Gap

Sets the spacing between the rows in the table.

Line Spacing

Sets the height of the rows.

Heading text height

Sets the height of the text in the heading row.

When the text height is set to ByNameOfCurrentDraftingStandard, this setting acquires its value from the master settings of the current drafting standard. If the master setting changes, the text height changes automatically.

If the current standard is a custom standard, you can specify a non-standard text height. If not, the AutoCAD Mechanical restricts you to selecting a value from the list.

NoteWhen you change the text height, the color of the text is set to the default text object color for that text height. Text object colors are set from the Object Property Settings dialog box.

Heading text color

Defines the text color to be used for the heading row.

When the text color is set to ByNameOfCurrentDraftingStandard, it acquires the color from the master settings of the current drafting standard. If the master setting changes, the text color of heading rows change automatically.

NoteIf the text height changes, the color automatically changes to the default color corresponding to that text height. Text object colors are set from the Object Property Settings dialog box.

Data text height

Defines the text height to be used for data rows.

When the text height is set to ByNameOfCurrentDraftingStandard, this setting acquires its value from the master settings of the current drafting standard. If the master setting changes, the text height changes automatically.

NoteWhen you change the text height, the color of the text is set to the default text object color for that text height. Text object colors are set from the Object Property Settings dialog box.

Data text color

Defines the text color to be used for data rows.

When the text color is set to ByNameOfCurrentDraftingStandard, it acquires the color from the master settings of the current drafting standard. If the master setting changes, the text color of data rows change automatically.

NoteIf the text height changes, the color automatically changes to the default color corresponding to that text height. Text object colors are set from the Object Property Settings dialog box.

Points and Origin Cartesian

Label position

Specifies how labels are positioned in the drawing.

Point identifier

Specifies the format of points in the drawing.

Origin terminator

Specifies the format of the point origin in the drawing.

Text height

Sets the text height to use for hole labels and origin the origin label.

When the text height is set to ByNameOfCurrentDraftingStandard, this setting acquires its value from the master settings of the current drafting standard. If the master setting changes, the text height changes automatically.

Text color

Defines the text color to be used for hole labels and origin label.

When the text color is set to ByNameOfCurrentDraftingStandard, it acquires the color from the master settings of the current drafting standard. If the master setting changes, the text color changes automatically.

NoteIf the text height changes, the color automatically changes to the default color corresponding to that text height. Text object colors are set from the Object Property Settings dialog box.

Draw leader from point to label

Draws a leader at the point origin.

Show coordinate system

Displays coordinate system in the drawing.

Show 0 origin Indicator

Displays 0 at the point origin in the drawing.

Restore Defaults

Resets all values to default settings.


Configure text height and color (Quick Reference)

Configure text height and color
Configure text height and color
Configure text height and color
Configuration and setup guide >
Configure text height and color
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Note Settings dialog box

Use the Note Settings dialog box to customize the default settings of leader notes for the current drafting standard.

Symbol tab

Options

Show reference line

Adds a reference line from the leader to the note text. The icon to the left of the check box shows the result.

Requirements

Variables

Displays a list of functions and references to the properties of the object note can be attached to. Select an item from the list to insert it into the multiline text editor. The item appears at the cursor position.

Insert symbol

Displays a palette to enable you to insert a special character at the current cursor position in the multi-line text editor. In the rendered text mode, the editor shows the special character while in the plain text mode the editor shows the corresponding control key sequence.

Multi-line text editor

Edits note text. Use this editor to edit text, formulas, and special symbols to be displayed as note text. Use the right-click menu to access special editing tools.

Right-click menu options

Enables you to specify the formatting for the segment of text selected in the multi-line text editor. The formatting options are:

  • Underline - Toggles underlining for the selected text
  • Overline - Toggles overlining for the selected text
  • Align - Specifies how the selected text aligns with stacked text on the same line
  • Stack- Stacks two segments of text, separated by a “/” character.
  • Text Color - Specifies a color for the selected text
  • Text Height - Applies a scale factor for the selected text
  • Text Font - Specifies a font for the selected text
  • Text Width - Applies a scale factor for the width of the selected text
  • Tracking Factor - Specifies the spacing between characters of the selected text
  • Dim Style - Applies a dimension style for a numerical expression. This option is available only when a numerical expression is selected.
  • Precision - Enables you to specify a precision for a numerical expression. This option is available only if a numerical expression is selected.

Preview display mode

Specifies how note text appears in the multi-line text editor.

  • Plain Text - Displays formulas and formatting signs that define the note text.
  • Rendered Text Colored - Renders all formulas and formatting signs to preview the note.
  • Rendered Text Mono - Displays monochromatically the same text as the Rendered Text Colored mode.
TipUse the Plain Text mode to define formulas, especially if you are inserting functions. It also gives you more control over where to place references. Use a rendered mode to check the formula.

Library

Category

Displays a list of object categories for which you can create note templates.

Templates

Displays the list of available templates for the selected category.

Menu options

Add

Saves the text in the multi-line text editor as a new note template. The new template is added to the symbol library.

Delete

Deletes the selected note template from the symbol library.

Rename

Makes the template name editable. AutoCAD Mechanical validates the name you provide to ensure that the names of templates for a given category are unique.

Set default

Makes the selected template the default template for the selected category. A blue tick mark appears next to the default template name. When you attach a note to an object described by the selected category, the default template loads automatically.

Remove default

Removes the default status of the selected template. This menu option is available only on the default template. When no default template is selected, no note text appears in the multi-line text editor.

Add

Saves the content of the multi-line text editor as a new template. Prompts to name the new item.

Import

Imports templates from the symbol library of another drawing. You can only import symbols of the same standard and revision as the one you are editing.

Leader and Text tab

Leader

Arrowhead

Specifies the type of the leader arrowhead. When the arrowhead is set to ByNameOfCurrentDraftingStandard, it acquires the arrowhead from the master settings of the current drafting standard. If the master setting changes, the arrowheads of all notes that are set to ByNameOfCurrentDraftingStandard, change automatically..

Arrow size

Specifies the size of the leader arrowhead. When the arrow size is set to ByNameOfCurrentDraftingStandard, it acquires the arrow size from the master settings of the current drafting standard. If the master setting changes, the arrow size for all notes based on the current drafting standard change automatically.

Color

Specifies the color of the leader. When the leader color is set to ByNameOfCurrentDraftingStandard, it acquires the color from the master settings of the current drafting standard. If the master setting changes, the leader color of all notes based on the current drafting standard change automatically.

Text

Height

Specifies the text height for note text. When the height is set to ByNameOfCurrentDraftingStandard, it acquires the text height from the master settings of the current drafting standard. If the master setting changes, the text height of all notes based on the current drafting standard change automatically.

Color

Specifies the color of note text. When the text color is set to ByNameOfCurrentDraftingStandard, it acquires the color from the master settings of the current drafting standard. If the master setting changes, the text color of all notes based on the current drafting standard change automatically.

NoteIf the text height changes, the color automatically changes to the default color corresponding to that text height. Text object colors are set from the Object Property Settings dialog box.

Leader justification

Sets the position of the note text in relation to the leader end point.

NoteThis options is disabled for the GOST standard. However, it is available for custom standards based on the GOST standard.

Restore Defaults

Restores all settings of this dialog box to the preset default values for the current standard.


Configure text height and color (Quick Reference)

Configure text height and color
Configure text height and color
Configure text height and color
Configuration and setup guide >
Configure text height and color
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Section View Settings dialog box

Use this dialog box to specify the defaults for the AMSECTIONLINE command.

Revision

Displays most recent revision of the standard this symbol complies with.

Section label

Contains options to label the section line and section view. The settings in this section have no effect on section lines that already exist in the drawing.

Show label

Displays labels for section lines and section views.

Plane

Show all plane symbols

Labels all vertices of the section line.

Use continuous naming

Labels vertices using consecutive alphabetic characters

View

Pattern

Contains the formula that defines the label for the section view.

Displays a list of variables that can be used with the formula.

Position

Specifies the positioning of the section view label, relative to the section view.

Section line

Contains options to define the appearance of the section line.

End and bend lines

Contains options to define the line weight and color of the end portion and bends of section lines.

Lineweight

Defines the line weight of the end portion and bends of section lines.

Color

Defines the color of the end portion and bends of section lines. If you click Select Color (at the bottom of the Color list), the Select Color dialog box appears. You can also enter a color name or number.

Plane lines

Visibility

Specifies how plane lines (the section line segment between the end portion and bends) should be drawn. The available options are:

  • None - Does not draw a plane lines.
  • Continuous - Draws plane lines using the same line type and line weight as the ends and bends.
  • Between planes - Draws plane lines using the line type and line weight assigned to the Section/Viewing Plane Line object (PHANTOM2 by default) in the Object Property Settings dialog box.

Arrow

Contains options to define the appearance of the arrowhead on section lines.

Show arrows

Toggles the visibility of arrowheads on section lines.

Arrowhead

Provides a list of arrowheads to let you choose the type of arrowhead.

Arrowhead Size

Specifies the length of the arrowheads.

Color

Specifies the color of the arrowheads. Color dialog box appears. You can also enter a color name or number.

Text

Style

Sets a text style to be used for section line and section view labels. This option is available only if the drafting standard is a custom standard.

Height

Defines the text height to be used for section line and section view labels.

When the height is set to ByNameOfCurrentDraftingStandard, the text height derives from the master settings of the current drafting standard. If the master setting changes, the text height automatically changes to one size larger than the base height setting.

If the current standard is a custom standard, you can specify a non-standard text height. If not, the AutoCAD Mechanical restricts you to selecting a value from the list.

Color

Sets a color for the arrows. If you click Select Color (at the bottom of the Color list), the Select Color dialog box appears. You can also enter a color name or number.

When the text color is set to ByNameOfCurrentDraftingStandard, it acquires the color from the master settings of the current drafting standard. If the master setting changes, the text color changes automatically.

NoteIf the text height changes, the color automatically changes to the default color corresponding to that text height. Text object colors are set in the Object Property Settings dialog box.

Restore Defaults

Returns all values to the default values for the current standard.


Configure text height and color (Quick Reference)

Configure text height and color
Configure text height and color
Configure text height and color
Configuration and setup guide >
Configure text height and color
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Parts List Settings dialog box

Use this dialog box to customize the default settings for parts lists.

Revision

Displays the name and the revision of the standard that controls the default settings of parts lists.

Insertion

Insertion point

Sets the placement of the base point for parts lists. This also controls where the title of the parts list appears. If the insertion point is at the bottom, the headings and title are displayed at the bottom of the parts list and the parts are listed from bottom to top. Similarly, if the insertion point is at the top, the headings and title are displayed at the top of the parts list and the parts are listed from top to bottom.

When the Insertion Point is set to ByNameOfCurrentDraftingStandard, the insertion point is acquired from the List Attach Point setting of the master settings of the current drafting standard. If the master settings change, the insertion point automatically follows the change.

Text

Controls the default text settings for parts list heading and body rows.

Header

Style

Defines the text style to be used for the heading row. This option is available only if the current standard is a custom standard.

Control

Defines how text fits within a column, if the length of the text exceeds the column width. The fit option compresses text to fit within one line. The wrap option wraps text to the next line. The None option lets text flow to the next column.

Height

Defines the text height to be used for the heading row.

When the height is set to ByNameOfCurrentDraftingStandard, it acquires the text height from the master settings of the current drafting standard. If the master setting changes, the heading row text height changes automatically.

If the current standard is a custom standard, you can specify a non-standard text height. If not, the AutoCAD Mechanical restricts you to selecting a value from the list.

Color

Defines the text color to be used for the heading row.

When the text color is set to ByNameOfCurrentDraftingStandard, it acquires the color from the master settings of the current drafting standard. If the master setting changes, the text color of heading rows change automatically.

NoteIf the text height changes, the color automatically changes to the default color corresponding to that text height. Text object colors are set from the Object Property Settings dialog box.

Data

Style

Defines the text style to be used for the data rows. This option is available only if the current standard is a custom standard.

Control

Defines how text fits within a column, if the length of the text exceeds the column width. The fit option compresses text to fit within one line. The wrap option wraps text to the next line. The None option lets text flow to the next column.

Height

Defines the text height to be used for data rows.

When the height is set to ByNameOfCurrentDraftingStandard, it acquires the text height from the master settings of the current drafting standard. If the master setting changes, the data row text height changes automatically.

If the current standard is a custom standard, you can specify a non-standard text height. If not, the AutoCAD Mechanical restricts you to selecting a value from the list.

Color

Defines the text color to be used for the data rows.

When the text color is set to ByNameOfCurrentDraftingStandard, it acquires the color from the master settings of the current drafting standard. If the master setting changes, the text color of data rows change automatically.

NoteIf the text height changes, the color automatically changes to the default color corresponding to that text height. Text object colors are set from the Object Property Settings dialog box.

Spacing

Defines the gap between two data rows.

Internal Margins

Header

Sets the amount of white space for the heading row.

Top

Sets the distance from the top of the row to the top of the text.

Bottom

Sets the distance from the bottom of the row to the bottom of the text.

Left

Sets the distance from the left edge of a column to the left edge of left aligned text.

Right

Sets the distance from the right edge of a column to the right edge of right aligned text.

Data

Sets the amount of white space for the data rows.

Top

Sets the distance from the top of the row to the top of the text.

Bottom

Sets the distance from the bottom of the row to the bottom of the text.

Left

Sets the distance from the left edge of a column to the left edge of left aligned text.

Right

Sets the distance from the right edge of a column to the right edge of right aligned text.

Layout

Insert header

Controls whether a header row appears in the parts lists. The header row displays the column headings of the parts lists columns.

Insert title

Controls whether parts lists have a title bar. The title bar displays the name of the parts list.

Show grip frame

Controls whether the grip frame of the parts list appears. The grip frame is a frame that shows the actual extent of the parts list, which, under certain conditions, may be larger than the visible extent of the parts list.

Bold style

Sets the line style on title, header and summation rows to bold.

Filter empty references

Controls if body blocks (of a custom parts list) should be hidden, if it contains no data. This option is available only if the parts list style is set to a custom parts list.

Evaluate DSK file

Sets grouping options for custom parts list by way of a DSK file. DSK files are created using the Mask Editor. See Miscellaneous Advanced Tools for documentation on the Mask Editor.

Column splitting

Contains options to configure if column splitting is to be performed and if so, how. Column splitting refers to the ability for the entire parts list to wrap as the number of data rows grow.

Enable column splitting

Turns on column splitting.

Wrap round title block

Wraps the parts list around the title block as in the following image. You must specify the title block before inserting the part list.

Wrap left

Wraps the parts list to the left as shown below.

Wrap right

Wraps the parts list to the right as shown below.

Number of rows

Performs split after the number of rows exceeds the number you specify in the adjacent box.

Number of sections

Splits the parts list onto the specified number of sections and distributes the entries evenly.

Restore Defaults

Resets all settings to the default settings for the current drafting standard.


Configure text height and color (Quick Reference)

Configure text height and color
Configure text height and color
Configure text height and color
Configuration and setup guide >
Configure text height and color
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Datum and Feature Identifier Settings dialog box

Use the Datum and Feature Identifier Settings dialog box to specify the defaults settings of datum and feature identification symbols, for the current drafting standard.

Revision

Displays most recent revision of the standard this symbol complies with.

Leader

Arrowhead

Specifies the type of the leader arrowhead. When the arrowhead is set to ByNameOfCurrentDraftingStandard, it acquires the arrowhead from the master settings of the current drafting standard. If the master setting changes, the arrowheads for all datum and feature identifier symbols that are set to ByNameOfCurrentDraftingStandard, change automatically.

Arrow size

Specifies the size of the leader arrowhead. When the arrow size is set to ByNameOfCurrentDraftingStandard, it acquires the arrow size from the master settings of the current drafting standard. If the master setting changes, the arrow size for all datum and feature identifier symbols based on the current drafting standard change automatically.

Color

Specifies the color of the leader. When the leader color is set to ByNameOfCurrentDraftingStandard, it acquires the color from the master settings of the current drafting standard. If the master setting changes, the leader color of all datum and feature identifier symbols based on the current drafting standard change automatically.

Text

Height

Specifies the text height for symbol text. When the height is set to ByNameOfCurrentDraftingStandard, it acquires the text height from the master settings of the current drafting standard. If the master setting changes, the text height of all datum and feature identifier symbols based on the current drafting standard change automatically.

If the current standard is a custom standard, you can specify a non-standard text height. If not, the AutoCAD Mechanical restricts you to selecting a value from the list.

Color

Specifies the color of symbol text. When the text color is set to ByNameOfCurrentDraftingStandard, it acquires the color from the master settings of the current drafting standard. If the master setting changes, the text color of all datum and feature identifier symbols based on the current drafting standard change automatically.

NoteIf the text height changes, the color automatically changes to the default color corresponding to that text height. Text object colors are set from the Object Property Settings dialog box.

Restore Defaults

Returns all values to the default values for the current standard.


Configure text height and color (Quick Reference)

Configure text height and color
Configure text height and color
Configure text height and color
Configuration and setup guide >
Configure text height and color
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Datum Target Settings dialog box

Use the Datum Target Settings dialog box to configure the default settings of datum target symbols for the current standard.

Revision

Displays most recent revision of the standard this symbol complies with.

Style

Target point size

Sets the size of the target point for datum targets with point terminations. The value you set refers to half the width of the “X” the target point.

Area hatch distance

Sets the distance between hatch lines for datum targets with rectangular and circular terminations.

Hatch angle

Sets the hatch angle for datum targets with rectangular and circular terminations.

Boundary linetype

Specifies the linetype to use for the datum target boundary for datum targets with rectangular and circular terminations.

Leader

Hidden linetype

Specifies the linetype to use for the leader of datum target symbols that indicate that the datum target target is on the far side.

Draw arrowhead for point termination

Specifies whether arrowheads are drawn for datum targets with point terminations. This setting has no affect on datum target symbols that already exist in a drawing. It only affects new symbols you create.

Arrowhead

Specifies the type of the leader arrowhead. When the arrowhead is set to ByNameOfCurrentDraftingStandard, it acquires the arrowhead from the master settings of the current drafting standard. If the master setting changes, the arrowheads for all datum target symbols that are set to ByNameOfCurrentDraftingStandard, change automatically.

Arrow size

Specifies the size of the leader arrowhead. When the arrow size is set to ByNameOfCurrentDraftingStandard, it acquires the arrow size from the master settings of the current drafting standard. If the master setting changes, the arrow size for all datum target symbols based on the current drafting standard change automatically.

Color

Specifies the color of the leader. When the leader color is set to ByNameOfCurrentDraftingStandard, it acquires the color from the master settings of the current drafting standard. If the master setting changes, the leader color of all datum target symbols based on the current drafting standard change automatically.

Text

Height

Specifies the text height for symbol text. When the height is set to ByNameOfCurrentDraftingStandard, it acquires the text height from the master settings of the current drafting standard. If the master setting changes, the text height of all datum target symbols based on the current drafting standard change automatically.

If the current standard is a custom standard, you can specify a non-standard text height. If not, the AutoCAD Mechanical restricts you to selecting a value from the list.

Color

Specifies the color of symbol text. When the text color is set to ByNameOfCurrentDraftingStandard, it acquires the color from the master settings of the current drafting standard. If the master setting changes, the text color of all datum target symbols based on the current drafting standard change automatically.

NoteIf the text height changes, the color automatically changes to the default color corresponding to that text height. Text object colors are set from the Object Property Settings dialog box.

Restore Defaults

Returns all values to the default values for the current standard.


Configure text height and color (Quick Reference)

Configure text height and color
Configure text height and color
Configure text height and color
Configuration and setup guide >
Configure text height and color
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Surface Texture Settings dialog box

Use the Surface Texture Settings dialog box to specify the defaults settings of surface texture symbols, for the current drafting standard.

Revision

Displays most recent revision of the standard this symbol complies with.

Symbol type

Make circle in the vee small

Sets the size of the Machining Prohibited designation. This option is available only in custom standards.

Force Tail

Controls the default state of the Force Tail button in the Surface Texture dialog box. This button controls the availability of a tail for symbols without text.

Allow all Around

Controls the visibility of the All Around button in the Surface Texture dialog box. This option is not visible in the ANSI standard.

Add Multiple tail

Sets symbols to have an additional tail when multiple lines of text is available above the tail. This option is not visible in the ANSI standard.

NoteThis option is not available for the GOST standard.

Preset lists

Contains a set of buttons that let you customize the drop-down list that are displayed in the Surface Texture dialog box.

Edit list

Displays a dialog box that lets you customize the list at the position represented by the button location.

Majority Symbol

Sets options for the majority symbol, which indicates the state common to all surfaces, using a single collective symbol. This option is not visible of the drafting standard is ANSI.

Simplified

Sets the majority symbol to its simplified representation. Accordingly, only the basic symbol appears in parenthesis at the right of the collective indication.

Full list

Sets the majority symbol to its full representation. Accordingly, if surface texture symbols are present elsewhere in the drawing, their state is fully indicated in parenthesis at the right of the collective indication.

NoteThis option is not available for the GOST standard.

Leader

Arrowhead

Specifies the type of the leader arrowhead. When the arrowhead is set to ByNameOfCurrentDraftingStandard, it acquires the arrowhead from the master settings of the current drafting standard. If the master setting changes, the arrowheads for all surface texture symbols that are set to ByNameOfCurrentDraftingStandard, change automatically..

Arrow size

Specifies the size of the leader arrowhead. When the arrow size is set to ByNameOfCurrentDraftingStandard, it acquires the arrow size from the master settings of the current drafting standard. If the master setting changes, the arrow size for all surface texture symbols based on the current drafting standard change automatically.

Color

Specifies the color of the leader. When the leader color is set to ByNameOfCurrentDraftingStandard, it acquires the color from the master settings of the current drafting standard. If the master setting changes, the leader color of all surface texture symbols based on the current drafting standard change automatically.

Text

Height

Specifies the text height for symbol text. When the height is set to ByNameOfCurrentDraftingStandard, it acquires the text height from the master settings of the current drafting standard. If the master setting changes, the text height of all surface texture symbols based on the current drafting standard change automatically.

If the current standard is a custom standard, you can specify a non-standard text height. If not, the AutoCAD Mechanical restricts you to selecting a value from the list.

Color

Specifies the color of symbol text. When the text color is set to ByNameOfCurrentDraftingStandard, it acquires the color from the master settings of the current drafting standard. If the master setting changes, the text color of all surface texture symbols based on the current drafting standard change automatically.

NoteIf the text height changes, the color automatically changes to the default color corresponding to that text height. Text object colors are set from the Object Property Settings dialog box.

Restore Defaults

Returns all values to the default values for the current standard.


Configure text height and color (Quick Reference)

Configure text height and color
Configure text height and color
Configure text height and color
Configuration and setup guide >
Configure text height and color
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Taper and Slope Settings dialog box

Use the Taper and Slope Settings dialog box to configure the default settings of taper and slope symbols for the active standard.

Revision

Displays the name and revision of the drafting standard on which the symbol is based.

Preferred dimension type

Defines whether the calculated slope/taper rates are expressed as a percentage or a ratio, by default.

Format

Defines the format in which ratios are expressed.

Separator

Defines the ratio separator to use in the ratio format. You can use alphanumeric characters, including spaces. If you do not specify a separator, the AMTAPERSYM command uses the colon character (:) as the separator.

Leader

Arrowhead

Specifies the type of the leader arrowhead. When the arrowhead is set to ByNameOfCurrentDraftingStandard, it acquires the arrowhead from the master settings of the current drafting standard. If the master setting changes, the arrowheads for all taper/slope symbols which are set to ByNameOfCurrentDraftingStandard change automatically.

Arrow size

Specifies the size of the leader arrowhead. When the arrow size is set to ByNameOfCurrentDraftingStandard, it acquires the arrow size from the master settings of the current drafting standard. If the master setting changes, the arrow sizes for all taper/slope symbols based on the current drafting standard change automatically.

Color

Specifies the color of the leader. When the leader color is set to ByNameOfCurrentDraftingStandard, it acquires the color from the master settings of the current drafting standard. If the master setting changes, the leader color of all taper/slope symbols based on the current drafting standard changes automatically.

Text

Height

Specifies the text height for symbol text. When the height is set to ByNameOfCurrentDraftingStandard, it acquires the text height from the master settings of the current drafting standard. If the master setting changes, the text height of all taper/slope symbols based on the current drafting standard change automatically.

If the current standard is a custom standard, you can specify a non-standard text height. If not, the AutoCAD Mechanical restricts you to selecting a value from the list.

Color

Specifies the color of symbol text. When the text color is set to ByNameOfCurrentDraftingStandard, it acquires the color from the master settings of the current drafting standard. If the master setting changes, the text color of all taper/slope symbols based on the current drafting standard change automatically.

NoteIf the text height changes, the color automatically changes to the default color corresponding to that text height. Text object colors are set from the Object Property Settings dialog box.

Restore Defaults

Returns all values to the default values for the current standard.


Configure text height and color (Quick Reference)

Configure text height and color
Configure text height and color
Configure text height and color
Configuration and setup guide >
Configure text height and color
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Welding Settings dialog box

Revision

Displays most recent revision of the standard this symbol complies with.

Identification Line

Defines the appearance of identification lines. This section is not visible if the active drafting standard is ANSI, GOST, or JIS.

Line Type

Displays the linetype to use for identification lines. This option is available only for custom standards.

Gap

Sets the distance between the identification line and the reference line.

Weld Symbols

Allow ISO Standards

Makes additional ISO symbols available for selection. This option is available only for the JIS standard.

Show symbols for

Sets the symbol types. Available types are Weld Symbols, Contour Symbols, and Backing Symbols.

Symbols list

Displays a list of supplementary weld symbols supported by the system. Select the check box in front of a weld symbol to make it available for insertion via the AMWELDSYM command.

Leader

Arrowhead

Specifies the type of the leader arrowhead. When the arrowhead is set to ByNameOfCurrentDraftingStandard, it acquires the arrowhead from the master settings of the current drafting standard. If the master setting changes, the arrowheads for all welding symbols that are set to ByNameOfCurrentDraftingStandard, change automatically.

Arrow size

Specifies the size of the leader arrowhead. When the arrow size is set to ByNameOfCurrentDraftingStandard, it acquires the arrow size from the master settings of the current drafting standard. If the master setting changes, the arrow sizes for all welding symbols based on the current drafting standard change automatically.

Color

Specifies the color of the leader. When the leader color is set to ByNameOfCurrentDraftingStandard, it acquires the color from the master settings of the current drafting standard. If the master setting changes, the leader colors of all welding symbols based on the current drafting standard change automatically.

Text

Height

Specifies the text height for symbol text. When the height is set to ByNameOfCurrentDraftingStandard, it acquires the text height from the master settings of the current drafting standard. If the master setting changes, the text height of all welding symbols based on the current drafting standard changes automatically.

If the current standard is a custom standard, you can specify a non-standard text height. If not, the AutoCAD Mechanical restricts the selection to values in the list.

NoteIf the text height changes, the color automatically changes to the default color corresponding to that text height. Set text object colors in the Object Property Settings dialog box.

Color

Specifies the color of symbol text. When the text color is set to ByNameOfCurrentDraftingStandard, it acquires the color from the master settings of the current drafting standard. If the master setting changes, the text colors of all welding symbols based on the current drafting standard change automatically.

Restore Defaults

Returns all values to the default values for the current standard.


Configure text height and color (Quick Reference)

Configure text height and color
Configure text height and color
Configure text height and color
Configuration and setup guide >
Configure text height and color
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Dimension Settings dialog box

Use this dialog box to set preferences for Power Dimension commands for the current standard

Dimension style

Base dimension style

Sets the dimension style to be used as the base dimension style. All the dimension types are based on the dimension style or a variation (a sub-style).

Edit

Displays the Dimension Styles dialog box, enabling you to create, modify, and assign dimension styles.

Force power dimensions to use this dimension style

Prevents the dimension style from being overridden (via the DIMSTYLE command) during a drawing session.

Default representations

Chamfer

Displays the Chamfer Representation dialog box, enabling you to select the default chamfer dimension representation from a predefined list of representations.

Radius

Displays the Radius Representation dialog box, enabling you to select the default locations for dimension line, dimension text, and arrowhead for radius.

Diameter

Displays the Diameter Representation dialog box, enabling you to select the default locations for dimension line, dimension text, and arrowhead for diameter.

Dimension Text

Ignore AutoCAD scale factor for linear dimension measurements

Makes Power Dimensioning ignore the DIMLFAC system variable and other settings that control the linear scale.

AutoCAD Mechanical uses several scaling mechanisms such as scale areas, detail views, and annotation views, that are not available in AutoCAD. Power dimensioning recognizes the scales and automatically compensates for them. If you choose to honor AutoCAD scale factors and use different scales in different places in a drawing, AutoCAD Mechanical's scaling mechanisms may not reflect the correct dimension value.

NoteThis setting is not available for Inventor linked drawings.
NoteThis setting is not available in AutoCAD Mechanical

Predefined Text

Displays the Predefined Text dialog box, which enables you to create predefined dimension text templates for Power DImensioning commands at draw time.

Fits and Tolerances

Fits

Displays the Fits Representation dialog box, which enables you to set the default fit representation. It also provides access to the System Editor, which enables you to modify the Windows registry settings that define the existing fit representations as well as create new ones.

Tolerances

Displays the Tolerance Representation dialog box, which enables you to set the default tolerance method. It also provides access to the System Editor, which enables you to modify the Windows registry settings that define the existing tolerance methods as well as create new ones.

When a fits list requires updates

Configures how fits lists rebuild. You can choose to update fits lists schematically, have the system prompt you, or update fits lists on demand by selecting the manual option.

Placement Options

Display visual aids when creating dimensions

Displays an icon on the crosshairs when a dimension is created, indicating the type of dimension being created.

In chain dimensions, replace arrows with points for lengths less than

Defines the distance at which arrowheads are replaced with points in chain dimensions.

Use distance snaps for placement

Turns on distance snaps, which cause dimensions to snap into place as you move the dimension line in the drawing area.

Snaps value

Sets the distance from the snap position to the object being dimensioned.

Display power dimension dialog

Sets how often the Power Dimension dialog box appears during one command session.

Show text override prompt

Enables the display of the text override prompt enabling you to modify the dimension text on the command line during the dimensioning process. By default, this check box is cleared.

Restore defaults

Resets all settings to the factory settings for the current standard. If the current standard is a custom standard, the settings default to the factory settings of the standard it is derived from.


Configure text height and color (Quick Reference)

Configure text height and color
Configure text height and color
Configure Leaders
Configuration and setup guide >
Configure text height and color
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Edit Dimension Style dialog box

Use this dialog box to customize the base dimension style and its derivatives as applied to the different dimension types.

Dimension style

Shows a tree showing the base dimension style as the root and sub-styles as the leaves. Each sub-style controls the representation of the dimension type indicated by the name of the sub-style. The sub-styles have been derived from the base style and can be configured to customize the representation of one dimension type independently of the others.

Sub styles that are displayed in bold have at least one parameter that is different from the base dimension style. As you move the pointer over a sub-style, the tooltip shows the settings that have been customized.

If you change a setting in the base dimension style, the change is propagated to all sub-styles, unless the setting has been overridden in the sub-style.

Delete

Deletes dimension style overrides. This button is available only when an override is selected in the Dimension style list.

Reset

Removes overrides and synchronizes the selected dimension style with the base dimension style. If the dimension type corresponding to the selected dimension style requires mandatory overrides, they are automatically added.

Modify

Displays the Modify Dimension Style dialog box to let you change the setting for the selected dimension style.

Default format for Ordinate dimensions

Contains settings that apply to the Ordinate dimension style. The settings in this section has no impact on dimensions that already exist in the drawing.

Minus

Inserts whatever you type to the left of <> as a prefix to negative ordinate dimension text. Typically you use this to insert a “-” sign in front of the dimension text. Anything you type to the right of <> appears after the dimension text. If you delete <>, no dimension text appears.

Plus

Inserts whatever you type to the left of <> as a prefix to positive ordinate dimension text. Typically you use thito insert a “+” sign in front of the dimension text. Similarly, anything you type to the right of <> appears after the dimension text. If you delete <>, no dimension text appears.


Configure Leaders (Concept)

Configure text height and color
Configuration and setup guide
Configure Symbols
Configuration and setup guide >
Configure Leaders
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Because text and leader lines are the most common objects used for annotations, AutoCAD Mechanical provides a single configuration point (the Standard Settings dialog box) enabling you to specify their default properties. These settings are the master settings. By default, the text and leader settings for all annotations (elements of the standard) derive from the master settings. If you change the master settings, the corresponding settings in each of the elements of the standard follow. However, if you do not want specific element to follow the master settings, you can override the text settings for that element of the standard.

How master settings apply across leaders

By default, the leader color, arrowhead style, arrowhead size of annotations that use leaders are set to “By NameOfCurrentDraftingStandard.” When you change the master settings for leaders, they automatically acquire the new settings. You can override this behavior by explicitly setting a different arrowhead, color, or size for each annotation type, independently, if necessary.

Implications of linking to a dimension style

In AutoCAD, you control the appearance of leaders using the leader dimension style. If necessary, you can acquire the settings of this dimension style as the master settings for leaders. To do this, link the master settings to the leader dimension style.

Control all annotations from master settings

One of the objectives of linking dimension styles to leader and text settings is to use the Standard Settings dialog box as a single command center for controlling all annotations. To ensure that settings in this dialog box affect all dimensions, clear the Link to the leader dimension style only check box. Doing so ensures that the master settings are linked to the base dimension style. When you modify the master settings, all dimension substyles reflect the changes unless you override the settings in the substyle.

The link to dimension styles is a bi-directional link. When you modify the linked dimension style, the Standard Settings dialog box automatically reflects the changes.


Configure Leaders (Procedure)

Configure text height and color
Configure Leaders
Configure Leaders
Configuration and setup guide >
Configure Leaders
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To Configure the Master Settings for Leaders

To Link Text and Leader Master Settings to Dimension Styles

To Configure the Leader Settings of Leader Notes

To configure leader settings for surface texture symbols

To configure leader settings for welding symbols

To configure leader settings for datum and feature identifier symbols

To configure leader settings for datum target symbols

To configure leader settings for taper and slope symbols

To configure leader settings for feature control frame symbols

To Configure Leaders for Balloons


Configure Leaders (Quick Reference)

Configure text height and color
Configure Leaders
Configure Leaders
Configuration and setup guide >
Configure Leaders
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Balloon Settings dialog box

Note Settings dialog box

Datum and Feature Identifier Settings dialog box

Datum Target Settings dialog box

Surface Texture Settings dialog box

Taper and Slope Settings dialog box

Welding Settings dialog box

Marking/Stamping Settings dialog box

Standard Settings dialog box


To Configure the Master Settings for Leaders (Procedure)

Configure Leaders
Configure Leaders
Configure Leaders
Configuration and setup guide >
Configure Leaders
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To Configure the Master Settings for Leaders

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. In the Options dialog box, click the AM:Standards tab.
  3. In the Standard Elements list, double-click the root node (the standard name). The Standard Settings dialog box appears.
  4. To change the arrowhead shape, in the Arrowhead list, select the arrowhead.
  5. To change the arrow size, in the Arrow size list, select the size.
  6. To change the leader color, in the leader section, in the color list, select the color.
  7. Click OK until all dialog boxes close.


To Link Text and Leader Master Settings to Dimension Styles (Procedure)

Configure Leaders
Configure Leaders
Configure Leaders
Configuration and setup guide >
Configure Leaders
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To Link Text and Leader Master Settings to Dimension Styles

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. In the Options dialog box, click the AM:Standards tab.
  3. In the Standard Elements list, double-click the root node (the standard name). The Standard Settings dialog box appears.
  4. Select the Link to dimension style check box.
  5. To link to the Leader substyle only, select the Link to leader dimension style only check box.
    NoteIf you clear the Link to leader dimension style only check box, the leader and text settings link to the base dimension style. If you modify text or leader settings, all dimension substyles update unless the substyle overrides the setting.
  6. In the Style list, select the dimension style to link to.
  7. Click OK until all dialog boxes close.


To Configure the Leader Settings of Leader Notes (Procedure)

Configure Leaders
Configure Leaders
Configure Leaders
Configuration and setup guide >
Configure Leaders
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To Configure the Leader Settings of Leader Notes

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. In the Options dialog box, click the AM:Standards tab.
  3. In the Standard Elements list, double-click Note. The Note Settings dialog box appears.
  4. Click the Leader and Text tab.
  5. To change the Arrowhead shape, in the Leader section, in the Arrowhead list, select the arrowhead.
  6. To change the arrow size, in the Leader section, in the Arrow size list, select the size.
  7. To change the leader color, in the Leader section, in the Color list, select the color.
    NoteTo acquire the arrowhead shape, arrow size, and leader color from master settings, select the list item marked “By NameOfCurrentDraftingStandard” in the respective lists.
  8. Click OK until all dialog boxes close.


To configure leader settings for surface texture symbols (Procedure)

Configure Leaders
Configure Leaders
Configure Leaders
Configuration and setup guide >
Configure Leaders
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To configure leader settings for surface texture symbols

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. In the Options dialog box, click the AM:Standards tab.
  3. In the Standard Elements list, double-click Surface Texture. The Surface Texture Settings dialog box appears.
  4. To change the Arrowhead shape, in the Leader section, in the Arrowhead list, select the arrowhead.
  5. To change the arrow size, in the Leader section, in the Arrow size list, select the size.
  6. To change the leader color, in the Leader section, in the Color list, select the color.
    NoteTo acquire the arrowhead shape, arrow size, and leader color from master settings, select the list item marked “By NameOfCurrentDraftingStandard” in the respective lists.
  7. Click OK until all dialog boxes close.


To configure leader settings for welding symbols (Procedure)

Configure Leaders
Configure Leaders
Configure Leaders
Configuration and setup guide >
Configure Leaders
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To configure leader settings for welding symbols

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. In the Options dialog box, click the AM:Standards tab.
  3. In the Standard Elements list, double-click Welding. The Welding Settings dialog box appears.
  4. To change the Arrowhead shape, in the Leader section, in the Arrowhead list, select the arrowhead.
  5. To change the arrow size, in the Leader section, in the Arrow size list, select the size.
  6. To change the leader color, in the Leader section, in the Color list, select the color.
    NoteTo acquire the arrowhead shape, arrow size, and leader color from master settings, select the list item marked “By NameOfCurrentDraftingStandard” in the respective lists.
  7. Click OK until all dialog boxes close.


To configure leader settings for datum and feature identifier symbols (Procedure)

Configure Leaders
Configure Leaders
Configure Leaders
Configuration and setup guide >
Configure Leaders
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To configure leader settings for datum and feature identifier symbols

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. In the Options dialog box, click the AM:Standards tab.
  3. In the Standard Elements list, double-click Datum and Feature Identifier. The Datum and Feature Identifier Settings dialog box appears.
  4. To change the Arrowhead shape, in the Leader section, in the Arrowhead list, select the arrowhead.
  5. To change the arrow size, in the Leader section, in the Arrow size list, select the size.
  6. To change the leader color, in the Leader section, in the Color list, select the color.
    NoteTo acquire the arrowhead shape, arrow size, and leader color from master settings, select the list item marked “By NameOfCurrentDraftingStandard” in the respective lists.
  7. Click OK until all dialog boxes close.


To configure leader settings for datum target symbols (Procedure)

Configure Leaders
Configure Leaders
Configure Leaders
Configuration and setup guide >
Configure Leaders
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To configure leader settings for datum target symbols

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. In the Options dialog box, click the AM:Standards tab.
  3. In the Standard Elements list, double-click Datum Target. The Datum Target Settings dialog box appears.
  4. To change the Arrowhead shape, in the Leader section, in the Arrowhead list, select the arrowhead.
  5. To change the arrow size, in the Leader section, in the Arrow size list, select the size.
  6. To change the leader color, in the Leader section, in the Color list, select the color.
    NoteTo acquire the arrowhead shape, arrow size, and leader color from master settings, select the list item marked “By NameOfCurrentDraftingStandard” in the respective lists.
  7. Click OK until all dialog boxes close.


To configure leader settings for taper and slope symbols (Procedure)

Configure Leaders
Configure Leaders
Configure Leaders
Configuration and setup guide >
Configure Leaders
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To configure leader settings for taper and slope symbols

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. In the Options dialog box, click the AM:Standards tab.
  3. In the Standard Elements list, double-click Taper and Slope. The Taper and Slope Settings dialog box appears.
  4. To change the Arrowhead shape, in the Leader section, in the Arrowhead list, select the arrowhead.
  5. To change the arrow size, in the Leader section, in the Arrow size list, select the size.
  6. To change the leader color, in the Leader section, in the Color list, select the color.
    NoteTo acquire the arrowhead shape, arrow size, and leader color from master settings, select the list item marked “By NameOfCurrentDraftingStandard” in the respective lists.
  7. Click OK until all dialog boxes close.


To configure leader settings for feature control frame symbols (Procedure)

Configure Leaders
Configure Leaders
Configure Leaders
Configuration and setup guide >
Configure Leaders
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To configure leader settings for feature control frame symbols

  1. Click the None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. In the Options dialog box, click the AM:Standards tab.
  3. In the Standard Elements list, double-click Feature Control Frame. The Feature Control Frame Settings dialog box appears.
  4. To change the Arrowhead shape, in the Leader section, in the Arrowhead list, select the arrowhead.
  5. To change the arrow size, in the Leader section, in the Arrow size list, select the size.
  6. To change the leader color, in the Leader section, in the Color list, select the color.
    NoteTo acquire the arrowhead shape, arrow size, and leader color from master settings, select the list item marked “By NameOfCurrentDraftingStandard” in the respective lists.
  7. Click OK until all dialog boxes close.


To Configure Leaders for Balloons (Procedure)

Configure Leaders
Configure Leaders
Configure Symbols
Configuration and setup guide >
Configure Leaders
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To Configure Leaders for Balloons

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. In the Options dialog box, click the AM:Standards tab.
  3. In the Standard Elements list, double-click Balloon. The BOM Settings dialog box appears.
  4. In the Default style section, click [image] . The Balloon Settings dialog box appears.
  5. In the Arrowhead list, select the arrowhead.
  6. In the Color list, select the color.
    NoteTo acquire the arrowhead shape and leader color from master settings, select the list item marked “By NameOfCurrentDraftingStandard.”
  7. Click OK until all dialog boxes close.


Configure Leaders (Quick Reference)

Configure Leaders
Configure Leaders
Configure Leaders
Configuration and setup guide >
Configure Leaders
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Balloon Settings dialog box

Use this dialog box to configure the default settings for balloons.

Revision

Displays the name and the revision of the standard that controls the default settings of balloons.

Balloon

Provides options for setting the appearance for standard based balloons. These options are not available if the balloon style has been set to a custom balloon.

Balloon type

Displays a palette of predefined standard based balloons. The current selection is boxed. Click a balloon to set it as the default.

Balloon size factor

Specifies how many times larger than the balloon text a balloon is.

Horizontal spacing

Sets the horizontal distance (between the centers of two adjacent balloons) that must be maintained when balloons are automatically aligned.

Vertical spacing

Sets the vertical distance (between the centers of two adjacent balloons) that must be maintained when balloons are automatically aligned.

Arrowhead

Sets the arrowhead to be used for the leader termination. A palette containing standard compliant arrows appears to assist you select the desired arrowhead.

Inset Arrowhead

Sets the arrowhead to be used for leaders that do not terminate on object lines or the part reference icon ( [image] ). A palette containing standard compliant arrows appears to assist you select the desired arrowhead.

Fix balloon position

Locks balloons in the place you place them such that they won’t move when the objects they are attached to are moved.

Text

Provides options to set the text height and color for standard based balloons. These options are not available if the balloon type style is set to a custom balloon.

Height

Sets text height for balloon text.

When the height is set to ByNameOfCurrentDraftingStandard, the text height is derived from the master settings of the current drafting standard. If the master setting changes, the text height automatically changes to one size larger than the base height setting.

If the current standard is a custom standard, you can specify a non-standard text height. If not, the AutoCAD Mechanical restricts you to selecting a value from the list.

Color

Sets text color for balloon text.

When the text color is set to ByNameOfCurrentDraftingStandard, it acquires the color from the master settings of the current drafting standard. If the master setting changes, the balloon text color changes automatically.

NoteIf the text height changes, the color automatically changes to the default color corresponding to that text height. Text object colors are set from the Object Property Settings dialog box.

Leader Connection

Defines where on a custom balloon the leader connects to it. This option is not available if the current balloon style is a standard based balloon.

Restore Defaults

Resets all settings to the default settings for the current drafting standard.


Configure Leaders (Quick Reference)

Configure Leaders
Configure Leaders
Configure Leaders
Configuration and setup guide >
Configure Leaders
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Note Settings dialog box

Use the Note Settings dialog box to customize the default settings of leader notes for the current drafting standard.

Symbol tab

Options

Show reference line

Adds a reference line from the leader to the note text. The icon to the left of the check box shows the result.

Requirements

Variables

Displays a list of functions and references to the properties of the object note can be attached to. Select an item from the list to insert it into the multiline text editor. The item appears at the cursor position.

Insert symbol

Displays a palette to enable you to insert a special character at the current cursor position in the multi-line text editor. In the rendered text mode, the editor shows the special character while in the plain text mode the editor shows the corresponding control key sequence.

Multi-line text editor

Edits note text. Use this editor to edit text, formulas, and special symbols to be displayed as note text. Use the right-click menu to access special editing tools.

Right-click menu options

Enables you to specify the formatting for the segment of text selected in the multi-line text editor. The formatting options are:

  • Underline - Toggles underlining for the selected text
  • Overline - Toggles overlining for the selected text
  • Align - Specifies how the selected text aligns with stacked text on the same line
  • Stack- Stacks two segments of text, separated by a “/” character.
  • Text Color - Specifies a color for the selected text
  • Text Height - Applies a scale factor for the selected text
  • Text Font - Specifies a font for the selected text
  • Text Width - Applies a scale factor for the width of the selected text
  • Tracking Factor - Specifies the spacing between characters of the selected text
  • Dim Style - Applies a dimension style for a numerical expression. This option is available only when a numerical expression is selected.
  • Precision - Enables you to specify a precision for a numerical expression. This option is available only if a numerical expression is selected.

Preview display mode

Specifies how note text appears in the multi-line text editor.

  • Plain Text - Displays formulas and formatting signs that define the note text.
  • Rendered Text Colored - Renders all formulas and formatting signs to preview the note.
  • Rendered Text Mono - Displays monochromatically the same text as the Rendered Text Colored mode.
TipUse the Plain Text mode to define formulas, especially if you are inserting functions. It also gives you more control over where to place references. Use a rendered mode to check the formula.

Library

Category

Displays a list of object categories for which you can create note templates.

Templates

Displays the list of available templates for the selected category.

Menu options

Add

Saves the text in the multi-line text editor as a new note template. The new template is added to the symbol library.

Delete

Deletes the selected note template from the symbol library.

Rename

Makes the template name editable. AutoCAD Mechanical validates the name you provide to ensure that the names of templates for a given category are unique.

Set default

Makes the selected template the default template for the selected category. A blue tick mark appears next to the default template name. When you attach a note to an object described by the selected category, the default template loads automatically.

Remove default

Removes the default status of the selected template. This menu option is available only on the default template. When no default template is selected, no note text appears in the multi-line text editor.

Add

Saves the content of the multi-line text editor as a new template. Prompts to name the new item.

Import

Imports templates from the symbol library of another drawing. You can only import symbols of the same standard and revision as the one you are editing.

Leader and Text tab

Leader

Arrowhead

Specifies the type of the leader arrowhead. When the arrowhead is set to ByNameOfCurrentDraftingStandard, it acquires the arrowhead from the master settings of the current drafting standard. If the master setting changes, the arrowheads of all notes that are set to ByNameOfCurrentDraftingStandard, change automatically..

Arrow size

Specifies the size of the leader arrowhead. When the arrow size is set to ByNameOfCurrentDraftingStandard, it acquires the arrow size from the master settings of the current drafting standard. If the master setting changes, the arrow size for all notes based on the current drafting standard change automatically.

Color

Specifies the color of the leader. When the leader color is set to ByNameOfCurrentDraftingStandard, it acquires the color from the master settings of the current drafting standard. If the master setting changes, the leader color of all notes based on the current drafting standard change automatically.

Text

Height

Specifies the text height for note text. When the height is set to ByNameOfCurrentDraftingStandard, it acquires the text height from the master settings of the current drafting standard. If the master setting changes, the text height of all notes based on the current drafting standard change automatically.

Color

Specifies the color of note text. When the text color is set to ByNameOfCurrentDraftingStandard, it acquires the color from the master settings of the current drafting standard. If the master setting changes, the text color of all notes based on the current drafting standard change automatically.

NoteIf the text height changes, the color automatically changes to the default color corresponding to that text height. Text object colors are set from the Object Property Settings dialog box.

Leader justification

Sets the position of the note text in relation to the leader end point.

NoteThis options is disabled for the GOST standard. However, it is available for custom standards based on the GOST standard.

Restore Defaults

Restores all settings of this dialog box to the preset default values for the current standard.


Configure Leaders (Quick Reference)

Configure Leaders
Configure Leaders
Configure Leaders
Configuration and setup guide >
Configure Leaders
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Datum and Feature Identifier Settings dialog box

Use the Datum and Feature Identifier Settings dialog box to specify the defaults settings of datum and feature identification symbols, for the current drafting standard.

Revision

Displays most recent revision of the standard this symbol complies with.

Leader

Arrowhead

Specifies the type of the leader arrowhead. When the arrowhead is set to ByNameOfCurrentDraftingStandard, it acquires the arrowhead from the master settings of the current drafting standard. If the master setting changes, the arrowheads for all datum and feature identifier symbols that are set to ByNameOfCurrentDraftingStandard, change automatically.

Arrow size

Specifies the size of the leader arrowhead. When the arrow size is set to ByNameOfCurrentDraftingStandard, it acquires the arrow size from the master settings of the current drafting standard. If the master setting changes, the arrow size for all datum and feature identifier symbols based on the current drafting standard change automatically.

Color

Specifies the color of the leader. When the leader color is set to ByNameOfCurrentDraftingStandard, it acquires the color from the master settings of the current drafting standard. If the master setting changes, the leader color of all datum and feature identifier symbols based on the current drafting standard change automatically.

Text

Height

Specifies the text height for symbol text. When the height is set to ByNameOfCurrentDraftingStandard, it acquires the text height from the master settings of the current drafting standard. If the master setting changes, the text height of all datum and feature identifier symbols based on the current drafting standard change automatically.

If the current standard is a custom standard, you can specify a non-standard text height. If not, the AutoCAD Mechanical restricts you to selecting a value from the list.

Color

Specifies the color of symbol text. When the text color is set to ByNameOfCurrentDraftingStandard, it acquires the color from the master settings of the current drafting standard. If the master setting changes, the text color of all datum and feature identifier symbols based on the current drafting standard change automatically.

NoteIf the text height changes, the color automatically changes to the default color corresponding to that text height. Text object colors are set from the Object Property Settings dialog box.

Restore Defaults

Returns all values to the default values for the current standard.


Configure Leaders (Quick Reference)

Configure Leaders
Configure Leaders
Configure Leaders
Configuration and setup guide >
Configure Leaders
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Datum Target Settings dialog box

Use the Datum Target Settings dialog box to configure the default settings of datum target symbols for the current standard.

Revision

Displays most recent revision of the standard this symbol complies with.

Style

Target point size

Sets the size of the target point for datum targets with point terminations. The value you set refers to half the width of the “X” the target point.

Area hatch distance

Sets the distance between hatch lines for datum targets with rectangular and circular terminations.

Hatch angle

Sets the hatch angle for datum targets with rectangular and circular terminations.

Boundary linetype

Specifies the linetype to use for the datum target boundary for datum targets with rectangular and circular terminations.

Leader

Hidden linetype

Specifies the linetype to use for the leader of datum target symbols that indicate that the datum target target is on the far side.

Draw arrowhead for point termination

Specifies whether arrowheads are drawn for datum targets with point terminations. This setting has no affect on datum target symbols that already exist in a drawing. It only affects new symbols you create.

Arrowhead

Specifies the type of the leader arrowhead. When the arrowhead is set to ByNameOfCurrentDraftingStandard, it acquires the arrowhead from the master settings of the current drafting standard. If the master setting changes, the arrowheads for all datum target symbols that are set to ByNameOfCurrentDraftingStandard, change automatically.

Arrow size

Specifies the size of the leader arrowhead. When the arrow size is set to ByNameOfCurrentDraftingStandard, it acquires the arrow size from the master settings of the current drafting standard. If the master setting changes, the arrow size for all datum target symbols based on the current drafting standard change automatically.

Color

Specifies the color of the leader. When the leader color is set to ByNameOfCurrentDraftingStandard, it acquires the color from the master settings of the current drafting standard. If the master setting changes, the leader color of all datum target symbols based on the current drafting standard change automatically.

Text

Height

Specifies the text height for symbol text. When the height is set to ByNameOfCurrentDraftingStandard, it acquires the text height from the master settings of the current drafting standard. If the master setting changes, the text height of all datum target symbols based on the current drafting standard change automatically.

If the current standard is a custom standard, you can specify a non-standard text height. If not, the AutoCAD Mechanical restricts you to selecting a value from the list.

Color

Specifies the color of symbol text. When the text color is set to ByNameOfCurrentDraftingStandard, it acquires the color from the master settings of the current drafting standard. If the master setting changes, the text color of all datum target symbols based on the current drafting standard change automatically.

NoteIf the text height changes, the color automatically changes to the default color corresponding to that text height. Text object colors are set from the Object Property Settings dialog box.

Restore Defaults

Returns all values to the default values for the current standard.


Configure Leaders (Quick Reference)

Configure Leaders
Configure Leaders
Configure Leaders
Configuration and setup guide >
Configure Leaders
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Surface Texture Settings dialog box

Use the Surface Texture Settings dialog box to specify the defaults settings of surface texture symbols, for the current drafting standard.

Revision

Displays most recent revision of the standard this symbol complies with.

Symbol type

Make circle in the vee small

Sets the size of the Machining Prohibited designation. This option is available only in custom standards.

Force Tail

Controls the default state of the Force Tail button in the Surface Texture dialog box. This button controls the availability of a tail for symbols without text.

Allow all Around

Controls the visibility of the All Around button in the Surface Texture dialog box. This option is not visible in the ANSI standard.

Add Multiple tail

Sets symbols to have an additional tail when multiple lines of text is available above the tail. This option is not visible in the ANSI standard.

NoteThis option is not available for the GOST standard.

Preset lists

Contains a set of buttons that let you customize the drop-down list that are displayed in the Surface Texture dialog box.

Edit list

Displays a dialog box that lets you customize the list at the position represented by the button location.

Majority Symbol

Sets options for the majority symbol, which indicates the state common to all surfaces, using a single collective symbol. This option is not visible of the drafting standard is ANSI.

Simplified

Sets the majority symbol to its simplified representation. Accordingly, only the basic symbol appears in parenthesis at the right of the collective indication.

Full list

Sets the majority symbol to its full representation. Accordingly, if surface texture symbols are present elsewhere in the drawing, their state is fully indicated in parenthesis at the right of the collective indication.

NoteThis option is not available for the GOST standard.

Leader

Arrowhead

Specifies the type of the leader arrowhead. When the arrowhead is set to ByNameOfCurrentDraftingStandard, it acquires the arrowhead from the master settings of the current drafting standard. If the master setting changes, the arrowheads for all surface texture symbols that are set to ByNameOfCurrentDraftingStandard, change automatically..

Arrow size

Specifies the size of the leader arrowhead. When the arrow size is set to ByNameOfCurrentDraftingStandard, it acquires the arrow size from the master settings of the current drafting standard. If the master setting changes, the arrow size for all surface texture symbols based on the current drafting standard change automatically.

Color

Specifies the color of the leader. When the leader color is set to ByNameOfCurrentDraftingStandard, it acquires the color from the master settings of the current drafting standard. If the master setting changes, the leader color of all surface texture symbols based on the current drafting standard change automatically.

Text

Height

Specifies the text height for symbol text. When the height is set to ByNameOfCurrentDraftingStandard, it acquires the text height from the master settings of the current drafting standard. If the master setting changes, the text height of all surface texture symbols based on the current drafting standard change automatically.

If the current standard is a custom standard, you can specify a non-standard text height. If not, the AutoCAD Mechanical restricts you to selecting a value from the list.

Color

Specifies the color of symbol text. When the text color is set to ByNameOfCurrentDraftingStandard, it acquires the color from the master settings of the current drafting standard. If the master setting changes, the text color of all surface texture symbols based on the current drafting standard change automatically.

NoteIf the text height changes, the color automatically changes to the default color corresponding to that text height. Text object colors are set from the Object Property Settings dialog box.

Restore Defaults

Returns all values to the default values for the current standard.


Configure Leaders (Quick Reference)

Configure Leaders
Configure Leaders
Configure Leaders
Configuration and setup guide >
Configure Leaders
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Taper and Slope Settings dialog box

Use the Taper and Slope Settings dialog box to configure the default settings of taper and slope symbols for the active standard.

Revision

Displays the name and revision of the drafting standard on which the symbol is based.

Preferred dimension type

Defines whether the calculated slope/taper rates are expressed as a percentage or a ratio, by default.

Format

Defines the format in which ratios are expressed.

Separator

Defines the ratio separator to use in the ratio format. You can use alphanumeric characters, including spaces. If you do not specify a separator, the AMTAPERSYM command uses the colon character (:) as the separator.

Leader

Arrowhead

Specifies the type of the leader arrowhead. When the arrowhead is set to ByNameOfCurrentDraftingStandard, it acquires the arrowhead from the master settings of the current drafting standard. If the master setting changes, the arrowheads for all taper/slope symbols which are set to ByNameOfCurrentDraftingStandard change automatically.

Arrow size

Specifies the size of the leader arrowhead. When the arrow size is set to ByNameOfCurrentDraftingStandard, it acquires the arrow size from the master settings of the current drafting standard. If the master setting changes, the arrow sizes for all taper/slope symbols based on the current drafting standard change automatically.

Color

Specifies the color of the leader. When the leader color is set to ByNameOfCurrentDraftingStandard, it acquires the color from the master settings of the current drafting standard. If the master setting changes, the leader color of all taper/slope symbols based on the current drafting standard changes automatically.

Text

Height

Specifies the text height for symbol text. When the height is set to ByNameOfCurrentDraftingStandard, it acquires the text height from the master settings of the current drafting standard. If the master setting changes, the text height of all taper/slope symbols based on the current drafting standard change automatically.

If the current standard is a custom standard, you can specify a non-standard text height. If not, the AutoCAD Mechanical restricts you to selecting a value from the list.

Color

Specifies the color of symbol text. When the text color is set to ByNameOfCurrentDraftingStandard, it acquires the color from the master settings of the current drafting standard. If the master setting changes, the text color of all taper/slope symbols based on the current drafting standard change automatically.

NoteIf the text height changes, the color automatically changes to the default color corresponding to that text height. Text object colors are set from the Object Property Settings dialog box.

Restore Defaults

Returns all values to the default values for the current standard.


Configure Leaders (Quick Reference)

Configure Leaders
Configure Leaders
Configure Leaders
Configuration and setup guide >
Configure Leaders
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Welding Settings dialog box

Revision

Displays most recent revision of the standard this symbol complies with.

Identification Line

Defines the appearance of identification lines. This section is not visible if the active drafting standard is ANSI, GOST, or JIS.

Line Type

Displays the linetype to use for identification lines. This option is available only for custom standards.

Gap

Sets the distance between the identification line and the reference line.

Weld Symbols

Allow ISO Standards

Makes additional ISO symbols available for selection. This option is available only for the JIS standard.

Show symbols for

Sets the symbol types. Available types are Weld Symbols, Contour Symbols, and Backing Symbols.

Symbols list

Displays a list of supplementary weld symbols supported by the system. Select the check box in front of a weld symbol to make it available for insertion via the AMWELDSYM command.

Leader

Arrowhead

Specifies the type of the leader arrowhead. When the arrowhead is set to ByNameOfCurrentDraftingStandard, it acquires the arrowhead from the master settings of the current drafting standard. If the master setting changes, the arrowheads for all welding symbols that are set to ByNameOfCurrentDraftingStandard, change automatically.

Arrow size

Specifies the size of the leader arrowhead. When the arrow size is set to ByNameOfCurrentDraftingStandard, it acquires the arrow size from the master settings of the current drafting standard. If the master setting changes, the arrow sizes for all welding symbols based on the current drafting standard change automatically.

Color

Specifies the color of the leader. When the leader color is set to ByNameOfCurrentDraftingStandard, it acquires the color from the master settings of the current drafting standard. If the master setting changes, the leader colors of all welding symbols based on the current drafting standard change automatically.

Text

Height

Specifies the text height for symbol text. When the height is set to ByNameOfCurrentDraftingStandard, it acquires the text height from the master settings of the current drafting standard. If the master setting changes, the text height of all welding symbols based on the current drafting standard changes automatically.

If the current standard is a custom standard, you can specify a non-standard text height. If not, the AutoCAD Mechanical restricts the selection to values in the list.

NoteIf the text height changes, the color automatically changes to the default color corresponding to that text height. Set text object colors in the Object Property Settings dialog box.

Color

Specifies the color of symbol text. When the text color is set to ByNameOfCurrentDraftingStandard, it acquires the color from the master settings of the current drafting standard. If the master setting changes, the text colors of all welding symbols based on the current drafting standard change automatically.

Restore Defaults

Returns all values to the default values for the current standard.


Configure Leaders (Quick Reference)

Configure Leaders
Configure Leaders
Configure Leaders
Configuration and setup guide >
Configure Leaders
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Marking/Stamping Settings dialog box

Use the Marking/Stamping Settings dialog box to specify the default settings for the marking symbol and stamping symbol.

Revision

Displays most recent revision of the standard with which this symbol complies.

Preset Lists

Select the items to appear in the marking or stamping method and content drop-down lists.

Show requirements for

Displays the items that can appear in each list. A check mark indicates that the item is included in the list.

Leader

Arrowhead

Specifies the type of the leader arrowhead. When the arrowhead is set to By NameOfCurrentDraftingStandard, it acquires the arrowhead from the master settings of the current drafting standard. If the master setting changes, the arrowheads for all marking/stamping symbols that are set to ByNameOfCurrentDraftingStandard changes automatically..

Arrow size

Specifies the size of the leader arrowhead. When the arrow size is set to ByNameOfCurrentDraftingStandard, it acquires the arrow size from the master settings of the current drafting standard. If the master setting changes, the arrow size for all marking/stamping symbols based on the current drafting standard changes automatically.

Color

Specifies the color of the leader. When the leader color is set to ByNameOfCurrentDraftingStandard, it acquires the color from the master settings of the current drafting standard. If the master setting changes, the leader color of all marking/stamping symbols based on the current drafting standard changes automatically.

Text

Height

Specifies the text height for symbol text. When the height is set to By NameOfCurrentDraftingStandard, it acquires the text height from the master settings of the current drafting standard. If the master setting changes, the text height of all marking/stamping symbols based on the current drafting standard changes automatically.

If the current standard is a custom standard, you can specify a non-standard text height. If not, the AutoCAD Mechanical restricts you to selecting a value from the list.

Color

Specifies the color of symbol text. When the text color is set to By NameOfCurrentDraftingStandard, it acquires the color from the master settings of the current drafting standard. If the master setting changes, the text color of all marking/stamping symbols based on the current drafting standard changes automatically.

NoteIf the text height changes, the color automatically changes to the default color corresponding to that text height. Text object colors are set from the Object Property Settings dialog box.

Restore Defaults

Returns all values to the default values for the current standard.


Configure Leaders (Quick Reference)

Configure Leaders
Configure Leaders
Select the Appropriate Revision of the Drafting Standard for Symbols
Configuration and setup guide >
Configure Leaders
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Standard Settings dialog box

Sets up master settings for the current drafting standard. The elements of the standard that have their settings configured as ByNameOfCurrentDraftingStandard, automatically acquire their settings from this dialog box.

Dimension link

Link to dimension style

Links the text and leader settings to a dimension style, so that dimension styles are controlled by the drafting standard. Any change you make on this dialog box is applied to the linked dimension style. Any change you make to the linked dimension style is applied back to the text and leader settings.

When this option is selected, you can specify non-standard text heights.

Link to leader dimension style only

Restricts linking of dimension styles to the Leader dimension sub-style. Hence changes to text and leader settings are applied only to the Leader sub-style.

If this option is not selected, you link to the base dimension style. Changes to the base dimension style are automatically applied to all sub-styles, unless that setting is overridden in the sub-style. This means that if you modify the text and leader settings in this dialog box, the change is applied across all sub-styles, unless the settings are explicitly overridden in the sub-style.

Style

Displays the name of the dimension style to which leader and text settings are linked.

Text

Style

Sets the text style for use with all annotations. This setting is controlled by the drafting standard. Hence this setting can be changed only if the current drafting standard is a custom drafting standard or if the text and leader settings are linked to a dimension style.

Base height

Sets the text height to use as the base height for annotation text. If the Link to dimension style check box is selected, or if the current drafting standard is a custom drafting standard, you can specify non-standard text heights. If not, you can only select the standard text heights that are available on the list.

By default, all symbols use the base text height for symbol text. Annotations such as annotation view labels, section line labels, detail view labels and balloons, use a text height that is one size larger than the base height.

Color

Sets the color for the text category selected for base text. If you click Select Color (at the bottom of the Color list), the Select Color dialog box appears. You can also enter a color name or number.

Leader

Arrowhead

Sets the default leader arrowhead type for all annotations.

Arrow size

Sets the default leader arrowhead size for all annotations.

Color

Displays and sets the leader color for all annotations. If you click Select Color (at the bottom of the Color list), the Select Color dialog box appears. You can also enter a color name or number. If the Link to dimension style check box is selected, this setting affects the dimension line and extension line colors.

Symbols

List attach point

Sets the default attachment point for lists such as parts lists and hole charts, which are controlled by the drafting standard.

Color

Sets the color for all symbol geometry. If you click Select Color (at the bottom of the Color list), the Select Color dialog box appears. You can also enter a color name or number.

Object Properties

Let AutoCAD Mechanical manage object properties

Specifies that all objects created using AutoCAD Mechanical commands are automatically assigned properties as specified in the Object Properties Settings dialog box.

Settings

Displays the Object Property Settings dialog box, which enables you to pre configure the settings of all objects created using AutoCAD Mechanical commands.

Projection angle

Projection angle for drawing views:

Specifies the projection angle to use when generating drawing views and shaft generator views.

Restore Defaults

Returns all values to the default values for the current standard.


Configure Symbols

Configure Leaders
Configuration and setup guide
Overview of Configuration Tasks
Configuration and setup guide >
Configure Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

Topics in this section

  • Overview of Configuration Tasks
  • Select the Appropriate Revision of the Drafting Standard for Symbols
  • Configure the Symbol Library for Reusing Symbols
  • Surface Texture Symbols
  • Welding Symbols
  • Edge Symbols
  • Feature Control Frames
  • Taper and Slope symbols
  • Datum and Feature Identification Symbols
  • Datum target symbols
  • Marking/Stamping Symbol
  • Dead Joint Symbols
  • Leader Notes


Configure Symbols (Procedure)

Configure Leaders
Configure Symbols
Select the Appropriate Revision of the Drafting Standard for Symbols
Configuration and setup guide >
Configure Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

To Select the Appropriate Revision

To insert a symbol that is not supported by the GOST standard

To import the symbol libraries from another drawing


Overview of Configuration Tasks

Configure Symbols
Configure Symbols
Select the Appropriate Revision of the Drafting Standard for Symbols
Configuration and setup guide > Configure Symbols >
Overview of Configuration Tasks
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

When you select a drafting standard, AutoCAD Mechanical uses a set of symbols that comply with the standard. You can perform the following additional configuration operations:

  • Select the appropriate revision (in case more than one revision exists for a given standard)
  • Configure symbol text
  • Configure symbol leaders
  • Configure settings of each symbol type

In general, if you modify the settings of a symbol during a drawing session, all existing symbols update. However, if you change the drafting standard (or the revision) in the middle of a drawing session, and then change symbol settings, only the symbols you created after changing the standard update. Symbols that you created before changing standards do not update, since they are not based on the current drafting standard.

If you save a drawing containing symbols to an older version of AutoCAD Mechanical that does not support the options you have used, AutoCAD Mechanical may convert the symbols to blocks in order to maintain visual fidelity. However, if you limit configuration to overriding the master text or leader settings, the symbols do not convert to blocks. Instead, the text and leader overrides are reset to the master settings.


Select the Appropriate Revision of the Drafting Standard for Symbols (Concept)

Overview of Configuration Tasks
Configure Symbols
Configure the Symbol Library for Reusing Symbols
Configuration and setup guide > Configure Symbols >
Select the Appropriate Revision of the Drafting Standard for Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

For some drafting standards, AutoCAD Mechanical supports more than one revision of the standard for symbols.

For example, when the drafting standard is ISO, AutoCAD Mechanical supports ISO 13715 - 2000 edge symbols as well as ISO/DIS 13715 - 1984 edge symbols. Since the options supported for one revision differs from the other, selecting the drafting standard alone is not enough; you must also the correct revision of the standard. The AM:Standards tab of the Options dialog box lists the revisions below the symbol, as shown in the following figure.

If the revision you need is unavailable, insert the standard first.

In some cases, when the selected drafting standard doesn’t support a symbol, you can insert the symbol from another standard. For example, the GOST standard does not support datum target symbols. However you can insert the ISO datum target symbol and use it in a GOST drawing.


Select the Appropriate Revision of the Drafting Standard for Symbols (Procedure)

Configure Symbols
Up a level to ..
Select the Appropriate Revision of the Drafting Standard for Symbols
Configuration and setup guide > Configure Symbols >
Select the Appropriate Revision of the Drafting Standard for Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To Select the Appropriate Revision

To insert a symbol that is not supported by the GOST standard


To Select the Appropriate Revision (Procedure)

Select the Appropriate Revision of the Drafting Standard for Symbols
Up a level to ..
Select the Appropriate Revision of the Drafting Standard for Symbols
Configuration and setup guide > Configure Symbols >
Select the Appropriate Revision of the Drafting Standard for Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To Select the Appropriate Revision

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. In the Options dialog box, click the AM:Standards tab.
  3. In the Standard Elements list, expand the symbol node on the tree.
    NoteYou can expand the symbol node only if more than one revision exists for that symbol.
  4. Right-click the revision to select.
  5. In the context menu, click Set Current.

    If Set Current is unavailable, click Insert Standard.

  6. Click OK until all dialog boxes close.


To insert a symbol that is not supported by the GOST standard (Procedure)

Select the Appropriate Revision of the Drafting Standard for Symbols
Up a level to ..
Configure the Symbol Library for Reusing Symbols
Configuration and setup guide > Configure Symbols >
Select the Appropriate Revision of the Drafting Standard for Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To insert a symbol that is not supported by the GOST standard

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. In the Standard Elements list, right-click the unsupported symbol. A menu appears.
    NoteUnsupported symbols are dimmed in the Standard Elements list.
  3. From the menu, click Insert Standard. The program activates the symbol and makes it available for insertion to the drawing.


Select the Appropriate Revision of the Drafting Standard for Symbols (Quick Reference)

Configure Leaders
Select the Appropriate Revision of the Drafting Standard for Symbols
Configure the Symbol Library for Reusing Symbols
Configuration and setup guide > Configure Symbols >
Select the Appropriate Revision of the Drafting Standard for Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AM:Standards tab of the Options dialog box

Use this dialog box to set preferences that are typically governed by a drafting standard.

Standard

Standard

Specifies the drafting standard to be used in the drawing.

If you switch the standard, settings for all elements of the standard change accordingly. However, none of the existing drawing objects are affected. Only the new objects you draw follow the new standard.

To create a custom standard (user-defined standard), type a name for the standard in this box and press ENTER.

Apply new settings to layers when standard is created or changed

Controls if Layer and Object settings change (along with the settings for other elements of the standard) if the standard is switched.

Measurement

Sets the units of measurement to be used in the current drawing.

If you change the units, you are prompted to confirm if the system should perform text scaling. No length scaling is performed.

Model Scale

Sets the scale to be used for text and symbols for the drawing in model space.

Use 1:1 Scale in Layout

Specifies that a 1:1 scale is used in layout, irrespective of the scale selected for model space.

.

Use Selected Scale in Layout

Specifies that the model space scale is used in layout as well.

Default standards template

Specifies the template the system picks the standard settings from, in case you open an AutoCAD Drawing (as opposed to an AutoCAD Mechanical drawing) or if you choose to create a drawing without using a template.

Note
  1. Only standard dependent settings come from the default template.
  2. If there is a unit mismatch between the default template and the AutoCAD drawing you are opening, the default template setting is ignored and the system behaves as though no default template is specified.
  3. If you are creating a drawing without a template and the units you selected do not match the default template units, the default template setting is ignored and the system behaves as though no default template is specified.
  4. If no default template is specified, the system automatically selects the most appropriate standard based on the type of units in the drawing you are opening.

Standard Elements

Displays a list of elements of the standard in the form of a tree.

They root of the tree shows the current drafting standard. Double-click the root to display a dialog box containing the master settings for the standard. Double-click an element to display its properties dialog box. From this dialog box, you can override the default settings as well as the settings inherited from the master settings.

Overrides are applied only to the objects created under the current drafting standard. For example, if you created a note while the standard was set to ISO, and then switched the standard to DIN, and you then override the text color settings for notes, only the notes created after you switched to DIN are affected. The note you created under ISO does not change color.

TipTo find out what standard an object was created under, display the properties of that object.

For some items such as Feature Control Frames, more than one revision of a standard is available. Right click the revision you want to make active and select Set Current. If Set Current is not available, select Insert Standard

Setup Drawing

Starts a wizard that enables you to import the settings for the elements of the standard, from an AutoCAD Mechanical drawing or drawing template.

Right-click menu items

Remove

Makes the selected item unavailable for implementation. For example, if you remove notes, and later on if you invoke the AMNOTE command, a message appears to inform you that the feature is unavailable for the selected standard.

Properties

Displays a dialog box containing the properties for the selected item. This dialog box is used to override the default settings for this item.

Default

Removes all overrides for the selected item and resets its properties to the default settings.

Insert standard

Inserts an item that was removed previously. If the item contained overrides before removal, they are not available when you reinsert the item.


Configure the Symbol Library for Reusing Symbols (Concept)

Select the Appropriate Revision of the Drafting Standard for Symbols
Configure Symbols
Surface Texture Symbols
Configuration and setup guide > Configure Symbols >
Configure the Symbol Library for Reusing Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Several symbols support a symbol library. This feature enables you to save frequently used symbols in the library and insert them into a drawing directly from the ribbon.

Typically, the symbol library is built as you annotate drawings. After that, use the AMSETUPDWG command to update the company template. This enables others to reuse these symbols on drawings that use that template.

To update the company template, import the library from a drawing that already has a fully configured symbol library. When you import, use the Replace option and replace the symbol library in the template with the library from the drawing. Although this operation deletes the existing library in the template, it eliminates the need to clean up the symbol library after importing.

Often, it is not desirable to clean up the symbol library after importing it into a template. We recommend that you perform all clean-up operations in the source drawing before you import the symbol library into the company template. To access the symbol library and clean it up, create a symbol. Typically, drawing templates must not have any geometry or annotations related to parts in the drawing area.

A typical clean-up operation involves ensuring that the symbol library:

  • Contains all the symbols that are currently in the company template.
  • Does not contain duplicates (symbols that have the same settings, but with different names).

The AMSETUPDWG command can only import settings from a DWT file. Before importing the symbol libraries from a DWG file, save the file as a DWT file, making it selectable for import within AMSETUPDWG.

The following symbols currently support symbol libraries

  • Leader notes
  • Feature control frame symbols
  • Surface texture symbols
  • Edge symbols
  • Dead joint symbols


To import the symbol libraries from another drawing (Procedure)

Select the Appropriate Revision of the Drafting Standard for Symbols
Up a level to ..
Surface Texture Symbols
Configuration and setup guide > Configure Symbols >
Configure the Symbol Library for Reusing Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To import the symbol libraries from another drawing

  1. Click [image] [image] Drawing Utilities [image] Setup Drawing.
  2. In the Drawing Setup dialog box, click Overwrite Settings.
  3. At the command prompt enter W for the Wizard option.
  4. Select the Import Settings from drawing template option.
  5. Click Browse
  6. Select the file to import the symbol library from and click Open.
    NoteTo import from a .dwg file, you must first save it as a .dwt file and then import from the dwt file.
  7. Click Next.
  8. Select the import options.
    1. Select the Custom import option.
    2. Select the Symbol libraries check box and click Next
    3. Select the standards you want to import the symbol librarys for and click Next.
      NoteDue to the dependency between the current standard and system variables, AutoCAD Mechanical does not let you clear the check box next to the current standard.
    4. Select the Symbol Libraries you want to import.
    5. Select the Replace option and click Next.
      NoteThe Replace option replaces the symbol library in the current drawing with the librarys in the drawing you are importing from. The Overwrite option replaces only the symbols that have the same names as the ones being imported. We do not recomend the use of the Append option in AMSETUPDWG.
  9. Review the changes and click Next to commit the changes.
  10. Click Import.
  11. Click Exit Wizard.


Configure the Symbol Library for Reusing Symbols (Quick Reference)

Select the Appropriate Revision of the Drafting Standard for Symbols
Configure the Symbol Library for Reusing Symbols
Configure the appearance of surface texture symbols
Configuration and setup guide > Configure Symbols >
Configure the Symbol Library for Reusing Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMSETUPDWG

Imports the drafting standards and the dependent settings from a template file

Ribbon: None tab [image] None panel [image] Setup Drawing. Does not exist on the ribbon.
Toolbar: None
Menu: Format [image] Setup Drawing Does not exist in the menus.
Command entry: amsetupdwg

You can use this command in the middle of a drawing session to replace the existing drawing template by another template. You can import entire standards, selectively or importing subsets of settings.

You can also use this command to clean up a drawing created using Genius 14. Typically, this option repairs or removes object relationships, cleans up Vario blocks, and freezes Genius Vario layers.

COMMAND LINE OPTIONS

Select a source [drawing Template/confiGuration/Clean/Wizard] <Wizard>: Select an option.

Drawing Template

Replaces the standard settings in the current drawing with the settings of a drawing file you select.

Enter template file path [Browse] <<Last used template file>>: Specify the path to the file you want to import settings from or enter B to display a file open dialog box.

Browse

Displays a file open dialog box to assist you select the file to import settings from.

Configuration

Imports settings using an import configuration file. The import configuration file specifies what drawing to import from and the import options to use.

Enter configuration file path [Browse] <<Last used configuration file>>: Specify the path to the configuration file or enter B to display a file open dialog box.

Browse

Displays a file open dialog box to assist you select the configuration file.

Clean

Cleans up a drawing created using Genius 14. For example, this option repairs or remove object relationships, cleans up Vario blocks, and freezes Genius Vario layers.

Wizard

Displays a wizard to walk you through the process of specifying import options.

NoteRunning the AMSETUPDWG command in the middle of a drawing session, and choosing another drawing template, might not fully convert the current drawing so that it appears as if it was created with the new template from the beginning.


Surface Texture Symbols

Configure the Symbol Library for Reusing Symbols
Configure Symbols
Configure the appearance of surface texture symbols
Configuration and setup guide > Configure Symbols >
Surface Texture Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

Topics in this section

  • Configure the appearance of surface texture symbols
  • Configure the Majority Symbol Representation of Surface Texture Symbols
  • Configure Preset Value Lists for Surface Texture Symbols


Surface Texture Symbols (Procedure)

Configure the Symbol Library for Reusing Symbols
Up a level to ..
Configure the appearance of surface texture symbols
Configuration and setup guide > Configure Symbols >
Surface Texture Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

To configure text height and color for surface texture symbols

To Configure the Default Symbol Type

To configure leader settings for surface texture symbols

To Configure Master Settings for Text Height

To Configure Master Settings for Text Color

To Configure the Master Settings for Leaders

To Configure Majority Symbol Representation

To Add an Entry to a List

To Delete an Entry from a List

To Edit a List Entry


Configure the appearance of surface texture symbols (Concept)

Surface Texture Symbols
Surface Texture Symbols
Configure the Majority Symbol Representation of Surface Texture Symbols
Configuration and setup guide > Configure Symbols > Surface Texture Symbols >
Configure the appearance of surface texture symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

When you select the drafting standard (and the correct revision), the default settings for surface texture symbols change to match that drafting standard. You can customize these settings to suit your drafting requirements.

Because text and leader lines are the most common objects used for annotations, AutoCAD Mechanical provides a single configuration point (the Standard Settings dialog box) enabling you to specify their default properties. These settings are the master settings.

In the Surface Texture Settings dialog box, the text and leader settings default to “By NameOfCurrentDraftingStandard.” If you modify the master settings, surface texture symbols automatically acquire the new settings. If you do not want surface texture symbols to follow the master settings, you can override the text height and select a specific value.

You can also configure the options for symbol type, the appearance of the tail, and the appearance of the all around sign. When you insert a surface texture symbol into a drawing, these settings are the initial settings. You can change them. We recommend that you set these options to match the most frequently used settings to minimize the amount of customizing required when you insert a symbol.


Configure the appearance of surface texture symbols (Procedure)

Surface Texture Symbols
Up a level to ..
Configure the appearance of surface texture symbols
Configuration and setup guide > Configure Symbols > Surface Texture Symbols >
Configure the appearance of surface texture symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To configure text height and color for surface texture symbols

To Configure the Default Symbol Type

To configure leader settings for surface texture symbols

To Configure Master Settings for Text Height

To Configure Master Settings for Text Color

To Configure the Master Settings for Leaders


Configure the appearance of surface texture symbols (Quick Reference)

Configure the Symbol Library for Reusing Symbols
Configure the appearance of surface texture symbols
Configure the appearance of surface texture symbols
Configuration and setup guide > Configure Symbols > Surface Texture Symbols >
Configure the appearance of surface texture symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Surface Texture Settings dialog box

Standard Settings dialog box


To configure text height and color for surface texture symbols (Procedure)

Configure the appearance of surface texture symbols
Up a level to ..
Configure the appearance of surface texture symbols
Configuration and setup guide > Configure Symbols > Surface Texture Symbols >
Configure the appearance of surface texture symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To configure text height and color for surface texture symbols

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. In the Options dialog box, click the AM:Standards tab.
  3. In the Standard Elements list, double-click Surface Texture. The Surface Texture Settings dialog box appears.
  4. To change the text height, in the Text section, in the Height list, select the text height.
    NoteTo acquire the base height setting from the master text settings, select the text height marked “By NameOfCurrentDraftingStandard.”
  5. To change the text color, in the Text section, in the Color list, select the color.
  6. Click OK until all dialog boxes close.
NoteIf the current drafting standard is a custom standard, you can click inside the Height box and type any text height.


To Configure the Default Symbol Type (Procedure)

Configure the appearance of surface texture symbols
Up a level to ..
Configure the appearance of surface texture symbols
Configuration and setup guide > Configure Symbols > Surface Texture Symbols >
Configure the appearance of surface texture symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To Configure the Default Symbol Type

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. In the Options dialog box, click the AM:Standards tab.
  3. In the Standard Elements list, double-click the Surface Texture symbol.
  4. In the Symbol type section, select the options to set as default.
  5. Click OK until all dialog boxes close.


To configure leader settings for surface texture symbols (Procedure)

Configure the appearance of surface texture symbols
Up a level to ..
Configure the appearance of surface texture symbols
Configuration and setup guide > Configure Symbols > Surface Texture Symbols >
Configure the appearance of surface texture symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To configure leader settings for surface texture symbols

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. In the Options dialog box, click the AM:Standards tab.
  3. In the Standard Elements list, double-click Surface Texture. The Surface Texture Settings dialog box appears.
  4. To change the Arrowhead shape, in the Leader section, in the Arrowhead list, select the arrowhead.
  5. To change the arrow size, in the Leader section, in the Arrow size list, select the size.
  6. To change the leader color, in the Leader section, in the Color list, select the color.
    NoteTo acquire the arrowhead shape, arrow size, and leader color from master settings, select the list item marked “By NameOfCurrentDraftingStandard” in the respective lists.
  7. Click OK until all dialog boxes close.


To Configure Master Settings for Text Height (Procedure)

Configure the appearance of surface texture symbols
Up a level to ..
Configure the appearance of surface texture symbols
Configuration and setup guide > Configure Symbols > Surface Texture Symbols >
Configure the appearance of surface texture symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To Configure Master Settings for Text Height

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. In the Options dialog box, click the AM:Standards tab.
  3. In the Standard Elements list, double-click the root node (the standard name). The Standard Settings dialog box appears.
  4. To change the text height, in the text section, in the Base height box, select a text height.
Note If the current drafting standard is a custom standard or if the Link to Dimension Style check box is selected, you can do the following additional operations:
  • Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  • Click in the Base height box and type any text height.


To Configure Master Settings for Text Color (Procedure)

Configure the appearance of surface texture symbols
Up a level to ..
Configure the appearance of surface texture symbols
Configuration and setup guide > Configure Symbols > Surface Texture Symbols >
Configure the appearance of surface texture symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To Configure Master Settings for Text Color

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. Click the AM:Standards tab.
  3. In the Standard Elements list, double-click the root node (the standard name). The Standard Settings dialog box appears.
  4. Click Settings. The Object Property Settings dialog box appears.
  5. In the Category list, click Text. The Show Properties for Text list shows the text categories supported by AutoCAD Mechanical.
  6. Click the color icon in the row corresponding to the text category to change the color for. The Select Color dialog box appears.
  7. Click a color and then click OK.
  8. Click in the Lineweight column and select the lineweight from the drop-down list.
  9. Click OK until all dialog boxes close.
NoteThe text color settings reset to the selected color for all objects containing text.


To Configure the Master Settings for Leaders (Procedure)

Configure the appearance of surface texture symbols
Up a level to ..
Configure the Majority Symbol Representation of Surface Texture Symbols
Configuration and setup guide > Configure Symbols > Surface Texture Symbols >
Configure the appearance of surface texture symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To Configure the Master Settings for Leaders

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. In the Options dialog box, click the AM:Standards tab.
  3. In the Standard Elements list, double-click the root node (the standard name). The Standard Settings dialog box appears.
  4. To change the arrowhead shape, in the Arrowhead list, select the arrowhead.
  5. To change the arrow size, in the Arrow size list, select the size.
  6. To change the leader color, in the leader section, in the color list, select the color.
  7. Click OK until all dialog boxes close.


Configure the appearance of surface texture symbols (Quick Reference)

Configure the appearance of surface texture symbols
Configure the appearance of surface texture symbols
Configure the appearance of surface texture symbols
Configuration and setup guide > Configure Symbols > Surface Texture Symbols >
Configure the appearance of surface texture symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Surface Texture Settings dialog box

Use the Surface Texture Settings dialog box to specify the defaults settings of surface texture symbols, for the current drafting standard.

Revision

Displays most recent revision of the standard this symbol complies with.

Symbol type

Make circle in the vee small

Sets the size of the Machining Prohibited designation. This option is available only in custom standards.

Force Tail

Controls the default state of the Force Tail button in the Surface Texture dialog box. This button controls the availability of a tail for symbols without text.

Allow all Around

Controls the visibility of the All Around button in the Surface Texture dialog box. This option is not visible in the ANSI standard.

Add Multiple tail

Sets symbols to have an additional tail when multiple lines of text is available above the tail. This option is not visible in the ANSI standard.

NoteThis option is not available for the GOST standard.

Preset lists

Contains a set of buttons that let you customize the drop-down list that are displayed in the Surface Texture dialog box.

Edit list

Displays a dialog box that lets you customize the list at the position represented by the button location.

Majority Symbol

Sets options for the majority symbol, which indicates the state common to all surfaces, using a single collective symbol. This option is not visible of the drafting standard is ANSI.

Simplified

Sets the majority symbol to its simplified representation. Accordingly, only the basic symbol appears in parenthesis at the right of the collective indication.

Full list

Sets the majority symbol to its full representation. Accordingly, if surface texture symbols are present elsewhere in the drawing, their state is fully indicated in parenthesis at the right of the collective indication.

NoteThis option is not available for the GOST standard.

Leader

Arrowhead

Specifies the type of the leader arrowhead. When the arrowhead is set to ByNameOfCurrentDraftingStandard, it acquires the arrowhead from the master settings of the current drafting standard. If the master setting changes, the arrowheads for all surface texture symbols that are set to ByNameOfCurrentDraftingStandard, change automatically..

Arrow size

Specifies the size of the leader arrowhead. When the arrow size is set to ByNameOfCurrentDraftingStandard, it acquires the arrow size from the master settings of the current drafting standard. If the master setting changes, the arrow size for all surface texture symbols based on the current drafting standard change automatically.

Color

Specifies the color of the leader. When the leader color is set to ByNameOfCurrentDraftingStandard, it acquires the color from the master settings of the current drafting standard. If the master setting changes, the leader color of all surface texture symbols based on the current drafting standard change automatically.

Text

Height

Specifies the text height for symbol text. When the height is set to ByNameOfCurrentDraftingStandard, it acquires the text height from the master settings of the current drafting standard. If the master setting changes, the text height of all surface texture symbols based on the current drafting standard change automatically.

If the current standard is a custom standard, you can specify a non-standard text height. If not, the AutoCAD Mechanical restricts you to selecting a value from the list.

Color

Specifies the color of symbol text. When the text color is set to ByNameOfCurrentDraftingStandard, it acquires the color from the master settings of the current drafting standard. If the master setting changes, the text color of all surface texture symbols based on the current drafting standard change automatically.

NoteIf the text height changes, the color automatically changes to the default color corresponding to that text height. Text object colors are set from the Object Property Settings dialog box.

Restore Defaults

Returns all values to the default values for the current standard.


Configure the appearance of surface texture symbols (Quick Reference)

Configure the appearance of surface texture symbols
Configure the appearance of surface texture symbols
Configure the Majority Symbol Representation of Surface Texture Symbols
Configuration and setup guide > Configure Symbols > Surface Texture Symbols >
Configure the appearance of surface texture symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Standard Settings dialog box

Sets up master settings for the current drafting standard. The elements of the standard that have their settings configured as ByNameOfCurrentDraftingStandard, automatically acquire their settings from this dialog box.

Dimension link

Link to dimension style

Links the text and leader settings to a dimension style, so that dimension styles are controlled by the drafting standard. Any change you make on this dialog box is applied to the linked dimension style. Any change you make to the linked dimension style is applied back to the text and leader settings.

When this option is selected, you can specify non-standard text heights.

Link to leader dimension style only

Restricts linking of dimension styles to the Leader dimension sub-style. Hence changes to text and leader settings are applied only to the Leader sub-style.

If this option is not selected, you link to the base dimension style. Changes to the base dimension style are automatically applied to all sub-styles, unless that setting is overridden in the sub-style. This means that if you modify the text and leader settings in this dialog box, the change is applied across all sub-styles, unless the settings are explicitly overridden in the sub-style.

Style

Displays the name of the dimension style to which leader and text settings are linked.

Text

Style

Sets the text style for use with all annotations. This setting is controlled by the drafting standard. Hence this setting can be changed only if the current drafting standard is a custom drafting standard or if the text and leader settings are linked to a dimension style.

Base height

Sets the text height to use as the base height for annotation text. If the Link to dimension style check box is selected, or if the current drafting standard is a custom drafting standard, you can specify non-standard text heights. If not, you can only select the standard text heights that are available on the list.

By default, all symbols use the base text height for symbol text. Annotations such as annotation view labels, section line labels, detail view labels and balloons, use a text height that is one size larger than the base height.

Color

Sets the color for the text category selected for base text. If you click Select Color (at the bottom of the Color list), the Select Color dialog box appears. You can also enter a color name or number.

Leader

Arrowhead

Sets the default leader arrowhead type for all annotations.

Arrow size

Sets the default leader arrowhead size for all annotations.

Color

Displays and sets the leader color for all annotations. If you click Select Color (at the bottom of the Color list), the Select Color dialog box appears. You can also enter a color name or number. If the Link to dimension style check box is selected, this setting affects the dimension line and extension line colors.

Symbols

List attach point

Sets the default attachment point for lists such as parts lists and hole charts, which are controlled by the drafting standard.

Color

Sets the color for all symbol geometry. If you click Select Color (at the bottom of the Color list), the Select Color dialog box appears. You can also enter a color name or number.

Object Properties

Let AutoCAD Mechanical manage object properties

Specifies that all objects created using AutoCAD Mechanical commands are automatically assigned properties as specified in the Object Properties Settings dialog box.

Settings

Displays the Object Property Settings dialog box, which enables you to pre configure the settings of all objects created using AutoCAD Mechanical commands.

Projection angle

Projection angle for drawing views:

Specifies the projection angle to use when generating drawing views and shaft generator views.

Restore Defaults

Returns all values to the default values for the current standard.


Configure the Majority Symbol Representation of Surface Texture Symbols (Concept)

Configure the appearance of surface texture symbols
Surface Texture Symbols
Configure Preset Value Lists for Surface Texture Symbols
Configuration and setup guide > Configure Symbols > Surface Texture Symbols >
Configure the Majority Symbol Representation of Surface Texture Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AutoCAD Mechanical enables you to set a surface texture symbol as a majority symbol, enabling a single collective symbol to indicate a state common to all surfaces. You can opt to set the format of the majority symbol to the simplified representation or the full list representation. In the simplified representation, only the basic symbol appears in parenthesis to the right of the collective indication. In the full list representation, if surface texture symbols are present elsewhere in the drawing, a full representation of their states appears in parenthesis at the right of the collective indication.


To Configure Majority Symbol Representation (Procedure)

Configure the appearance of surface texture symbols
Up a level to ..
Configure Preset Value Lists for Surface Texture Symbols
Configuration and setup guide > Configure Symbols > Surface Texture Symbols >
Configure the Majority Symbol Representation of Surface Texture Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To Configure Majority Symbol Representation

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. In the Options dialog box, click the AM:Standards tab.
  3. In the Standard Elements list, double-click the symbol.
  4. In the Majority symbol section, select the default representation.
  5. Click OK until all dialog boxes close.


Configure the Majority Symbol Representation of Surface Texture Symbols (Quick Reference)

Configure the appearance of surface texture symbols
Configure the Majority Symbol Representation of Surface Texture Symbols
Configure Preset Value Lists for Surface Texture Symbols
Configuration and setup guide > Configure Symbols > Surface Texture Symbols >
Configure the Majority Symbol Representation of Surface Texture Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Surface Texture Settings dialog box

Use the Surface Texture Settings dialog box to specify the defaults settings of surface texture symbols, for the current drafting standard.

Revision

Displays most recent revision of the standard this symbol complies with.

Symbol type

Make circle in the vee small

Sets the size of the Machining Prohibited designation. This option is available only in custom standards.

Force Tail

Controls the default state of the Force Tail button in the Surface Texture dialog box. This button controls the availability of a tail for symbols without text.

Allow all Around

Controls the visibility of the All Around button in the Surface Texture dialog box. This option is not visible in the ANSI standard.

Add Multiple tail

Sets symbols to have an additional tail when multiple lines of text is available above the tail. This option is not visible in the ANSI standard.

NoteThis option is not available for the GOST standard.

Preset lists

Contains a set of buttons that let you customize the drop-down list that are displayed in the Surface Texture dialog box.

Edit list

Displays a dialog box that lets you customize the list at the position represented by the button location.

Majority Symbol

Sets options for the majority symbol, which indicates the state common to all surfaces, using a single collective symbol. This option is not visible of the drafting standard is ANSI.

Simplified

Sets the majority symbol to its simplified representation. Accordingly, only the basic symbol appears in parenthesis at the right of the collective indication.

Full list

Sets the majority symbol to its full representation. Accordingly, if surface texture symbols are present elsewhere in the drawing, their state is fully indicated in parenthesis at the right of the collective indication.

NoteThis option is not available for the GOST standard.

Leader

Arrowhead

Specifies the type of the leader arrowhead. When the arrowhead is set to ByNameOfCurrentDraftingStandard, it acquires the arrowhead from the master settings of the current drafting standard. If the master setting changes, the arrowheads for all surface texture symbols that are set to ByNameOfCurrentDraftingStandard, change automatically..

Arrow size

Specifies the size of the leader arrowhead. When the arrow size is set to ByNameOfCurrentDraftingStandard, it acquires the arrow size from the master settings of the current drafting standard. If the master setting changes, the arrow size for all surface texture symbols based on the current drafting standard change automatically.

Color

Specifies the color of the leader. When the leader color is set to ByNameOfCurrentDraftingStandard, it acquires the color from the master settings of the current drafting standard. If the master setting changes, the leader color of all surface texture symbols based on the current drafting standard change automatically.

Text

Height

Specifies the text height for symbol text. When the height is set to ByNameOfCurrentDraftingStandard, it acquires the text height from the master settings of the current drafting standard. If the master setting changes, the text height of all surface texture symbols based on the current drafting standard change automatically.

If the current standard is a custom standard, you can specify a non-standard text height. If not, the AutoCAD Mechanical restricts you to selecting a value from the list.

Color

Specifies the color of symbol text. When the text color is set to ByNameOfCurrentDraftingStandard, it acquires the color from the master settings of the current drafting standard. If the master setting changes, the text color of all surface texture symbols based on the current drafting standard change automatically.

NoteIf the text height changes, the color automatically changes to the default color corresponding to that text height. Text object colors are set from the Object Property Settings dialog box.

Restore Defaults

Returns all values to the default values for the current standard.


Configure Preset Value Lists for Surface Texture Symbols (Concept)

Configure the Majority Symbol Representation of Surface Texture Symbols
Surface Texture Symbols
Welding Symbols
Configuration and setup guide > Configure Symbols > Surface Texture Symbols >
Configure Preset Value Lists for Surface Texture Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

In the Surface Texture dialog box, select data for the symbol using drop-down lists. Depending on the active standard and its revision, the options that have drop-down lists differ. The following image shows the default drop-down list for JIS B 0031 - 2003.

You can customize these lists to suit your requirement. You can delete redundant list entries and add new entries. You can edit existing entries and manually add text and create custom lists like the ones in the following image.

NoteYou cannot add to or edit the Direction of Lay (D) list. You can only remove list entries or change the order of list entries.


Configure Preset Value Lists for Surface Texture Symbols (Procedure)

Configure the Majority Symbol Representation of Surface Texture Symbols
Up a level to ..
Configure Preset Value Lists for Surface Texture Symbols
Configuration and setup guide > Configure Symbols > Surface Texture Symbols >
Configure Preset Value Lists for Surface Texture Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To Add an Entry to a List

To Delete an Entry from a List

To Edit a List Entry


Configure Preset Value Lists for Surface Texture Symbols (Quick Reference)

Configure the Majority Symbol Representation of Surface Texture Symbols
Configure Preset Value Lists for Surface Texture Symbols
Configure Preset Value Lists for Surface Texture Symbols
Configuration and setup guide > Configure Symbols > Surface Texture Symbols >
Configure Preset Value Lists for Surface Texture Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Surface Texture Settings dialog box

Edit List dialog box

Edit List for Direction of Lay dialog box


To Add an Entry to a List (Procedure)

Configure Preset Value Lists for Surface Texture Symbols
Up a level to ..
Configure Preset Value Lists for Surface Texture Symbols
Configuration and setup guide > Configure Symbols > Surface Texture Symbols >
Configure Preset Value Lists for Surface Texture Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To Add an Entry to a List

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. In the Options dialog box, click the AM:Standards tab.
  3. In the Standard Elements list, double-click the Surface Texture symbol.
  4. In the Surface Texture Settings dialog box, click Edit List corresponding to the preset value list you want to edit.
  5. In the Standard values drop-down list, select the type of value to add.
  6. Select the entry to add to the preset value list and click Add.
  7. Click the Move up or Move down buttons to move the new entry.
  8. Click OK until all dialog boxes close.


To Delete an Entry from a List (Procedure)

Configure Preset Value Lists for Surface Texture Symbols
Up a level to ..
Configure Preset Value Lists for Surface Texture Symbols
Configuration and setup guide > Configure Symbols > Surface Texture Symbols >
Configure Preset Value Lists for Surface Texture Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To Delete an Entry from a List

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. In the Options dialog box, click the AM:Standards tab.
  3. In the Standard Elements list, double-click the Surface Texture symbol.
  4. In the Surface Texture Settings dialog box, click Edit List corresponding to the preset value list you want to edit.
  5. In the Standard values drop-down list, select the type of value to add.
  6. In the Preset value list, select the entry to delete.
  7. Click Delete.
  8. Click OK until all dialog boxes close.


To Edit a List Entry (Procedure)

Configure Preset Value Lists for Surface Texture Symbols
Up a level to ..
Welding Symbols
Configuration and setup guide > Configure Symbols > Surface Texture Symbols >
Configure Preset Value Lists for Surface Texture Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To Edit a List Entry

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. In the Options dialog box, click the AM:Standards tab.
  3. In the Standard Elements list, double-click the Surface Texture symbol.
  4. In the Surface Texture Settings dialog box, click the Edit List button corresponding to the preset value list you want to edit.
  5. In the Preset value list, double-click the entry to edit.
  6. Add or delete text as required and press Enter.
  7. Click OK until all dialog boxes close.
NoteWhile editing a preset value list, press ESC to cancel changes.


Configure Preset Value Lists for Surface Texture Symbols (Quick Reference)

Configure Preset Value Lists for Surface Texture Symbols
Configure Preset Value Lists for Surface Texture Symbols
Configure Preset Value Lists for Surface Texture Symbols
Configuration and setup guide > Configure Symbols > Surface Texture Symbols >
Configure Preset Value Lists for Surface Texture Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Surface Texture Settings dialog box

Use the Surface Texture Settings dialog box to specify the defaults settings of surface texture symbols, for the current drafting standard.

Revision

Displays most recent revision of the standard this symbol complies with.

Symbol type

Make circle in the vee small

Sets the size of the Machining Prohibited designation. This option is available only in custom standards.

Force Tail

Controls the default state of the Force Tail button in the Surface Texture dialog box. This button controls the availability of a tail for symbols without text.

Allow all Around

Controls the visibility of the All Around button in the Surface Texture dialog box. This option is not visible in the ANSI standard.

Add Multiple tail

Sets symbols to have an additional tail when multiple lines of text is available above the tail. This option is not visible in the ANSI standard.

NoteThis option is not available for the GOST standard.

Preset lists

Contains a set of buttons that let you customize the drop-down list that are displayed in the Surface Texture dialog box.

Edit list

Displays a dialog box that lets you customize the list at the position represented by the button location.

Majority Symbol

Sets options for the majority symbol, which indicates the state common to all surfaces, using a single collective symbol. This option is not visible of the drafting standard is ANSI.

Simplified

Sets the majority symbol to its simplified representation. Accordingly, only the basic symbol appears in parenthesis at the right of the collective indication.

Full list

Sets the majority symbol to its full representation. Accordingly, if surface texture symbols are present elsewhere in the drawing, their state is fully indicated in parenthesis at the right of the collective indication.

NoteThis option is not available for the GOST standard.

Leader

Arrowhead

Specifies the type of the leader arrowhead. When the arrowhead is set to ByNameOfCurrentDraftingStandard, it acquires the arrowhead from the master settings of the current drafting standard. If the master setting changes, the arrowheads for all surface texture symbols that are set to ByNameOfCurrentDraftingStandard, change automatically..

Arrow size

Specifies the size of the leader arrowhead. When the arrow size is set to ByNameOfCurrentDraftingStandard, it acquires the arrow size from the master settings of the current drafting standard. If the master setting changes, the arrow size for all surface texture symbols based on the current drafting standard change automatically.

Color

Specifies the color of the leader. When the leader color is set to ByNameOfCurrentDraftingStandard, it acquires the color from the master settings of the current drafting standard. If the master setting changes, the leader color of all surface texture symbols based on the current drafting standard change automatically.

Text

Height

Specifies the text height for symbol text. When the height is set to ByNameOfCurrentDraftingStandard, it acquires the text height from the master settings of the current drafting standard. If the master setting changes, the text height of all surface texture symbols based on the current drafting standard change automatically.

If the current standard is a custom standard, you can specify a non-standard text height. If not, the AutoCAD Mechanical restricts you to selecting a value from the list.

Color

Specifies the color of symbol text. When the text color is set to ByNameOfCurrentDraftingStandard, it acquires the color from the master settings of the current drafting standard. If the master setting changes, the text color of all surface texture symbols based on the current drafting standard change automatically.

NoteIf the text height changes, the color automatically changes to the default color corresponding to that text height. Text object colors are set from the Object Property Settings dialog box.

Restore Defaults

Returns all values to the default values for the current standard.


Configure Preset Value Lists for Surface Texture Symbols (Quick Reference)

Configure Preset Value Lists for Surface Texture Symbols
Configure Preset Value Lists for Surface Texture Symbols
Configure Preset Value Lists for Surface Texture Symbols
Configuration and setup guide > Configure Symbols > Surface Texture Symbols >
Configure Preset Value Lists for Surface Texture Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Edit List dialog box

Use this dialog box to customize the entries in the drop-down list (in the Surface Texture Symbol dialog box) that is named on the title bar.

Standard values (drop-down list)

Specifies the type of values that must be shown in the Standard Values list (the list below the drop-down list).

Standard values (list)

Contains a list of valid values based on the active drafting standard, corresponding to the item selected in the Standard Values drop-down list.

Add (list)

Adds the entry selected in Standard values list to the Preset value list.

Preset value list

Contains the list entries that appear in the drop-down list you are customizing.

New

Adds a new entry to the Preset Value list and enables you to enter text for it.

Edit

Enables you to edit the item selected in the preset values list. Press the ENTER or the Tab key to end editing. Press the ESC key to cancel editing.

Delete

Removes the selected item from the Preset values list.

Move Up

Moves the item selected in the Preset values list up one position.

Move Down

Moves the item selected in the Preset values list down one position.

Restore Defaults

Returns the Preset Value list to its original setting.


Configure Preset Value Lists for Surface Texture Symbols (Quick Reference)

Configure Preset Value Lists for Surface Texture Symbols
Configure Preset Value Lists for Surface Texture Symbols
Configure the Appearance of Welding Symbols
Configuration and setup guide > Configure Symbols > Surface Texture Symbols >
Configure Preset Value Lists for Surface Texture Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Edit List for Direction of Lay dialog box

Use this dialog box to customize the entries in the Direction of lay drop-down list (in the Surface Texture Symbol dialog box) that is named on the title bar.

Preset value list

Contains a list of machining lay specifications. The check box at the beginning of each row specifies whether the machining lay specification on that row is displayed in the Direction of lay drop-down list.

Move Up

Moves the item selected in the Preset values list up one position.

Move Down

Moves the item selected in the Preset values list down one position.

Restore Defaults

Returns the Preset Value list to its original setting.


Welding Symbols

Configure Preset Value Lists for Surface Texture Symbols
Configure Symbols
Configure the Appearance of Welding Symbols
Configuration and setup guide > Configure Symbols >
Welding Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

Topics in this section

  • Configure the Appearance of Welding Symbols


Welding Symbols (Procedure)

Configure Preset Value Lists for Surface Texture Symbols
Up a level to ..
Configure the Appearance of Welding Symbols
Configuration and setup guide > Configure Symbols >
Welding Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

To configure text height and color for welding symbols

To configure leader settings for welding symbols

To Configure which Supplementary Weld Symbols are Available for Insertion

To Configure Master Settings for Text Height

To Configure Master Settings for Text Color

To Configure the Master Settings for Leaders


Configure the Appearance of Welding Symbols (Concept)

Welding Symbols
Welding Symbols
Edge Symbols
Configuration and setup guide > Configure Symbols > Welding Symbols >
Configure the Appearance of Welding Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

When you select the drafting standard (and the revision), the default settings for welding symbols change to match that drafting standard. If necessary, you can customize these settings to suit your drafting requirements

Because text and leader lines are the most common objects used for annotations, AutoCAD Mechanical provides a single configuration point (the Standard Settings dialog box) enabling you specify their default properties. These settings are the master settings.

In the Welding Settings dialog box, the text and leader settings default to “By NameOfCurrentDraftingStandard.” If you modify the master settings, welding symbols automatically acquire the new settings. If you do not want welding symbols to follow the master settings, you can override the text height and select a specific value.

You can also specify which supplementary weld symbols are available for selection when you insert a welding symbol into a drawing. You can also configure the gap between the identification line and reference line.


Configure the Appearance of Welding Symbols (Procedure)

Welding Symbols
Up a level to ..
Configure the Appearance of Welding Symbols
Configuration and setup guide > Configure Symbols > Welding Symbols >
Configure the Appearance of Welding Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To configure text height and color for welding symbols

To configure leader settings for welding symbols

To Configure which Supplementary Weld Symbols are Available for Insertion

To Configure Master Settings for Text Height

To Configure Master Settings for Text Color

To Configure the Master Settings for Leaders


Configure the Appearance of Welding Symbols (Quick Reference)

Configure Preset Value Lists for Surface Texture Symbols
Configure the Appearance of Welding Symbols
Configure the Appearance of Welding Symbols
Configuration and setup guide > Configure Symbols > Welding Symbols >
Configure the Appearance of Welding Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Welding Settings dialog box

Standard Settings dialog box


To configure text height and color for welding symbols (Procedure)

Configure the Appearance of Welding Symbols
Up a level to ..
Configure the Appearance of Welding Symbols
Configuration and setup guide > Configure Symbols > Welding Symbols >
Configure the Appearance of Welding Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To configure text height and color for welding symbols

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. In the Options dialog box, click the AM:Standards tab.
  3. In the Standard Elements list, double-click Welding. The Welding Settings dialog box appears.
  4. To change the text height, in the Text section, in the Height list, select the text height.
    NoteTo acquire the base height setting from the master text settings, select the text height marked “By NameOfCurrentDraftingStandard.”
  5. To change the text color, in the Text section, in the Color list, select the color.
  6. Click OK until all dialog boxes close.
NoteIf the current drafting standard is a custom standard, you can click inside the Height box and type any text height.


To configure leader settings for welding symbols (Procedure)

Configure the Appearance of Welding Symbols
Up a level to ..
Configure the Appearance of Welding Symbols
Configuration and setup guide > Configure Symbols > Welding Symbols >
Configure the Appearance of Welding Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To configure leader settings for welding symbols

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. In the Options dialog box, click the AM:Standards tab.
  3. In the Standard Elements list, double-click Welding. The Welding Settings dialog box appears.
  4. To change the Arrowhead shape, in the Leader section, in the Arrowhead list, select the arrowhead.
  5. To change the arrow size, in the Leader section, in the Arrow size list, select the size.
  6. To change the leader color, in the Leader section, in the Color list, select the color.
    NoteTo acquire the arrowhead shape, arrow size, and leader color from master settings, select the list item marked “By NameOfCurrentDraftingStandard” in the respective lists.
  7. Click OK until all dialog boxes close.


To Configure which Supplementary Weld Symbols are Available for Insertion (Procedure)

Configure the Appearance of Welding Symbols
Up a level to ..
Configure the Appearance of Welding Symbols
Configuration and setup guide > Configure Symbols > Welding Symbols >
Configure the Appearance of Welding Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To Configure which Supplementary Weld Symbols are Available for Insertion

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. In the Options dialog box, click the AM:Standards tab.
  3. In the standard elements list, double-click the Welding symbol.
  4. In the Show symbols for list, select a category.
  5. In the list of supplementary weld symbols, select the check boxes adjacent to the symbols to make available and clear the others.
  6. Repeat steps 4 and 5 for all required categories.
  7. Click OK until all dialog boxes close.


To Configure Master Settings for Text Height (Procedure)

Configure the Appearance of Welding Symbols
Up a level to ..
Configure the Appearance of Welding Symbols
Configuration and setup guide > Configure Symbols > Welding Symbols >
Configure the Appearance of Welding Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To Configure Master Settings for Text Height

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. In the Options dialog box, click the AM:Standards tab.
  3. In the Standard Elements list, double-click the root node (the standard name). The Standard Settings dialog box appears.
  4. To change the text height, in the text section, in the Base height box, select a text height.
Note If the current drafting standard is a custom standard or if the Link to Dimension Style check box is selected, you can do the following additional operations:
  • Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  • Click in the Base height box and type any text height.


To Configure Master Settings for Text Color (Procedure)

Configure the Appearance of Welding Symbols
Up a level to ..
Configure the Appearance of Welding Symbols
Configuration and setup guide > Configure Symbols > Welding Symbols >
Configure the Appearance of Welding Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To Configure Master Settings for Text Color

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. Click the AM:Standards tab.
  3. In the Standard Elements list, double-click the root node (the standard name). The Standard Settings dialog box appears.
  4. Click Settings. The Object Property Settings dialog box appears.
  5. In the Category list, click Text. The Show Properties for Text list shows the text categories supported by AutoCAD Mechanical.
  6. Click the color icon in the row corresponding to the text category to change the color for. The Select Color dialog box appears.
  7. Click a color and then click OK.
  8. Click in the Lineweight column and select the lineweight from the drop-down list.
  9. Click OK until all dialog boxes close.
NoteThe text color settings reset to the selected color for all objects containing text.


To Configure the Master Settings for Leaders (Procedure)

Configure the Appearance of Welding Symbols
Up a level to ..
Edge Symbols
Configuration and setup guide > Configure Symbols > Welding Symbols >
Configure the Appearance of Welding Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To Configure the Master Settings for Leaders

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. In the Options dialog box, click the AM:Standards tab.
  3. In the Standard Elements list, double-click the root node (the standard name). The Standard Settings dialog box appears.
  4. To change the arrowhead shape, in the Arrowhead list, select the arrowhead.
  5. To change the arrow size, in the Arrow size list, select the size.
  6. To change the leader color, in the leader section, in the color list, select the color.
  7. Click OK until all dialog boxes close.


Configure the Appearance of Welding Symbols (Quick Reference)

Configure the Appearance of Welding Symbols
Configure the Appearance of Welding Symbols
Configure the Appearance of Welding Symbols
Configuration and setup guide > Configure Symbols > Welding Symbols >
Configure the Appearance of Welding Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Welding Settings dialog box

Revision

Displays most recent revision of the standard this symbol complies with.

Identification Line

Defines the appearance of identification lines. This section is not visible if the active drafting standard is ANSI, GOST, or JIS.

Line Type

Displays the linetype to use for identification lines. This option is available only for custom standards.

Gap

Sets the distance between the identification line and the reference line.

Weld Symbols

Allow ISO Standards

Makes additional ISO symbols available for selection. This option is available only for the JIS standard.

Show symbols for

Sets the symbol types. Available types are Weld Symbols, Contour Symbols, and Backing Symbols.

Symbols list

Displays a list of supplementary weld symbols supported by the system. Select the check box in front of a weld symbol to make it available for insertion via the AMWELDSYM command.

Leader

Arrowhead

Specifies the type of the leader arrowhead. When the arrowhead is set to ByNameOfCurrentDraftingStandard, it acquires the arrowhead from the master settings of the current drafting standard. If the master setting changes, the arrowheads for all welding symbols that are set to ByNameOfCurrentDraftingStandard, change automatically.

Arrow size

Specifies the size of the leader arrowhead. When the arrow size is set to ByNameOfCurrentDraftingStandard, it acquires the arrow size from the master settings of the current drafting standard. If the master setting changes, the arrow sizes for all welding symbols based on the current drafting standard change automatically.

Color

Specifies the color of the leader. When the leader color is set to ByNameOfCurrentDraftingStandard, it acquires the color from the master settings of the current drafting standard. If the master setting changes, the leader colors of all welding symbols based on the current drafting standard change automatically.

Text

Height

Specifies the text height for symbol text. When the height is set to ByNameOfCurrentDraftingStandard, it acquires the text height from the master settings of the current drafting standard. If the master setting changes, the text height of all welding symbols based on the current drafting standard changes automatically.

If the current standard is a custom standard, you can specify a non-standard text height. If not, the AutoCAD Mechanical restricts the selection to values in the list.

NoteIf the text height changes, the color automatically changes to the default color corresponding to that text height. Set text object colors in the Object Property Settings dialog box.

Color

Specifies the color of symbol text. When the text color is set to ByNameOfCurrentDraftingStandard, it acquires the color from the master settings of the current drafting standard. If the master setting changes, the text colors of all welding symbols based on the current drafting standard change automatically.

Restore Defaults

Returns all values to the default values for the current standard.


Configure the Appearance of Welding Symbols (Quick Reference)

Configure the Appearance of Welding Symbols
Configure the Appearance of Welding Symbols
Configure the Appearance of Edge Symbols
Configuration and setup guide > Configure Symbols > Welding Symbols >
Configure the Appearance of Welding Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Standard Settings dialog box

Sets up master settings for the current drafting standard. The elements of the standard that have their settings configured as ByNameOfCurrentDraftingStandard, automatically acquire their settings from this dialog box.

Dimension link

Link to dimension style

Links the text and leader settings to a dimension style, so that dimension styles are controlled by the drafting standard. Any change you make on this dialog box is applied to the linked dimension style. Any change you make to the linked dimension style is applied back to the text and leader settings.

When this option is selected, you can specify non-standard text heights.

Link to leader dimension style only

Restricts linking of dimension styles to the Leader dimension sub-style. Hence changes to text and leader settings are applied only to the Leader sub-style.

If this option is not selected, you link to the base dimension style. Changes to the base dimension style are automatically applied to all sub-styles, unless that setting is overridden in the sub-style. This means that if you modify the text and leader settings in this dialog box, the change is applied across all sub-styles, unless the settings are explicitly overridden in the sub-style.

Style

Displays the name of the dimension style to which leader and text settings are linked.

Text

Style

Sets the text style for use with all annotations. This setting is controlled by the drafting standard. Hence this setting can be changed only if the current drafting standard is a custom drafting standard or if the text and leader settings are linked to a dimension style.

Base height

Sets the text height to use as the base height for annotation text. If the Link to dimension style check box is selected, or if the current drafting standard is a custom drafting standard, you can specify non-standard text heights. If not, you can only select the standard text heights that are available on the list.

By default, all symbols use the base text height for symbol text. Annotations such as annotation view labels, section line labels, detail view labels and balloons, use a text height that is one size larger than the base height.

Color

Sets the color for the text category selected for base text. If you click Select Color (at the bottom of the Color list), the Select Color dialog box appears. You can also enter a color name or number.

Leader

Arrowhead

Sets the default leader arrowhead type for all annotations.

Arrow size

Sets the default leader arrowhead size for all annotations.

Color

Displays and sets the leader color for all annotations. If you click Select Color (at the bottom of the Color list), the Select Color dialog box appears. You can also enter a color name or number. If the Link to dimension style check box is selected, this setting affects the dimension line and extension line colors.

Symbols

List attach point

Sets the default attachment point for lists such as parts lists and hole charts, which are controlled by the drafting standard.

Color

Sets the color for all symbol geometry. If you click Select Color (at the bottom of the Color list), the Select Color dialog box appears. You can also enter a color name or number.

Object Properties

Let AutoCAD Mechanical manage object properties

Specifies that all objects created using AutoCAD Mechanical commands are automatically assigned properties as specified in the Object Properties Settings dialog box.

Settings

Displays the Object Property Settings dialog box, which enables you to pre configure the settings of all objects created using AutoCAD Mechanical commands.

Projection angle

Projection angle for drawing views:

Specifies the projection angle to use when generating drawing views and shaft generator views.

Restore Defaults

Returns all values to the default values for the current standard.


Edge Symbols

Configure the Appearance of Welding Symbols
Configure Symbols
Configure the Appearance of Edge Symbols
Configuration and setup guide > Configure Symbols >
Edge Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

Topics in this section

  • Configure the Appearance of Edge Symbols
  • Configure the Majority Symbol Representation of Edge Symbols


Edge Symbols (Procedure)

Configure the Appearance of Welding Symbols
Up a level to ..
Configure the Appearance of Edge Symbols
Configuration and setup guide > Configure Symbols >
Edge Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

To Configure Master Settings for Text Height

To Configure the Master Settings for Leaders

To Configure Symbol Leaders

To Configure Majority Symbol Representation


Configure the Appearance of Edge Symbols (Concept)

Edge Symbols
Edge Symbols
Configure the Majority Symbol Representation of Edge Symbols
Configuration and setup guide > Configure Symbols > Edge Symbols >
Configure the Appearance of Edge Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

When you select the drafting standard (and the revision), the default settings for edge symbols change to match that drafting standard. If necessary, you can customize these settings to suit your drafting requirements.

Because text and leader lines are the most common objects used for annotations, AutoCAD Mechanical provides a single configuration point (the Standard Settings dialog box) enabling you to specify their default properties. These settings are the master settings.

In the Edge Settings dialog box, the text and leader settings default to “By NameOfCurrentDraftingStandard.” If you modify the master settings, edge symbols automatically acquire the new settings. However, if you do not want welding symbols to follow the master settings, you can override the text height and select a specific value.


Configure the Appearance of Edge Symbols (Procedure)

Edge Symbols
Up a level to ..
Configure the Appearance of Edge Symbols
Configuration and setup guide > Configure Symbols > Edge Symbols >
Configure the Appearance of Edge Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To Configure Master Settings for Text Height

To Configure the Master Settings for Leaders

To Configure Symbol Leaders


Configure the Appearance of Edge Symbols (Quick Reference)

Configure the Appearance of Welding Symbols
Configure the Appearance of Edge Symbols
Configure the Appearance of Edge Symbols
Configuration and setup guide > Configure Symbols > Edge Symbols >
Configure the Appearance of Edge Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Edge Settings dialog box

Standard Settings dialog box


To Configure Master Settings for Text Height (Procedure)

Configure the Appearance of Edge Symbols
Up a level to ..
Configure the Appearance of Edge Symbols
Configuration and setup guide > Configure Symbols > Edge Symbols >
Configure the Appearance of Edge Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To Configure Master Settings for Text Height

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. In the Options dialog box, click the AM:Standards tab.
  3. In the Standard Elements list, double-click the root node (the standard name). The Standard Settings dialog box appears.
  4. To change the text height, in the text section, in the Base height box, select a text height.
Note If the current drafting standard is a custom standard or if the Link to Dimension Style check box is selected, you can do the following additional operations:
  • Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  • Click in the Base height box and type any text height.


To Configure the Master Settings for Leaders (Procedure)

Configure the Appearance of Edge Symbols
Up a level to ..
Configure the Appearance of Edge Symbols
Configuration and setup guide > Configure Symbols > Edge Symbols >
Configure the Appearance of Edge Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To Configure the Master Settings for Leaders

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. In the Options dialog box, click the AM:Standards tab.
  3. In the Standard Elements list, double-click the root node (the standard name). The Standard Settings dialog box appears.
  4. To change the arrowhead shape, in the Arrowhead list, select the arrowhead.
  5. To change the arrow size, in the Arrow size list, select the size.
  6. To change the leader color, in the leader section, in the color list, select the color.
  7. Click OK until all dialog boxes close.


To Configure Symbol Leaders (Procedure)

Configure the Appearance of Edge Symbols
Up a level to ..
Configure the Majority Symbol Representation of Edge Symbols
Configuration and setup guide > Configure Symbols > Edge Symbols >
Configure the Appearance of Edge Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To Configure Symbol Leaders

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. In the Options dialog box, click the AM:Standards tab.
  3. In the Standard Elements list, double-click the symbol.
  4. In the Leader section, select the arrowhead, arrowhead size, and color.
  5. Click OK until all dialog boxes close.


Configure the Appearance of Edge Symbols (Quick Reference)

Configure the Appearance of Edge Symbols
Configure the Appearance of Edge Symbols
Configure the Appearance of Edge Symbols
Configuration and setup guide > Configure Symbols > Edge Symbols >
Configure the Appearance of Edge Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Edge Settings dialog box

Use the Edge Settings dialog box to specify the defaults settings of edge symbols, for the current drafting standard.

Revision

Displays the current standard.

Majority Symbol

Sets options for the majority symbol, which indicates the state common to all edges, using a single collective symbol.

Simplified

Sets the majority symbol to its simplified representation. Accordingly, only the basic symbol appears in parenthesis, at the right of the collective indication.

Full list

Sets the majority symbol to its full representation. Accordingly, if edge symbols are present elsewhere in the drawing, their state is fully indicated in parenthesis at the right of the collective indication.

Leader

Arrowhead

Specifies the type of the leader arrowhead. When the arrowhead is set to ByNameOfCurrentDraftingStandard, it acquires the arrowhead from the master settings of the current drafting standard. If the master setting changes, the arrowheads for all edge symbols that are set to ByNameOfCurrentDraftingStandard, change automatically.

Arrow size

Specifies the size of the leader arrowhead. When the arrow size is set to ByNameOfCurrentDraftingStandard, it acquires the arrow size from the master settings of the current drafting standard. If the master setting changes, the arrow size for all edge symbols based on the current drafting standard change automatically.

Color

Specifies the color of the leader. When the leader color is set to ByNameOfCurrentDraftingStandard, it acquires the color from the master settings of the current drafting standard. If the master setting changes, the leader color of all edge symbols based on the current drafting standard change automatically.

Text

Height

Specifies the text height for symbol text. When the height is set to ByNameOfCurrentDraftingStandard, it acquires the text height from the master settings of the current drafting standard. If the master setting changes, the text height of all edge symbols based on the current drafting standard change automatically.

If the current standard is a custom standard, you can specify a non-standard text height. If not, the AutoCAD Mechanical restricts you to selecting a value from the list.

Color

Specifies the color of symbol text. When the text color is set to ByNameOfCurrentDraftingStandard, it acquires the color from the master settings of the current drafting standard. If the master setting changes, the text color of all edge symbols based on the current drafting standard change automatically.

NoteIf the text height changes, the color automatically changes to the default color corresponding to that text height. Text object colors are set from the Object Property Settings dialog box.

Restore Defaults

Returns all values to the default values for the current standard.


Configure the Appearance of Edge Symbols (Quick Reference)

Configure the Appearance of Edge Symbols
Configure the Appearance of Edge Symbols
Configure the Majority Symbol Representation of Edge Symbols
Configuration and setup guide > Configure Symbols > Edge Symbols >
Configure the Appearance of Edge Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Standard Settings dialog box

Sets up master settings for the current drafting standard. The elements of the standard that have their settings configured as ByNameOfCurrentDraftingStandard, automatically acquire their settings from this dialog box.

Dimension link

Link to dimension style

Links the text and leader settings to a dimension style, so that dimension styles are controlled by the drafting standard. Any change you make on this dialog box is applied to the linked dimension style. Any change you make to the linked dimension style is applied back to the text and leader settings.

When this option is selected, you can specify non-standard text heights.

Link to leader dimension style only

Restricts linking of dimension styles to the Leader dimension sub-style. Hence changes to text and leader settings are applied only to the Leader sub-style.

If this option is not selected, you link to the base dimension style. Changes to the base dimension style are automatically applied to all sub-styles, unless that setting is overridden in the sub-style. This means that if you modify the text and leader settings in this dialog box, the change is applied across all sub-styles, unless the settings are explicitly overridden in the sub-style.

Style

Displays the name of the dimension style to which leader and text settings are linked.

Text

Style

Sets the text style for use with all annotations. This setting is controlled by the drafting standard. Hence this setting can be changed only if the current drafting standard is a custom drafting standard or if the text and leader settings are linked to a dimension style.

Base height

Sets the text height to use as the base height for annotation text. If the Link to dimension style check box is selected, or if the current drafting standard is a custom drafting standard, you can specify non-standard text heights. If not, you can only select the standard text heights that are available on the list.

By default, all symbols use the base text height for symbol text. Annotations such as annotation view labels, section line labels, detail view labels and balloons, use a text height that is one size larger than the base height.

Color

Sets the color for the text category selected for base text. If you click Select Color (at the bottom of the Color list), the Select Color dialog box appears. You can also enter a color name or number.

Leader

Arrowhead

Sets the default leader arrowhead type for all annotations.

Arrow size

Sets the default leader arrowhead size for all annotations.

Color

Displays and sets the leader color for all annotations. If you click Select Color (at the bottom of the Color list), the Select Color dialog box appears. You can also enter a color name or number. If the Link to dimension style check box is selected, this setting affects the dimension line and extension line colors.

Symbols

List attach point

Sets the default attachment point for lists such as parts lists and hole charts, which are controlled by the drafting standard.

Color

Sets the color for all symbol geometry. If you click Select Color (at the bottom of the Color list), the Select Color dialog box appears. You can also enter a color name or number.

Object Properties

Let AutoCAD Mechanical manage object properties

Specifies that all objects created using AutoCAD Mechanical commands are automatically assigned properties as specified in the Object Properties Settings dialog box.

Settings

Displays the Object Property Settings dialog box, which enables you to pre configure the settings of all objects created using AutoCAD Mechanical commands.

Projection angle

Projection angle for drawing views:

Specifies the projection angle to use when generating drawing views and shaft generator views.

Restore Defaults

Returns all values to the default values for the current standard.


Configure the Majority Symbol Representation of Edge Symbols (Concept)

Configure the Appearance of Edge Symbols
Edge Symbols
Feature Control Frames
Configuration and setup guide > Configure Symbols > Edge Symbols >
Configure the Majority Symbol Representation of Edge Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AutoCAD Mechanical enables you to set an edge symbol as a majority symbol, which enables a single collective symbol to indicate the state common to all edges. You can opt to set the format of the majority symbol to the simplified representation or the full list representation. In the simplified representation, only the basic symbol appears in parentheses to the right of the collective indication. In the full list representation, if edge symbols are present elsewhere in the drawing, their states appear in parentheses at the right of the collective indication.


To Configure Majority Symbol Representation (Procedure)

Configure the Appearance of Edge Symbols
Up a level to ..
Feature Control Frames
Configuration and setup guide > Configure Symbols > Edge Symbols >
Configure the Majority Symbol Representation of Edge Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To Configure Majority Symbol Representation

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. In the Options dialog box, click the AM:Standards tab.
  3. In the Standard Elements list, double-click the symbol.
  4. In the Majority symbol section, select the default representation.
  5. Click OK until all dialog boxes close.


Configure the Majority Symbol Representation of Edge Symbols (Quick Reference)

Configure the Appearance of Edge Symbols
Configure the Majority Symbol Representation of Edge Symbols
Configure the Appearance of Feature Control Frames
Configuration and setup guide > Configure Symbols > Edge Symbols >
Configure the Majority Symbol Representation of Edge Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Edge Settings dialog box

Use the Edge Settings dialog box to specify the defaults settings of edge symbols, for the current drafting standard.

Revision

Displays the current standard.

Majority Symbol

Sets options for the majority symbol, which indicates the state common to all edges, using a single collective symbol.

Simplified

Sets the majority symbol to its simplified representation. Accordingly, only the basic symbol appears in parenthesis, at the right of the collective indication.

Full list

Sets the majority symbol to its full representation. Accordingly, if edge symbols are present elsewhere in the drawing, their state is fully indicated in parenthesis at the right of the collective indication.

Leader

Arrowhead

Specifies the type of the leader arrowhead. When the arrowhead is set to ByNameOfCurrentDraftingStandard, it acquires the arrowhead from the master settings of the current drafting standard. If the master setting changes, the arrowheads for all edge symbols that are set to ByNameOfCurrentDraftingStandard, change automatically.

Arrow size

Specifies the size of the leader arrowhead. When the arrow size is set to ByNameOfCurrentDraftingStandard, it acquires the arrow size from the master settings of the current drafting standard. If the master setting changes, the arrow size for all edge symbols based on the current drafting standard change automatically.

Color

Specifies the color of the leader. When the leader color is set to ByNameOfCurrentDraftingStandard, it acquires the color from the master settings of the current drafting standard. If the master setting changes, the leader color of all edge symbols based on the current drafting standard change automatically.

Text

Height

Specifies the text height for symbol text. When the height is set to ByNameOfCurrentDraftingStandard, it acquires the text height from the master settings of the current drafting standard. If the master setting changes, the text height of all edge symbols based on the current drafting standard change automatically.

If the current standard is a custom standard, you can specify a non-standard text height. If not, the AutoCAD Mechanical restricts you to selecting a value from the list.

Color

Specifies the color of symbol text. When the text color is set to ByNameOfCurrentDraftingStandard, it acquires the color from the master settings of the current drafting standard. If the master setting changes, the text color of all edge symbols based on the current drafting standard change automatically.

NoteIf the text height changes, the color automatically changes to the default color corresponding to that text height. Text object colors are set from the Object Property Settings dialog box.

Restore Defaults

Returns all values to the default values for the current standard.


Feature Control Frames

Configure the Majority Symbol Representation of Edge Symbols
Configure Symbols
Configure the Appearance of Feature Control Frames
Configuration and setup guide > Configure Symbols >
Feature Control Frames
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

Topics in this section

  • Configure the Appearance of Feature Control Frames


Feature Control Frames (Procedure)

Configure the Majority Symbol Representation of Edge Symbols
Up a level to ..
Configure the Appearance of Feature Control Frames
Configuration and setup guide > Configure Symbols >
Feature Control Frames
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

To configure text height and color for feature control frame symbols

To configure leader settings for feature control frame symbols

To Configure which GD&T Symbols are Available for Insertion

To Configure Master Settings for Text Height

To Configure Master Settings for Text Color

To Configure the Master Settings for Leaders


Configure the Appearance of Feature Control Frames (Concept)

Feature Control Frames
Feature Control Frames
Taper and Slope symbols
Configuration and setup guide > Configure Symbols > Feature Control Frames >
Configure the Appearance of Feature Control Frames
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

When you select the drafting standard (and the revision), the default settings for feature control frames change to match that drafting standard. If necessary, you can customize these settings to suit your drafting requirements

Because text and leader lines are the most common objects used for annotations, AutoCAD Mechanical provides a single configuration point (the Standard Settings dialog box) enabling you to specify their default properties. These settings are the master settings.

In the Feature Control Frame Settings dialog box, the text and leader settings default to “By NameOfCurrentDraftingStandard.” If you modify the master settings, feature control frame symbols automatically acquire the new settings. If you do not want feature control frame symbols to follow the master settings, you can override the text height and select a specific value.

You can also specify what geometric dimensioning and tolerancing (GD&T) symbols are available for selection when you insert a feature control frame into a drawing.


Configure the Appearance of Feature Control Frames (Procedure)

Feature Control Frames
Up a level to ..
Configure the Appearance of Feature Control Frames
Configuration and setup guide > Configure Symbols > Feature Control Frames >
Configure the Appearance of Feature Control Frames
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To configure text height and color for feature control frame symbols

To configure leader settings for feature control frame symbols

To Configure which GD&T Symbols are Available for Insertion

To Configure Master Settings for Text Height

To Configure Master Settings for Text Color

To Configure the Master Settings for Leaders


Configure the Appearance of Feature Control Frames (Quick Reference)

Configure the Majority Symbol Representation of Edge Symbols
Configure the Appearance of Feature Control Frames
Configure the Appearance of Feature Control Frames
Configuration and setup guide > Configure Symbols > Feature Control Frames >
Configure the Appearance of Feature Control Frames
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Feature Control Frame Settings dialog box

Standard Settings dialog box


To configure text height and color for feature control frame symbols (Procedure)

Configure the Appearance of Feature Control Frames
Up a level to ..
Configure the Appearance of Feature Control Frames
Configuration and setup guide > Configure Symbols > Feature Control Frames >
Configure the Appearance of Feature Control Frames
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To configure text height and color for feature control frame symbols

  1. Click None tab [image] None panel. At the command prompt, enter AMOPTIONS.
  2. In the Options dialog box, click the AM:Standards tab.
  3. In the Standard Elements list, double-click Feature Control Frame. The Feature Control Frame Settings dialog box appears.
  4. To change the text height, in the Text section, in the Height list, select the text height.
    NoteTo acquire the base height setting from the master text settings, select the text height marked “By NameOfCurrentDraftingStandard.”
  5. To change the text color, in the Text section, in the Color list, select the color.
  6. Click OK until all dialog boxes close.
NoteIf the current drafting standard is a custom standard, you can click inside the Height box and type any text height.


To configure leader settings for feature control frame symbols (Procedure)

Configure the Appearance of Feature Control Frames
Up a level to ..
Configure the Appearance of Feature Control Frames
Configuration and setup guide > Configure Symbols > Feature Control Frames >
Configure the Appearance of Feature Control Frames
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To configure leader settings for feature control frame symbols

  1. Click the None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. In the Options dialog box, click the AM:Standards tab.
  3. In the Standard Elements list, double-click Feature Control Frame. The Feature Control Frame Settings dialog box appears.
  4. To change the Arrowhead shape, in the Leader section, in the Arrowhead list, select the arrowhead.
  5. To change the arrow size, in the Leader section, in the Arrow size list, select the size.
  6. To change the leader color, in the Leader section, in the Color list, select the color.
    NoteTo acquire the arrowhead shape, arrow size, and leader color from master settings, select the list item marked “By NameOfCurrentDraftingStandard” in the respective lists.
  7. Click OK until all dialog boxes close.


To Configure which GD&T Symbols are Available for Insertion (Procedure)

Configure the Appearance of Feature Control Frames
Up a level to ..
Configure the Appearance of Feature Control Frames
Configuration and setup guide > Configure Symbols > Feature Control Frames >
Configure the Appearance of Feature Control Frames
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To Configure which GD&T Symbols are Available for Insertion

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. In the Options dialog box, click the AM:Standards tab.
  3. In the standard elements list, double-click the Feature Control Frame symbol.
  4. In the Show symbols for list, select a category.
  5. In the list of Geometric Dimensioning and Tolerancing symbols, select the check boxes adjacent to the symbols to make available and clear the others.
  6. Repeat steps 4 and 5 for all required categories.
  7. Click OK until all dialog boxes close.


To Configure Master Settings for Text Height (Procedure)

Configure the Appearance of Feature Control Frames
Up a level to ..
Configure the Appearance of Feature Control Frames
Configuration and setup guide > Configure Symbols > Feature Control Frames >
Configure the Appearance of Feature Control Frames
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To Configure Master Settings for Text Height

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. In the Options dialog box, click the AM:Standards tab.
  3. In the Standard Elements list, double-click the root node (the standard name). The Standard Settings dialog box appears.
  4. To change the text height, in the text section, in the Base height box, select a text height.
Note If the current drafting standard is a custom standard or if the Link to Dimension Style check box is selected, you can do the following additional operations:
  • Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  • Click in the Base height box and type any text height.


To Configure Master Settings for Text Color (Procedure)

Configure the Appearance of Feature Control Frames
Up a level to ..
Configure the Appearance of Feature Control Frames
Configuration and setup guide > Configure Symbols > Feature Control Frames >
Configure the Appearance of Feature Control Frames
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To Configure Master Settings for Text Color

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. Click the AM:Standards tab.
  3. In the Standard Elements list, double-click the root node (the standard name). The Standard Settings dialog box appears.
  4. Click Settings. The Object Property Settings dialog box appears.
  5. In the Category list, click Text. The Show Properties for Text list shows the text categories supported by AutoCAD Mechanical.
  6. Click the color icon in the row corresponding to the text category to change the color for. The Select Color dialog box appears.
  7. Click a color and then click OK.
  8. Click in the Lineweight column and select the lineweight from the drop-down list.
  9. Click OK until all dialog boxes close.
NoteThe text color settings reset to the selected color for all objects containing text.


To Configure the Master Settings for Leaders (Procedure)

Configure the Appearance of Feature Control Frames
Up a level to ..
Taper and Slope symbols
Configuration and setup guide > Configure Symbols > Feature Control Frames >
Configure the Appearance of Feature Control Frames
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To Configure the Master Settings for Leaders

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. In the Options dialog box, click the AM:Standards tab.
  3. In the Standard Elements list, double-click the root node (the standard name). The Standard Settings dialog box appears.
  4. To change the arrowhead shape, in the Arrowhead list, select the arrowhead.
  5. To change the arrow size, in the Arrow size list, select the size.
  6. To change the leader color, in the leader section, in the color list, select the color.
  7. Click OK until all dialog boxes close.


Configure the Appearance of Feature Control Frames (Quick Reference)

Configure the Appearance of Feature Control Frames
Configure the Appearance of Feature Control Frames
Configure the Appearance of Feature Control Frames
Configuration and setup guide > Configure Symbols > Feature Control Frames >
Configure the Appearance of Feature Control Frames
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Feature Control Frame Settings dialog box

Use the Feature Control Frame Settings dialog box to configure the default settings of Feature Control Frames for the current standard.

Revision

Displays most recent revision of the standard this symbol complies with.

Merge Styles

Provides options to merge cells by removing duplication of tolerance types, tolerance zones, and datum references.

Merge symbol

Merges symbol cells, if the cells contain the same symbol.

Merge tolerance

Merges vertically adjacent tolerance cells, if the tolerance values are identical.

Merge datums

Merges vertically adjacent datum cells, if the tolerances are identical.

Adjust cells to vertically align

Pads cell contents with spaces so that cells of similar zones are of the same width.

Geometric Dimensioning and Tolerancing

Provides options to select which geometric dimensioning and tolerancing symbols will be available for insertion in Feature Control Frames.

Show symbols for

Selects a symbols category to display in the list of symbols.

Symbols list

Displays a list of for the selected category. Select the check box in front of a symbol to make it available for insertion via the AMFCFRAME command.

Symbol text style

Sets a text style for the geometric symbols used in feature control frames. This option is available only for custom standards.

Leader

Arrowhead

Specifies the type of the leader arrowhead. When the arrowhead is set to ByNameOfCurrentDraftingStandard, it acquires the arrowhead from the master settings of the current drafting standard. If the master setting changes, the arrowheads for all feature control frame symbols that are set to ByNameOfCurrentDraftingStandard, change automatically.

Arrow size

Specifies the size of the leader arrowhead. When the arrow size is set to ByNameOfCurrentDraftingStandard, it acquires the arrow size from the master settings of the current drafting standard. If the master setting changes, the arrow size for all feature control frame symbols based on the current drafting standard change automatically.

Color

Specifies the color of the leader. When the leader color is set to ByNameOfCurrentDraftingStandard, it acquires the color from the master settings of the current drafting standard. If the master setting changes, the leader color of all feature control frame symbols based on the current drafting standard change automatically.

Text

Height

Specifies the text height for symbol text. When the height is set to ByNameOfCurrentDraftingStandard, it acquires the text height from the master settings of the current drafting standard. If the master setting changes, the text height of all feature control frame symbols based on the current drafting standard change automatically.

If the current standard is a custom standard, you can specify a non-standard text height. If not, the AutoCAD Mechanical restricts you to selecting a value from the list.

Color

Specifies the color of symbol text. When the text color is set to ByNameOfCurrentDraftingStandard, it acquires the color from the master settings of the current drafting standard. If the master setting changes, the text color of all feature control frame symbols based on the current drafting standard change automatically.

NoteIf the text height changes, the color automatically changes to the default color corresponding to that text height. Text object colors are set from the Object Property Settings dialog box.

Restore Defaults

Returns all values to the default values for the current standard.


Configure the Appearance of Feature Control Frames (Quick Reference)

Configure the Appearance of Feature Control Frames
Configure the Appearance of Feature Control Frames
Configure the Appearance of Taper and Slope Symbols
Configuration and setup guide > Configure Symbols > Feature Control Frames >
Configure the Appearance of Feature Control Frames
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Standard Settings dialog box

Sets up master settings for the current drafting standard. The elements of the standard that have their settings configured as ByNameOfCurrentDraftingStandard, automatically acquire their settings from this dialog box.

Dimension link

Link to dimension style

Links the text and leader settings to a dimension style, so that dimension styles are controlled by the drafting standard. Any change you make on this dialog box is applied to the linked dimension style. Any change you make to the linked dimension style is applied back to the text and leader settings.

When this option is selected, you can specify non-standard text heights.

Link to leader dimension style only

Restricts linking of dimension styles to the Leader dimension sub-style. Hence changes to text and leader settings are applied only to the Leader sub-style.

If this option is not selected, you link to the base dimension style. Changes to the base dimension style are automatically applied to all sub-styles, unless that setting is overridden in the sub-style. This means that if you modify the text and leader settings in this dialog box, the change is applied across all sub-styles, unless the settings are explicitly overridden in the sub-style.

Style

Displays the name of the dimension style to which leader and text settings are linked.

Text

Style

Sets the text style for use with all annotations. This setting is controlled by the drafting standard. Hence this setting can be changed only if the current drafting standard is a custom drafting standard or if the text and leader settings are linked to a dimension style.

Base height

Sets the text height to use as the base height for annotation text. If the Link to dimension style check box is selected, or if the current drafting standard is a custom drafting standard, you can specify non-standard text heights. If not, you can only select the standard text heights that are available on the list.

By default, all symbols use the base text height for symbol text. Annotations such as annotation view labels, section line labels, detail view labels and balloons, use a text height that is one size larger than the base height.

Color

Sets the color for the text category selected for base text. If you click Select Color (at the bottom of the Color list), the Select Color dialog box appears. You can also enter a color name or number.

Leader

Arrowhead

Sets the default leader arrowhead type for all annotations.

Arrow size

Sets the default leader arrowhead size for all annotations.

Color

Displays and sets the leader color for all annotations. If you click Select Color (at the bottom of the Color list), the Select Color dialog box appears. You can also enter a color name or number. If the Link to dimension style check box is selected, this setting affects the dimension line and extension line colors.

Symbols

List attach point

Sets the default attachment point for lists such as parts lists and hole charts, which are controlled by the drafting standard.

Color

Sets the color for all symbol geometry. If you click Select Color (at the bottom of the Color list), the Select Color dialog box appears. You can also enter a color name or number.

Object Properties

Let AutoCAD Mechanical manage object properties

Specifies that all objects created using AutoCAD Mechanical commands are automatically assigned properties as specified in the Object Properties Settings dialog box.

Settings

Displays the Object Property Settings dialog box, which enables you to pre configure the settings of all objects created using AutoCAD Mechanical commands.

Projection angle

Projection angle for drawing views:

Specifies the projection angle to use when generating drawing views and shaft generator views.

Restore Defaults

Returns all values to the default values for the current standard.


Taper and Slope symbols

Configure the Appearance of Feature Control Frames
Configure Symbols
Configure the Appearance of Taper and Slope Symbols
Configuration and setup guide > Configure Symbols >
Taper and Slope symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

Topics in this section

  • Configure the Appearance of Taper and Slope Symbols


Taper and Slope symbols (Procedure)

Configure the Appearance of Feature Control Frames
Up a level to ..
Configure the Appearance of Taper and Slope Symbols
Configuration and setup guide > Configure Symbols >
Taper and Slope symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

To configure the default representation of slope/taper rate

To configure text height and color for taper and slope symbols

To configure leader settings for taper and slope symbols

To Configure which Graphical Symbols are Available for Insertion

To Configure Master Settings for Text Height

To Configure Master Settings for Text Color

To Configure the Master Settings for Leaders


Configure the Appearance of Taper and Slope Symbols (Concept)

Taper and Slope symbols
Taper and Slope symbols
Datum and Feature Identification Symbols
Configuration and setup guide > Configure Symbols > Taper and Slope symbols >
Configure the Appearance of Taper and Slope Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

When you select the drafting standard, the default settings for taper and slope symbols change to match that drafting standard. You can customize these settings to suit your drafting requirements

Because text and leader lines are the most common objects used for annotations, AutoCAD Mechanical provides a single configuration point (the Standard Settings dialog box) enabling you to specify their default properties. These settings are the master settings.

In the Taper and Slope Settings dialog box, the text and leader settings default to “By NameOfCurrentDraftingStandard.” If you modify the master settings, taper and slope symbols automatically acquire the new settings. If you do not want the taper and slope symbols to follow the master settings, override the text height and select a specific value.

You can also specify whether the slope/taper rate is expressed as a ratio or as a percentage, by default. If you select ratio, you can specify how to represent the ratio.


Configure the Appearance of Taper and Slope Symbols (Procedure)

Taper and Slope symbols
Up a level to ..
Configure the Appearance of Taper and Slope Symbols
Configuration and setup guide > Configure Symbols > Taper and Slope symbols >
Configure the Appearance of Taper and Slope Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To configure the default representation of slope/taper rate

To configure text height and color for taper and slope symbols

To configure leader settings for taper and slope symbols

To Configure which Graphical Symbols are Available for Insertion

To Configure Master Settings for Text Height

To Configure Master Settings for Text Color

To Configure the Master Settings for Leaders


Configure the Appearance of Taper and Slope Symbols (Quick Reference)

Configure the Appearance of Feature Control Frames
Configure the Appearance of Taper and Slope Symbols
Configure the Appearance of Taper and Slope Symbols
Configuration and setup guide > Configure Symbols > Taper and Slope symbols >
Configure the Appearance of Taper and Slope Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Taper and Slope Settings dialog box

Standard Settings dialog box


To configure the default representation of slope/taper rate (Procedure)

Configure the Appearance of Taper and Slope Symbols
Up a level to ..
Configure the Appearance of Taper and Slope Symbols
Configuration and setup guide > Configure Symbols > Taper and Slope symbols >
Configure the Appearance of Taper and Slope Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To configure the default representation of slope/taper rate

  1. Click the None tab [image] None panel. At the command prompt, enter AMOPTIONS.
  2. In the Options dialog box, click the AM:Standards tab.
  3. In the Standard Elements list, double-click Taper and Slope. The Taper and Slope Settings dialog box appears.
  4. In the Preferred dimension type section, select the representation.
  5. If you selected ratio:
    1. In the Format list, select how the ratio must be represented.
    2. In the Separator box, specify one or more characters to separate the two numbers in the ratio.
  6. Click OK until all dialog boxes close.


To configure text height and color for taper and slope symbols (Procedure)

Configure the Appearance of Taper and Slope Symbols
Up a level to ..
Configure the Appearance of Taper and Slope Symbols
Configuration and setup guide > Configure Symbols > Taper and Slope symbols >
Configure the Appearance of Taper and Slope Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To configure text height and color for taper and slope symbols

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. In the Options dialog box, click the AM:Standards tab.
  3. In the Standard Elements list, double-click Taper and Slope. The Taper and Slope Settings dialog box appears.
  4. To change the text height, in the Text section, in the Height list, select the text height.
    NoteTo acquire the base height setting from the master text settings, select the text height marked “By NameOfCurrentDraftingStandard.”
  5. To change the text color, in the Text section, in the Color list, select the color.
  6. Click OK until all dialog boxes close.
NoteIf the current drafting standard is a custom standard, you can click inside the Height box and type any text height.


To configure leader settings for taper and slope symbols (Procedure)

Configure the Appearance of Taper and Slope Symbols
Up a level to ..
Configure the Appearance of Taper and Slope Symbols
Configuration and setup guide > Configure Symbols > Taper and Slope symbols >
Configure the Appearance of Taper and Slope Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To configure leader settings for taper and slope symbols

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. In the Options dialog box, click the AM:Standards tab.
  3. In the Standard Elements list, double-click Taper and Slope. The Taper and Slope Settings dialog box appears.
  4. To change the Arrowhead shape, in the Leader section, in the Arrowhead list, select the arrowhead.
  5. To change the arrow size, in the Leader section, in the Arrow size list, select the size.
  6. To change the leader color, in the Leader section, in the Color list, select the color.
    NoteTo acquire the arrowhead shape, arrow size, and leader color from master settings, select the list item marked “By NameOfCurrentDraftingStandard” in the respective lists.
  7. Click OK until all dialog boxes close.


To Configure which Graphical Symbols are Available for Insertion (Procedure)

Configure the Appearance of Taper and Slope Symbols
Up a level to ..
Configure the Appearance of Taper and Slope Symbols
Configuration and setup guide > Configure Symbols > Taper and Slope symbols >
Configure the Appearance of Taper and Slope Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To Configure which Graphical Symbols are Available for Insertion

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. In the Options dialog box, click the AM:Standards tab.
  3. In the standard elements list, double-click the Taper and Slope symbol.
  4. In the list of symbols, select the check boxes adjacent to the symbol to make available and clear the others.
  5. Click OK until all dialog boxes close.


To Configure Master Settings for Text Height (Procedure)

Configure the Appearance of Taper and Slope Symbols
Up a level to ..
Configure the Appearance of Taper and Slope Symbols
Configuration and setup guide > Configure Symbols > Taper and Slope symbols >
Configure the Appearance of Taper and Slope Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To Configure Master Settings for Text Height

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. In the Options dialog box, click the AM:Standards tab.
  3. In the Standard Elements list, double-click the root node (the standard name). The Standard Settings dialog box appears.
  4. To change the text height, in the text section, in the Base height box, select a text height.
Note If the current drafting standard is a custom standard or if the Link to Dimension Style check box is selected, you can do the following additional operations:
  • Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  • Click in the Base height box and type any text height.


To Configure Master Settings for Text Color (Procedure)

Configure the Appearance of Taper and Slope Symbols
Up a level to ..
Configure the Appearance of Taper and Slope Symbols
Configuration and setup guide > Configure Symbols > Taper and Slope symbols >
Configure the Appearance of Taper and Slope Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To Configure Master Settings for Text Color

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. Click the AM:Standards tab.
  3. In the Standard Elements list, double-click the root node (the standard name). The Standard Settings dialog box appears.
  4. Click Settings. The Object Property Settings dialog box appears.
  5. In the Category list, click Text. The Show Properties for Text list shows the text categories supported by AutoCAD Mechanical.
  6. Click the color icon in the row corresponding to the text category to change the color for. The Select Color dialog box appears.
  7. Click a color and then click OK.
  8. Click in the Lineweight column and select the lineweight from the drop-down list.
  9. Click OK until all dialog boxes close.
NoteThe text color settings reset to the selected color for all objects containing text.


To Configure the Master Settings for Leaders (Procedure)

Configure the Appearance of Taper and Slope Symbols
Up a level to ..
Datum and Feature Identification Symbols
Configuration and setup guide > Configure Symbols > Taper and Slope symbols >
Configure the Appearance of Taper and Slope Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To Configure the Master Settings for Leaders

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. In the Options dialog box, click the AM:Standards tab.
  3. In the Standard Elements list, double-click the root node (the standard name). The Standard Settings dialog box appears.
  4. To change the arrowhead shape, in the Arrowhead list, select the arrowhead.
  5. To change the arrow size, in the Arrow size list, select the size.
  6. To change the leader color, in the leader section, in the color list, select the color.
  7. Click OK until all dialog boxes close.


Configure the Appearance of Taper and Slope Symbols (Quick Reference)

Configure the Appearance of Taper and Slope Symbols
Configure the Appearance of Taper and Slope Symbols
Configure the Appearance of Taper and Slope Symbols
Configuration and setup guide > Configure Symbols > Taper and Slope symbols >
Configure the Appearance of Taper and Slope Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Taper and Slope Settings dialog box

Use the Taper and Slope Settings dialog box to configure the default settings of taper and slope symbols for the active standard.

Revision

Displays the name and revision of the drafting standard on which the symbol is based.

Preferred dimension type

Defines whether the calculated slope/taper rates are expressed as a percentage or a ratio, by default.

Format

Defines the format in which ratios are expressed.

Separator

Defines the ratio separator to use in the ratio format. You can use alphanumeric characters, including spaces. If you do not specify a separator, the AMTAPERSYM command uses the colon character (:) as the separator.

Leader

Arrowhead

Specifies the type of the leader arrowhead. When the arrowhead is set to ByNameOfCurrentDraftingStandard, it acquires the arrowhead from the master settings of the current drafting standard. If the master setting changes, the arrowheads for all taper/slope symbols which are set to ByNameOfCurrentDraftingStandard change automatically.

Arrow size

Specifies the size of the leader arrowhead. When the arrow size is set to ByNameOfCurrentDraftingStandard, it acquires the arrow size from the master settings of the current drafting standard. If the master setting changes, the arrow sizes for all taper/slope symbols based on the current drafting standard change automatically.

Color

Specifies the color of the leader. When the leader color is set to ByNameOfCurrentDraftingStandard, it acquires the color from the master settings of the current drafting standard. If the master setting changes, the leader color of all taper/slope symbols based on the current drafting standard changes automatically.

Text

Height

Specifies the text height for symbol text. When the height is set to ByNameOfCurrentDraftingStandard, it acquires the text height from the master settings of the current drafting standard. If the master setting changes, the text height of all taper/slope symbols based on the current drafting standard change automatically.

If the current standard is a custom standard, you can specify a non-standard text height. If not, the AutoCAD Mechanical restricts you to selecting a value from the list.

Color

Specifies the color of symbol text. When the text color is set to ByNameOfCurrentDraftingStandard, it acquires the color from the master settings of the current drafting standard. If the master setting changes, the text color of all taper/slope symbols based on the current drafting standard change automatically.

NoteIf the text height changes, the color automatically changes to the default color corresponding to that text height. Text object colors are set from the Object Property Settings dialog box.

Restore Defaults

Returns all values to the default values for the current standard.


Configure the Appearance of Taper and Slope Symbols (Quick Reference)

Configure the Appearance of Taper and Slope Symbols
Configure the Appearance of Taper and Slope Symbols
Configure the Appearance of Datum and Feature Identification Symbols
Configuration and setup guide > Configure Symbols > Taper and Slope symbols >
Configure the Appearance of Taper and Slope Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Standard Settings dialog box

Sets up master settings for the current drafting standard. The elements of the standard that have their settings configured as ByNameOfCurrentDraftingStandard, automatically acquire their settings from this dialog box.

Dimension link

Link to dimension style

Links the text and leader settings to a dimension style, so that dimension styles are controlled by the drafting standard. Any change you make on this dialog box is applied to the linked dimension style. Any change you make to the linked dimension style is applied back to the text and leader settings.

When this option is selected, you can specify non-standard text heights.

Link to leader dimension style only

Restricts linking of dimension styles to the Leader dimension sub-style. Hence changes to text and leader settings are applied only to the Leader sub-style.

If this option is not selected, you link to the base dimension style. Changes to the base dimension style are automatically applied to all sub-styles, unless that setting is overridden in the sub-style. This means that if you modify the text and leader settings in this dialog box, the change is applied across all sub-styles, unless the settings are explicitly overridden in the sub-style.

Style

Displays the name of the dimension style to which leader and text settings are linked.

Text

Style

Sets the text style for use with all annotations. This setting is controlled by the drafting standard. Hence this setting can be changed only if the current drafting standard is a custom drafting standard or if the text and leader settings are linked to a dimension style.

Base height

Sets the text height to use as the base height for annotation text. If the Link to dimension style check box is selected, or if the current drafting standard is a custom drafting standard, you can specify non-standard text heights. If not, you can only select the standard text heights that are available on the list.

By default, all symbols use the base text height for symbol text. Annotations such as annotation view labels, section line labels, detail view labels and balloons, use a text height that is one size larger than the base height.

Color

Sets the color for the text category selected for base text. If you click Select Color (at the bottom of the Color list), the Select Color dialog box appears. You can also enter a color name or number.

Leader

Arrowhead

Sets the default leader arrowhead type for all annotations.

Arrow size

Sets the default leader arrowhead size for all annotations.

Color

Displays and sets the leader color for all annotations. If you click Select Color (at the bottom of the Color list), the Select Color dialog box appears. You can also enter a color name or number. If the Link to dimension style check box is selected, this setting affects the dimension line and extension line colors.

Symbols

List attach point

Sets the default attachment point for lists such as parts lists and hole charts, which are controlled by the drafting standard.

Color

Sets the color for all symbol geometry. If you click Select Color (at the bottom of the Color list), the Select Color dialog box appears. You can also enter a color name or number.

Object Properties

Let AutoCAD Mechanical manage object properties

Specifies that all objects created using AutoCAD Mechanical commands are automatically assigned properties as specified in the Object Properties Settings dialog box.

Settings

Displays the Object Property Settings dialog box, which enables you to pre configure the settings of all objects created using AutoCAD Mechanical commands.

Projection angle

Projection angle for drawing views:

Specifies the projection angle to use when generating drawing views and shaft generator views.

Restore Defaults

Returns all values to the default values for the current standard.


Datum and Feature Identification Symbols

Configure the Appearance of Taper and Slope Symbols
Configure Symbols
Configure the Appearance of Datum and Feature Identification Symbols
Configuration and setup guide > Configure Symbols >
Datum and Feature Identification Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

Topics in this section

  • Configure the Appearance of Datum and Feature Identification Symbols


Datum and Feature Identification Symbols (Procedure)

Configure the Appearance of Taper and Slope Symbols
Up a level to ..
Configure the Appearance of Datum and Feature Identification Symbols
Configuration and setup guide > Configure Symbols >
Datum and Feature Identification Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

To configure text height and color for datum and feature identifier symbols

To configure leader settings for datum and feature identifier symbols

To Configure Master Settings for Text Height

To Configure Master Settings for Text Color

To Configure the Master Settings for Leaders


Configure the Appearance of Datum and Feature Identification Symbols (Concept)

Datum and Feature Identification Symbols
Datum and Feature Identification Symbols
Datum target symbols
Configuration and setup guide > Configure Symbols > Datum and Feature Identification Symbols >
Configure the Appearance of Datum and Feature Identification Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

When you select the drafting standard, the default settings for datum identification symbols and feature identification symbols change to match that drafting standard. If necessary, you can customize these settings to suit your drafting requirements.

You cannot change settings of datum identification symbols independently of feature identification symbols. Both symbols derive their settings from the same set of configuration parameters. The only configurable options available for these symbols are the text and leader settings.

Because text and leader lines are the most common objects used for annotations, AutoCAD Mechanical provides a single configuration point (the Standard Settings dialog box) enabling you to specify their default properties. These settings are the master settings.

In the Datum And Feature Identification Settings dialog box, the text and leader settings default to “By NameOfCurrentDraftingStandard.” If you modify the master settings, datum and feature identification symbols automatically acquire the new settings. However, if you do not want datum and feature identification symbols to follow the master settings, you can override the text height and select a specific value.


Configure the Appearance of Datum and Feature Identification Symbols (Procedure)

Datum and Feature Identification Symbols
Up a level to ..
Configure the Appearance of Datum and Feature Identification Symbols
Configuration and setup guide > Configure Symbols > Datum and Feature Identification Symbols >
Configure the Appearance of Datum and Feature Identification Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To configure text height and color for datum and feature identifier symbols

To configure leader settings for datum and feature identifier symbols

To Configure Master Settings for Text Height

To Configure Master Settings for Text Color

To Configure the Master Settings for Leaders


Configure the Appearance of Datum and Feature Identification Symbols (Quick Reference)

Configure the Appearance of Taper and Slope Symbols
Configure the Appearance of Datum and Feature Identification Symbols
Configure the Appearance of Datum and Feature Identification Symbols
Configuration and setup guide > Configure Symbols > Datum and Feature Identification Symbols >
Configure the Appearance of Datum and Feature Identification Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Datum and Feature Identifier Settings dialog box

Standard Settings dialog box


To configure text height and color for datum and feature identifier symbols (Procedure)

Configure the Appearance of Datum and Feature Identification Symbols
Up a level to ..
Configure the Appearance of Datum and Feature Identification Symbols
Configuration and setup guide > Configure Symbols > Datum and Feature Identification Symbols >
Configure the Appearance of Datum and Feature Identification Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To configure text height and color for datum and feature identifier symbols

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. In the Options dialog box, click the AM:Standards tab.
  3. In the Standard Elements list, double-click Datum and Feature Identifier. The Datum and Feature Identifier Settings dialog box appears.
  4. To change the text height, in the Text section, in the Height list, select the text height.
    NoteTo acquire the base height setting from the master text settings, select the text height marked “By NameOfCurrentDraftingStandard.”
  5. To change the text color, in the Text section, in the Color list, select the color.
  6. Click OK until all dialog boxes close.
NoteIf the current drafting standard is a custom standard, you can click inside the Height box and type any text height.


To configure leader settings for datum and feature identifier symbols (Procedure)

Configure the Appearance of Datum and Feature Identification Symbols
Up a level to ..
Configure the Appearance of Datum and Feature Identification Symbols
Configuration and setup guide > Configure Symbols > Datum and Feature Identification Symbols >
Configure the Appearance of Datum and Feature Identification Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To configure leader settings for datum and feature identifier symbols

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. In the Options dialog box, click the AM:Standards tab.
  3. In the Standard Elements list, double-click Datum and Feature Identifier. The Datum and Feature Identifier Settings dialog box appears.
  4. To change the Arrowhead shape, in the Leader section, in the Arrowhead list, select the arrowhead.
  5. To change the arrow size, in the Leader section, in the Arrow size list, select the size.
  6. To change the leader color, in the Leader section, in the Color list, select the color.
    NoteTo acquire the arrowhead shape, arrow size, and leader color from master settings, select the list item marked “By NameOfCurrentDraftingStandard” in the respective lists.
  7. Click OK until all dialog boxes close.


To Configure Master Settings for Text Height (Procedure)

Configure the Appearance of Datum and Feature Identification Symbols
Up a level to ..
Configure the Appearance of Datum and Feature Identification Symbols
Configuration and setup guide > Configure Symbols > Datum and Feature Identification Symbols >
Configure the Appearance of Datum and Feature Identification Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To Configure Master Settings for Text Height

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. In the Options dialog box, click the AM:Standards tab.
  3. In the Standard Elements list, double-click the root node (the standard name). The Standard Settings dialog box appears.
  4. To change the text height, in the text section, in the Base height box, select a text height.
Note If the current drafting standard is a custom standard or if the Link to Dimension Style check box is selected, you can do the following additional operations:
  • Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  • Click in the Base height box and type any text height.


To Configure Master Settings for Text Color (Procedure)

Configure the Appearance of Datum and Feature Identification Symbols
Up a level to ..
Configure the Appearance of Datum and Feature Identification Symbols
Configuration and setup guide > Configure Symbols > Datum and Feature Identification Symbols >
Configure the Appearance of Datum and Feature Identification Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To Configure Master Settings for Text Color

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. Click the AM:Standards tab.
  3. In the Standard Elements list, double-click the root node (the standard name). The Standard Settings dialog box appears.
  4. Click Settings. The Object Property Settings dialog box appears.
  5. In the Category list, click Text. The Show Properties for Text list shows the text categories supported by AutoCAD Mechanical.
  6. Click the color icon in the row corresponding to the text category to change the color for. The Select Color dialog box appears.
  7. Click a color and then click OK.
  8. Click in the Lineweight column and select the lineweight from the drop-down list.
  9. Click OK until all dialog boxes close.
NoteThe text color settings reset to the selected color for all objects containing text.


To Configure the Master Settings for Leaders (Procedure)

Configure the Appearance of Datum and Feature Identification Symbols
Up a level to ..
Datum target symbols
Configuration and setup guide > Configure Symbols > Datum and Feature Identification Symbols >
Configure the Appearance of Datum and Feature Identification Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To Configure the Master Settings for Leaders

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. In the Options dialog box, click the AM:Standards tab.
  3. In the Standard Elements list, double-click the root node (the standard name). The Standard Settings dialog box appears.
  4. To change the arrowhead shape, in the Arrowhead list, select the arrowhead.
  5. To change the arrow size, in the Arrow size list, select the size.
  6. To change the leader color, in the leader section, in the color list, select the color.
  7. Click OK until all dialog boxes close.


Configure the Appearance of Datum and Feature Identification Symbols (Quick Reference)

Configure the Appearance of Datum and Feature Identification Symbols
Configure the Appearance of Datum and Feature Identification Symbols
Configure the Appearance of Datum and Feature Identification Symbols
Configuration and setup guide > Configure Symbols > Datum and Feature Identification Symbols >
Configure the Appearance of Datum and Feature Identification Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Datum and Feature Identifier Settings dialog box

Use the Datum and Feature Identifier Settings dialog box to specify the defaults settings of datum and feature identification symbols, for the current drafting standard.

Revision

Displays most recent revision of the standard this symbol complies with.

Leader

Arrowhead

Specifies the type of the leader arrowhead. When the arrowhead is set to ByNameOfCurrentDraftingStandard, it acquires the arrowhead from the master settings of the current drafting standard. If the master setting changes, the arrowheads for all datum and feature identifier symbols that are set to ByNameOfCurrentDraftingStandard, change automatically.

Arrow size

Specifies the size of the leader arrowhead. When the arrow size is set to ByNameOfCurrentDraftingStandard, it acquires the arrow size from the master settings of the current drafting standard. If the master setting changes, the arrow size for all datum and feature identifier symbols based on the current drafting standard change automatically.

Color

Specifies the color of the leader. When the leader color is set to ByNameOfCurrentDraftingStandard, it acquires the color from the master settings of the current drafting standard. If the master setting changes, the leader color of all datum and feature identifier symbols based on the current drafting standard change automatically.

Text

Height

Specifies the text height for symbol text. When the height is set to ByNameOfCurrentDraftingStandard, it acquires the text height from the master settings of the current drafting standard. If the master setting changes, the text height of all datum and feature identifier symbols based on the current drafting standard change automatically.

If the current standard is a custom standard, you can specify a non-standard text height. If not, the AutoCAD Mechanical restricts you to selecting a value from the list.

Color

Specifies the color of symbol text. When the text color is set to ByNameOfCurrentDraftingStandard, it acquires the color from the master settings of the current drafting standard. If the master setting changes, the text color of all datum and feature identifier symbols based on the current drafting standard change automatically.

NoteIf the text height changes, the color automatically changes to the default color corresponding to that text height. Text object colors are set from the Object Property Settings dialog box.

Restore Defaults

Returns all values to the default values for the current standard.


Configure the Appearance of Datum and Feature Identification Symbols (Quick Reference)

Configure the Appearance of Datum and Feature Identification Symbols
Configure the Appearance of Datum and Feature Identification Symbols
Configure the appearance of datum target symbols
Configuration and setup guide > Configure Symbols > Datum and Feature Identification Symbols >
Configure the Appearance of Datum and Feature Identification Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Standard Settings dialog box

Sets up master settings for the current drafting standard. The elements of the standard that have their settings configured as ByNameOfCurrentDraftingStandard, automatically acquire their settings from this dialog box.

Dimension link

Link to dimension style

Links the text and leader settings to a dimension style, so that dimension styles are controlled by the drafting standard. Any change you make on this dialog box is applied to the linked dimension style. Any change you make to the linked dimension style is applied back to the text and leader settings.

When this option is selected, you can specify non-standard text heights.

Link to leader dimension style only

Restricts linking of dimension styles to the Leader dimension sub-style. Hence changes to text and leader settings are applied only to the Leader sub-style.

If this option is not selected, you link to the base dimension style. Changes to the base dimension style are automatically applied to all sub-styles, unless that setting is overridden in the sub-style. This means that if you modify the text and leader settings in this dialog box, the change is applied across all sub-styles, unless the settings are explicitly overridden in the sub-style.

Style

Displays the name of the dimension style to which leader and text settings are linked.

Text

Style

Sets the text style for use with all annotations. This setting is controlled by the drafting standard. Hence this setting can be changed only if the current drafting standard is a custom drafting standard or if the text and leader settings are linked to a dimension style.

Base height

Sets the text height to use as the base height for annotation text. If the Link to dimension style check box is selected, or if the current drafting standard is a custom drafting standard, you can specify non-standard text heights. If not, you can only select the standard text heights that are available on the list.

By default, all symbols use the base text height for symbol text. Annotations such as annotation view labels, section line labels, detail view labels and balloons, use a text height that is one size larger than the base height.

Color

Sets the color for the text category selected for base text. If you click Select Color (at the bottom of the Color list), the Select Color dialog box appears. You can also enter a color name or number.

Leader

Arrowhead

Sets the default leader arrowhead type for all annotations.

Arrow size

Sets the default leader arrowhead size for all annotations.

Color

Displays and sets the leader color for all annotations. If you click Select Color (at the bottom of the Color list), the Select Color dialog box appears. You can also enter a color name or number. If the Link to dimension style check box is selected, this setting affects the dimension line and extension line colors.

Symbols

List attach point

Sets the default attachment point for lists such as parts lists and hole charts, which are controlled by the drafting standard.

Color

Sets the color for all symbol geometry. If you click Select Color (at the bottom of the Color list), the Select Color dialog box appears. You can also enter a color name or number.

Object Properties

Let AutoCAD Mechanical manage object properties

Specifies that all objects created using AutoCAD Mechanical commands are automatically assigned properties as specified in the Object Properties Settings dialog box.

Settings

Displays the Object Property Settings dialog box, which enables you to pre configure the settings of all objects created using AutoCAD Mechanical commands.

Projection angle

Projection angle for drawing views:

Specifies the projection angle to use when generating drawing views and shaft generator views.

Restore Defaults

Returns all values to the default values for the current standard.


Datum target symbols

Configure the Appearance of Datum and Feature Identification Symbols
Configure Symbols
Configure the appearance of datum target symbols
Configuration and setup guide > Configure Symbols >
Datum target symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

Topics in this section

  • Configure the appearance of datum target symbols


Datum target symbols (Procedure)

Configure the Appearance of Datum and Feature Identification Symbols
Up a level to ..
Configure the appearance of datum target symbols
Configuration and setup guide > Configure Symbols >
Datum target symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

To configure text height and color for datum target symbols

To configure leader settings for datum target symbols

To Configure Circular and Rectangular Terminations

To Configure Point Terminations

To Configure Master Settings for Text Height

To Configure Master Settings for Text Color

To Configure the Master Settings for Leaders


Configure the appearance of datum target symbols (Concept)

Datum target symbols
Datum target symbols
Marking/Stamping Symbol
Configuration and setup guide > Configure Symbols > Datum target symbols >
Configure the appearance of datum target symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

When you select the drafting standard (and the correct revision), the default settings for datum target symbols change to match that drafting standard. If necessary, you can customize these settings to suit your drafting requirements.

Because text and leader lines are the most common objects used for annotations, AutoCAD Mechanical provides a single configuration point (the Standard Settings dialog box) enabling you to specify their default properties. These settings are the master settings.

In the Datum Target Settings dialog box, the text and leader settings default to “By NameOfCurrentDraftingStandard.” If you modify the master settings, datum target symbols automatically acquire the new settings. If you do not want datum target symbols to follow the master settings, you can override the text height and select a specific value.

For datum target symbols with circular and rectangular terminations, you can specify the hatch angle, hatch spacing, and boundary line type. For datum target symbols with point terminations, you can specify the size of the point of termination and specify whether or not the symbol includes an arrowhead.


Configure the appearance of datum target symbols (Procedure)

Datum target symbols
Up a level to ..
Configure the appearance of datum target symbols
Configuration and setup guide > Configure Symbols > Datum target symbols >
Configure the appearance of datum target symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To configure text height and color for datum target symbols

To configure leader settings for datum target symbols

To Configure Circular and Rectangular Terminations

To Configure Point Terminations

To Configure Master Settings for Text Height

To Configure Master Settings for Text Color

To Configure the Master Settings for Leaders


Configure the appearance of datum target symbols (Quick Reference)

Configure the Appearance of Datum and Feature Identification Symbols
Configure the appearance of datum target symbols
Configure the appearance of datum target symbols
Configuration and setup guide > Configure Symbols > Datum target symbols >
Configure the appearance of datum target symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Datum Target Settings dialog box

Standard Settings dialog box


To configure text height and color for datum target symbols (Procedure)

Configure the appearance of datum target symbols
Up a level to ..
Configure the appearance of datum target symbols
Configuration and setup guide > Configure Symbols > Datum target symbols >
Configure the appearance of datum target symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To configure text height and color for datum target symbols

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. In the Options dialog box, click the AM:Standards tab.
  3. In the Standard Elements list, double-click Datum Target. The Datum Target Settings dialog box appears.
  4. To change the text height, in the Text section, in the Height list, select the text height.
    NoteTo acquire the base height setting from the master text settings, select the text height marked “By NameOfCurrentDraftingStandard.”
  5. To change the text color, in the Text section, in the Color list, select the color.
  6. Click OK until all dialog boxes close.
NoteIf the current drafting standard is a custom standard, you can click inside the Height box and type any text height.


To configure leader settings for datum target symbols (Procedure)

Configure the appearance of datum target symbols
Up a level to ..
Configure the appearance of datum target symbols
Configuration and setup guide > Configure Symbols > Datum target symbols >
Configure the appearance of datum target symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To configure leader settings for datum target symbols

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. In the Options dialog box, click the AM:Standards tab.
  3. In the Standard Elements list, double-click Datum Target. The Datum Target Settings dialog box appears.
  4. To change the Arrowhead shape, in the Leader section, in the Arrowhead list, select the arrowhead.
  5. To change the arrow size, in the Leader section, in the Arrow size list, select the size.
  6. To change the leader color, in the Leader section, in the Color list, select the color.
    NoteTo acquire the arrowhead shape, arrow size, and leader color from master settings, select the list item marked “By NameOfCurrentDraftingStandard” in the respective lists.
  7. Click OK until all dialog boxes close.


To Configure Circular and Rectangular Terminations (Procedure)

Configure the appearance of datum target symbols
Up a level to ..
Configure the appearance of datum target symbols
Configuration and setup guide > Configure Symbols > Datum target symbols >
Configure the appearance of datum target symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To Configure Circular and Rectangular Terminations

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. In the Options dialog box, click the AM:Standards tab.
  3. In the Standard Elements list, double-click the Datum Target symbol.
  4. In the Datum Target Settings dialog box, in the Area hatch distance box, select the hatch spacing for the termination.
  5. In the Hatch angle box, specify the hatch angle.
  6. In the Boundary linetype list, select the boundary line type for the termination.
  7. Click OK until all dialog boxes close.
NoteWhile editing a preset value list, press ESC to cancel changes.


To Configure Point Terminations (Procedure)

Configure the appearance of datum target symbols
Up a level to ..
Configure the appearance of datum target symbols
Configuration and setup guide > Configure Symbols > Datum target symbols >
Configure the appearance of datum target symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To Configure Point Terminations

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. In the Options dialog box, click the AM:Standards tab.
  3. In the Standard Elements list, double-click the symbol.
  4. To draw an arrowhead at the leader start point, In the Datum Target Settings dialog box, select the Draw arrowhead for point termination check box.
  5. Click OK until all dialog boxes close.
NoteWhile editing a preset value list, press ESC to cancel changes.


To Configure Master Settings for Text Height (Procedure)

Configure the appearance of datum target symbols
Up a level to ..
Configure the appearance of datum target symbols
Configuration and setup guide > Configure Symbols > Datum target symbols >
Configure the appearance of datum target symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To Configure Master Settings for Text Height

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. In the Options dialog box, click the AM:Standards tab.
  3. In the Standard Elements list, double-click the root node (the standard name). The Standard Settings dialog box appears.
  4. To change the text height, in the text section, in the Base height box, select a text height.
Note If the current drafting standard is a custom standard or if the Link to Dimension Style check box is selected, you can do the following additional operations:
  • Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  • Click in the Base height box and type any text height.


To Configure Master Settings for Text Color (Procedure)

Configure the appearance of datum target symbols
Up a level to ..
Configure the appearance of datum target symbols
Configuration and setup guide > Configure Symbols > Datum target symbols >
Configure the appearance of datum target symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To Configure Master Settings for Text Color

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. Click the AM:Standards tab.
  3. In the Standard Elements list, double-click the root node (the standard name). The Standard Settings dialog box appears.
  4. Click Settings. The Object Property Settings dialog box appears.
  5. In the Category list, click Text. The Show Properties for Text list shows the text categories supported by AutoCAD Mechanical.
  6. Click the color icon in the row corresponding to the text category to change the color for. The Select Color dialog box appears.
  7. Click a color and then click OK.
  8. Click in the Lineweight column and select the lineweight from the drop-down list.
  9. Click OK until all dialog boxes close.
NoteThe text color settings reset to the selected color for all objects containing text.


To Configure the Master Settings for Leaders (Procedure)

Configure the appearance of datum target symbols
Up a level to ..
Marking/Stamping Symbol
Configuration and setup guide > Configure Symbols > Datum target symbols >
Configure the appearance of datum target symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To Configure the Master Settings for Leaders

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. In the Options dialog box, click the AM:Standards tab.
  3. In the Standard Elements list, double-click the root node (the standard name). The Standard Settings dialog box appears.
  4. To change the arrowhead shape, in the Arrowhead list, select the arrowhead.
  5. To change the arrow size, in the Arrow size list, select the size.
  6. To change the leader color, in the leader section, in the color list, select the color.
  7. Click OK until all dialog boxes close.


Configure the appearance of datum target symbols (Quick Reference)

Configure the appearance of datum target symbols
Configure the appearance of datum target symbols
Configure the appearance of datum target symbols
Configuration and setup guide > Configure Symbols > Datum target symbols >
Configure the appearance of datum target symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Datum Target Settings dialog box

Use the Datum Target Settings dialog box to configure the default settings of datum target symbols for the current standard.

Revision

Displays most recent revision of the standard this symbol complies with.

Style

Target point size

Sets the size of the target point for datum targets with point terminations. The value you set refers to half the width of the “X” the target point.

Area hatch distance

Sets the distance between hatch lines for datum targets with rectangular and circular terminations.

Hatch angle

Sets the hatch angle for datum targets with rectangular and circular terminations.

Boundary linetype

Specifies the linetype to use for the datum target boundary for datum targets with rectangular and circular terminations.

Leader

Hidden linetype

Specifies the linetype to use for the leader of datum target symbols that indicate that the datum target target is on the far side.

Draw arrowhead for point termination

Specifies whether arrowheads are drawn for datum targets with point terminations. This setting has no affect on datum target symbols that already exist in a drawing. It only affects new symbols you create.

Arrowhead

Specifies the type of the leader arrowhead. When the arrowhead is set to ByNameOfCurrentDraftingStandard, it acquires the arrowhead from the master settings of the current drafting standard. If the master setting changes, the arrowheads for all datum target symbols that are set to ByNameOfCurrentDraftingStandard, change automatically.

Arrow size

Specifies the size of the leader arrowhead. When the arrow size is set to ByNameOfCurrentDraftingStandard, it acquires the arrow size from the master settings of the current drafting standard. If the master setting changes, the arrow size for all datum target symbols based on the current drafting standard change automatically.

Color

Specifies the color of the leader. When the leader color is set to ByNameOfCurrentDraftingStandard, it acquires the color from the master settings of the current drafting standard. If the master setting changes, the leader color of all datum target symbols based on the current drafting standard change automatically.

Text

Height

Specifies the text height for symbol text. When the height is set to ByNameOfCurrentDraftingStandard, it acquires the text height from the master settings of the current drafting standard. If the master setting changes, the text height of all datum target symbols based on the current drafting standard change automatically.

If the current standard is a custom standard, you can specify a non-standard text height. If not, the AutoCAD Mechanical restricts you to selecting a value from the list.

Color

Specifies the color of symbol text. When the text color is set to ByNameOfCurrentDraftingStandard, it acquires the color from the master settings of the current drafting standard. If the master setting changes, the text color of all datum target symbols based on the current drafting standard change automatically.

NoteIf the text height changes, the color automatically changes to the default color corresponding to that text height. Text object colors are set from the Object Property Settings dialog box.

Restore Defaults

Returns all values to the default values for the current standard.


Configure the appearance of datum target symbols (Quick Reference)

Configure the appearance of datum target symbols
Configure the appearance of datum target symbols
Configure the appearance of marking/stamping symbols
Configuration and setup guide > Configure Symbols > Datum target symbols >
Configure the appearance of datum target symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Standard Settings dialog box

Sets up master settings for the current drafting standard. The elements of the standard that have their settings configured as ByNameOfCurrentDraftingStandard, automatically acquire their settings from this dialog box.

Dimension link

Link to dimension style

Links the text and leader settings to a dimension style, so that dimension styles are controlled by the drafting standard. Any change you make on this dialog box is applied to the linked dimension style. Any change you make to the linked dimension style is applied back to the text and leader settings.

When this option is selected, you can specify non-standard text heights.

Link to leader dimension style only

Restricts linking of dimension styles to the Leader dimension sub-style. Hence changes to text and leader settings are applied only to the Leader sub-style.

If this option is not selected, you link to the base dimension style. Changes to the base dimension style are automatically applied to all sub-styles, unless that setting is overridden in the sub-style. This means that if you modify the text and leader settings in this dialog box, the change is applied across all sub-styles, unless the settings are explicitly overridden in the sub-style.

Style

Displays the name of the dimension style to which leader and text settings are linked.

Text

Style

Sets the text style for use with all annotations. This setting is controlled by the drafting standard. Hence this setting can be changed only if the current drafting standard is a custom drafting standard or if the text and leader settings are linked to a dimension style.

Base height

Sets the text height to use as the base height for annotation text. If the Link to dimension style check box is selected, or if the current drafting standard is a custom drafting standard, you can specify non-standard text heights. If not, you can only select the standard text heights that are available on the list.

By default, all symbols use the base text height for symbol text. Annotations such as annotation view labels, section line labels, detail view labels and balloons, use a text height that is one size larger than the base height.

Color

Sets the color for the text category selected for base text. If you click Select Color (at the bottom of the Color list), the Select Color dialog box appears. You can also enter a color name or number.

Leader

Arrowhead

Sets the default leader arrowhead type for all annotations.

Arrow size

Sets the default leader arrowhead size for all annotations.

Color

Displays and sets the leader color for all annotations. If you click Select Color (at the bottom of the Color list), the Select Color dialog box appears. You can also enter a color name or number. If the Link to dimension style check box is selected, this setting affects the dimension line and extension line colors.

Symbols

List attach point

Sets the default attachment point for lists such as parts lists and hole charts, which are controlled by the drafting standard.

Color

Sets the color for all symbol geometry. If you click Select Color (at the bottom of the Color list), the Select Color dialog box appears. You can also enter a color name or number.

Object Properties

Let AutoCAD Mechanical manage object properties

Specifies that all objects created using AutoCAD Mechanical commands are automatically assigned properties as specified in the Object Properties Settings dialog box.

Settings

Displays the Object Property Settings dialog box, which enables you to pre configure the settings of all objects created using AutoCAD Mechanical commands.

Projection angle

Projection angle for drawing views:

Specifies the projection angle to use when generating drawing views and shaft generator views.

Restore Defaults

Returns all values to the default values for the current standard.


Marking/Stamping Symbol

Configure the appearance of datum target symbols
Configure Symbols
Configure the appearance of marking/stamping symbols
Configuration and setup guide > Configure Symbols >
Marking/Stamping Symbol
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

Topics in this section

  • Configure the appearance of marking/stamping symbols


Marking/Stamping Symbol (Procedure)

Configure the appearance of datum target symbols
Up a level to ..
Configure the appearance of marking/stamping symbols
Configuration and setup guide > Configure Symbols >
Marking/Stamping Symbol
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

To configure text height and color for marking and stamping symbols

To configure leader settings for marking and stamping symbols

To Configure Marking/stamping Preset Lists

To Configure Master Settings for Text Height

To Configure Master Settings for Text Color

To Configure the Master Settings for Leaders


Configure the appearance of marking/stamping symbols (Concept)

Marking/Stamping Symbol
Marking/Stamping Symbol
Dead Joint Symbols
Configuration and setup guide > Configure Symbols > Marking/Stamping Symbol >
Configure the appearance of marking/stamping symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

When you select the drafting standard, the default settings change to match that drafting standard. Using the options in the Marking/Stamping Settings dialog box, you can change the default appearance of symbols.

For example, you can select the preset lists to view, leader types, arrowhead types, and font colors.


Configure the appearance of marking/stamping symbols (Procedure)

Marking/Stamping Symbol
Up a level to ..
Configure the appearance of marking/stamping symbols
Configuration and setup guide > Configure Symbols > Marking/Stamping Symbol >
Configure the appearance of marking/stamping symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To configure text height and color for marking and stamping symbols

To configure leader settings for marking and stamping symbols

To Configure Marking/stamping Preset Lists

To Configure Master Settings for Text Height

To Configure Master Settings for Text Color

To Configure the Master Settings for Leaders


Configure the appearance of marking/stamping symbols (Quick Reference)

Configure the appearance of datum target symbols
Configure the appearance of marking/stamping symbols
Configure the appearance of marking/stamping symbols
Configuration and setup guide > Configure Symbols > Marking/Stamping Symbol >
Configure the appearance of marking/stamping symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Marking/Stamping Settings dialog box

Standard Settings dialog box


To configure text height and color for marking and stamping symbols (Procedure)

Configure the appearance of marking/stamping symbols
Up a level to ..
Configure the appearance of marking/stamping symbols
Configuration and setup guide > Configure Symbols > Marking/Stamping Symbol >
Configure the appearance of marking/stamping symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To configure text height and color for marking and stamping symbols

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. In the Options dialog box, click the AM:Standards tab.
  3. In the Standard Elements list, double-click Marking/Stamping. The Marking/Stamping Settings dialog box appears.
  4. To change the text height, in the Text section, in the Height list, select the text height.
    NoteTo acquire the base height setting from the master text settings, select the text height marked “By NameOfCurrentDraftingStandard.”
  5. To change the text color, in the Text section, in the Color list, select the color.
  6. Click OK until all dialog boxes close.
NoteIf the current drafting standard is a custom standard, you can click inside the Height box and type any text height.


To configure leader settings for marking and stamping symbols (Procedure)

Configure the appearance of marking/stamping symbols
Up a level to ..
Configure the appearance of marking/stamping symbols
Configuration and setup guide > Configure Symbols > Marking/Stamping Symbol >
Configure the appearance of marking/stamping symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To configure leader settings for marking and stamping symbols

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. In the Options dialog box, click the AM:Standards tab.
  3. In the Standard Elements list, double-click Marking/Stamping. The Marking/Stamping Settings dialog box appears.
  4. To change the Arrowhead shape, in the Leader section, in the Arrowhead list, select the arrowhead.
  5. To change the arrow size, in the Leader section, in the Arrow size list, select the size.
  6. To change the leader color, in the Leader section, in the Color list, select the color.
    NoteTo acquire the arrowhead shape, arrow size, and leader color from master settings, select the list item marked “By NameOfCurrentDraftingStandard” in the respective lists.
  7. Click OK until all dialog boxes close.


To Configure Marking/stamping Preset Lists (Procedure)

Configure the appearance of marking/stamping symbols
Up a level to ..
Configure the appearance of marking/stamping symbols
Configuration and setup guide > Configure Symbols > Marking/Stamping Symbol >
Configure the appearance of marking/stamping symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To Configure Marking/stamping Preset Lists

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. In the Options dialog box, select the AM:Standards tab.
  3. In the Standard Settings dialog box, double-click Marking/Stamping. The Marking/Stamping Settings dialog box appears.
  4. In the Preset Lists section, select the appropriate marking or stamping requirement.

    Depending on the requirement you select, the options in the scrolling field change. Requirements include the following:

    • Marking Content
    • Marking Technique
    • Stamping Content
    • Stamping Technique
  5. Select the check boxes that correspond to the items to display in the Marking/Stamping symbol dialog box.
  6. Click OK to accept the changes and close the dialog box.


To Configure Master Settings for Text Height (Procedure)

Configure the appearance of marking/stamping symbols
Up a level to ..
Configure the appearance of marking/stamping symbols
Configuration and setup guide > Configure Symbols > Marking/Stamping Symbol >
Configure the appearance of marking/stamping symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To Configure Master Settings for Text Height

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. In the Options dialog box, click the AM:Standards tab.
  3. In the Standard Elements list, double-click the root node (the standard name). The Standard Settings dialog box appears.
  4. To change the text height, in the text section, in the Base height box, select a text height.
Note If the current drafting standard is a custom standard or if the Link to Dimension Style check box is selected, you can do the following additional operations:
  • Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  • Click in the Base height box and type any text height.


To Configure Master Settings for Text Color (Procedure)

Configure the appearance of marking/stamping symbols
Up a level to ..
Configure the appearance of marking/stamping symbols
Configuration and setup guide > Configure Symbols > Marking/Stamping Symbol >
Configure the appearance of marking/stamping symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To Configure Master Settings for Text Color

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. Click the AM:Standards tab.
  3. In the Standard Elements list, double-click the root node (the standard name). The Standard Settings dialog box appears.
  4. Click Settings. The Object Property Settings dialog box appears.
  5. In the Category list, click Text. The Show Properties for Text list shows the text categories supported by AutoCAD Mechanical.
  6. Click the color icon in the row corresponding to the text category to change the color for. The Select Color dialog box appears.
  7. Click a color and then click OK.
  8. Click in the Lineweight column and select the lineweight from the drop-down list.
  9. Click OK until all dialog boxes close.
NoteThe text color settings reset to the selected color for all objects containing text.


To Configure the Master Settings for Leaders (Procedure)

Configure the appearance of marking/stamping symbols
Up a level to ..
Dead Joint Symbols
Configuration and setup guide > Configure Symbols > Marking/Stamping Symbol >
Configure the appearance of marking/stamping symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To Configure the Master Settings for Leaders

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. In the Options dialog box, click the AM:Standards tab.
  3. In the Standard Elements list, double-click the root node (the standard name). The Standard Settings dialog box appears.
  4. To change the arrowhead shape, in the Arrowhead list, select the arrowhead.
  5. To change the arrow size, in the Arrow size list, select the size.
  6. To change the leader color, in the leader section, in the color list, select the color.
  7. Click OK until all dialog boxes close.


Configure the appearance of marking/stamping symbols (Quick Reference)

Configure the appearance of marking/stamping symbols
Configure the appearance of marking/stamping symbols
Configure the appearance of marking/stamping symbols
Configuration and setup guide > Configure Symbols > Marking/Stamping Symbol >
Configure the appearance of marking/stamping symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Marking/Stamping Settings dialog box

Use the Marking/Stamping Settings dialog box to specify the default settings for the marking symbol and stamping symbol.

Revision

Displays most recent revision of the standard with which this symbol complies.

Preset Lists

Select the items to appear in the marking or stamping method and content drop-down lists.

Show requirements for

Displays the items that can appear in each list. A check mark indicates that the item is included in the list.

Leader

Arrowhead

Specifies the type of the leader arrowhead. When the arrowhead is set to By NameOfCurrentDraftingStandard, it acquires the arrowhead from the master settings of the current drafting standard. If the master setting changes, the arrowheads for all marking/stamping symbols that are set to ByNameOfCurrentDraftingStandard changes automatically..

Arrow size

Specifies the size of the leader arrowhead. When the arrow size is set to ByNameOfCurrentDraftingStandard, it acquires the arrow size from the master settings of the current drafting standard. If the master setting changes, the arrow size for all marking/stamping symbols based on the current drafting standard changes automatically.

Color

Specifies the color of the leader. When the leader color is set to ByNameOfCurrentDraftingStandard, it acquires the color from the master settings of the current drafting standard. If the master setting changes, the leader color of all marking/stamping symbols based on the current drafting standard changes automatically.

Text

Height

Specifies the text height for symbol text. When the height is set to By NameOfCurrentDraftingStandard, it acquires the text height from the master settings of the current drafting standard. If the master setting changes, the text height of all marking/stamping symbols based on the current drafting standard changes automatically.

If the current standard is a custom standard, you can specify a non-standard text height. If not, the AutoCAD Mechanical restricts you to selecting a value from the list.

Color

Specifies the color of symbol text. When the text color is set to By NameOfCurrentDraftingStandard, it acquires the color from the master settings of the current drafting standard. If the master setting changes, the text color of all marking/stamping symbols based on the current drafting standard changes automatically.

NoteIf the text height changes, the color automatically changes to the default color corresponding to that text height. Text object colors are set from the Object Property Settings dialog box.

Restore Defaults

Returns all values to the default values for the current standard.


Configure the appearance of marking/stamping symbols (Quick Reference)

Configure the appearance of marking/stamping symbols
Configure the appearance of marking/stamping symbols
Configure the Appearance of Dead Joint Symbols
Configuration and setup guide > Configure Symbols > Marking/Stamping Symbol >
Configure the appearance of marking/stamping symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Standard Settings dialog box

Sets up master settings for the current drafting standard. The elements of the standard that have their settings configured as ByNameOfCurrentDraftingStandard, automatically acquire their settings from this dialog box.

Dimension link

Link to dimension style

Links the text and leader settings to a dimension style, so that dimension styles are controlled by the drafting standard. Any change you make on this dialog box is applied to the linked dimension style. Any change you make to the linked dimension style is applied back to the text and leader settings.

When this option is selected, you can specify non-standard text heights.

Link to leader dimension style only

Restricts linking of dimension styles to the Leader dimension sub-style. Hence changes to text and leader settings are applied only to the Leader sub-style.

If this option is not selected, you link to the base dimension style. Changes to the base dimension style are automatically applied to all sub-styles, unless that setting is overridden in the sub-style. This means that if you modify the text and leader settings in this dialog box, the change is applied across all sub-styles, unless the settings are explicitly overridden in the sub-style.

Style

Displays the name of the dimension style to which leader and text settings are linked.

Text

Style

Sets the text style for use with all annotations. This setting is controlled by the drafting standard. Hence this setting can be changed only if the current drafting standard is a custom drafting standard or if the text and leader settings are linked to a dimension style.

Base height

Sets the text height to use as the base height for annotation text. If the Link to dimension style check box is selected, or if the current drafting standard is a custom drafting standard, you can specify non-standard text heights. If not, you can only select the standard text heights that are available on the list.

By default, all symbols use the base text height for symbol text. Annotations such as annotation view labels, section line labels, detail view labels and balloons, use a text height that is one size larger than the base height.

Color

Sets the color for the text category selected for base text. If you click Select Color (at the bottom of the Color list), the Select Color dialog box appears. You can also enter a color name or number.

Leader

Arrowhead

Sets the default leader arrowhead type for all annotations.

Arrow size

Sets the default leader arrowhead size for all annotations.

Color

Displays and sets the leader color for all annotations. If you click Select Color (at the bottom of the Color list), the Select Color dialog box appears. You can also enter a color name or number. If the Link to dimension style check box is selected, this setting affects the dimension line and extension line colors.

Symbols

List attach point

Sets the default attachment point for lists such as parts lists and hole charts, which are controlled by the drafting standard.

Color

Sets the color for all symbol geometry. If you click Select Color (at the bottom of the Color list), the Select Color dialog box appears. You can also enter a color name or number.

Object Properties

Let AutoCAD Mechanical manage object properties

Specifies that all objects created using AutoCAD Mechanical commands are automatically assigned properties as specified in the Object Properties Settings dialog box.

Settings

Displays the Object Property Settings dialog box, which enables you to pre configure the settings of all objects created using AutoCAD Mechanical commands.

Projection angle

Projection angle for drawing views:

Specifies the projection angle to use when generating drawing views and shaft generator views.

Restore Defaults

Returns all values to the default values for the current standard.


Dead Joint Symbols

Configure the appearance of marking/stamping symbols
Configure Symbols
Configure the Appearance of Dead Joint Symbols
Configuration and setup guide > Configure Symbols >
Dead Joint Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

Topics in this section

  • Configure the Appearance of Dead Joint Symbols


Dead Joint Symbols (Procedure)

Configure the appearance of marking/stamping symbols
Up a level to ..
Configure the Appearance of Dead Joint Symbols
Configuration and setup guide > Configure Symbols >
Dead Joint Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

To configure text height and color for dead joint symbols

To configure leader settings for dead joint symbols

To Configure Master Settings for Text Color

To Configure the Master Settings for Leaders


Configure the Appearance of Dead Joint Symbols (Concept)

Dead Joint Symbols
Dead Joint Symbols
Leader Notes
Configuration and setup guide > Configure Symbols > Dead Joint Symbols >
Configure the Appearance of Dead Joint Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

The dead joint symbol is supported only by the GOST standard.

Because text and leader lines are the most common objects used for annotations, AutoCAD Mechanical provides a single configuration point (the Standard Settings dialog box) enabling you to specify their default properties. These settings are the master settings.

In the Dead Joint Settings dialog box, the text and leader settings default to “By NameOfCurrentDraftingStandard.” If you modify the master settings, dead joint symbols automatically acquire the new settings. If you do not want dead joint symbols to follow the master settings, override the text height and select a specific value.


Configure the Appearance of Dead Joint Symbols (Procedure)

Dead Joint Symbols
Up a level to ..
Configure the Appearance of Dead Joint Symbols
Configuration and setup guide > Configure Symbols > Dead Joint Symbols >
Configure the Appearance of Dead Joint Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To configure text height and color for dead joint symbols

To configure leader settings for dead joint symbols

To Configure Master Settings for Text Color

To Configure the Master Settings for Leaders


Configure the Appearance of Dead Joint Symbols (Quick Reference)

Configure the appearance of marking/stamping symbols
Configure the Appearance of Dead Joint Symbols
Configure the Appearance of Dead Joint Symbols
Configuration and setup guide > Configure Symbols > Dead Joint Symbols >
Configure the Appearance of Dead Joint Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Dead Joint Settings dialog box

Standard Settings dialog box


To configure text height and color for dead joint symbols (Procedure)

Configure the Appearance of Dead Joint Symbols
Up a level to ..
Configure the Appearance of Dead Joint Symbols
Configuration and setup guide > Configure Symbols > Dead Joint Symbols >
Configure the Appearance of Dead Joint Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To configure text height and color for dead joint symbols

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. In the Options dialog box, click the AM:Standards tab.
  3. In the Standard Elements list, double-click Dead Joint. The Dead Joint Settings dialog box appears.
    NoteOnly the GOST standard and custom standards based on GOST supports dead joint symbols
  4. To change the text height, in the Text section, in the Height list, select the text height.
    NoteTo acquire the base height setting from the master text settings, select the text height marked “By NameOfCurrentDraftingStandard.”
  5. To change the text color, in the Text section, in the Color list, select the color.
  6. Click OK until all dialog boxes close.
NoteIf the current drafting standard is a custom standard, you can click inside the Height box and type any text height.


To configure leader settings for dead joint symbols (Procedure)

Configure the Appearance of Dead Joint Symbols
Up a level to ..
Configure the Appearance of Dead Joint Symbols
Configuration and setup guide > Configure Symbols > Dead Joint Symbols >
Configure the Appearance of Dead Joint Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To configure leader settings for dead joint symbols

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. In the Options dialog box, click the AM:Standards tab.
  3. In the Standard Elements list, double-click Dead Joint. The Dead Joint Settings dialog box appears.
    NoteOnly the GOST standard and custom standards based on GOST supports dead joint symbols
  4. To change the Arrowhead shape, in the Leader section, in the Arrowhead list, select the arrowhead.
  5. To change the arrow size, in the Leader section, in the Arrow size list, select the size.
  6. To change the leader color, in the Leader section, in the Color list, select the color.
    NoteTo acquire the arrowhead shape, arrow size, and leader color from master settings, select the list item marked “By NameOfCurrentDraftingStandard” in the respective lists.
  7. Click OK until all dialog boxes close.


To Configure Master Settings for Text Color (Procedure)

Configure the Appearance of Dead Joint Symbols
Up a level to ..
Configure the Appearance of Dead Joint Symbols
Configuration and setup guide > Configure Symbols > Dead Joint Symbols >
Configure the Appearance of Dead Joint Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To Configure Master Settings for Text Color

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. Click the AM:Standards tab.
  3. In the Standard Elements list, double-click the root node (the standard name). The Standard Settings dialog box appears.
  4. Click Settings. The Object Property Settings dialog box appears.
  5. In the Category list, click Text. The Show Properties for Text list shows the text categories supported by AutoCAD Mechanical.
  6. Click the color icon in the row corresponding to the text category to change the color for. The Select Color dialog box appears.
  7. Click a color and then click OK.
  8. Click in the Lineweight column and select the lineweight from the drop-down list.
  9. Click OK until all dialog boxes close.
NoteThe text color settings reset to the selected color for all objects containing text.


To Configure the Master Settings for Leaders (Procedure)

Configure the Appearance of Dead Joint Symbols
Up a level to ..
Leader Notes
Configuration and setup guide > Configure Symbols > Dead Joint Symbols >
Configure the Appearance of Dead Joint Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To Configure the Master Settings for Leaders

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. In the Options dialog box, click the AM:Standards tab.
  3. In the Standard Elements list, double-click the root node (the standard name). The Standard Settings dialog box appears.
  4. To change the arrowhead shape, in the Arrowhead list, select the arrowhead.
  5. To change the arrow size, in the Arrow size list, select the size.
  6. To change the leader color, in the leader section, in the color list, select the color.
  7. Click OK until all dialog boxes close.


Configure the Appearance of Dead Joint Symbols (Quick Reference)

Configure the Appearance of Dead Joint Symbols
Configure the Appearance of Dead Joint Symbols
Configure the Appearance of Dead Joint Symbols
Configuration and setup guide > Configure Symbols > Dead Joint Symbols >
Configure the Appearance of Dead Joint Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Dead Joint Settings dialog box

Use this dialog box to specify the defaults settings of dead joint symbols, for the current drafting standard.

Revision

Displays most recent revision of the standard with which this symbol complies.

Leader

Arrowhead

Specifies the type of the leader arrowhead. When the arrowhead is set to ByNameOfCurrentDraftingStandard, it acquires the arrowhead from the master settings of the current drafting standard. If the master setting changes, the arrowheads for all dead joint symbols that are set to ByNameOfCurrentDraftingStandard change automatically.

Arrow size

Specifies the size of the leader arrowhead. When the arrow size is set to ByNameOfCurrentDraftingStandard, it acquires the arrow size from the master settings of the current drafting standard. If the master setting changes, the arrow size for all dead joint symbols based on the current drafting standard changes automatically.

Color

Specifies the color of the leader. When the leader color is set to ByNameOfCurrentDraftingStandard, it acquires the color from the master settings of the current drafting standard. If the master setting changes, the leader color of all dead joint symbols based on the current drafting standard changes automatically.

Text

Height

Specifies the text height for symbol text. When the height is set to ByNameOfCurrentDraftingStandard, it acquires the text height from the master settings of the current drafting standard. If the master setting changes, the text height of all dead joint symbols based on the current drafting standard changes automatically.

If the current standard is a custom standard, you can specify a non-standard text height. If not, the AutoCAD Mechanical restricts you to selecting a value from the list.

Color

Specifies the color of symbol text. When the text color is set to ByNameOfCurrentDraftingStandard, it acquires the color from the master settings of the current drafting standard. If the master setting changes, the text color of all dead joint symbols based on the current drafting standard changes automatically.

NoteIf the text height changes, the color automatically changes to the default color corresponding to that text height. Text object colors are set from the Object Property Settings dialog box.

Restore Defaults

Returns all values to the default values for the current standard.


Configure the Appearance of Dead Joint Symbols (Quick Reference)

Configure the Appearance of Dead Joint Symbols
Configure the Appearance of Dead Joint Symbols
Configure the appearance of notes
Configuration and setup guide > Configure Symbols > Dead Joint Symbols >
Configure the Appearance of Dead Joint Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Standard Settings dialog box

Sets up master settings for the current drafting standard. The elements of the standard that have their settings configured as ByNameOfCurrentDraftingStandard, automatically acquire their settings from this dialog box.

Dimension link

Link to dimension style

Links the text and leader settings to a dimension style, so that dimension styles are controlled by the drafting standard. Any change you make on this dialog box is applied to the linked dimension style. Any change you make to the linked dimension style is applied back to the text and leader settings.

When this option is selected, you can specify non-standard text heights.

Link to leader dimension style only

Restricts linking of dimension styles to the Leader dimension sub-style. Hence changes to text and leader settings are applied only to the Leader sub-style.

If this option is not selected, you link to the base dimension style. Changes to the base dimension style are automatically applied to all sub-styles, unless that setting is overridden in the sub-style. This means that if you modify the text and leader settings in this dialog box, the change is applied across all sub-styles, unless the settings are explicitly overridden in the sub-style.

Style

Displays the name of the dimension style to which leader and text settings are linked.

Text

Style

Sets the text style for use with all annotations. This setting is controlled by the drafting standard. Hence this setting can be changed only if the current drafting standard is a custom drafting standard or if the text and leader settings are linked to a dimension style.

Base height

Sets the text height to use as the base height for annotation text. If the Link to dimension style check box is selected, or if the current drafting standard is a custom drafting standard, you can specify non-standard text heights. If not, you can only select the standard text heights that are available on the list.

By default, all symbols use the base text height for symbol text. Annotations such as annotation view labels, section line labels, detail view labels and balloons, use a text height that is one size larger than the base height.

Color

Sets the color for the text category selected for base text. If you click Select Color (at the bottom of the Color list), the Select Color dialog box appears. You can also enter a color name or number.

Leader

Arrowhead

Sets the default leader arrowhead type for all annotations.

Arrow size

Sets the default leader arrowhead size for all annotations.

Color

Displays and sets the leader color for all annotations. If you click Select Color (at the bottom of the Color list), the Select Color dialog box appears. You can also enter a color name or number. If the Link to dimension style check box is selected, this setting affects the dimension line and extension line colors.

Symbols

List attach point

Sets the default attachment point for lists such as parts lists and hole charts, which are controlled by the drafting standard.

Color

Sets the color for all symbol geometry. If you click Select Color (at the bottom of the Color list), the Select Color dialog box appears. You can also enter a color name or number.

Object Properties

Let AutoCAD Mechanical manage object properties

Specifies that all objects created using AutoCAD Mechanical commands are automatically assigned properties as specified in the Object Properties Settings dialog box.

Settings

Displays the Object Property Settings dialog box, which enables you to pre configure the settings of all objects created using AutoCAD Mechanical commands.

Projection angle

Projection angle for drawing views:

Specifies the projection angle to use when generating drawing views and shaft generator views.

Restore Defaults

Returns all values to the default values for the current standard.


Leader Notes

Configure the Appearance of Dead Joint Symbols
Configure Symbols
Configure the appearance of notes
Configuration and setup guide > Configure Symbols >
Leader Notes
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

Topics in this section

  • Configure the appearance of notes
  • Customize the symbol library for note templates


Leader Notes (Procedure)

Configure the Appearance of Dead Joint Symbols
Up a level to ..
Configure the appearance of notes
Configuration and setup guide > Configure Symbols >
Leader Notes
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

To Configure Text Height and Color for Leader Notes

To Configure the Leader Settings of Leader Notes

To Configure Master Settings for Text Height

To Configure Master Settings for Text Color

To Configure the Master Settings for Leaders

To enter a formula in a leader note

To add a leader note as a template to the symbol library

To import leader note templates from another drawing

To rename a leader note template

To set a default template for an object type


Configure the appearance of notes (Concept)

Leader Notes
Leader Notes
Customize the symbol library for note templates
Configuration and setup guide > Configure Symbols > Leader Notes >
Configure the appearance of notes
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

When you select the drafting standard (and the revision), the default settings for notes change to match that drafting standard. You can customize these settings to suit your drafting requirements.

Because text and leader lines are the most common objects used for annotations, AutoCAD Mechanical provides a single configuration point (the Standard Settings dialog box) enabling you to specify their default properties. These settings are the master settings.

In the Note Settings dialog box, the text and leader settings default to “By NameOfCurrentDraftingStandard.” If you modify the master settings, note symbols automatically acquire the new settings. If you do not want note symbols to follow the master settings, you can override the text height and select a specific value.

AutoCAD Mechanical notes automatically pick up information from the objects to which they are attached. As such, note text can be compiled as a formula that contains attributes of the object to which the note is attached. You can save such formula-based note text as templates, enabling intelligent notes that automatically describe the objects to which they are attached. For example, when you attach a note to a hole, the note recognizes the attached object as a hole and applies the most appropriate template — by default a template that shows the hole type and its diameter. If necessary, you can modify the templates supplied with the drafting standard or add your own.


Configure the appearance of notes (Procedure)

Leader Notes
Up a level to ..
Configure the appearance of notes
Configuration and setup guide > Configure Symbols > Leader Notes >
Configure the appearance of notes
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To Configure Text Height and Color for Leader Notes

To Configure the Leader Settings of Leader Notes

To Configure Master Settings for Text Height

To Configure Master Settings for Text Color

To Configure the Master Settings for Leaders


To Configure Text Height and Color for Leader Notes (Procedure)

Configure the appearance of notes
Up a level to ..
Configure the appearance of notes
Configuration and setup guide > Configure Symbols > Leader Notes >
Configure the appearance of notes
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To Configure Text Height and Color for Leader Notes

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. In the Options dialog box, click the AM:Standards tab.
  3. In the Standard Elements list, double-click Note. The Note Settings dialog box appears.
  4. Click the Leader and Text tab.
  5. To change the text height, in the Text section, in the Height list, select the text height.
    NoteTo acquire the base height setting from the master text settings, select the text height marked “By NameOfCurrentDraftingStandard.”
  6. To change the text color, in the Text section, in the Color list, select the color.
  7. Click OK until all dialog boxes close.
NoteIf the current drafting standard is a custom standard, you can click inside the Height box and type any text height.


To Configure the Leader Settings of Leader Notes (Procedure)

Configure the appearance of notes
Up a level to ..
Configure the appearance of notes
Configuration and setup guide > Configure Symbols > Leader Notes >
Configure the appearance of notes
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To Configure the Leader Settings of Leader Notes

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. In the Options dialog box, click the AM:Standards tab.
  3. In the Standard Elements list, double-click Note. The Note Settings dialog box appears.
  4. Click the Leader and Text tab.
  5. To change the Arrowhead shape, in the Leader section, in the Arrowhead list, select the arrowhead.
  6. To change the arrow size, in the Leader section, in the Arrow size list, select the size.
  7. To change the leader color, in the Leader section, in the Color list, select the color.
    NoteTo acquire the arrowhead shape, arrow size, and leader color from master settings, select the list item marked “By NameOfCurrentDraftingStandard” in the respective lists.
  8. Click OK until all dialog boxes close.


To Configure Master Settings for Text Height (Procedure)

Configure the appearance of notes
Up a level to ..
Configure the appearance of notes
Configuration and setup guide > Configure Symbols > Leader Notes >
Configure the appearance of notes
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To Configure Master Settings for Text Height

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. In the Options dialog box, click the AM:Standards tab.
  3. In the Standard Elements list, double-click the root node (the standard name). The Standard Settings dialog box appears.
  4. To change the text height, in the text section, in the Base height box, select a text height.
Note If the current drafting standard is a custom standard or if the Link to Dimension Style check box is selected, you can do the following additional operations:
  • Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  • Click in the Base height box and type any text height.


To Configure Master Settings for Text Color (Procedure)

Configure the appearance of notes
Up a level to ..
Configure the appearance of notes
Configuration and setup guide > Configure Symbols > Leader Notes >
Configure the appearance of notes
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To Configure Master Settings for Text Color

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. Click the AM:Standards tab.
  3. In the Standard Elements list, double-click the root node (the standard name). The Standard Settings dialog box appears.
  4. Click Settings. The Object Property Settings dialog box appears.
  5. In the Category list, click Text. The Show Properties for Text list shows the text categories supported by AutoCAD Mechanical.
  6. Click the color icon in the row corresponding to the text category to change the color for. The Select Color dialog box appears.
  7. Click a color and then click OK.
  8. Click in the Lineweight column and select the lineweight from the drop-down list.
  9. Click OK until all dialog boxes close.
NoteThe text color settings reset to the selected color for all objects containing text.


To Configure the Master Settings for Leaders (Procedure)

Configure the appearance of notes
Up a level to ..
Customize the symbol library for note templates
Configuration and setup guide > Configure Symbols > Leader Notes >
Configure the appearance of notes
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To Configure the Master Settings for Leaders

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. In the Options dialog box, click the AM:Standards tab.
  3. In the Standard Elements list, double-click the root node (the standard name). The Standard Settings dialog box appears.
  4. To change the arrowhead shape, in the Arrowhead list, select the arrowhead.
  5. To change the arrow size, in the Arrow size list, select the size.
  6. To change the leader color, in the leader section, in the color list, select the color.
  7. Click OK until all dialog boxes close.


Configure the appearance of notes (Quick Reference)

Configure the Appearance of Dead Joint Symbols
Configure the appearance of notes
Customize the symbol library for note templates
Configuration and setup guide > Configure Symbols > Leader Notes >
Configure the appearance of notes
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Note Settings dialog box

Use the Note Settings dialog box to customize the default settings of leader notes for the current drafting standard.

Symbol tab

Options

Show reference line

Adds a reference line from the leader to the note text. The icon to the left of the check box shows the result.

Requirements

Variables

Displays a list of functions and references to the properties of the object note can be attached to. Select an item from the list to insert it into the multiline text editor. The item appears at the cursor position.

Insert symbol

Displays a palette to enable you to insert a special character at the current cursor position in the multi-line text editor. In the rendered text mode, the editor shows the special character while in the plain text mode the editor shows the corresponding control key sequence.

Multi-line text editor

Edits note text. Use this editor to edit text, formulas, and special symbols to be displayed as note text. Use the right-click menu to access special editing tools.

Right-click menu options

Enables you to specify the formatting for the segment of text selected in the multi-line text editor. The formatting options are:

  • Underline - Toggles underlining for the selected text
  • Overline - Toggles overlining for the selected text
  • Align - Specifies how the selected text aligns with stacked text on the same line
  • Stack- Stacks two segments of text, separated by a “/” character.
  • Text Color - Specifies a color for the selected text
  • Text Height - Applies a scale factor for the selected text
  • Text Font - Specifies a font for the selected text
  • Text Width - Applies a scale factor for the width of the selected text
  • Tracking Factor - Specifies the spacing between characters of the selected text
  • Dim Style - Applies a dimension style for a numerical expression. This option is available only when a numerical expression is selected.
  • Precision - Enables you to specify a precision for a numerical expression. This option is available only if a numerical expression is selected.

Preview display mode

Specifies how note text appears in the multi-line text editor.

  • Plain Text - Displays formulas and formatting signs that define the note text.
  • Rendered Text Colored - Renders all formulas and formatting signs to preview the note.
  • Rendered Text Mono - Displays monochromatically the same text as the Rendered Text Colored mode.
TipUse the Plain Text mode to define formulas, especially if you are inserting functions. It also gives you more control over where to place references. Use a rendered mode to check the formula.

Library

Category

Displays a list of object categories for which you can create note templates.

Templates

Displays the list of available templates for the selected category.

Menu options

Add

Saves the text in the multi-line text editor as a new note template. The new template is added to the symbol library.

Delete

Deletes the selected note template from the symbol library.

Rename

Makes the template name editable. AutoCAD Mechanical validates the name you provide to ensure that the names of templates for a given category are unique.

Set default

Makes the selected template the default template for the selected category. A blue tick mark appears next to the default template name. When you attach a note to an object described by the selected category, the default template loads automatically.

Remove default

Removes the default status of the selected template. This menu option is available only on the default template. When no default template is selected, no note text appears in the multi-line text editor.

Add

Saves the content of the multi-line text editor as a new template. Prompts to name the new item.

Import

Imports templates from the symbol library of another drawing. You can only import symbols of the same standard and revision as the one you are editing.

Leader and Text tab

Leader

Arrowhead

Specifies the type of the leader arrowhead. When the arrowhead is set to ByNameOfCurrentDraftingStandard, it acquires the arrowhead from the master settings of the current drafting standard. If the master setting changes, the arrowheads of all notes that are set to ByNameOfCurrentDraftingStandard, change automatically..

Arrow size

Specifies the size of the leader arrowhead. When the arrow size is set to ByNameOfCurrentDraftingStandard, it acquires the arrow size from the master settings of the current drafting standard. If the master setting changes, the arrow size for all notes based on the current drafting standard change automatically.

Color

Specifies the color of the leader. When the leader color is set to ByNameOfCurrentDraftingStandard, it acquires the color from the master settings of the current drafting standard. If the master setting changes, the leader color of all notes based on the current drafting standard change automatically.

Text

Height

Specifies the text height for note text. When the height is set to ByNameOfCurrentDraftingStandard, it acquires the text height from the master settings of the current drafting standard. If the master setting changes, the text height of all notes based on the current drafting standard change automatically.

Color

Specifies the color of note text. When the text color is set to ByNameOfCurrentDraftingStandard, it acquires the color from the master settings of the current drafting standard. If the master setting changes, the text color of all notes based on the current drafting standard change automatically.

NoteIf the text height changes, the color automatically changes to the default color corresponding to that text height. Text object colors are set from the Object Property Settings dialog box.

Leader justification

Sets the position of the note text in relation to the leader end point.

NoteThis options is disabled for the GOST standard. However, it is available for custom standards based on the GOST standard.

Restore Defaults

Restores all settings of this dialog box to the preset default values for the current standard.


Customize the symbol library for note templates (Concept)

Configure the appearance of notes
Leader Notes
Configure BOMs, Balloons, and Parts Lists
Configuration and setup guide > Configure Symbols > Leader Notes >
Customize the symbol library for note templates
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Note templates contain predefined note text to be used as defaults for notes. They are usually formulas, providing notes the intelligence to determine the most appropriate note text to display, depending on the context.

There are two ways to create note templates:

  1. Create templates using the AMNOTE command.

    Attach a leader note to the appropriate object and specify a formula. Thereafter you save the formula to the symbol library, as a template. The advantages of this method are:

    • The template is automatically associated with the correct object type.
    • References (variables) are filtered and only the applicable references are selectable.
    • The ability to verify that the formula is correct immediately by rendering the formula
  2. Create templates from the Options dialog box.

    The advantages of this method are:

    • No need to create a note symbol in the drawing area.
    • When you import a library from another drawing, you can verify and eliminate duplicates by switching filters.

We recommend the following.

  • Use the AMNOTE command to create formulas and add them as templates to the symbol library.
  • Use the Options dialog box only if you are importing the symbol library from another drawing.

When you configure .dwt files for your company standard and you want to include all custom note templates in the .dwt files:

  • In a .dwg file, create all the formulas you need and add them to the symbol library.
  • Open the .dwt file and import the symbol library for notes.
  • Check all categories of note templates and eliminate duplicates.
  • Select a default template for each category.


Customize the symbol library for note templates (Procedure)

Configure the appearance of notes
Up a level to ..
Customize the symbol library for note templates
Configuration and setup guide > Configure Symbols > Leader Notes >
Customize the symbol library for note templates
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To enter a formula in a leader note

To add a leader note as a template to the symbol library

To import leader note templates from another drawing

To rename a leader note template

To set a default template for an object type


Customize the symbol library for note templates (Quick Reference)

Configure the appearance of notes
Customize the symbol library for note templates
Customize the symbol library for note templates
Configuration and setup guide > Configure Symbols > Leader Notes >
Customize the symbol library for note templates
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Note Symbol dialog box

Note Settings dialog box


To enter a formula in a leader note (Procedure)

Customize the symbol library for note templates
Up a level to ..
Customize the symbol library for note templates
Configuration and setup guide > Configure Symbols > Leader Notes >
Customize the symbol library for note templates
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To enter a formula in a leader note

NoteThe formula to be created is, =<if(equal(Hole:tapped,"0"),"%%c" Hole:dia,Hole:nominal)>; a formula to show the nominal diameter of a tapped hole, and if the hole is not tapped, to display the diameter of the hole.

  1. Click Dashboard tab [image] Symbols panel [image] . At the Command prompt, enter AMNOTE.
  2. Select the hole to attach the note to and click in the drawing area to place the note.
  3. From the Preview display mode list, select Plain text.
  4. In the multi-line text editor, delete any text that appears by default and type “=” as the first character of the note text.
  5. In the text editor, enter the required formula:
    1. In the Variables list, select Functions [image] IF. The text editor shows =<IF(,,)>.
    2. In the multi-line text editor, place the cursor after the open bracket.
    3. In the Variables list, select Functions [image] EQUAL.The text editor shows =<IF(<EQUAL(,)>,,)>.
    4. In the multi-line text editor, place the cursor after the second open bracket.
    5. In the Variables list, select Hole [image] TAPPED. The text editor shows =<IF(<EQUAL(<HOLE:TAPPED>,)>,,)>
    6. Continue until the text editor reads =<IF(EQUAL(HOLE:TAPPED,"0"),, )>
    7. Place the cursor between the two commas, click symbols and select the diameter symbol. The text editor shows <IF(EQUAL(HOLE:TAPPED,"0"),"%%c",)>
    8. Place the cursor after "%%c" and in the Variables list, select Hole [image] DIA. The text editor shows =<IF(EQUAL(HOLE:TAPPED,"0"),"%%c" HOLE:DIA,)>
    9. Place the cursor between HOLE:DIA, and in the Variables list, select Hole [image] NOMINAL. The text editor reads =<IF(EQUAL(HOLE:TAPPED,"0"),"%%c" HOLE:DIA,HOLE:NOMINAL)>
    10. Continue until the text editor reads =<IF(EQUAL(HOLE:TAPPED,"0"),"%%c" HOLE:DIA,HOLE:NOMINAL)>
  6. From the Preview display mode list, select Rendered text colored and verify that the formula renders correctly.
  7. Click OK.


To add a leader note as a template to the symbol library (Procedure)

Customize the symbol library for note templates
Up a level to ..
Customize the symbol library for note templates
Configuration and setup guide > Configure Symbols > Leader Notes >
Customize the symbol library for note templates
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To add a leader note as a template to the symbol library

  1. In the drawing area, double-click the note to add to the symbol library. The Note Symbol dialog box is displayed.
  2. Click Add.
  3. Enter a name for the template.
  4. Click OK.


To import leader note templates from another drawing (Procedure)

Customize the symbol library for note templates
Up a level to ..
Customize the symbol library for note templates
Configuration and setup guide > Configure Symbols > Leader Notes >
Customize the symbol library for note templates
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To import leader note templates from another drawing

  1. Click None [image] None [image] At the Command prompt, enter AMOPTIONS.
  2. Click the AM:Standards tab.
  3. In the Standard Elements list, double-click Note. The Note Settings dialog box is displayed.
  4. Click Import. The Select File dialog box is displayed.
  5. Choose the .dwg or .dwt file that contains the desired library.
  6. Click OK. The program adds the imported leader note templates to the library.
  7. Click OK.


To rename a leader note template (Procedure)

Customize the symbol library for note templates
Up a level to ..
Customize the symbol library for note templates
Configuration and setup guide > Configure Symbols > Leader Notes >
Customize the symbol library for note templates
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To rename a leader note template

  1. Click None [image] None [image] At the Command prompt, enter AMOPTIONS.
  2. Click the AM:Standards tab.
  3. In the Standard Elements list, double-click note. The Note Settings dialog box is displayed.
  4. In the category list, select the category of the template to rename.
  5. In the list of templates, click the template to rename.
  6. From the drop-down menu on the right, select Rename.
  7. Enter the new name for the leader note.
  8. Click OK.


To set a default template for an object type (Procedure)

Customize the symbol library for note templates
Up a level to ..
Configure BOMs, Balloons, and Parts Lists
Configuration and setup guide > Configure Symbols > Leader Notes >
Customize the symbol library for note templates
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To set a default template for an object type

  1. Click None [image] None [image] At the Command prompt, enter AMOPTIONS.
  2. Click the AM:Standards tab.
  3. In the Standard Elements list, double-click Note. The Note Settings dialog box is displayed.
  4. In the category list, select the object type to assign to a default template.
  5. In the list of templates, click the template to set as default.
  6. From the drop-down menu on the right, select Set default. A blue tick indicates the default status.
  7. Click OK.


Customize the symbol library for note templates (Quick Reference)

Customize the symbol library for note templates
Customize the symbol library for note templates
Customize the symbol library for note templates
Configuration and setup guide > Configure Symbols > Leader Notes >
Customize the symbol library for note templates
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Note Symbol dialog box

Use this dialog box to specify the parameters of the leader note you are creating or editing.

Symbol tab

Options

Show reference line

Adds a reference line from the leader to the note text. The icon to the left of the check box shows the result of your selection. This option is checked but disabled for the GOST standard.

Flip symbol

Flips the symbol so that note text is placed to the left of the leader. The icon to the left of the check box shows the result of your selection.

Adds an additional reference line above the currently selected reference line. Note text you add thereafter is inserted on the new reference line.

This button is visible only for the GOST standard.

Deletes the current reference line. The current reference line is highlighted in the drawing.

This button is visible only for the GOST standard.

Selects the next reference line away from the leader arrowhead, and displays its settings in the dialog box.

This button is visible only for the GOST standard.

Selects the next reference line toward the leader arrowhead and displays its settings in the dialog box.

This button is visible only for the GOST standard.

Requirements

Variables

Displays a list of functions and references to the properties of the object the note is attached to. Select an item from the list to insert it to the multi-line text editor, at the current cursor position.

Insert symbol

Displays a palette to enable you to insert a special character at the current cursor position in the multi-line text editor. In the rendered text mode, the editor shows the special character while in the plain text mode the editor shows the corresponding control key sequence.

Multi-line text editor

Edits note text. You use this editor to edit text, formulas, and special characters to show as note text. Use the right-click menu to access special editing tools.

Right-click menu options

Enables you to specify the formatting for the segment of text selected in the multi-line text editor. The formatting options are:

  • Underline - Turns underlining on or off for the selected text
  • Overline - Turns overlining on or off for the selected text
  • Alignment - Specifies how the selected text aligns to a stacked text on the same line
  • Stacked- Stacks two segments of text, separated by a “/” character, one on top of the other.
  • Text Color - Specifies the color of the selected text
  • Text Height - Applies a scale factor for the selected text
  • Text Font - Specifies a font for the selected text
  • Text Width - Applies a scale factor for the width of the selected text
  • Tracking Factor - Specifies the spacing between characters of the selected text
  • Dim Style - Applies a dimension style for a numerical expression This option is available only if a numerical expression is selected.
  • Precision - Enables you to specify a precision for a numerical expression This option is available only if a numerical expression is selected.

Preview display mode

Selects how note text should appear in the multi-line text editor.

  • Plain Text - Displays formulas and formatting signs that define the note text.
  • Rendered Text Colored - Renders all formulas and formatting signs to show a true preview of how the note text appears.
  • Rendered Text Mono - Displays monochromatically the same text as the Rendered Text Colored mode.
TipUse the Plain Text mode to define formulas, especially if you are inserting functions. It also gives you more control over where references are placed. Use a rendered mode to check the formula.

Library

Lists all the note templates for the active drafting standard/revision in the symbol library. When you move the pointer over an item, all settings for that item appear in a tooltip. Each item in the library is associated with a context-sensitive menu.

Category

Displays a list of template categories that are applicable to the object the note is attached to. If the note is not attached to anything, only the category “Other” is available. The category acts as a filter for the list of templates.

Templates

Displays the list of available templates for the selected category.

Menu options

Add

Saves the text in the multi-line text editor as a new note template. The new template is added to the symbol library.

Delete

Deletes the selected note template from the symbol library. Only templates that have not been used in the drawing can be deleted.

Rename

Makes the template name editable. AutoCAD Mechanical validates the name you provide to ensure that the names of templates for a given category are unique.

Set default

Makes the selected template the default template for the selected category. A blue check mark appears next to the template name to indicate that it is the default template. The next time you attach a note to an object described by the selected category, the default template loads automatically and the multi-line text editor displays its content.

Remove default

Removes the default status of the selected template. This menu option is available only on the default template. When there is no default template selected, no note text is pre assigned to the multi-line text editor.

Add

Saves current content of the multi-line text editor as a new template. Name the new template once it is created.

Import

Imports templates from the symbol library of another drawing. You can only import symbols of the same standard and revision as the note symbol you are editing.

Leader and Text tab

Arrowhead

Specifies the type of the leader arrowhead. When the arrowhead is set to By Standard, it acquires the arrowhead from the current drafting standard. Thereafter, if you change the arrowhead selected for the current drafting standard (in the Standard Settings dialog box or Note Settings dialog box) the arrowhead for this symbol is updated automatically.

Edit leader segments

Add

Adds a leader, leader segment, or leader node.

Remove

Deletes a leader, or leader segment.

Edit object attachment

Attach

Attaches the symbol to an object in the drawing. When attached, if you move the object the symbol moves with it.

Detach

Detaches the symbol. The symbol becomes a free-standing object.

Reference line angle

Adjust

Hides the dialog box so that you can set the direction of the reference line. This button is not available in the GOST standard.

Text

Text justification

Sets the justification of text.

NoteThis setting reverts to its default value if you flip the symbol.

Leader justification

Sets the position of the note text relative to the reference line.

NoteThis option is disabled for the GOST standard. However, it is available for custom standards based on the GOST standard.

Settings

Opens the Note Settings dialog box and enables you to edit the default settings for leader notes for the current drafting standard.


Customize the symbol library for note templates (Quick Reference)

Customize the symbol library for note templates
Customize the symbol library for note templates
Customize BOM properties
Configuration and setup guide > Configure Symbols > Leader Notes >
Customize the symbol library for note templates
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Note Settings dialog box

Use the Note Settings dialog box to customize the default settings of leader notes for the current drafting standard.

Symbol tab

Options

Show reference line

Adds a reference line from the leader to the note text. The icon to the left of the check box shows the result.

Requirements

Variables

Displays a list of functions and references to the properties of the object note can be attached to. Select an item from the list to insert it into the multiline text editor. The item appears at the cursor position.

Insert symbol

Displays a palette to enable you to insert a special character at the current cursor position in the multi-line text editor. In the rendered text mode, the editor shows the special character while in the plain text mode the editor shows the corresponding control key sequence.

Multi-line text editor

Edits note text. Use this editor to edit text, formulas, and special symbols to be displayed as note text. Use the right-click menu to access special editing tools.

Right-click menu options

Enables you to specify the formatting for the segment of text selected in the multi-line text editor. The formatting options are:

  • Underline - Toggles underlining for the selected text
  • Overline - Toggles overlining for the selected text
  • Align - Specifies how the selected text aligns with stacked text on the same line
  • Stack- Stacks two segments of text, separated by a “/” character.
  • Text Color - Specifies a color for the selected text
  • Text Height - Applies a scale factor for the selected text
  • Text Font - Specifies a font for the selected text
  • Text Width - Applies a scale factor for the width of the selected text
  • Tracking Factor - Specifies the spacing between characters of the selected text
  • Dim Style - Applies a dimension style for a numerical expression. This option is available only when a numerical expression is selected.
  • Precision - Enables you to specify a precision for a numerical expression. This option is available only if a numerical expression is selected.

Preview display mode

Specifies how note text appears in the multi-line text editor.

  • Plain Text - Displays formulas and formatting signs that define the note text.
  • Rendered Text Colored - Renders all formulas and formatting signs to preview the note.
  • Rendered Text Mono - Displays monochromatically the same text as the Rendered Text Colored mode.
TipUse the Plain Text mode to define formulas, especially if you are inserting functions. It also gives you more control over where to place references. Use a rendered mode to check the formula.

Library

Category

Displays a list of object categories for which you can create note templates.

Templates

Displays the list of available templates for the selected category.

Menu options

Add

Saves the text in the multi-line text editor as a new note template. The new template is added to the symbol library.

Delete

Deletes the selected note template from the symbol library.

Rename

Makes the template name editable. AutoCAD Mechanical validates the name you provide to ensure that the names of templates for a given category are unique.

Set default

Makes the selected template the default template for the selected category. A blue tick mark appears next to the default template name. When you attach a note to an object described by the selected category, the default template loads automatically.

Remove default

Removes the default status of the selected template. This menu option is available only on the default template. When no default template is selected, no note text appears in the multi-line text editor.

Add

Saves the content of the multi-line text editor as a new template. Prompts to name the new item.

Import

Imports templates from the symbol library of another drawing. You can only import symbols of the same standard and revision as the one you are editing.

Leader and Text tab

Leader

Arrowhead

Specifies the type of the leader arrowhead. When the arrowhead is set to ByNameOfCurrentDraftingStandard, it acquires the arrowhead from the master settings of the current drafting standard. If the master setting changes, the arrowheads of all notes that are set to ByNameOfCurrentDraftingStandard, change automatically..

Arrow size

Specifies the size of the leader arrowhead. When the arrow size is set to ByNameOfCurrentDraftingStandard, it acquires the arrow size from the master settings of the current drafting standard. If the master setting changes, the arrow size for all notes based on the current drafting standard change automatically.

Color

Specifies the color of the leader. When the leader color is set to ByNameOfCurrentDraftingStandard, it acquires the color from the master settings of the current drafting standard. If the master setting changes, the leader color of all notes based on the current drafting standard change automatically.

Text

Height

Specifies the text height for note text. When the height is set to ByNameOfCurrentDraftingStandard, it acquires the text height from the master settings of the current drafting standard. If the master setting changes, the text height of all notes based on the current drafting standard change automatically.

Color

Specifies the color of note text. When the text color is set to ByNameOfCurrentDraftingStandard, it acquires the color from the master settings of the current drafting standard. If the master setting changes, the text color of all notes based on the current drafting standard change automatically.

NoteIf the text height changes, the color automatically changes to the default color corresponding to that text height. Text object colors are set from the Object Property Settings dialog box.

Leader justification

Sets the position of the note text in relation to the leader end point.

NoteThis options is disabled for the GOST standard. However, it is available for custom standards based on the GOST standard.

Restore Defaults

Restores all settings of this dialog box to the preset default values for the current standard.


Configure BOMs, Balloons, and Parts Lists

Customize the symbol library for note templates
Configuration and setup guide
Overview
Configuration and setup guide >
Configure BOMs, Balloons, and Parts Lists
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

Topics in this section

  • Overview
  • Customize BOM properties
  • Configure the BOM
  • Configure parts lists
  • Configure balloons
  • Configure component property capturing


Configure BOMs, Balloons, and Parts Lists (Procedure)

Customize the symbol library for note templates
Configure BOMs, Balloons, and Parts Lists
Customize BOM properties
Configuration and setup guide >
Configure BOMs, Balloons, and Parts Lists
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

To configure which component properties are visible

To create a user-defined component property

To set a component property to be automatically summed

To set the data type and format of a component property

To create a formula for a component property

To create a drop-down list for a component property

To add a component property to the BOM

To remove a component property from the BOM

To change the order component properties appear in the BOM

To set the default representation of the BOM

To specify what properties to display

To customize the display prompt of a component property

To change the order component properties appear


Overview

Configure BOMs, Balloons, and Parts Lists
Configure BOMs, Balloons, and Parts Lists
Customize BOM properties
Configuration and setup guide > Configure BOMs, Balloons, and Parts Lists >
Overview
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

The BOM is a table that contains information about the parts and assemblies within a drawing. The program uses this information to generate parts lists and balloons.

When you select a drafting standard, the default settings for parts lists and balloons change to match that standard. The BOM setting change to support the change in parts list and balloon settings. You can customize these settings to suit your drafting requirements.

Configuring the BOM, parts lists, and balloons are interlinked operations. Customize the component properties, including:

  • how properties are displayed in the BOM.
  • the parts list layout
  • balloons
  • what information the program captures from the parts and assemblies in the drawing, to be displayed in the BOM

We recommend customizing BOM Configuration before you start drawing. If you change the BOM configuration after you create a BOM, the BOM can include inconsistent data.


Customize BOM properties (Concept)

Overview
Configure BOMs, Balloons, and Parts Lists
Configure the BOM
Configuration and setup guide > Configure BOMs, Balloons, and Parts Lists >
Customize BOM properties
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

The entry point for all configuration operations for BOMs, balloons, and parts lists is the BOM Settings dialog box. This dialog box contains a list of available component properties. You can drag-and-drop properties to make them visible within parts lists, balloons, and the Component Properties sections of the Part Reference (for non-mechanical structure parts/assemblies) and Properties (for mechanical structure parts/assemblies) dialog boxes. These properties appear in the BOM automatically. If necessary, you can add properties to the BOM directly.

You can create user-defined component properties. We recommend that you use the predefined component properties USER1 to USER8 and customize them instead. If you use AutoCAD Mechanical with Autodesk Vault, the predefined component properties have more built-in support than user-defined component properties.

You can customize component properties to contain a specific data type. For numeric data, you can set the precision and specify whether the property is summed in BOMs and Parts Lists. You can customize the caption of a property, which appears as the column heading in BOMs and parts lists. You can also customize component properties to:

  • Contain formulas so that the properties are populated with context-sensitive information automatically as you add objects to a drawing. If necessary, you can lock the property, ensuring that the formula is not overridden.
  • Populate from a customizable drop-down list.

We recommend configuring component properties before you start drawing. If you add component properties after you create a BOM, the BOM may contain inconsistent data.


Customize BOM properties (Procedure)

Configure BOMs, Balloons, and Parts Lists
Up a level to ..
Customize BOM properties
Configuration and setup guide > Configure BOMs, Balloons, and Parts Lists >
Customize BOM properties
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To configure which component properties are visible

To create a user-defined component property

To set a component property to be automatically summed

To set the data type and format of a component property

To create a formula for a component property

To create a drop-down list for a component property


Customize BOM properties (Quick Reference)

Customize the symbol library for note templates
Customize BOM properties
Customize BOM properties
Configuration and setup guide > Configure BOMs, Balloons, and Parts Lists >
Customize BOM properties
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

BOM Settings dialog box

More properties dialog box

Expression Builder dialog box (for formula)

Expression Builder dialog box (for pre-defined lists)

Pre-defined component properties- full list

Set Value for Item dialog box


To configure which component properties are visible (Procedure)

Customize BOM properties
Up a level to ..
Customize BOM properties
Configuration and setup guide > Configure BOMs, Balloons, and Parts Lists >
Customize BOM properties
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To configure which component properties are visible

  1. Click None [image] None [image] At the Command prompt, enter AMOPTIONS.
  2. In the Options dialog box, select the AM:Standards tab.
  3. In the Standard elements list, double-click BOM. The BOM Settings dialog box is displayed.
  4. Select the tab corresponding to the entity you want to make the property visible in:
    • To make the property visible in Parts Lists, click the Parts List tab.
    • To make the property visible in Part References or the Component Properties dialog box, click the Component Properties/Part Reference tab.
    • To make the property visible in the BOM only, click the BOM tab.
      NoteWhen you add a component property to the Parts List or the Component Properties/Part Reference tab, the program adds it automatically to the BOM tab as well.
  5. In the Available component properties list, click the row heading of the component property to make it visible, and then click Add to. The program adds the component property to the bottom of the list in the tab.
    NoteThe Add to button is unavailable if the selected component property already appears in the list.
  6. Use the Move up or Move down buttons to position the property.
  7. Click OK.


To create a user-defined component property (Procedure)

Customize BOM properties
Up a level to ..
Customize BOM properties
Configuration and setup guide > Configure BOMs, Balloons, and Parts Lists >
Customize BOM properties
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To create a user-defined component property

  1. Click None [image] None [image] At the Command prompt, enter AMOPTIONS.
  2. In the Options dialog box, select the AM:Standards tab.
  3. In the Standard Elements list, double-click BOM. The BOM Settings dialog box is displayed.
  4. Click New. The program positions the insertion point in the first column of the last row in the Available component properties list.
  5. Add data to the new row, column by column. The program adds the new property to the Available component properties list as well as the BOM tab.
  6. Use the Move up or Move down buttons to position the property.
  7. Click OK.


To set a component property to be automatically summed (Procedure)

Customize BOM properties
Up a level to ..
Customize BOM properties
Configuration and setup guide > Configure BOMs, Balloons, and Parts Lists >
Customize BOM properties
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To set a component property to be automatically summed

  1. Click None [image] None [image] At the Command prompt, enter AMOPTIONS.
  2. In the Options dialog box, select the AM:Standards tab.
  3. In the Standard Elements list, double-click BOM. The BOM Settings dialog box is displayed.
  4. In the Available component properties list, in the row corresponding to the component property to be totaled, select the check box in the Sum column.
  5. Click OK.


To set the data type and format of a component property (Procedure)

Customize BOM properties
Up a level to ..
Customize BOM properties
Configuration and setup guide > Configure BOMs, Balloons, and Parts Lists >
Customize BOM properties
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To set the data type and format of a component property

  1. Click None [image] None [image] At the Command prompt, enter AMOPTIONS.
  2. In the Options dialog box, select the AM:Standards tab.
  3. In the Standard Elements list, double-click BOM. The BOM Settings dialog box is displayed.
  4. In the Available component properties list, in the row corresponding to the component property you want to change, select the data type from the drop-down list in the Data Type column.
  5. In the Precision column, click and select the precision from the drop-down list.
  6. In the Leading Zeros column, click and select the number of leading zeros from the drop-down list.
    NoteSteps 5 and 6 apply to numeric data only.
  7. Click OK.


To create a formula for a component property (Procedure)

Customize BOM properties
Up a level to ..
Customize BOM properties
Configuration and setup guide > Configure BOMs, Balloons, and Parts Lists >
Customize BOM properties
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To create a formula for a component property

  1. Click None [image] None [image] At the Command prompt, enter AMOPTIONS.
  2. In the Options dialog box, select the AM:Standards tab.
  3. In the Standard Elements list, double-click BOM. The BOM Settings dialog box is displayed.
  4. In the Available component properties list, click in the value column of the row corresponding to the component property you want to edit. The [image] button appears.
  5. Click [image] . The Expression Builder dialog box is displayed.
  6. In the Select value type list, select Formula.
  7. In the expression box, add references, Operators, and Functions, as required.

    For example, if you create a formula for Cost, truncated to the nearest dollar (Integer value of Price × Quantity):

    1. In the Category list, select Function.
    2. In the Select list, select INT, and click Add. The Expression area shows =INT().
    3. In the Expression area, place the cursor between the brackets.
    4. In the Category list, select BOM Properties.
    5. In the Select list, select QTY and click Add. The program adds the reference <QTY> to the expression area.
    6. Type the asterisk character (*) after <QTY>.
    7. In the Select list, select PRICE, and click Add. The formula =INT(<QTY>*<PRICE>) is complete.
  8. Click OK.


To create a drop-down list for a component property (Procedure)

Customize BOM properties
Up a level to ..
Configure the BOM
Configuration and setup guide > Configure BOMs, Balloons, and Parts Lists >
Customize BOM properties
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To create a drop-down list for a component property

  1. Click None [image] None [image] At the Command prompt, enter AMOPTIONS.
  2. In the Options dialog box, select the AM:Standards tab.
  3. In the Standard Elements list, double-click BOM. The BOM Settings dialog box is displayed.
  4. In the Available component properties list, in the row corresponding to the component property you want to edit, click in the value column. The [image] button appears.
  5. Click [image] . The Expression Builder dialog box is displayed.
  6. In the Select value type list, select Predefined list.
  7. To add an entry to the user-defined list:
    1. Click New. The program adds a row to the Predefined List.
    2. In the new row, click the value column and enter a valid value for the component property.
    3. Click the Description column and enter a short description.
  8. Click Move up or Move down to display the new row in the correct position
  9. Repeat Steps 7 and 8 as required.
  10. Click the row to set as the default selection for that property and click Set Default.
  11. Click OK until all dialog boxes close.


Customize BOM properties (Quick Reference)

Customize BOM properties
Customize BOM properties
Customize BOM properties
Configuration and setup guide > Configure BOMs, Balloons, and Parts Lists >
Customize BOM properties
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

BOM Settings dialog box

Use this dialog box to configure component properties and set up defaults for parts lists, balloons and data capture for the BOM.

Revision

Displays the name and the revision of the standard that controls the default settings of parts lists.

Available component properties

Contains a list of component properties that can be used as columns for BOMs and parts lists. To make a property visible in the BOM, Parts list or in the Component Property section of the Part Reference dialog box and Properties dialog box, drag the property from this list to the list of properties in the corresponding tab.

Property

Defines the name of the component property. This name uniquely identifies a component property. This is the name by which a BOM column is referred to in formulas.

Caption

Defines the column header to be displayed for this property, when it is used as a column in a BOM table or parts list.

Data type

Specifies the data type for the property.

The text data type allows all alphanumeric characters while the numeric data type allows only numeric characters 0 -9. If you need to store a value such as 4 1/2”, you must set the data type to Text.

Value

Specifies the default value for the property. When you click in a cell, the [image] button appears. Click [image] to launch the expression builder, which will assist you create formulas and pre-defined lists (drop-down lists containing possible values) for the property. If required, you can enter the formula or the pre-defined list directly, without using the expression builder.

If the text in this column is red, it means that the expression contains a syntax error. If you invoke the expression builder at this time, it will show you entries up to the position the syntax error occurs.

NoteOnly syntax errors in expressions for pre-defined lists are shown in this manner.

Precision

Specifies the number of decimals to be used round off numerical data for that property. Precision is defined in the form of 0.000 where the number of zeros (0) after the decimal point indicates the number of decimals to use.

Lead zero

Specifies the number of leading zeros (0) to be used when displaying numerical data for that property. Leading zeros are defined in the form of 00.0 where the number of zeros (0) before the decimal point indicates the minimum number of digits that must exist before the decimal point.

Lock

Prevents the component property data from being edited in the BOM, Parts List, Part Reference and Properties dialog boxes.

Sum

Controls if the component property should be summed and displayed in the result bar of the BOM and Parts List dialog boxes.

New

Displays the last row of the Available component properties list, to enable you to add a new row and thereby create a user-defined component property.

TipIt is better to use the pre-defined component properties User1 to User8 (available via the More button) as these are better supported by the system. For example, when creating custom parts lists, to be able to properly fit text into columns, you must use property ids. The property ids for user defined columns are not known before hand and hence cannot be supported. However, the property ids for the pre-defined columns are known.

Delete

Removes the row selected in the Available component properties list. If the property is a user-defined property, the property is deleted. If not the property is added to the list of additional pre-defined component properties. The additional component properties are shown in the more component properties dialog box, which appears when you click the More button. This Delete button is available only if the entire row is selected.

More

Opens a list of additional pre-defined component properties to add to the Available component properties list.

Add to

Adds the row selected in the Available component property list, to the list of properties in the currently selected tab below the Available component properties list. This button is not available if the entire row is not selected or if the current tab is the Balloon tab.

Component properties tab

Component properties list

Displays the component properties that will be visible in the Part Reference dialog box and Properties dialog box.

Property

Displays the name of the component property.

Display prompt

Defines the prompt to be displayed for that property in the Part References dialog box and Properties dialog box. For example, you can set the caption for the Name property to Enter the name of the component.

Move Up

Moves the selected row or range of rows in the Component properties list, one position up. This button is available only if entire rows are selected.

Move Down

Moves the selected row or range of rows in the Component properties list, one position down. This button is available only if entire rows are selected.

Remove

Removes the selected row or range of rows from the Component properties list. This button is available only if entire rows are selected.

Sync

Synchronizes the component properties list with the component properties list in the BOM tab. Consequently, all component properties visible in the BOM will be made visible in the Part Reference dialog box and the Properties dialog box.

NoteSync does not add QTY and ITEM.

BOM tab

Component properties list

Displays the component properties that will be visible in the BOM dialog box.

Property

Displays the name of the component property.

Caption alignment

Defines the how the column headings are aligned in the BOM dialog box.

Value alignment

Defines the how the data rows are aligned in the BOM dialog box.

Move Up

Moves the selected row or range of rows in the Component properties list, one position up. This button is available only if entire rows are selected.

Move Down

Moves the selected row or range of rows in the Component properties list, one position down. This button is available only if entire rows are selected.

Remove

Removes the selected row or range of rows from the Component properties list. This button is available only if entire rows are selected.

Default View

Sets how BOM items are displayed by default.

NoteThe Default view is not visible if you are working in the GOST standard.

Expanded (parts only)

Sets BOM representation to the expanded view, where BOM items correspond to parts and parts from the different assemblies are summed together. However, parts from xref assemblies are not merged with parts from the host drawing nor are they merged with parts from other xref assemblies.

Structured

Sets BOM representation to the structured view, where parts are collected under the assemblies they belong to and are summed only within that assembly.

Use Assembly Path

Appends the item number of the assembly to the front of the item number of a part. For example, if the item number of the assembly is 2 and the separator is “-”, the item numbers of the parts that belong to that assembly will typically be 2-1, 2-2 and so on.

Separator

Specifies the character to use as the separator.

Parts list tab

NoteThe Parts list tab is not visible if you are working in the GOST standard.

Component properties list

Displays the component properties that will be visible in Parts Lists, by default.

Property

Displays the name of the component property.

Caption alignment

Defines the how the column heading are aligned in parts lists.

Value alignment

Defines the how the data rows are aligned in parts lists.

Width

Defines the column width for the property in the parts list.

Move Up

Moves the selected row or range of rows in the Component properties list, one position up. This button is available only if entire rows are selected.

Move Down

Moves the selected row or range of rows in the Component properties list, one position down. This button is available only if entire rows are selected.

Remove

Removes the selected row or range of rows from the Component properties list. This button is available only if entire rows are selected.

Sync

Synchronizes the component properties list with the component properties list in the BOM tab. Consequently, all component properties visible in the BOM will be made visible in parts lists.

Default style

Standard

Switches the parts list style to a standard based parts list.

Displays a dialog box, which enables you to customize settings applicable to standard based parts lists.

Custom

Switches the parts list style to a custom parts list. The list shows all blocks that can be used as custom parts lists. If the blocks to use are in an external drawing, select Browse (last entry in the list).

Balloon tab

Category

Displays different categories of references or functions that you can use in the expression for balloon text. This option is not available for custom balloons (because the expression to use for balloon text is defined within the block used for the custom balloon).

Select

Displays a list of references that belong to the selected category or a list of functions, as the case may be.

Add

Inserts the reference selected in the Select list to the Expression box. The reference is inserted at the insertion point within the Expression box. If there is no explicit insertion point, the reference is appended to the end of any existing expression.

Expression

Defines the formula to be used for balloon text.

Default style

Standard

Switches the appearance of the balloon to that defined by the drafting standard.

Displays a dialog box, which enables you to customize settings applicable to standard based balloon.

Custom

Switches the appearance of the balloon to a custom style defined via a block. If the block to use is in an external drawing, select Browse (last entry in the list).

Restore Defaults

Resets all settings to the default settings for the current drafting standard.


Customize BOM properties (Quick Reference)

Customize BOM properties
Customize BOM properties
Customize BOM properties
Configuration and setup guide > Configure BOMs, Balloons, and Parts Lists >
Customize BOM properties
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

More properties dialog box

Use this dialog box to add component properties, from a list of pre-configured component properties, to the list of available properties in the BOM settings dialog box.

List of properties

Displays a list of properties that you can add to the Available component properties list in the BOM settings dialog box. To select contiguous rows, SHIFT-click the first and the last property to add. To select non-contiguous rows, CTRL-click the rows.

OK

Makes the selected properties visible in the Available component properties list in the BOM Settings dialog box.


Customize BOM properties (Quick Reference)

Customize BOM properties
Customize BOM properties
Customize BOM properties
Configuration and setup guide > Configure BOMs, Balloons, and Parts Lists >
Customize BOM properties
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Expression Builder dialog box (for formula)

Use this dialog box to build a formula or a predefined list for a component property.

Select a value type Sets environment for defining a formula or a pre-defined list. If you select Formula, the dialog box changes to provide options for creating a formula. If you select Predefined list, the dialog box changes to provide options for creating a predefined list.
Formula Contains options to define a formula. This section is visible only if the Select value type is set to Formula.
 | Category Displays different categories of references or functions that you can use in the formula.
 |  | Select Displays a list of references that belong to the selected category or a list of functions, as the case may be.
 | Add Inserts the reference selected in the Select list to the Expression box. The reference is inserted at the insertion point within the Expression box. If there is no explicit insertion point, the reference is appended to the end of the existing expression.
 | Expression Defines the formula to be used.


Customize BOM properties (Quick Reference)

Customize BOM properties
Customize BOM properties
Customize BOM properties
Configuration and setup guide > Configure BOMs, Balloons, and Parts Lists >
Customize BOM properties
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Expression Builder dialog box (for pre-defined lists)

Use this dialog box to build a formula or a predefined list for a component property.

Select a value type

Sets environment for defining a formula or a pre-defined list. If you select Formula, the dialog box changes to provide options for creating a formula. If you select Predefined list, the dialog box changes to provide options for creating a predefined list.

Predefined List

Contains a list that lets you add entries to. The contents of this list are displayed as a drop-down list in all dialog boxes that let you enter BOM data.

The entry marked [image] is the default value for the component property. Specifying the default is optional. The Value column contains valid values for that component property. The Description is for additional information you may wish to provide about the value.

New

Displays the last row of the Predefined list, to enable you to add a new row and thereby add a new entry to the list.

Delete

Deletes the selected row. This button is available only if entire rows are selected.

Move Up

Moves the selected row(s), one position up. This button is available only if entire rows are selected.

Move Down

Moves the selected row(s), one position down. This button is available only if entire rows are selected.

Set Default

Sets the selected row as the default value for the list. This button is visible only if the currently selected row is not set as the default. This button is available only if the entire row is selected.

Remove Default

Resets the default selection. This button is visible only if the currently selected row is the default value for the list. This button is available only if entire rows are selected.


Customize BOM properties (Quick Reference)

Customize BOM properties
Customize BOM properties
Customize BOM properties
Configuration and setup guide > Configure BOMs, Balloons, and Parts Lists >
Customize BOM properties
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Pre-defined component properties- full list

Frequently used component properties

Default caption | Component property | Description | Comments
Item | ITEM | Item number assigned to the part or assembly. | Automatically assigned to the part or assembly by the system.
Qty | QTY | Total count of the part or assembly in the BOM. | Calculated and maintained automatically by the system.
Name | NAME | Name of the part or assembly. | Derived automatically for standard parts, through a formula. Can be overridden.
Description | DESCR | A description of the part or assembly.
Standard | STANDARD | Information related to the standard under which the part or assembly is created.
Material | MATERIAL | Material used to fabricate the part or assembly. |
Note | NOTE | Notes and comments related to the part or assembly. |
Vendor | VENDOR | Name of supplier of the part or assembly. |
Description 2 | DESCR2 | An additional description for the part or assembly. |
Standard 2 | STANDARD2 | An additional BOM attribute for additional standard related information. | Not automatically set by the system.
Mass | MASS | Mass of the part or assembly. |
Price | PRICE | Per unit cost of the part or subassembly. |
Measurement | DIM | Measurement of the part or subassembly. For example, The length of a steel shape. | Derived automatically for steel shapes, through a formula. Can be overridden.
Units | BOM_UNITS | Units of measurement of the part or subassembly. | The system validates content to ensure compatibility with Autodesk Vault Manufacturing. We recommend this option over the UNITS_OF_MEASURE attribute.
Format | FORMAT | Part or document sheet format. | Available only for the GOST standard.
Zone | ZONE | Zone in the drawing where the part is located. | Available only for the GOST standard.
Comments | COMMENTS | Notes about a part. | Available only for the GOST standard.

Additional component properties

Default caption | Component property | Description | Comments
Assembly number | ASSY | Assembly number. |
Currency | CURRENCY | Currency used for PRICE attribute. |
DWG Manager ID | DMID | Drawing Manager Identification number. |
Filter | FILTER | A property used to filter the BOM. |
ID Number | USERID | Identification number of the part or assembly. |
Manufacturer ID | MANUFACTURER_ID | Manufacturer identification number. |
Manufacturer Part No | MANUFACTURER_PART_NO | Manufacturer part number. |
Parts List Name | PLNAME | Parts list name. |
Parts List Path | PLPATH | Parts list path. |
Unit of Measure | UNIT_OF_MEASURE | Same as BOM_UNITS, but system does not validate contents for compatibility with Autodesk Vault Manufacturing. |
User 1 - User 8 | USER1 - USER 8 | System allocated properties to contain user-defined attributes. | Although it is possible to add user-defined columns, because Autodesk Vault and Autodesk Vault Manufacturing are aware of the existence of these attributes, they are better supported than user-defined attributes.
Vendor ID | VENDOR_ID | Vendor Identification number. |
Vendor Part No | VENDOR_PART_NO | Vendor part number. |


Customize BOM properties (Quick Reference)

Customize BOM properties
Customize BOM properties
Configure the BOM
Configuration and setup guide > Configure BOMs, Balloons, and Parts Lists >
Customize BOM properties
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Set Value for Item dialog box

Use this dialog box to configure the default rule AutoCAD Mechanical must use to assign default values for the Item component property.

Start Value

Specifies the default item number for the first entry in a BOM.

You can override this setting in an individual BOM after you create it. The override applies to that BOM only. All other BOMs continue to use the default start item number you set in this dialog box.

Step

Specifies the default increment to use for the item number as items are added to a BOM.

You can override this setting in an individual BOM after you create it. The override applies to that BOM only. All other BOMs continue to use the default increment you set in this dialog box.


Configure the BOM (Concept)

Customize BOM properties
Configure BOMs, Balloons, and Parts Lists
Configure parts lists
Configuration and setup guide > Configure BOMs, Balloons, and Parts Lists >
Configure the BOM
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Configure the following options for the BOM:

  • Configure which component properties are visible in the BOM.

    When you add a component property to a parts list or to a part reference, the property is added to the BOM automatically. You can add component properties that parts lists do not usually use, directly to the BOM. For example, you can add component properties for downstream consumption by product lifecycle management tools.

    When you remove a component property from the BOM, the property disappears from parts lists or part references as well.

  • Change the order in which component properties appear in the BOM.

    The order in which component properties appear in the BOM Settings dialog box is the order in which they appear (as BOM columns) in the BOM. Use the Move Up and Move Down buttons in the BOM tab of the BOM Settings dialog box to change the order.

  • Select the default BOM representation.

    In the BOM Settings dialog box, you can specify whether the BOM is expanded or structured. In the expanded representation, BOM items correspond to parts while in the structured representation, BOM items correspond to assemblies. This setting serves only as a default setting, which you can change from the BOM dialog box any time during a drawing session.


Configure the BOM (Procedure)

Customize BOM properties
Up a level to ..
Configure the BOM
Configuration and setup guide > Configure BOMs, Balloons, and Parts Lists >
Configure the BOM
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To add a component property to the BOM

To remove a component property from the BOM

To change the order component properties appear in the BOM

To set the default representation of the BOM


Configure the BOM (Quick Reference)

Customize BOM properties
Configure the BOM
Configure the BOM
Configuration and setup guide > Configure BOMs, Balloons, and Parts Lists >
Configure the BOM
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

BOM Settings dialog box

Pre-defined component properties- full list


To add a component property to the BOM (Procedure)

Configure the BOM
Up a level to ..
Configure the BOM
Configuration and setup guide > Configure BOMs, Balloons, and Parts Lists >
Configure the BOM
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To add a component property to the BOM

  1. Click None [image] None [image] At the Command prompt, enter AMOPTIONS.
  2. In the Options dialog box, select the AM:Standards tab.
  3. In the Standard Elements list, double-click BOM. The BOM Settings dialog box is displayed.
  4. In the Available component properties list, click the row heading of the component property to add to the BOM. The program selects the entire row.
  5. Click Add to. The program adds the component property to the bottom of the list in the BOM tab.
    NoteThe Add to button is unavailable if the selected component property already appears in the list.
  6. Use the Move Up or Move Down buttons to position the property.
  7. Click OK.


To remove a component property from the BOM (Procedure)

Configure the BOM
Up a level to ..
Configure the BOM
Configuration and setup guide > Configure BOMs, Balloons, and Parts Lists >
Configure the BOM
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To remove a component property from the BOM

  1. Click None [image] None [image] At the Command prompt, enter AMOPTIONS.
  2. In the Options dialog box, select the AM:Standards tab.
  3. In the Standard Elements list, double-click BOM. The BOM Settings dialog box is displayed.
  4. In the BOM tab, click the row heading of the component property to delete. The program selects the entire row.
  5. Click Remove.
  6. Click OK.


To change the order component properties appear in the BOM (Procedure)

Configure the BOM
Up a level to ..
Configure the BOM
Configuration and setup guide > Configure BOMs, Balloons, and Parts Lists >
Configure the BOM
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To change the order component properties appear in the BOM

  1. Click None [image] None [image] At the Command prompt, enter AMOPTIONS.
  2. In the Options dialog box, select the AM:Standards tab.
  3. In the Standard Elements list, double-click BOM. The BOM Settings dialog box is displayed.
  4. In the BOM tab, move the rows around to obtain the desired order.

    To move a row:

    1. Click the row heading of the row to move. The program selects the entire row.
    2. Click Move Up or Move Down, as appropriate.
  5. Click OK.


To set the default representation of the BOM (Procedure)

Configure the BOM
Up a level to ..
Configure parts lists
Configuration and setup guide > Configure BOMs, Balloons, and Parts Lists >
Configure the BOM
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To set the default representation of the BOM

  1. Click None [image] None [image] At the Command prompt, enter AMOPTIONS.
  2. In the Options dialog box, select the AM:Standards tab.
  3. In the Standard Elements list, double-click BOM. The BOM Settings dialog box is displayed.
  4. In the BOM tab, in the Default View section, select a representation.
  5. Click OK.


Configure the BOM (Quick Reference)

Configure the BOM
Configure the BOM
Configure the BOM
Configuration and setup guide > Configure BOMs, Balloons, and Parts Lists >
Configure the BOM
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

BOM Settings dialog box

Use this dialog box to configure component properties and set up defaults for parts lists, balloons and data capture for the BOM.

Revision

Displays the name and the revision of the standard that controls the default settings of parts lists.

Available component properties

Contains a list of component properties that can be used as columns for BOMs and parts lists. To make a property visible in the BOM, Parts list or in the Component Property section of the Part Reference dialog box and Properties dialog box, drag the property from this list to the list of properties in the corresponding tab.

Property

Defines the name of the component property. This name uniquely identifies a component property. This is the name by which a BOM column is referred to in formulas.

Caption

Defines the column header to be displayed for this property, when it is used as a column in a BOM table or parts list.

Data type

Specifies the data type for the property.

The text data type allows all alphanumeric characters while the numeric data type allows only numeric characters 0 -9. If you need to store a value such as 4 1/2”, you must set the data type to Text.

Value

Specifies the default value for the property. When you click in a cell, the [image] button appears. Click [image] to launch the expression builder, which will assist you create formulas and pre-defined lists (drop-down lists containing possible values) for the property. If required, you can enter the formula or the pre-defined list directly, without using the expression builder.

If the text in this column is red, it means that the expression contains a syntax error. If you invoke the expression builder at this time, it will show you entries up to the position the syntax error occurs.

NoteOnly syntax errors in expressions for pre-defined lists are shown in this manner.

Precision

Specifies the number of decimals to be used round off numerical data for that property. Precision is defined in the form of 0.000 where the number of zeros (0) after the decimal point indicates the number of decimals to use.

Lead zero

Specifies the number of leading zeros (0) to be used when displaying numerical data for that property. Leading zeros are defined in the form of 00.0 where the number of zeros (0) before the decimal point indicates the minimum number of digits that must exist before the decimal point.

Lock

Prevents the component property data from being edited in the BOM, Parts List, Part Reference and Properties dialog boxes.

Sum

Controls if the component property should be summed and displayed in the result bar of the BOM and Parts List dialog boxes.

New

Displays the last row of the Available component properties list, to enable you to add a new row and thereby create a user-defined component property.

TipIt is better to use the pre-defined component properties User1 to User8 (available via the More button) as these are better supported by the system. For example, when creating custom parts lists, to be able to properly fit text into columns, you must use property ids. The property ids for user defined columns are not known before hand and hence cannot be supported. However, the property ids for the pre-defined columns are known.

Delete

Removes the row selected in the Available component properties list. If the property is a user-defined property, the property is deleted. If not the property is added to the list of additional pre-defined component properties. The additional component properties are shown in the more component properties dialog box, which appears when you click the More button. This Delete button is available only if the entire row is selected.

More

Opens a list of additional pre-defined component properties to add to the Available component properties list.

Add to

Adds the row selected in the Available component property list, to the list of properties in the currently selected tab below the Available component properties list. This button is not available if the entire row is not selected or if the current tab is the Balloon tab.

Component properties tab

Component properties list

Displays the component properties that will be visible in the Part Reference dialog box and Properties dialog box.

Property

Displays the name of the component property.

Display prompt

Defines the prompt to be displayed for that property in the Part References dialog box and Properties dialog box. For example, you can set the caption for the Name property to Enter the name of the component.

Move Up

Moves the selected row or range of rows in the Component properties list, one position up. This button is available only if entire rows are selected.

Move Down

Moves the selected row or range of rows in the Component properties list, one position down. This button is available only if entire rows are selected.

Remove

Removes the selected row or range of rows from the Component properties list. This button is available only if entire rows are selected.

Sync

Synchronizes the component properties list with the component properties list in the BOM tab. Consequently, all component properties visible in the BOM will be made visible in the Part Reference dialog box and the Properties dialog box.

NoteSync does not add QTY and ITEM.

BOM tab

Component properties list

Displays the component properties that will be visible in the BOM dialog box.

Property

Displays the name of the component property.

Caption alignment

Defines the how the column headings are aligned in the BOM dialog box.

Value alignment

Defines the how the data rows are aligned in the BOM dialog box.

Move Up

Moves the selected row or range of rows in the Component properties list, one position up. This button is available only if entire rows are selected.

Move Down

Moves the selected row or range of rows in the Component properties list, one position down. This button is available only if entire rows are selected.

Remove

Removes the selected row or range of rows from the Component properties list. This button is available only if entire rows are selected.

Default View

Sets how BOM items are displayed by default.

NoteThe Default view is not visible if you are working in the GOST standard.

Expanded (parts only)

Sets BOM representation to the expanded view, where BOM items correspond to parts and parts from the different assemblies are summed together. However, parts from xref assemblies are not merged with parts from the host drawing nor are they merged with parts from other xref assemblies.

Structured

Sets BOM representation to the structured view, where parts are collected under the assemblies they belong to and are summed only within that assembly.

Use Assembly Path

Appends the item number of the assembly to the front of the item number of a part. For example, if the item number of the assembly is 2 and the separator is “-”, the item numbers of the parts that belong to that assembly will typically be 2-1, 2-2 and so on.

Separator

Specifies the character to use as the separator.

Parts list tab

NoteThe Parts list tab is not visible if you are working in the GOST standard.

Component properties list

Displays the component properties that will be visible in Parts Lists, by default.

Property

Displays the name of the component property.

Caption alignment

Defines the how the column heading are aligned in parts lists.

Value alignment

Defines the how the data rows are aligned in parts lists.

Width

Defines the column width for the property in the parts list.

Move Up

Moves the selected row or range of rows in the Component properties list, one position up. This button is available only if entire rows are selected.

Move Down

Moves the selected row or range of rows in the Component properties list, one position down. This button is available only if entire rows are selected.

Remove

Removes the selected row or range of rows from the Component properties list. This button is available only if entire rows are selected.

Sync

Synchronizes the component properties list with the component properties list in the BOM tab. Consequently, all component properties visible in the BOM will be made visible in parts lists.

Default style

Standard

Switches the parts list style to a standard based parts list.

Displays a dialog box, which enables you to customize settings applicable to standard based parts lists.

Custom

Switches the parts list style to a custom parts list. The list shows all blocks that can be used as custom parts lists. If the blocks to use are in an external drawing, select Browse (last entry in the list).

Balloon tab

Category

Displays different categories of references or functions that you can use in the expression for balloon text. This option is not available for custom balloons (because the expression to use for balloon text is defined within the block used for the custom balloon).

Select

Displays a list of references that belong to the selected category or a list of functions, as the case may be.

Add

Inserts the reference selected in the Select list to the Expression box. The reference is inserted at the insertion point within the Expression box. If there is no explicit insertion point, the reference is appended to the end of any existing expression.

Expression

Defines the formula to be used for balloon text.

Default style

Standard

Switches the appearance of the balloon to that defined by the drafting standard.

Displays a dialog box, which enables you to customize settings applicable to standard based balloon.

Custom

Switches the appearance of the balloon to a custom style defined via a block. If the block to use is in an external drawing, select Browse (last entry in the list).

Restore Defaults

Resets all settings to the default settings for the current drafting standard.


Configure the BOM (Quick Reference)

Configure the BOM
Configure the BOM
Setup standard based parts lists
Configuration and setup guide > Configure BOMs, Balloons, and Parts Lists >
Configure the BOM
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Pre-defined component properties- full list

Frequently used component properties

Default caption | Component property | Description | Comments
Item | ITEM | Item number assigned to the part or assembly. | Automatically assigned to the part or assembly by the system.
Qty | QTY | Total count of the part or assembly in the BOM. | Calculated and maintained automatically by the system.
Name | NAME | Name of the part or assembly. | Derived automatically for standard parts, through a formula. Can be overridden.
Description | DESCR | A description of the part or assembly.
Standard | STANDARD | Information related to the standard under which the part or assembly is created.
Material | MATERIAL | Material used to fabricate the part or assembly. |
Note | NOTE | Notes and comments related to the part or assembly. |
Vendor | VENDOR | Name of supplier of the part or assembly. |
Description 2 | DESCR2 | An additional description for the part or assembly. |
Standard 2 | STANDARD2 | An additional BOM attribute for additional standard related information. | Not automatically set by the system.
Mass | MASS | Mass of the part or assembly. |
Price | PRICE | Per unit cost of the part or subassembly. |
Measurement | DIM | Measurement of the part or subassembly. For example, The length of a steel shape. | Derived automatically for steel shapes, through a formula. Can be overridden.
Units | BOM_UNITS | Units of measurement of the part or subassembly. | The system validates content to ensure compatibility with Autodesk Vault Manufacturing. We recommend this option over the UNITS_OF_MEASURE attribute.
Format | FORMAT | Part or document sheet format. | Available only for the GOST standard.
Zone | ZONE | Zone in the drawing where the part is located. | Available only for the GOST standard.
Comments | COMMENTS | Notes about a part. | Available only for the GOST standard.

Additional component properties

Default caption | Component property | Description | Comments
Assembly number | ASSY | Assembly number. |
Currency | CURRENCY | Currency used for PRICE attribute. |
DWG Manager ID | DMID | Drawing Manager Identification number. |
Filter | FILTER | A property used to filter the BOM. |
ID Number | USERID | Identification number of the part or assembly. |
Manufacturer ID | MANUFACTURER_ID | Manufacturer identification number. |
Manufacturer Part No | MANUFACTURER_PART_NO | Manufacturer part number. |
Parts List Name | PLNAME | Parts list name. |
Parts List Path | PLPATH | Parts list path. |
Unit of Measure | UNIT_OF_MEASURE | Same as BOM_UNITS, but system does not validate contents for compatibility with Autodesk Vault Manufacturing. |
User 1 - User 8 | USER1 - USER 8 | System allocated properties to contain user-defined attributes. | Although it is possible to add user-defined columns, because Autodesk Vault and Autodesk Vault Manufacturing are aware of the existence of these attributes, they are better supported than user-defined attributes.
Vendor ID | VENDOR_ID | Vendor Identification number. |
Vendor Part No | VENDOR_PART_NO | Vendor part number. |


Configure parts lists

Configure the BOM
Configure BOMs, Balloons, and Parts Lists
Setup standard based parts lists
Configuration and setup guide > Configure BOMs, Balloons, and Parts Lists >
Configure parts lists
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

Topics in this section

  • Setup standard based parts lists
  • Set up custom parts lists
  • Set up GOST parts list


Configure parts lists (Procedure)

Configure the BOM
Up a level to ..
Setup standard based parts lists
Configuration and setup guide > Configure BOMs, Balloons, and Parts Lists >
Configure parts lists
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

To specify which columns to display in parts lists

To change the column order in parts lists

To format parts list columns

To set up the table layout for a parts list

To Configure Text Settings for Parts Lists

To Configure Master Settings for Text Height

To specify the location of the heading row

To enable column splitting

To create a block scheme for custom parts lists

To set a custom parts list as the default parts list style

To specify the location of the heading row

To create a custom parts list

To enable column splitting

To Specify Page Break Options

To Configure Text Settings for Parts Lists

To Configure Table Layout


Setup standard based parts lists (Concept)

Configure parts lists
Configure parts lists
Set up custom parts lists
Configuration and setup guide > Configure BOMs, Balloons, and Parts Lists > Configure parts lists >
Setup standard based parts lists
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

When you select the drafting standard, the default settings for parts lists change to match that drafting standard. If necessary, you can customize these settings to suit your drafting requirements.

Configuring a parts list involves:

  • Specifying which columns appear in parts lists.

    In parts lists, each column corresponds to a component property, so each column behaves in accordance to the settings of the component property. For example, the caption, data type, and precision set in the component properties are the same for the corresponding parts list column.

    NoteWhen you add a component property to a parts list, it appears in the BOM automatically.
  • Formatting parts list columns.

    After you add columns to a parts list, you can set the width of each column. You can also specify the alignment of the column header and the data rows.

    The order in which component properties appear in the Parts List tab of the BOM Settings dialog box is the order in which the columns appear in parts lists. Use the Move Up and Move Down buttons to change the order in which columns appear.

  • Setting up the layout of parts lists.

    You can set the visibility of the parts list title and column heading. You can specify whether they appear at the top or at the bottom of the parts list. You can set up the row and column margins for the heading row and data rows separately. You can select whether a grip frame appears, enabling grip editing in the drawing area.

  • Configuring parts list text options.

    Because text and leader lines are the most common objects used for annotations, AutoCAD Mechanical provides a single configuration point (the Standard Settings dialog box) enabling you to specify their default properties. These settings are the master settings.

    When the text size for the parts list is “By NameOfCurrentDraftingStandard,” it acquires the base height master setting automatically. If you modify the master settings, the text size for parts lists automatically updates. If you do not want the text size for parts lists to follow the master settings, you can override the setting to a specific value.

    You can also configure how text appears within a parts list column. You can fit the text within the column, wrap it to the next line, or let it flow to the next column.

  • Specifying the location of the heading row.

    The system enables you to configure where the insertion point for parts lists appears. If the insertion point is at the top left or top right, the heading row is at the top of the parts list. If the insertion point is at the bottom left or bottom right, the heading row is at the bottom.

  • Enabling column splitting.

    Column splitting is the ability of parts list columns to wrap when the number of data rows exceeds a configurable threshold value. The following image shows one parts list with 18 data rows and another with 36. Column splitting occurs when the number of rows exceeds the threshold value of 20. The insertion point appears as a green dot.

    Instead of specifying the threshold value, you can define the number of sections to which the columns must split. In this case the data rows split evenly among the number of sections you define.

We recommend that you configure parts lists before you start drawing. Parts list follow the options you set. If you change the part list configuration settings after you create part lists, only text height settings apply to them. None of the other settings apply to existing parts lists.


Setup standard based parts lists (Procedure)

Configure parts lists
Up a level to ..
Setup standard based parts lists
Configuration and setup guide > Configure BOMs, Balloons, and Parts Lists > Configure parts lists >
Setup standard based parts lists
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To specify which columns to display in parts lists

To change the column order in parts lists

To format parts list columns

To set up the table layout for a parts list

To Configure Text Settings for Parts Lists

To Configure Master Settings for Text Height

To specify the location of the heading row

To enable column splitting


Setup standard based parts lists (Quick Reference)

Configure the BOM
Setup standard based parts lists
Setup standard based parts lists
Configuration and setup guide > Configure BOMs, Balloons, and Parts Lists > Configure parts lists >
Setup standard based parts lists
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Parts List Settings dialog box

BOM Settings dialog box


To specify which columns to display in parts lists (Procedure)

Setup standard based parts lists
Up a level to ..
Setup standard based parts lists
Configuration and setup guide > Configure BOMs, Balloons, and Parts Lists > Configure parts lists >
Setup standard based parts lists
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To specify which columns to display in parts lists

  1. Click None [image] None [image] At the Command prompt, enter AMOPTIONS.
  2. In the Options dialog box, select the AM:Standards tab.
  3. In the Standard Elements list, double-click Parts List. The BOM Settings dialog box is displayed.
  4. To add a column to parts lists:
    1. In the Available component properties list, click the row heading of the component property to add as a Parts List column. The program selects the entire row.
    2. Click Add to. The program adds the component property to the bottom of the list in the Parts List tab.
      NoteThe Add to button is unavailable if the selected component property already appears in the list.
    3. Use the Move up or Move down buttons to position the property.
  5. To remove a parts list column:
    1. In the Parts List tab, click the row heading of the component property to remove.
    2. Click Remove.
  6. Click OK until all dialog boxes close.


To change the column order in parts lists (Procedure)

Setup standard based parts lists
Up a level to ..
Setup standard based parts lists
Configuration and setup guide > Configure BOMs, Balloons, and Parts Lists > Configure parts lists >
Setup standard based parts lists
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To change the column order in parts lists

  1. Click None [image] None [image] At the Command prompt, enter AMOPTIONS.
  2. In the Options dialog box, select the AM:Standards tab.
  3. In the Standard Elements list, double-click Parts List. The BOM Settings dialog box is displayed.
  4. In the Parts List tab, Use the Move up or Move down buttons to position the property.
  5. Click OK until all dialog boxes close.


To format parts list columns (Procedure)

Setup standard based parts lists
Up a level to ..
Setup standard based parts lists
Configuration and setup guide > Configure BOMs, Balloons, and Parts Lists > Configure parts lists >
Setup standard based parts lists
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To format parts list columns

  1. Click None [image] None [image] At the Command prompt, enter AMOPTIONS.
  2. In the Options dialog box, select the AM:Standards tab.
  3. In the Standard Elements list, double-click Parts List. The BOM Settings dialog box is displayed.
  4. To set the column width, enter the width in the Parts List tab, in the Width column.
  5. To set the heading row caption alignment, click in the Caption alignment column and select the alignment from the drop-down list.
  6. To set the data row alignment, click in the Value alignment column and select the alignment from the drop-down list.
  7. Click OK until all dialog boxes close.


To set up the table layout for a parts list (Procedure)

Setup standard based parts lists
Up a level to ..
Setup standard based parts lists
Configuration and setup guide > Configure BOMs, Balloons, and Parts Lists > Configure parts lists >
Setup standard based parts lists
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To set up the table layout for a parts list

  1. Click None [image] None [image] At the Command prompt, enter AMOPTIONS.
  2. In the Options dialog box, select the AM:Standards tab.
  3. In the Standard Elements list, double-click Parts List. The BOM Settings dialog box is displayed.
  4. In the Parts List tab, click [image] .
  5. To insert the column headings and title at the top of the table, in the Attach Point list, select Top Left or Top Right. To insert the heading and the title at the bottom of the table, select Bottom Right or Bottom Left.
  6. To insert headings for each part list column, in the Layout section, select the Insert heading check box. You can override this setting while inserting a parts list.
  7. To insert a title line for the parts list, in the Layout section, select the Insert Title check box. You can override this setting while inserting a parts list.
  8. To include a grip frame to display the extents of the parts list, in the Layout section select the Show Grip Frame check box.
  9. To set the spacing between the heading row and the body rows, in the Internal margins section, set the Heading Top margin or the Bottom margin.
  10. To set the spacing between the body rows, in the Internal margins section, set the Data Top margin and/or the Bottom margin as required.
  11. Click OK until all dialog boxes close.
NoteChanges to parts list table layout have no impact on parts lists that exist in a drawing.


To Configure Text Settings for Parts Lists (Procedure)

Setup standard based parts lists
Up a level to ..
Setup standard based parts lists
Configuration and setup guide > Configure BOMs, Balloons, and Parts Lists > Configure parts lists >
Setup standard based parts lists
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To Configure Text Settings for Parts Lists

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. In the Options dialog box, click the AM:Standards tab.
  3. In the Standard Elements list, double-click Parts List. The BOM Settings dialog box appears.
  4. In the Parts List tab, click [image] .
  5. To change the text height of part list column captions, in the Text section, below the Header row, from the Height list, select the text height.
    NoteTo acquire the base height setting from the master text settings, select the text height marked “By NameOfCurrentDraftingStandard.”
  6. To change the text height of the data rows, in the Text section, below the Data row, from the Height list, select the text height.
  7. To change the text color of part list column captions, in the Text section, below the Header row, from the Color list, select the color.
  8. To change the text color of the data rows, in the Text section, below the Data row, from the Color list, select the color.
  9. To specify how text works with columns:
    1. To resize text to fit the column width, in the Text section, in the appropriate Control list, select Fit.
    2. To wrap text into multiple lines, in the Text section, in the appropriate Control list, select Wrap.
  10. Click OK until all dialog boxes close.
NoteIf the current drafting standard is a custom standard, you can select a text style for part list text.


To Configure Master Settings for Text Height (Procedure)

Setup standard based parts lists
Up a level to ..
Setup standard based parts lists
Configuration and setup guide > Configure BOMs, Balloons, and Parts Lists > Configure parts lists >
Setup standard based parts lists
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To Configure Master Settings for Text Height

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. In the Options dialog box, click the AM:Standards tab.
  3. In the Standard Elements list, double-click the root node (the standard name). The Standard Settings dialog box appears.
  4. To change the text height, in the text section, in the Base height box, select a text height.
Note If the current drafting standard is a custom standard or if the Link to Dimension Style check box is selected, you can do the following additional operations:
  • Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  • Click in the Base height box and type any text height.


To specify the location of the heading row (Procedure)

Setup standard based parts lists
Up a level to ..
Setup standard based parts lists
Configuration and setup guide > Configure BOMs, Balloons, and Parts Lists > Configure parts lists >
Setup standard based parts lists
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To specify the location of the heading row

  1. Click None [image] None [image] At the Command prompt, enter AMOPTIONS.
  2. In the Options dialog box, select the AM:Standards tab.
  3. In the Standard Elements list, double-click Parts List. The BOM Settings dialog box is displayed.
  4. In the Parts List tab, click [image] .
  5. To insert the column headings and title at the top of the table, in the Attach Point list, select Top Left or Top Right.
  6. To insert the heading and the title at the bottom of the table, select Bottom Right or Bottom Left.
  7. Click OK until all dialog boxes close.
NoteChanges to heading row location have no impact on parts lists that exist in a drawing.


To enable column splitting (Procedure)

Setup standard based parts lists
Up a level to ..
Set up custom parts lists
Configuration and setup guide > Configure BOMs, Balloons, and Parts Lists > Configure parts lists >
Setup standard based parts lists
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To enable column splitting

  1. Click the Assist menu [image] Options.
  2. In the Options dialog box, select the AM:Standards tab.
  3. In the Standard Elements list, double-click Parts List. The BOM Settings dialog box is displayed.
  4. In the Parts List tab, click [image] .
  5. Select the Enable column split check box.
  6. To split the column based on the number of data rows, select the Number of rows option and enter the row number to split.

    To split the column by distributing the data rows evenly among multiple sections, select the Number of sections option and enter the number of sections to split to.

  7. Click OK until all dialog boxes close.
NoteChanges to heading row location have no impact on parts lists that exist in a drawing.


Setup standard based parts lists (Quick Reference)

Setup standard based parts lists
Setup standard based parts lists
Setup standard based parts lists
Configuration and setup guide > Configure BOMs, Balloons, and Parts Lists > Configure parts lists >
Setup standard based parts lists
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Parts List Settings dialog box

Use this dialog box to customize the default settings for parts lists.

Revision

Displays the name and the revision of the standard that controls the default settings of parts lists.

Insertion

Insertion point

Sets the placement of the base point for parts lists. This also controls where the title of the parts list appears. If the insertion point is at the bottom, the headings and title are displayed at the bottom of the parts list and the parts are listed from bottom to top. Similarly, if the insertion point is at the top, the headings and title are displayed at the top of the parts list and the parts are listed from top to bottom.

When the Insertion Point is set to ByNameOfCurrentDraftingStandard, the insertion point is acquired from the List Attach Point setting of the master settings of the current drafting standard. If the master settings change, the insertion point automatically follows the change.

Text

Controls the default text settings for parts list heading and body rows.

Header

Style

Defines the text style to be used for the heading row. This option is available only if the current standard is a custom standard.

Control

Defines how text fits within a column, if the length of the text exceeds the column width. The fit option compresses text to fit within one line. The wrap option wraps text to the next line. The None option lets text flow to the next column.

Height

Defines the text height to be used for the heading row.

When the height is set to ByNameOfCurrentDraftingStandard, it acquires the text height from the master settings of the current drafting standard. If the master setting changes, the heading row text height changes automatically.

If the current standard is a custom standard, you can specify a non-standard text height. If not, the AutoCAD Mechanical restricts you to selecting a value from the list.

Color

Defines the text color to be used for the heading row.

When the text color is set to ByNameOfCurrentDraftingStandard, it acquires the color from the master settings of the current drafting standard. If the master setting changes, the text color of heading rows change automatically.

NoteIf the text height changes, the color automatically changes to the default color corresponding to that text height. Text object colors are set from the Object Property Settings dialog box.

Data

Style

Defines the text style to be used for the data rows. This option is available only if the current standard is a custom standard.

Control

Defines how text fits within a column, if the length of the text exceeds the column width. The fit option compresses text to fit within one line. The wrap option wraps text to the next line. The None option lets text flow to the next column.

Height

Defines the text height to be used for data rows.

When the height is set to ByNameOfCurrentDraftingStandard, it acquires the text height from the master settings of the current drafting standard. If the master setting changes, the data row text height changes automatically.

If the current standard is a custom standard, you can specify a non-standard text height. If not, the AutoCAD Mechanical restricts you to selecting a value from the list.

Color

Defines the text color to be used for the data rows.

When the text color is set to ByNameOfCurrentDraftingStandard, it acquires the color from the master settings of the current drafting standard. If the master setting changes, the text color of data rows change automatically.

NoteIf the text height changes, the color automatically changes to the default color corresponding to that text height. Text object colors are set from the Object Property Settings dialog box.

Spacing

Defines the gap between two data rows.

Internal Margins

Header

Sets the amount of white space for the heading row.

Top

Sets the distance from the top of the row to the top of the text.

Bottom

Sets the distance from the bottom of the row to the bottom of the text.

Left

Sets the distance from the left edge of a column to the left edge of left aligned text.

Right

Sets the distance from the right edge of a column to the right edge of right aligned text.

Data

Sets the amount of white space for the data rows.

Top

Sets the distance from the top of the row to the top of the text.

Bottom

Sets the distance from the bottom of the row to the bottom of the text.

Left

Sets the distance from the left edge of a column to the left edge of left aligned text.

Right

Sets the distance from the right edge of a column to the right edge of right aligned text.

Layout

Insert header

Controls whether a header row appears in the parts lists. The header row displays the column headings of the parts lists columns.

Insert title

Controls whether parts lists have a title bar. The title bar displays the name of the parts list.

Show grip frame

Controls whether the grip frame of the parts list appears. The grip frame is a frame that shows the actual extent of the parts list, which, under certain conditions, may be larger than the visible extent of the parts list.

Bold style

Sets the line style on title, header and summation rows to bold.

Filter empty references

Controls if body blocks (of a custom parts list) should be hidden, if it contains no data. This option is available only if the parts list style is set to a custom parts list.

Evaluate DSK file

Sets grouping options for custom parts list by way of a DSK file. DSK files are created using the Mask Editor. See Miscellaneous Advanced Tools for documentation on the Mask Editor.

Column splitting

Contains options to configure if column splitting is to be performed and if so, how. Column splitting refers to the ability for the entire parts list to wrap as the number of data rows grow.

Enable column splitting

Turns on column splitting.

Wrap round title block

Wraps the parts list around the title block as in the following image. You must specify the title block before inserting the part list.

Wrap left

Wraps the parts list to the left as shown below.

Wrap right

Wraps the parts list to the right as shown below.

Number of rows

Performs split after the number of rows exceeds the number you specify in the adjacent box.

Number of sections

Splits the parts list onto the specified number of sections and distributes the entries evenly.

Restore Defaults

Resets all settings to the default settings for the current drafting standard.


Setup standard based parts lists (Quick Reference)

Setup standard based parts lists
Setup standard based parts lists
Set up custom parts lists
Configuration and setup guide > Configure BOMs, Balloons, and Parts Lists > Configure parts lists >
Setup standard based parts lists
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

BOM Settings dialog box

Use this dialog box to configure component properties and set up defaults for parts lists, balloons and data capture for the BOM.

Revision

Displays the name and the revision of the standard that controls the default settings of parts lists.

Available component properties

Contains a list of component properties that can be used as columns for BOMs and parts lists. To make a property visible in the BOM, Parts list or in the Component Property section of the Part Reference dialog box and Properties dialog box, drag the property from this list to the list of properties in the corresponding tab.

Property

Defines the name of the component property. This name uniquely identifies a component property. This is the name by which a BOM column is referred to in formulas.

Caption

Defines the column header to be displayed for this property, when it is used as a column in a BOM table or parts list.

Data type

Specifies the data type for the property.

The text data type allows all alphanumeric characters while the numeric data type allows only numeric characters 0 -9. If you need to store a value such as 4 1/2”, you must set the data type to Text.

Value

Specifies the default value for the property. When you click in a cell, the [image] button appears. Click [image] to launch the expression builder, which will assist you create formulas and pre-defined lists (drop-down lists containing possible values) for the property. If required, you can enter the formula or the pre-defined list directly, without using the expression builder.

If the text in this column is red, it means that the expression contains a syntax error. If you invoke the expression builder at this time, it will show you entries up to the position the syntax error occurs.

NoteOnly syntax errors in expressions for pre-defined lists are shown in this manner.

Precision

Specifies the number of decimals to be used round off numerical data for that property. Precision is defined in the form of 0.000 where the number of zeros (0) after the decimal point indicates the number of decimals to use.

Lead zero

Specifies the number of leading zeros (0) to be used when displaying numerical data for that property. Leading zeros are defined in the form of 00.0 where the number of zeros (0) before the decimal point indicates the minimum number of digits that must exist before the decimal point.

Lock

Prevents the component property data from being edited in the BOM, Parts List, Part Reference and Properties dialog boxes.

Sum

Controls if the component property should be summed and displayed in the result bar of the BOM and Parts List dialog boxes.

New

Displays the last row of the Available component properties list, to enable you to add a new row and thereby create a user-defined component property.

TipIt is better to use the pre-defined component properties User1 to User8 (available via the More button) as these are better supported by the system. For example, when creating custom parts lists, to be able to properly fit text into columns, you must use property ids. The property ids for user defined columns are not known before hand and hence cannot be supported. However, the property ids for the pre-defined columns are known.

Delete

Removes the row selected in the Available component properties list. If the property is a user-defined property, the property is deleted. If not the property is added to the list of additional pre-defined component properties. The additional component properties are shown in the more component properties dialog box, which appears when you click the More button. This Delete button is available only if the entire row is selected.

More

Opens a list of additional pre-defined component properties to add to the Available component properties list.

Add to

Adds the row selected in the Available component property list, to the list of properties in the currently selected tab below the Available component properties list. This button is not available if the entire row is not selected or if the current tab is the Balloon tab.

Component properties tab

Component properties list

Displays the component properties that will be visible in the Part Reference dialog box and Properties dialog box.

Property

Displays the name of the component property.

Display prompt

Defines the prompt to be displayed for that property in the Part References dialog box and Properties dialog box. For example, you can set the caption for the Name property to Enter the name of the component.

Move Up

Moves the selected row or range of rows in the Component properties list, one position up. This button is available only if entire rows are selected.

Move Down

Moves the selected row or range of rows in the Component properties list, one position down. This button is available only if entire rows are selected.

Remove

Removes the selected row or range of rows from the Component properties list. This button is available only if entire rows are selected.

Sync

Synchronizes the component properties list with the component properties list in the BOM tab. Consequently, all component properties visible in the BOM will be made visible in the Part Reference dialog box and the Properties dialog box.

NoteSync does not add QTY and ITEM.

BOM tab

Component properties list

Displays the component properties that will be visible in the BOM dialog box.

Property

Displays the name of the component property.

Caption alignment

Defines the how the column headings are aligned in the BOM dialog box.

Value alignment

Defines the how the data rows are aligned in the BOM dialog box.

Move Up

Moves the selected row or range of rows in the Component properties list, one position up. This button is available only if entire rows are selected.

Move Down

Moves the selected row or range of rows in the Component properties list, one position down. This button is available only if entire rows are selected.

Remove

Removes the selected row or range of rows from the Component properties list. This button is available only if entire rows are selected.

Default View

Sets how BOM items are displayed by default.

NoteThe Default view is not visible if you are working in the GOST standard.

Expanded (parts only)

Sets BOM representation to the expanded view, where BOM items correspond to parts and parts from the different assemblies are summed together. However, parts from xref assemblies are not merged with parts from the host drawing nor are they merged with parts from other xref assemblies.

Structured

Sets BOM representation to the structured view, where parts are collected under the assemblies they belong to and are summed only within that assembly.

Use Assembly Path

Appends the item number of the assembly to the front of the item number of a part. For example, if the item number of the assembly is 2 and the separator is “-”, the item numbers of the parts that belong to that assembly will typically be 2-1, 2-2 and so on.

Separator

Specifies the character to use as the separator.

Parts list tab

NoteThe Parts list tab is not visible if you are working in the GOST standard.

Component properties list

Displays the component properties that will be visible in Parts Lists, by default.

Property

Displays the name of the component property.

Caption alignment

Defines the how the column heading are aligned in parts lists.

Value alignment

Defines the how the data rows are aligned in parts lists.

Width

Defines the column width for the property in the parts list.

Move Up

Moves the selected row or range of rows in the Component properties list, one position up. This button is available only if entire rows are selected.

Move Down

Moves the selected row or range of rows in the Component properties list, one position down. This button is available only if entire rows are selected.

Remove

Removes the selected row or range of rows from the Component properties list. This button is available only if entire rows are selected.

Sync

Synchronizes the component properties list with the component properties list in the BOM tab. Consequently, all component properties visible in the BOM will be made visible in parts lists.

Default style

Standard

Switches the parts list style to a standard based parts list.

Displays a dialog box, which enables you to customize settings applicable to standard based parts lists.

Custom

Switches the parts list style to a custom parts list. The list shows all blocks that can be used as custom parts lists. If the blocks to use are in an external drawing, select Browse (last entry in the list).

Balloon tab

Category

Displays different categories of references or functions that you can use in the expression for balloon text. This option is not available for custom balloons (because the expression to use for balloon text is defined within the block used for the custom balloon).

Select

Displays a list of references that belong to the selected category or a list of functions, as the case may be.

Add

Inserts the reference selected in the Select list to the Expression box. The reference is inserted at the insertion point within the Expression box. If there is no explicit insertion point, the reference is appended to the end of any existing expression.

Expression

Defines the formula to be used for balloon text.

Default style

Standard

Switches the appearance of the balloon to that defined by the drafting standard.

Displays a dialog box, which enables you to customize settings applicable to standard based balloon.

Custom

Switches the appearance of the balloon to a custom style defined via a block. If the block to use is in an external drawing, select Browse (last entry in the list).

Restore Defaults

Resets all settings to the default settings for the current drafting standard.


Set up custom parts lists (Concept)

Setup standard based parts lists
Configure parts lists
Set up GOST parts list
Configuration and setup guide > Configure BOMs, Balloons, and Parts Lists > Configure parts lists >
Set up custom parts lists
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Customize the shape of the parts lists by creating a custom parts list using blocks.

Custom parts lists require at least two blocks: one block for the parts list heading row, and another for the body row. If necessary, you can have several blocks for the body row. The heading block and the body blocks must have the same name, with a digit at the end to differentiate them.

The heading block usually contains a frame with a heading text or attribute inside. The name of the heading block ends with the digit 0. For example MYPLIST0 is a valid name for the heading block.

The body blocks become a template for one parts list row. The name of the first body block must end with the digit 1, the second body block must end with the digit 2, and so on. For example, MYPLIST1 and MYPLIST2 are valid body block names for the heading block MYPLIST0.

Body blocks usually contain the frame for a row and attributes that indicate which component property they show. Set the tag name of the attribute to the name of the property to show. For example, if the Body block shows the component property Material, name the attribute tag MATERIAL.

One limitation of using the component property name as the attribute tag is that there is no mechanism to fit text within the space reserved for it. For example, if you use DESCRIPTION as the tag name and reserve a column width of 35 for it, if the description of an item in the parts lists exceeds 35, it will overflow to the next column. To work around this issue, use the internal representation.

The internal representation takes the form #GENST{#}, where #GENST is the Component Property ID and {#} is a number to indicate text fit. For example, the Component Property ID for DESCRIPTION is 5GENST (See full list). If the available space for the description is 35 and the text height is 3.5, divide the available space (35) by the text height (3.5), enter the resulting value (10) between curly brackets, and append it to the Component Property ID (5GENST{10}, in this case). If the description of an item exceeds 35 in width, the text compresses to fit into the available space.

You can create the heading block and the body blocks in the current drawing or in an external drawing. If you use an external drawing, the drawing must have the same name as the blocks. For example, the file containing the parts list blocks MYPLIST0, MYPLIST1, and MYPLIST2 must be saved as myplist.dwg.

After you create the blocks for the custom parts list, you can configure the system to use the custom parts list as the default parts list style. You can also set up whether the heading row appears at the top of the parts list or at the bottom and set up column splitting. For more information on the heading row position and column splitting, refer to Configuring standard-based parts lists.

Additional, the system enables you to keep standard style parts lists as well as custom style parts lists in the same drawing. You can select the parts list style when you create the parts list.

See an example...

The following image shows an example of the heading block MYPLIST0.

The following image shows an example of the first body block, MYPLIST1. Property IDs identify the component properties that appear in the row.

The following image shows an example of the second body block, MYPLIST2. Property IDs identify the component properties. They overlap because of their close proximity.

The following image shows a sample parts list based on the blocks. The data rows derive from the body blocks. The data row based on MYPLIST2 stacks on top of the data row based on MYPLIST1.

The Position and Summation sub folders of the MSK folder contain sample drawings containing blocks for custom parts lists. The blocks in these drawings contain translatable text (the samples work in all languages) in the heading block, which takes the form (genmsg “gendwg” 37){27.5}. If you implement a custom parts list, do not concern yourself with translatable text. Type the text directly.


Set up custom parts lists (Procedure)

Setup standard based parts lists
Up a level to ..
Set up custom parts lists
Configuration and setup guide > Configure BOMs, Balloons, and Parts Lists > Configure parts lists >
Set up custom parts lists
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To create a block scheme for custom parts lists

To set a custom parts list as the default parts list style

To specify the location of the heading row

To create a custom parts list

To enable column splitting


Set up custom parts lists (Quick Reference)

Setup standard based parts lists
Set up custom parts lists
Set up custom parts lists
Configuration and setup guide > Configure BOMs, Balloons, and Parts Lists > Configure parts lists >
Set up custom parts lists
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Parts List Settings dialog box

Component Property Ids

BOM Settings dialog box


To create a block scheme for custom parts lists (Procedure)

Set up custom parts lists
Up a level to ..
Set up custom parts lists
Configuration and setup guide > Configure BOMs, Balloons, and Parts Lists > Configure parts lists >
Set up custom parts lists
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To create a block scheme for custom parts lists

  1. Create a block for the heading row. To create the block:
    1. In the drawing area, create the frame and heading text for the heading row.
    2. Use the BLOCK command to convert the geometry and text into a block.
      NoteThe block name must end with the digit 0.
  2. Create blocks for the parts list data rows. To create the blocks:
    1. In the drawing area, create the geometry for the parts list row pattern.
    2. Use the ATTDEF command to add attributes to display row data.
      Note
      • Place the attributes at the position you intend to display the component.
      • The tags of the attributes must be the component property name or the component property ID (See a full list of component propert ids).
    3. Use the BLOCK command to convert the geometry and attributes into blocks.
      Note
      • The body blocks must have the same name as the heading block, but must end with a digit other than 0.
      • The name of the first body block must end with the digit 1, the second with the digit 2, and so on.
    4. In the drawing area, move the blocks to obtain the desired appearance of a data row.
TipA formula can be used as the tag for attributes included in custom parts list blocks.


To set a custom parts list as the default parts list style (Procedure)

Set up custom parts lists
Up a level to ..
Set up custom parts lists
Configuration and setup guide > Configure BOMs, Balloons, and Parts Lists > Configure parts lists >
Set up custom parts lists
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To set a custom parts list as the default parts list style

  1. Click None [image] None [image] At the Command prompt, enter AMOPTIONS.
  2. In the Options dialog box, select the AM:Standards tab.
  3. In the Standard Elements list, double-click Parts List. The BOM Settings dialog box is displayed.
  4. In the Parts List tab, in the Default style section, select Custom. The drop-down list next to Custom becomes available.
  5. In the drop-down list, select the name of the custom parts list scheme. To use a custom parts list scheme from an external file, select Browse and open the external file.
  6. Click OK until all dialog boxes close.


To specify the location of the heading row (Procedure)

Set up custom parts lists
Up a level to ..
Set up custom parts lists
Configuration and setup guide > Configure BOMs, Balloons, and Parts Lists > Configure parts lists >
Set up custom parts lists
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To specify the location of the heading row

  1. Click None [image] None [image] At the Command prompt, enter AMOPTIONS.
  2. In the Options dialog box, select the AM:Standards tab.
  3. In the Standard Elements list, double-click Parts List. The BOM Settings dialog box is displayed.
  4. In the Parts List tab, click [image] .
  5. To insert the column headings and title at the top of the table, in the Attach Point list, select Top Left or Top Right.
  6. To insert the heading and the title at the bottom of the table, select Bottom Right or Bottom Left.
  7. Click OK until all dialog boxes close.
NoteChanges to heading row location have no impact on parts lists that exist in a drawing.


To create a custom parts list (Procedure)

Set up custom parts lists
Up a level to ..
Set up custom parts lists
Configuration and setup guide > Configure BOMs, Balloons, and Parts Lists > Configure parts lists >
Set up custom parts lists
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To create a custom parts list

  1. Click None [image] None [image] At the Command prompt, enter AMBOM.
  2. In the list of BOMs on the left, double-click the BOM to create the parts list from.
  3. In the toolbar, click [image] . The Parts List dialog box is displayed.
  4. In the Parts List style list, select the name of the custom parts list. To use a custom parts list scheme from an external file, select Browse and open the external file.
  5. Click Apply. The columns corresponding to the custom parts list appear.
  6. Click OK. A preview of the parts list appears in the drawing.
  7. Select a location in the drawing to place the parts list.


To enable column splitting (Procedure)

Set up custom parts lists
Up a level to ..
Set up GOST parts list
Configuration and setup guide > Configure BOMs, Balloons, and Parts Lists > Configure parts lists >
Set up custom parts lists
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To enable column splitting

  1. Click the Assist menu [image] Options.
  2. In the Options dialog box, select the AM:Standards tab.
  3. In the Standard Elements list, double-click Parts List. The BOM Settings dialog box is displayed.
  4. In the Parts List tab, click [image] .
  5. Select the Enable column split check box.
  6. To split the column based on the number of data rows, select the Number of rows option and enter the row number to split.

    To split the column by distributing the data rows evenly among multiple sections, select the Number of sections option and enter the number of sections to split to.

  7. Click OK until all dialog boxes close.
NoteChanges to heading row location have no impact on parts lists that exist in a drawing.


Set up custom parts lists (Quick Reference)

Set up custom parts lists
Set up custom parts lists
Set up custom parts lists
Configuration and setup guide > Configure BOMs, Balloons, and Parts Lists > Configure parts lists >
Set up custom parts lists
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Parts List Settings dialog box

Use this dialog box to customize the default settings for parts lists.

Revision

Displays the name and the revision of the standard that controls the default settings of parts lists.

Insertion

Insertion point

Sets the placement of the base point for parts lists. This also controls where the title of the parts list appears. If the insertion point is at the bottom, the headings and title are displayed at the bottom of the parts list and the parts are listed from bottom to top. Similarly, if the insertion point is at the top, the headings and title are displayed at the top of the parts list and the parts are listed from top to bottom.

When the Insertion Point is set to ByNameOfCurrentDraftingStandard, the insertion point is acquired from the List Attach Point setting of the master settings of the current drafting standard. If the master settings change, the insertion point automatically follows the change.

Text

Controls the default text settings for parts list heading and body rows.

Header

Style

Defines the text style to be used for the heading row. This option is available only if the current standard is a custom standard.

Control

Defines how text fits within a column, if the length of the text exceeds the column width. The fit option compresses text to fit within one line. The wrap option wraps text to the next line. The None option lets text flow to the next column.

Height

Defines the text height to be used for the heading row.

When the height is set to ByNameOfCurrentDraftingStandard, it acquires the text height from the master settings of the current drafting standard. If the master setting changes, the heading row text height changes automatically.

If the current standard is a custom standard, you can specify a non-standard text height. If not, the AutoCAD Mechanical restricts you to selecting a value from the list.

Color

Defines the text color to be used for the heading row.

When the text color is set to ByNameOfCurrentDraftingStandard, it acquires the color from the master settings of the current drafting standard. If the master setting changes, the text color of heading rows change automatically.

NoteIf the text height changes, the color automatically changes to the default color corresponding to that text height. Text object colors are set from the Object Property Settings dialog box.

Data

Style

Defines the text style to be used for the data rows. This option is available only if the current standard is a custom standard.

Control

Defines how text fits within a column, if the length of the text exceeds the column width. The fit option compresses text to fit within one line. The wrap option wraps text to the next line. The None option lets text flow to the next column.

Height

Defines the text height to be used for data rows.

When the height is set to ByNameOfCurrentDraftingStandard, it acquires the text height from the master settings of the current drafting standard. If the master setting changes, the data row text height changes automatically.

If the current standard is a custom standard, you can specify a non-standard text height. If not, the AutoCAD Mechanical restricts you to selecting a value from the list.

Color

Defines the text color to be used for the data rows.

When the text color is set to ByNameOfCurrentDraftingStandard, it acquires the color from the master settings of the current drafting standard. If the master setting changes, the text color of data rows change automatically.

NoteIf the text height changes, the color automatically changes to the default color corresponding to that text height. Text object colors are set from the Object Property Settings dialog box.

Spacing

Defines the gap between two data rows.

Internal Margins

Header

Sets the amount of white space for the heading row.

Top

Sets the distance from the top of the row to the top of the text.

Bottom

Sets the distance from the bottom of the row to the bottom of the text.

Left

Sets the distance from the left edge of a column to the left edge of left aligned text.

Right

Sets the distance from the right edge of a column to the right edge of right aligned text.

Data

Sets the amount of white space for the data rows.

Top

Sets the distance from the top of the row to the top of the text.

Bottom

Sets the distance from the bottom of the row to the bottom of the text.

Left

Sets the distance from the left edge of a column to the left edge of left aligned text.

Right

Sets the distance from the right edge of a column to the right edge of right aligned text.

Layout

Insert header

Controls whether a header row appears in the parts lists. The header row displays the column headings of the parts lists columns.

Insert title

Controls whether parts lists have a title bar. The title bar displays the name of the parts list.

Show grip frame

Controls whether the grip frame of the parts list appears. The grip frame is a frame that shows the actual extent of the parts list, which, under certain conditions, may be larger than the visible extent of the parts list.

Bold style

Sets the line style on title, header and summation rows to bold.

Filter empty references

Controls if body blocks (of a custom parts list) should be hidden, if it contains no data. This option is available only if the parts list style is set to a custom parts list.

Evaluate DSK file

Sets grouping options for custom parts list by way of a DSK file. DSK files are created using the Mask Editor. See Miscellaneous Advanced Tools for documentation on the Mask Editor.

Column splitting

Contains options to configure if column splitting is to be performed and if so, how. Column splitting refers to the ability for the entire parts list to wrap as the number of data rows grow.

Enable column splitting

Turns on column splitting.

Wrap round title block

Wraps the parts list around the title block as in the following image. You must specify the title block before inserting the part list.

Wrap left

Wraps the parts list to the left as shown below.

Wrap right

Wraps the parts list to the right as shown below.

Number of rows

Performs split after the number of rows exceeds the number you specify in the adjacent box.

Number of sections

Splits the parts list onto the specified number of sections and distributes the entries evenly.

Restore Defaults

Resets all settings to the default settings for the current drafting standard.


Set up custom parts lists (Quick Reference)

Set up custom parts lists
Set up custom parts lists
Set up custom parts lists
Configuration and setup guide > Configure BOMs, Balloons, and Parts Lists > Configure parts lists >
Set up custom parts lists
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Component Property Ids

BOM Column Name | Component Property | Id | Description
Item | ITEM | 1GENST | Item number assigned to the part or assembly.
Qty | QTY | 2GENST | Total count of the part or assembly in the BOM.
Name | NAME | 28GENST | Name of the part or assembly.
Description | DESCR | 5GENST | A description of the part or assembly.
Standard | STANDARD | 7GENST | Information related to the standard under which the part or assembly is created.
Material | MATERIAL | 9GENST | Material used to fabricate the part or assembly.
Material 2 | MATERIAL 2 | 10GENST | Additional property for the material.
Note | NOTE | 24GENST | Notes and comments related to the part or assembly.
Vendor | VENDOR | 25GENST | Name of supplier of the part or assembly.
Description 2 | DESCR2 | 6GENST | Additional description for the part or assembly.
Standard 2 | STANDARD2 | 8GENST | Additional component property for additional standard related information.
Mass | MASS | 12GENST | Mass of the part or assembly.
Price | PRICE | 13GENST | Per unit cost of the part or subassembly.
Measurement | DIM | 14GENST | Measurement of the part or subassembly. For example, the length of a steel shape.
Assembly number | ASSY | 26GENST | Assembly number.
DWG Manager ID | DMID | 27GENST | Drawing Manager Identification number.
Filter | FILTER | 23GENST | Attribute used to filter the BOM.
ID Number | USERID | 11GENST | Identification number of the part or assembly.
Parts List Name | PLNAME | 3GENST | Parts list name.
Parts List Path | PLPATH | 4GENST | Parts list path.
User 1 - User 8 | USER1 - USER 8 | 15GENST - 22GENST | System allocated component properties to contain user-defined attributes.


Set up custom parts lists (Quick Reference)

Set up custom parts lists
Set up custom parts lists
Set up GOST parts list
Configuration and setup guide > Configure BOMs, Balloons, and Parts Lists > Configure parts lists >
Set up custom parts lists
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

BOM Settings dialog box

Use this dialog box to configure component properties and set up defaults for parts lists, balloons and data capture for the BOM.

Revision

Displays the name and the revision of the standard that controls the default settings of parts lists.

Available component properties

Contains a list of component properties that can be used as columns for BOMs and parts lists. To make a property visible in the BOM, Parts list or in the Component Property section of the Part Reference dialog box and Properties dialog box, drag the property from this list to the list of properties in the corresponding tab.

Property

Defines the name of the component property. This name uniquely identifies a component property. This is the name by which a BOM column is referred to in formulas.

Caption

Defines the column header to be displayed for this property, when it is used as a column in a BOM table or parts list.

Data type

Specifies the data type for the property.

The text data type allows all alphanumeric characters while the numeric data type allows only numeric characters 0 -9. If you need to store a value such as 4 1/2”, you must set the data type to Text.

Value

Specifies the default value for the property. When you click in a cell, the [image] button appears. Click [image] to launch the expression builder, which will assist you create formulas and pre-defined lists (drop-down lists containing possible values) for the property. If required, you can enter the formula or the pre-defined list directly, without using the expression builder.

If the text in this column is red, it means that the expression contains a syntax error. If you invoke the expression builder at this time, it will show you entries up to the position the syntax error occurs.

NoteOnly syntax errors in expressions for pre-defined lists are shown in this manner.

Precision

Specifies the number of decimals to be used round off numerical data for that property. Precision is defined in the form of 0.000 where the number of zeros (0) after the decimal point indicates the number of decimals to use.

Lead zero

Specifies the number of leading zeros (0) to be used when displaying numerical data for that property. Leading zeros are defined in the form of 00.0 where the number of zeros (0) before the decimal point indicates the minimum number of digits that must exist before the decimal point.

Lock

Prevents the component property data from being edited in the BOM, Parts List, Part Reference and Properties dialog boxes.

Sum

Controls if the component property should be summed and displayed in the result bar of the BOM and Parts List dialog boxes.

New

Displays the last row of the Available component properties list, to enable you to add a new row and thereby create a user-defined component property.

TipIt is better to use the pre-defined component properties User1 to User8 (available via the More button) as these are better supported by the system. For example, when creating custom parts lists, to be able to properly fit text into columns, you must use property ids. The property ids for user defined columns are not known before hand and hence cannot be supported. However, the property ids for the pre-defined columns are known.

Delete

Removes the row selected in the Available component properties list. If the property is a user-defined property, the property is deleted. If not the property is added to the list of additional pre-defined component properties. The additional component properties are shown in the more component properties dialog box, which appears when you click the More button. This Delete button is available only if the entire row is selected.

More

Opens a list of additional pre-defined component properties to add to the Available component properties list.

Add to

Adds the row selected in the Available component property list, to the list of properties in the currently selected tab below the Available component properties list. This button is not available if the entire row is not selected or if the current tab is the Balloon tab.

Component properties tab

Component properties list

Displays the component properties that will be visible in the Part Reference dialog box and Properties dialog box.

Property

Displays the name of the component property.

Display prompt

Defines the prompt to be displayed for that property in the Part References dialog box and Properties dialog box. For example, you can set the caption for the Name property to Enter the name of the component.

Move Up

Moves the selected row or range of rows in the Component properties list, one position up. This button is available only if entire rows are selected.

Move Down

Moves the selected row or range of rows in the Component properties list, one position down. This button is available only if entire rows are selected.

Remove

Removes the selected row or range of rows from the Component properties list. This button is available only if entire rows are selected.

Sync

Synchronizes the component properties list with the component properties list in the BOM tab. Consequently, all component properties visible in the BOM will be made visible in the Part Reference dialog box and the Properties dialog box.

NoteSync does not add QTY and ITEM.

BOM tab

Component properties list

Displays the component properties that will be visible in the BOM dialog box.

Property

Displays the name of the component property.

Caption alignment

Defines the how the column headings are aligned in the BOM dialog box.

Value alignment

Defines the how the data rows are aligned in the BOM dialog box.

Move Up

Moves the selected row or range of rows in the Component properties list, one position up. This button is available only if entire rows are selected.

Move Down

Moves the selected row or range of rows in the Component properties list, one position down. This button is available only if entire rows are selected.

Remove

Removes the selected row or range of rows from the Component properties list. This button is available only if entire rows are selected.

Default View

Sets how BOM items are displayed by default.

NoteThe Default view is not visible if you are working in the GOST standard.

Expanded (parts only)

Sets BOM representation to the expanded view, where BOM items correspond to parts and parts from the different assemblies are summed together. However, parts from xref assemblies are not merged with parts from the host drawing nor are they merged with parts from other xref assemblies.

Structured

Sets BOM representation to the structured view, where parts are collected under the assemblies they belong to and are summed only within that assembly.

Use Assembly Path

Appends the item number of the assembly to the front of the item number of a part. For example, if the item number of the assembly is 2 and the separator is “-”, the item numbers of the parts that belong to that assembly will typically be 2-1, 2-2 and so on.

Separator

Specifies the character to use as the separator.

Parts list tab

NoteThe Parts list tab is not visible if you are working in the GOST standard.

Component properties list

Displays the component properties that will be visible in Parts Lists, by default.

Property

Displays the name of the component property.

Caption alignment

Defines the how the column heading are aligned in parts lists.

Value alignment

Defines the how the data rows are aligned in parts lists.

Width

Defines the column width for the property in the parts list.

Move Up

Moves the selected row or range of rows in the Component properties list, one position up. This button is available only if entire rows are selected.

Move Down

Moves the selected row or range of rows in the Component properties list, one position down. This button is available only if entire rows are selected.

Remove

Removes the selected row or range of rows from the Component properties list. This button is available only if entire rows are selected.

Sync

Synchronizes the component properties list with the component properties list in the BOM tab. Consequently, all component properties visible in the BOM will be made visible in parts lists.

Default style

Standard

Switches the parts list style to a standard based parts list.

Displays a dialog box, which enables you to customize settings applicable to standard based parts lists.

Custom

Switches the parts list style to a custom parts list. The list shows all blocks that can be used as custom parts lists. If the blocks to use are in an external drawing, select Browse (last entry in the list).

Balloon tab

Category

Displays different categories of references or functions that you can use in the expression for balloon text. This option is not available for custom balloons (because the expression to use for balloon text is defined within the block used for the custom balloon).

Select

Displays a list of references that belong to the selected category or a list of functions, as the case may be.

Add

Inserts the reference selected in the Select list to the Expression box. The reference is inserted at the insertion point within the Expression box. If there is no explicit insertion point, the reference is appended to the end of any existing expression.

Expression

Defines the formula to be used for balloon text.

Default style

Standard

Switches the appearance of the balloon to that defined by the drafting standard.

Displays a dialog box, which enables you to customize settings applicable to standard based balloon.

Custom

Switches the appearance of the balloon to a custom style defined via a block. If the block to use is in an external drawing, select Browse (last entry in the list).

Restore Defaults

Resets all settings to the default settings for the current drafting standard.


Set up GOST parts list (Concept)

Set up custom parts lists
Configure parts lists
Configure balloons
Configuration and setup guide > Configure BOMs, Balloons, and Parts Lists > Configure parts lists >
Set up GOST parts list
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

When you select the drafting standard, the default settings for parts lists change to match that drafting standard. You can customize these settings to suit your drafting requirements.

Configuring a GOST parts lists includes the following:

  • Specify sort options.

    Automatically sort parts and categories when the dialog box appears and automatically sort parts when a part moves to a new category

  • Configure text options.

    Select font color, styles, and text options.

  • Configure table layout and item numbering

    Select margins for headers and data in the parts list.


Set up GOST parts list (Procedure)

Set up custom parts lists
Up a level to ..
Set up GOST parts list
Configuration and setup guide > Configure BOMs, Balloons, and Parts Lists > Configure parts lists >
Set up GOST parts list
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To Specify Page Break Options

To Configure Text Settings for Parts Lists

To Configure Table Layout


Set up GOST parts list (Quick Reference)

Set up custom parts lists
Set up GOST parts list
Set up GOST parts list
Configuration and setup guide > Configure BOMs, Balloons, and Parts Lists > Configure parts lists >
Set up GOST parts list
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Parts List Settings dialog box

BOM Settings dialog box


To Specify Page Break Options (Procedure)

Set up GOST parts list
Up a level to ..
Set up GOST parts list
Configuration and setup guide > Configure BOMs, Balloons, and Parts Lists > Configure parts lists >
Set up GOST parts list
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To Specify Page Break Options

Before you configure the GOST parts list, be sure that GOST is the active standard.

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. In the Options dialog box, select the AM:Standards tab.
  3. In the Standard Elements list, double-click Parts List. The Parts List Settings for GOST dialog box appears.
  4. In the General section, select the Split at page boundary check box.
  5. Click OK to accept the change and close the dialog box.


To Configure Text Settings for Parts Lists (Procedure)

Set up GOST parts list
Up a level to ..
Set up GOST parts list
Configuration and setup guide > Configure BOMs, Balloons, and Parts Lists > Configure parts lists >
Set up GOST parts list
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To Configure Text Settings for Parts Lists

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. In the Options dialog box, click the AM:Standards tab.
  3. In the Standard Elements list, double-click Parts List. The BOM Settings dialog box appears.
  4. In the Parts List tab, click [image] .
  5. To change the text height of part list column captions, in the Text section, below the Header row, from the Height list, select the text height.
    NoteTo acquire the base height setting from the master text settings, select the text height marked “By NameOfCurrentDraftingStandard.”
  6. To change the text height of the data rows, in the Text section, below the Data row, from the Height list, select the text height.
  7. To change the text color of part list column captions, in the Text section, below the Header row, from the Color list, select the color.
  8. To change the text color of the data rows, in the Text section, below the Data row, from the Color list, select the color.
  9. To specify how text works with columns:
    1. To resize text to fit the column width, in the Text section, in the appropriate Control list, select Fit.
    2. To wrap text into multiple lines, in the Text section, in the appropriate Control list, select Wrap.
  10. Click OK until all dialog boxes close.
NoteIf the current drafting standard is a custom standard, you can select a text style for part list text.


To Configure Table Layout (Procedure)

Set up GOST parts list
Up a level to ..
Configure balloons
Configuration and setup guide > Configure BOMs, Balloons, and Parts Lists > Configure parts lists >
Set up GOST parts list
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To Configure Table Layout

By default the fields in the Internal Margins section is disabled by default. However, if you create a custom parts list based on the GOST standard, the fields are activated.

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. In the Options dialog box, select the AM:Standards tab.
  3. In the Standard Elements list, double-click Parts List. The Parts List Settings for GOST dialog box appears.
  4. For the Heading cells, set the following margins:
    • Top - Text distance from table cell top border.
    • Left - Text distance from table cell left border.
    • Bottom - Text distance from table cell bottom border.
    • Right - Text distance from table cell right border.
  5. For the Data cells, set the following margins:
    • Top - Text distance from table cell top border.
    • Left - Text distance from table cell left border.
    • Bottom - Text distance from table cell bottom border.
    • Right - Text distance from table cell right border.
  6. Click OK to accept the changes and close the dialog box.


Set up GOST parts list (Quick Reference)

Set up GOST parts list
Set up GOST parts list
Set up GOST parts list
Configuration and setup guide > Configure BOMs, Balloons, and Parts Lists > Configure parts lists >
Set up GOST parts list
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Parts List Settings dialog box

Use this dialog box to configure the default settings parts list based on the GOST standard.

Revision Displays the name and the revision of the standard that controls the default settings of parts lists.
General
 | Split at page boundary When checked, adds page breaks to the parts list if the drawing has multiple pages. the parts list divisions are equal to the number of pages in the drawing.
Text Controls the default text settings for parts list heading and body rows.
 | Header
 |  | Style Defines the text style to be used for the heading row. This option is available only if the current standard is a custom standard.
 |  | Height Defines the text height to be used for the heading row. If the current standard is a custom standard, you can set any text height. If not, the system restricts you to values allowed by the drafting standard; you must select a text height from the list. If you modify the master settings for text, and apply it to all elements of the standard, the changes you make here are overwritten.
 |  | Color Defines the text color to be used for the heading row. If you modify the master settings for text, and apply it to all elements of the standard, the changes you make here are overwritten.
 |  | Control Defines how text fits within a column, if the length of the text exceeds the column width. The fit option compresses text to fit within one line. The wrap option wraps text to the next line. The None option lets text flow to the next column.
 | Data
 |  | Style Defines the text style to be used for the data rows. This option is available only if the current standard is a custom standard.
 |  | Height Defines the text height to be used for the data rows. If the current standard is a custom standard, you can set any text height. If not, the system restricts you to values allowed by the drafting standard; you must select a text height from the list. If you modify the master settings for text, and apply it to all elements of the standard, the changes you make here are overwritten.
 |  | Color Defines the text color to be used for the data rows. If you modify the master settings for text, and apply it to all elements of the standard, the changes you make here are overwritten.
 |  | Control Defines how text fits within a column, if the length of the text exceeds the column width. The fit option compresses text to fit within one line. The wrap option wraps text to the next line. The None option lets text flow to the next column.
 |  | Spacing Defines the gap between two data rows.
Internal Margins
 | Header Sets the amount of white space for the heading row.
 |  | Top Sets the distance from the top of the row to the top of the text.
 |  | Bottom Sets the distance from the bottom of the row to the bottom of the text.
 |  | Left Sets the distance from the left edge of a column to the left edge of left aligned text.
 |  | Right Sets the distance from the right edge of a column to the right edge of right aligned text.
 | Data Sets the amount of white space for the data rows.
 |  | Top Sets the distance from the top of the row to the top of the text.
 |  | Bottom Sets the distance from the bottom of the row to the bottom of the text.
 |  | Left Sets the distance from the left edge of a column to the left edge of left aligned text.
 |  | Right Sets the distance from the right edge of a column to the right edge of right aligned text.
Item numbering
 | Start from Specifies the starting item number used in the Renumber All operation.
 | Increase by Specifies the item number increment used in the Renumber All operation.
 | Skip after category Specifies the number of item numbers to skip between the last item in one category and the first item in the next category in the Renumber All operation.
Layout
 | Lines to skip after category Specifies the number of blank lines to insert at the end of each category. Blank lines cannot be edited or deleted.
 | Skip line after each part Controls whether to add a blank line after each part.
Restore Defaults Resets all settings to the default settings for the current drafting standard.


Set up GOST parts list (Quick Reference)

Set up GOST parts list
Set up GOST parts list
Set up standard based balloons
Configuration and setup guide > Configure BOMs, Balloons, and Parts Lists > Configure parts lists >
Set up GOST parts list
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

BOM Settings dialog box

Use this dialog box to configure component properties and set up defaults for parts lists, balloons and data capture for the BOM.

Revision

Displays the name and the revision of the standard that controls the default settings of parts lists.

Available component properties

Contains a list of component properties that can be used as columns for BOMs and parts lists. To make a property visible in the BOM, Parts list or in the Component Property section of the Part Reference dialog box and Properties dialog box, drag the property from this list to the list of properties in the corresponding tab.

Property

Defines the name of the component property. This name uniquely identifies a component property. This is the name by which a BOM column is referred to in formulas.

Caption

Defines the column header to be displayed for this property, when it is used as a column in a BOM table or parts list.

Data type

Specifies the data type for the property.

The text data type allows all alphanumeric characters while the numeric data type allows only numeric characters 0 -9. If you need to store a value such as 4 1/2”, you must set the data type to Text.

Value

Specifies the default value for the property. When you click in a cell, the [image] button appears. Click [image] to launch the expression builder, which will assist you create formulas and pre-defined lists (drop-down lists containing possible values) for the property. If required, you can enter the formula or the pre-defined list directly, without using the expression builder.

If the text in this column is red, it means that the expression contains a syntax error. If you invoke the expression builder at this time, it will show you entries up to the position the syntax error occurs.

NoteOnly syntax errors in expressions for pre-defined lists are shown in this manner.

Precision

Specifies the number of decimals to be used round off numerical data for that property. Precision is defined in the form of 0.000 where the number of zeros (0) after the decimal point indicates the number of decimals to use.

Lead zero

Specifies the number of leading zeros (0) to be used when displaying numerical data for that property. Leading zeros are defined in the form of 00.0 where the number of zeros (0) before the decimal point indicates the minimum number of digits that must exist before the decimal point.

Lock

Prevents the component property data from being edited in the BOM, Parts List, Part Reference and Properties dialog boxes.

Sum

Controls if the component property should be summed and displayed in the result bar of the BOM and Parts List dialog boxes.

New

Displays the last row of the Available component properties list, to enable you to add a new row and thereby create a user-defined component property.

TipIt is better to use the pre-defined component properties User1 to User8 (available via the More button) as these are better supported by the system. For example, when creating custom parts lists, to be able to properly fit text into columns, you must use property ids. The property ids for user defined columns are not known before hand and hence cannot be supported. However, the property ids for the pre-defined columns are known.

Delete

Removes the row selected in the Available component properties list. If the property is a user-defined property, the property is deleted. If not the property is added to the list of additional pre-defined component properties. The additional component properties are shown in the more component properties dialog box, which appears when you click the More button. This Delete button is available only if the entire row is selected.

More

Opens a list of additional pre-defined component properties to add to the Available component properties list.

Add to

Adds the row selected in the Available component property list, to the list of properties in the currently selected tab below the Available component properties list. This button is not available if the entire row is not selected or if the current tab is the Balloon tab.

Component properties tab

Component properties list

Displays the component properties that will be visible in the Part Reference dialog box and Properties dialog box.

Property

Displays the name of the component property.

Display prompt

Defines the prompt to be displayed for that property in the Part References dialog box and Properties dialog box. For example, you can set the caption for the Name property to Enter the name of the component.

Move Up

Moves the selected row or range of rows in the Component properties list, one position up. This button is available only if entire rows are selected.

Move Down

Moves the selected row or range of rows in the Component properties list, one position down. This button is available only if entire rows are selected.

Remove

Removes the selected row or range of rows from the Component properties list. This button is available only if entire rows are selected.

Sync

Synchronizes the component properties list with the component properties list in the BOM tab. Consequently, all component properties visible in the BOM will be made visible in the Part Reference dialog box and the Properties dialog box.

NoteSync does not add QTY and ITEM.

BOM tab

Component properties list

Displays the component properties that will be visible in the BOM dialog box.

Property

Displays the name of the component property.

Caption alignment

Defines the how the column headings are aligned in the BOM dialog box.

Value alignment

Defines the how the data rows are aligned in the BOM dialog box.

Move Up

Moves the selected row or range of rows in the Component properties list, one position up. This button is available only if entire rows are selected.

Move Down

Moves the selected row or range of rows in the Component properties list, one position down. This button is available only if entire rows are selected.

Remove

Removes the selected row or range of rows from the Component properties list. This button is available only if entire rows are selected.

Default View

Sets how BOM items are displayed by default.

NoteThe Default view is not visible if you are working in the GOST standard.

Expanded (parts only)

Sets BOM representation to the expanded view, where BOM items correspond to parts and parts from the different assemblies are summed together. However, parts from xref assemblies are not merged with parts from the host drawing nor are they merged with parts from other xref assemblies.

Structured

Sets BOM representation to the structured view, where parts are collected under the assemblies they belong to and are summed only within that assembly.

Use Assembly Path

Appends the item number of the assembly to the front of the item number of a part. For example, if the item number of the assembly is 2 and the separator is “-”, the item numbers of the parts that belong to that assembly will typically be 2-1, 2-2 and so on.

Separator

Specifies the character to use as the separator.

Parts list tab

NoteThe Parts list tab is not visible if you are working in the GOST standard.

Component properties list

Displays the component properties that will be visible in Parts Lists, by default.

Property

Displays the name of the component property.

Caption alignment

Defines the how the column heading are aligned in parts lists.

Value alignment

Defines the how the data rows are aligned in parts lists.

Width

Defines the column width for the property in the parts list.

Move Up

Moves the selected row or range of rows in the Component properties list, one position up. This button is available only if entire rows are selected.

Move Down

Moves the selected row or range of rows in the Component properties list, one position down. This button is available only if entire rows are selected.

Remove

Removes the selected row or range of rows from the Component properties list. This button is available only if entire rows are selected.

Sync

Synchronizes the component properties list with the component properties list in the BOM tab. Consequently, all component properties visible in the BOM will be made visible in parts lists.

Default style

Standard

Switches the parts list style to a standard based parts list.

Displays a dialog box, which enables you to customize settings applicable to standard based parts lists.

Custom

Switches the parts list style to a custom parts list. The list shows all blocks that can be used as custom parts lists. If the blocks to use are in an external drawing, select Browse (last entry in the list).

Balloon tab

Category

Displays different categories of references or functions that you can use in the expression for balloon text. This option is not available for custom balloons (because the expression to use for balloon text is defined within the block used for the custom balloon).

Select

Displays a list of references that belong to the selected category or a list of functions, as the case may be.

Add

Inserts the reference selected in the Select list to the Expression box. The reference is inserted at the insertion point within the Expression box. If there is no explicit insertion point, the reference is appended to the end of any existing expression.

Expression

Defines the formula to be used for balloon text.

Default style

Standard

Switches the appearance of the balloon to that defined by the drafting standard.

Displays a dialog box, which enables you to customize settings applicable to standard based balloon.

Custom

Switches the appearance of the balloon to a custom style defined via a block. If the block to use is in an external drawing, select Browse (last entry in the list).

Restore Defaults

Resets all settings to the default settings for the current drafting standard.


Configure balloons

Set up GOST parts list
Configure BOMs, Balloons, and Parts Lists
Set up standard based balloons
Configuration and setup guide > Configure BOMs, Balloons, and Parts Lists >
Configure balloons
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

Topics in this section

  • Set up standard based balloons
  • Set up custom balloons


Configure balloons (Procedure)

Set up GOST parts list
Up a level to ..
Set up standard based balloons
Configuration and setup guide > Configure BOMs, Balloons, and Parts Lists >
Configure balloons
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

To Select the Default Balloon Type

To Set up the Balloon Size

To Configure Leaders for Balloons

To Configure the Master Settings for Leaders

To Configure Text Height and Color for Balloons

To Configure Master Settings for Text Height

To Configure the Value to be Displayed in Standard Balloons

To Configure how Balloons are Distributed

To create blocks for custom balloons

To set a custom balloon as the default balloon style

To Configure how Balloons are Distributed

To Configure Leaders for Balloons


Set up standard based balloons (Concept)

Configure balloons
Configure balloons
Set up custom balloons
Configuration and setup guide > Configure BOMs, Balloons, and Parts Lists > Configure balloons >
Set up standard based balloons
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

When you select the drafting standard, the default settings for balloons change to match that drafting standard. If necessary, you can customize these settings to suit your drafting requirements. The following configuration operations are available:

    • Select the default balloon type.

      For any selected drafting standard, the system supports several balloon types that comply with it. It selects one automatically as the default balloon type. You can change the default balloon type.

    • Set up the balloon size.

      AutoCAD Mechanical enables you to select a size factor for balloons. It calculates the balloon size by multiplying the balloon text height by the size factor.

    • Configure balloon text and leaders.

      Because text and leader lines are the most common objects used for annotations, AutoCAD Mechanical provides a single configuration point (the Standard Settings dialog box) enabling you to specify their default properties. These settings are the master settings.

      In the Balloon Settings dialog box, the text and leader settings default to “By NameOfCurrentDraftingStandard.” If you modify the master settings, balloons update automatically. If you do not want balloons to follow the master settings, select a specific setting.

    • Configure what to display in balloons.

      Although it is customary to display the item number in balloons, you can display the value of any component property, including the results of a complex formula, in a balloon.

    • Configure how the program spaces balloons.

      Select the vertical and horizontal distance between balloons. The system uses this setting when it aligns balloons.

During a drawing session, you can override most settings made at configuration time. If you change a balloon setting during a drawing session, the changes apply to all balloons except ones for which you override that setting (the program retains overrides).


Set up standard based balloons (Procedure)

Configure balloons
Up a level to ..
Set up standard based balloons
Configuration and setup guide > Configure BOMs, Balloons, and Parts Lists > Configure balloons >
Set up standard based balloons
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To Select the Default Balloon Type

To Set up the Balloon Size

To Configure Leaders for Balloons

To Configure the Master Settings for Leaders

To Configure Text Height and Color for Balloons

To Configure Master Settings for Text Height

To Configure the Value to be Displayed in Standard Balloons

To Configure how Balloons are Distributed


Set up standard based balloons (Quick Reference)

Set up GOST parts list
Set up standard based balloons
Set up standard based balloons
Configuration and setup guide > Configure BOMs, Balloons, and Parts Lists > Configure balloons >
Set up standard based balloons
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Balloon Settings dialog box

BOM Settings dialog box


To Select the Default Balloon Type (Procedure)

Set up standard based balloons
Up a level to ..
Set up standard based balloons
Configuration and setup guide > Configure BOMs, Balloons, and Parts Lists > Configure balloons >
Set up standard based balloons
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To Select the Default Balloon Type

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. In the Options dialog box, click the AM:Standards tab.
  3. In the Standard Elements list, double-click Balloon. The BOM Settings dialog box appears.
  4. In the Default style section, click [image] . The Balloon Settings dialog box appears.
  5. In the Balloon list, select the balloon type.
    NoteIf the appropriate balloon type is not visible, use the scroll bar to bring it into view.
  6. Click OK until all dialog boxes close.


To Set up the Balloon Size (Procedure)

Set up standard based balloons
Up a level to ..
Set up standard based balloons
Configuration and setup guide > Configure BOMs, Balloons, and Parts Lists > Configure balloons >
Set up standard based balloons
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To Set up the Balloon Size

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. In the Options dialog box, click the AM:Standards tab.
  3. In the Standard Elements list, double-click Balloon. The BOM Settings dialog box appears.
  4. In the Default style section, click [image] . The Balloon Settings dialog box appears.
  5. In the Balloon size factor box, specify how much larger than the balloon text the balloon must be.
    NoteThe balloon size is determined by multiplying the balloon text height with the size factor.
  6. Click OK until all dialog boxes close.


To Configure Leaders for Balloons (Procedure)

Set up standard based balloons
Up a level to ..
Set up standard based balloons
Configuration and setup guide > Configure BOMs, Balloons, and Parts Lists > Configure balloons >
Set up standard based balloons
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To Configure Leaders for Balloons

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. In the Options dialog box, click the AM:Standards tab.
  3. In the Standard Elements list, double-click Balloon. The BOM Settings dialog box appears.
  4. In the Default style section, click [image] . The Balloon Settings dialog box appears.
  5. In the Arrowhead list, select the arrowhead.
  6. In the Color list, select the color.
    NoteTo acquire the arrowhead shape and leader color from master settings, select the list item marked “By NameOfCurrentDraftingStandard.”
  7. Click OK until all dialog boxes close.


To Configure the Master Settings for Leaders (Procedure)

Set up standard based balloons
Up a level to ..
Set up standard based balloons
Configuration and setup guide > Configure BOMs, Balloons, and Parts Lists > Configure balloons >
Set up standard based balloons
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To Configure the Master Settings for Leaders

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. In the Options dialog box, click the AM:Standards tab.
  3. In the Standard Elements list, double-click the root node (the standard name). The Standard Settings dialog box appears.
  4. To change the arrowhead shape, in the Arrowhead list, select the arrowhead.
  5. To change the arrow size, in the Arrow size list, select the size.
  6. To change the leader color, in the leader section, in the color list, select the color.
  7. Click OK until all dialog boxes close.


To Configure Text Height and Color for Balloons (Procedure)

Set up standard based balloons
Up a level to ..
Set up standard based balloons
Configuration and setup guide > Configure BOMs, Balloons, and Parts Lists > Configure balloons >
Set up standard based balloons
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To Configure Text Height and Color for Balloons

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. In the Options dialog box, click the AM:Standards tab.
  3. In the Standard Elements list, double-click Balloon. The BOM Settings dialog box appears.
  4. In the Default style section, click [image] . The Balloon Settings dialog box appears.
  5. To change the text height, in the Text Section, in the Height list, select the text height.
    NoteTo derive the text height from the master text settings automatically, select the text height marked “By NameOfCurrentDraftingStandard.”
  6. To change the text color, in the Text Section, in the Color list, select the color.
  7. Click OK until all dialog boxes close.


To Configure Master Settings for Text Height (Procedure)

Set up standard based balloons
Up a level to ..
Set up standard based balloons
Configuration and setup guide > Configure BOMs, Balloons, and Parts Lists > Configure balloons >
Set up standard based balloons
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To Configure Master Settings for Text Height

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. In the Options dialog box, click the AM:Standards tab.
  3. In the Standard Elements list, double-click the root node (the standard name). The Standard Settings dialog box appears.
  4. To change the text height, in the text section, in the Base height box, select a text height.
Note If the current drafting standard is a custom standard or if the Link to Dimension Style check box is selected, you can do the following additional operations:
  • Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  • Click in the Base height box and type any text height.


To Configure the Value to be Displayed in Standard Balloons (Procedure)

Set up standard based balloons
Up a level to ..
Set up standard based balloons
Configuration and setup guide > Configure BOMs, Balloons, and Parts Lists > Configure balloons >
Set up standard based balloons
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To Configure the Value to be Displayed in Standard Balloons

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. In the Options dialog box, click the AM:Standards tab.
  3. In the Standard Elements list, double-click Balloon. The BOM Settings dialog box appears.
  4. In the Balloon tab, in the expression box, make the first character an equal sign (=).
  5. In the Category list, select the category of reference to display in the balloon.
  6. From the Select list, select the reference and click [image] .
    NoteYou can combine as many references as required, along with functions and literal text.
  7. Click OK until all dialog boxes close.


To Configure how Balloons are Distributed (Procedure)

Set up standard based balloons
Up a level to ..
Set up custom balloons
Configuration and setup guide > Configure BOMs, Balloons, and Parts Lists > Configure balloons >
Set up standard based balloons
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To Configure how Balloons are Distributed

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. In the Options dialog box, click the AM:Standards tab.
  3. In the Standard Elements list, double-click Balloon. The BOM Settings dialog box appears.
  4. In the Default style section, click [image] . The Balloon Settings dialog box appears.
  5. In the Horizontal spacing box, specify the horizontal distance to maintain when balloons are aligned automatically.
  6. In the Vertical spacing box, specify the vertical distance to maintain when balloons are aligned automatically.
  7. Click OK until all dialog boxes close.


Set up standard based balloons (Quick Reference)

Set up standard based balloons
Set up standard based balloons
Set up standard based balloons
Configuration and setup guide > Configure BOMs, Balloons, and Parts Lists > Configure balloons >
Set up standard based balloons
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Balloon Settings dialog box

Use this dialog box to configure the default settings for balloons.

Revision

Displays the name and the revision of the standard that controls the default settings of balloons.

Balloon

Provides options for setting the appearance for standard based balloons. These options are not available if the balloon style has been set to a custom balloon.

Balloon type

Displays a palette of predefined standard based balloons. The current selection is boxed. Click a balloon to set it as the default.

Balloon size factor

Specifies how many times larger than the balloon text a balloon is.

Horizontal spacing

Sets the horizontal distance (between the centers of two adjacent balloons) that must be maintained when balloons are automatically aligned.

Vertical spacing

Sets the vertical distance (between the centers of two adjacent balloons) that must be maintained when balloons are automatically aligned.

Arrowhead

Sets the arrowhead to be used for the leader termination. A palette containing standard compliant arrows appears to assist you select the desired arrowhead.

Inset Arrowhead

Sets the arrowhead to be used for leaders that do not terminate on object lines or the part reference icon ( [image] ). A palette containing standard compliant arrows appears to assist you select the desired arrowhead.

Fix balloon position

Locks balloons in the place you place them such that they won’t move when the objects they are attached to are moved.

Text

Provides options to set the text height and color for standard based balloons. These options are not available if the balloon type style is set to a custom balloon.

Height

Sets text height for balloon text.

When the height is set to ByNameOfCurrentDraftingStandard, the text height is derived from the master settings of the current drafting standard. If the master setting changes, the text height automatically changes to one size larger than the base height setting.

If the current standard is a custom standard, you can specify a non-standard text height. If not, the AutoCAD Mechanical restricts you to selecting a value from the list.

Color

Sets text color for balloon text.

When the text color is set to ByNameOfCurrentDraftingStandard, it acquires the color from the master settings of the current drafting standard. If the master setting changes, the balloon text color changes automatically.

NoteIf the text height changes, the color automatically changes to the default color corresponding to that text height. Text object colors are set from the Object Property Settings dialog box.

Leader Connection

Defines where on a custom balloon the leader connects to it. This option is not available if the current balloon style is a standard based balloon.

Restore Defaults

Resets all settings to the default settings for the current drafting standard.


Set up standard based balloons (Quick Reference)

Set up standard based balloons
Set up standard based balloons
Set up custom balloons
Configuration and setup guide > Configure BOMs, Balloons, and Parts Lists > Configure balloons >
Set up standard based balloons
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

BOM Settings dialog box

Use this dialog box to configure component properties and set up defaults for parts lists, balloons and data capture for the BOM.

Revision

Displays the name and the revision of the standard that controls the default settings of parts lists.

Available component properties

Contains a list of component properties that can be used as columns for BOMs and parts lists. To make a property visible in the BOM, Parts list or in the Component Property section of the Part Reference dialog box and Properties dialog box, drag the property from this list to the list of properties in the corresponding tab.

Property

Defines the name of the component property. This name uniquely identifies a component property. This is the name by which a BOM column is referred to in formulas.

Caption

Defines the column header to be displayed for this property, when it is used as a column in a BOM table or parts list.

Data type

Specifies the data type for the property.

The text data type allows all alphanumeric characters while the numeric data type allows only numeric characters 0 -9. If you need to store a value such as 4 1/2”, you must set the data type to Text.

Value

Specifies the default value for the property. When you click in a cell, the [image] button appears. Click [image] to launch the expression builder, which will assist you create formulas and pre-defined lists (drop-down lists containing possible values) for the property. If required, you can enter the formula or the pre-defined list directly, without using the expression builder.

If the text in this column is red, it means that the expression contains a syntax error. If you invoke the expression builder at this time, it will show you entries up to the position the syntax error occurs.

NoteOnly syntax errors in expressions for pre-defined lists are shown in this manner.

Precision

Specifies the number of decimals to be used round off numerical data for that property. Precision is defined in the form of 0.000 where the number of zeros (0) after the decimal point indicates the number of decimals to use.

Lead zero

Specifies the number of leading zeros (0) to be used when displaying numerical data for that property. Leading zeros are defined in the form of 00.0 where the number of zeros (0) before the decimal point indicates the minimum number of digits that must exist before the decimal point.

Lock

Prevents the component property data from being edited in the BOM, Parts List, Part Reference and Properties dialog boxes.

Sum

Controls if the component property should be summed and displayed in the result bar of the BOM and Parts List dialog boxes.

New

Displays the last row of the Available component properties list, to enable you to add a new row and thereby create a user-defined component property.

TipIt is better to use the pre-defined component properties User1 to User8 (available via the More button) as these are better supported by the system. For example, when creating custom parts lists, to be able to properly fit text into columns, you must use property ids. The property ids for user defined columns are not known before hand and hence cannot be supported. However, the property ids for the pre-defined columns are known.

Delete

Removes the row selected in the Available component properties list. If the property is a user-defined property, the property is deleted. If not the property is added to the list of additional pre-defined component properties. The additional component properties are shown in the more component properties dialog box, which appears when you click the More button. This Delete button is available only if the entire row is selected.

More

Opens a list of additional pre-defined component properties to add to the Available component properties list.

Add to

Adds the row selected in the Available component property list, to the list of properties in the currently selected tab below the Available component properties list. This button is not available if the entire row is not selected or if the current tab is the Balloon tab.

Component properties tab

Component properties list

Displays the component properties that will be visible in the Part Reference dialog box and Properties dialog box.

Property

Displays the name of the component property.

Display prompt

Defines the prompt to be displayed for that property in the Part References dialog box and Properties dialog box. For example, you can set the caption for the Name property to Enter the name of the component.

Move Up

Moves the selected row or range of rows in the Component properties list, one position up. This button is available only if entire rows are selected.

Move Down

Moves the selected row or range of rows in the Component properties list, one position down. This button is available only if entire rows are selected.

Remove

Removes the selected row or range of rows from the Component properties list. This button is available only if entire rows are selected.

Sync

Synchronizes the component properties list with the component properties list in the BOM tab. Consequently, all component properties visible in the BOM will be made visible in the Part Reference dialog box and the Properties dialog box.

NoteSync does not add QTY and ITEM.

BOM tab

Component properties list

Displays the component properties that will be visible in the BOM dialog box.

Property

Displays the name of the component property.

Caption alignment

Defines the how the column headings are aligned in the BOM dialog box.

Value alignment

Defines the how the data rows are aligned in the BOM dialog box.

Move Up

Moves the selected row or range of rows in the Component properties list, one position up. This button is available only if entire rows are selected.

Move Down

Moves the selected row or range of rows in the Component properties list, one position down. This button is available only if entire rows are selected.

Remove

Removes the selected row or range of rows from the Component properties list. This button is available only if entire rows are selected.

Default View

Sets how BOM items are displayed by default.

NoteThe Default view is not visible if you are working in the GOST standard.

Expanded (parts only)

Sets BOM representation to the expanded view, where BOM items correspond to parts and parts from the different assemblies are summed together. However, parts from xref assemblies are not merged with parts from the host drawing nor are they merged with parts from other xref assemblies.

Structured

Sets BOM representation to the structured view, where parts are collected under the assemblies they belong to and are summed only within that assembly.

Use Assembly Path

Appends the item number of the assembly to the front of the item number of a part. For example, if the item number of the assembly is 2 and the separator is “-”, the item numbers of the parts that belong to that assembly will typically be 2-1, 2-2 and so on.

Separator

Specifies the character to use as the separator.

Parts list tab

NoteThe Parts list tab is not visible if you are working in the GOST standard.

Component properties list

Displays the component properties that will be visible in Parts Lists, by default.

Property

Displays the name of the component property.

Caption alignment

Defines the how the column heading are aligned in parts lists.

Value alignment

Defines the how the data rows are aligned in parts lists.

Width

Defines the column width for the property in the parts list.

Move Up

Moves the selected row or range of rows in the Component properties list, one position up. This button is available only if entire rows are selected.

Move Down

Moves the selected row or range of rows in the Component properties list, one position down. This button is available only if entire rows are selected.

Remove

Removes the selected row or range of rows from the Component properties list. This button is available only if entire rows are selected.

Sync

Synchronizes the component properties list with the component properties list in the BOM tab. Consequently, all component properties visible in the BOM will be made visible in parts lists.

Default style

Standard

Switches the parts list style to a standard based parts list.

Displays a dialog box, which enables you to customize settings applicable to standard based parts lists.

Custom

Switches the parts list style to a custom parts list. The list shows all blocks that can be used as custom parts lists. If the blocks to use are in an external drawing, select Browse (last entry in the list).

Balloon tab

Category

Displays different categories of references or functions that you can use in the expression for balloon text. This option is not available for custom balloons (because the expression to use for balloon text is defined within the block used for the custom balloon).

Select

Displays a list of references that belong to the selected category or a list of functions, as the case may be.

Add

Inserts the reference selected in the Select list to the Expression box. The reference is inserted at the insertion point within the Expression box. If there is no explicit insertion point, the reference is appended to the end of any existing expression.

Expression

Defines the formula to be used for balloon text.

Default style

Standard

Switches the appearance of the balloon to that defined by the drafting standard.

Displays a dialog box, which enables you to customize settings applicable to standard based balloon.

Custom

Switches the appearance of the balloon to a custom style defined via a block. If the block to use is in an external drawing, select Browse (last entry in the list).

Restore Defaults

Resets all settings to the default settings for the current drafting standard.


Set up custom balloons (Concept)

Set up standard based balloons
Configure balloons
Configure component property capturing
Configuration and setup guide > Configure BOMs, Balloons, and Parts Lists > Configure balloons >
Set up custom balloons
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AutoCAD Mechanical gives you the ability to set up balloons of custom shape using blocks and attributes.

To create a custom shaped balloon, you must create the custom shape and then, in the place where you want the balloon text to appear, you must insert an attribute.

To create a custom shaped balloon, you first create the balloon geometry (the custom shape) and then, in the position you want the balloon text to appear, you must place an attribute. The tag name of the attribute must be the same as the name of the component property you want to show on the balloon. You can insert more than 1 attribute, if required. Finally you must create a block and add the custom shape balloon geometry and the attributes to it.

You can create blocks for custom balloons in the current drawing or in an external drawing. You can set the custom balloon as the default balloon style.

You can have standard-based balloons and custom balloons in the same drawing. In the BOM Settings dialog box, set the default balloon style to the style you intend to use for the majority of balloons. After you create balloons, you can edit them and change the balloon style to a standard-based balloon or custom balloon.


Set up custom balloons (Procedure)

Set up standard based balloons
Up a level to ..
Set up custom balloons
Configuration and setup guide > Configure BOMs, Balloons, and Parts Lists > Configure balloons >
Set up custom balloons
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To create blocks for custom balloons

To set a custom balloon as the default balloon style

To Configure how Balloons are Distributed

To Configure Leaders for Balloons


Set up custom balloons (Quick Reference)

Set up standard based balloons
Set up custom balloons
Set up custom balloons
Configuration and setup guide > Configure BOMs, Balloons, and Parts Lists > Configure balloons >
Set up custom balloons
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Balloon Settings dialog box

BOM Settings dialog box


To create blocks for custom balloons (Procedure)

Set up custom balloons
Up a level to ..
Set up custom balloons
Configuration and setup guide > Configure BOMs, Balloons, and Parts Lists > Configure balloons >
Set up custom balloons
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To create blocks for custom balloons

  1. Create a geometry for the custom balloon.
  2. Click None [image] None [image] . At the Command prompt, enter ATTDEF.
  3. Place the attributes at the position you want the balloon text displayed. The tags of the attributes must be the same as the component property you want the balloon to display.
  4. Use the BLOCK command to convert the geometry and attributes to a block.


To set a custom balloon as the default balloon style (Procedure)

Set up custom balloons
Up a level to ..
Set up custom balloons
Configuration and setup guide > Configure BOMs, Balloons, and Parts Lists > Configure balloons >
Set up custom balloons
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To set a custom balloon as the default balloon style

  1. Click None [image] None [image] At the Command prompt, enter AMOPTIONS.
  2. Select the AM:Standards tab.
  3. In the Standard Elements list, double-click Balloon. The BOM Settings dialog box is displayed.
  4. In the Balloon tab, in the Default style section, select Custom. The drop-down list next to Custom becomes available.
  5. If the block to use as the custom balloon is in the current drawing, select the name of the block in the drop-down list.

    If the block is in another file:

    1. In the drop-down list, select Browse.
    2. Open the file that contains the blocks. The names of the blocks appear in the drop-down list.
    3. In the drop-down list, select the name of the block.
  6. In the Default style section, click [image] . The Balloon Settings dialog box is displayed.
  7. In the Leader connection section, select the position of the leader connection.
  8. Click OK until all dialog boxes close.


To Configure how Balloons are Distributed (Procedure)

Set up custom balloons
Up a level to ..
Set up custom balloons
Configuration and setup guide > Configure BOMs, Balloons, and Parts Lists > Configure balloons >
Set up custom balloons
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To Configure how Balloons are Distributed

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. In the Options dialog box, click the AM:Standards tab.
  3. In the Standard Elements list, double-click Balloon. The BOM Settings dialog box appears.
  4. In the Default style section, click [image] . The Balloon Settings dialog box appears.
  5. In the Horizontal spacing box, specify the horizontal distance to maintain when balloons are aligned automatically.
  6. In the Vertical spacing box, specify the vertical distance to maintain when balloons are aligned automatically.
  7. Click OK until all dialog boxes close.


To Configure Leaders for Balloons (Procedure)

Set up custom balloons
Up a level to ..
Configure component property capturing
Configuration and setup guide > Configure BOMs, Balloons, and Parts Lists > Configure balloons >
Set up custom balloons
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To Configure Leaders for Balloons

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. In the Options dialog box, click the AM:Standards tab.
  3. In the Standard Elements list, double-click Balloon. The BOM Settings dialog box appears.
  4. In the Default style section, click [image] . The Balloon Settings dialog box appears.
  5. In the Arrowhead list, select the arrowhead.
  6. In the Color list, select the color.
    NoteTo acquire the arrowhead shape and leader color from master settings, select the list item marked “By NameOfCurrentDraftingStandard.”
  7. Click OK until all dialog boxes close.


Set up custom balloons (Quick Reference)

Set up custom balloons
Set up custom balloons
Set up custom balloons
Configuration and setup guide > Configure BOMs, Balloons, and Parts Lists > Configure balloons >
Set up custom balloons
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Balloon Settings dialog box

Use this dialog box to configure the default settings for balloons.

Revision

Displays the name and the revision of the standard that controls the default settings of balloons.

Balloon

Provides options for setting the appearance for standard based balloons. These options are not available if the balloon style has been set to a custom balloon.

Balloon type

Displays a palette of predefined standard based balloons. The current selection is boxed. Click a balloon to set it as the default.

Balloon size factor

Specifies how many times larger than the balloon text a balloon is.

Horizontal spacing

Sets the horizontal distance (between the centers of two adjacent balloons) that must be maintained when balloons are automatically aligned.

Vertical spacing

Sets the vertical distance (between the centers of two adjacent balloons) that must be maintained when balloons are automatically aligned.

Arrowhead

Sets the arrowhead to be used for the leader termination. A palette containing standard compliant arrows appears to assist you select the desired arrowhead.

Inset Arrowhead

Sets the arrowhead to be used for leaders that do not terminate on object lines or the part reference icon ( [image] ). A palette containing standard compliant arrows appears to assist you select the desired arrowhead.

Fix balloon position

Locks balloons in the place you place them such that they won’t move when the objects they are attached to are moved.

Text

Provides options to set the text height and color for standard based balloons. These options are not available if the balloon type style is set to a custom balloon.

Height

Sets text height for balloon text.

When the height is set to ByNameOfCurrentDraftingStandard, the text height is derived from the master settings of the current drafting standard. If the master setting changes, the text height automatically changes to one size larger than the base height setting.

If the current standard is a custom standard, you can specify a non-standard text height. If not, the AutoCAD Mechanical restricts you to selecting a value from the list.

Color

Sets text color for balloon text.

When the text color is set to ByNameOfCurrentDraftingStandard, it acquires the color from the master settings of the current drafting standard. If the master setting changes, the balloon text color changes automatically.

NoteIf the text height changes, the color automatically changes to the default color corresponding to that text height. Text object colors are set from the Object Property Settings dialog box.

Leader Connection

Defines where on a custom balloon the leader connects to it. This option is not available if the current balloon style is a standard based balloon.

Restore Defaults

Resets all settings to the default settings for the current drafting standard.


Set up custom balloons (Quick Reference)

Set up custom balloons
Set up custom balloons
Configure component property capturing
Configuration and setup guide > Configure BOMs, Balloons, and Parts Lists > Configure balloons >
Set up custom balloons
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

BOM Settings dialog box

Use this dialog box to configure component properties and set up defaults for parts lists, balloons and data capture for the BOM.

Revision

Displays the name and the revision of the standard that controls the default settings of parts lists.

Available component properties

Contains a list of component properties that can be used as columns for BOMs and parts lists. To make a property visible in the BOM, Parts list or in the Component Property section of the Part Reference dialog box and Properties dialog box, drag the property from this list to the list of properties in the corresponding tab.

Property

Defines the name of the component property. This name uniquely identifies a component property. This is the name by which a BOM column is referred to in formulas.

Caption

Defines the column header to be displayed for this property, when it is used as a column in a BOM table or parts list.

Data type

Specifies the data type for the property.

The text data type allows all alphanumeric characters while the numeric data type allows only numeric characters 0 -9. If you need to store a value such as 4 1/2”, you must set the data type to Text.

Value

Specifies the default value for the property. When you click in a cell, the [image] button appears. Click [image] to launch the expression builder, which will assist you create formulas and pre-defined lists (drop-down lists containing possible values) for the property. If required, you can enter the formula or the pre-defined list directly, without using the expression builder.

If the text in this column is red, it means that the expression contains a syntax error. If you invoke the expression builder at this time, it will show you entries up to the position the syntax error occurs.

NoteOnly syntax errors in expressions for pre-defined lists are shown in this manner.

Precision

Specifies the number of decimals to be used round off numerical data for that property. Precision is defined in the form of 0.000 where the number of zeros (0) after the decimal point indicates the number of decimals to use.

Lead zero

Specifies the number of leading zeros (0) to be used when displaying numerical data for that property. Leading zeros are defined in the form of 00.0 where the number of zeros (0) before the decimal point indicates the minimum number of digits that must exist before the decimal point.

Lock

Prevents the component property data from being edited in the BOM, Parts List, Part Reference and Properties dialog boxes.

Sum

Controls if the component property should be summed and displayed in the result bar of the BOM and Parts List dialog boxes.

New

Displays the last row of the Available component properties list, to enable you to add a new row and thereby create a user-defined component property.

TipIt is better to use the pre-defined component properties User1 to User8 (available via the More button) as these are better supported by the system. For example, when creating custom parts lists, to be able to properly fit text into columns, you must use property ids. The property ids for user defined columns are not known before hand and hence cannot be supported. However, the property ids for the pre-defined columns are known.

Delete

Removes the row selected in the Available component properties list. If the property is a user-defined property, the property is deleted. If not the property is added to the list of additional pre-defined component properties. The additional component properties are shown in the more component properties dialog box, which appears when you click the More button. This Delete button is available only if the entire row is selected.

More

Opens a list of additional pre-defined component properties to add to the Available component properties list.

Add to

Adds the row selected in the Available component property list, to the list of properties in the currently selected tab below the Available component properties list. This button is not available if the entire row is not selected or if the current tab is the Balloon tab.

Component properties tab

Component properties list

Displays the component properties that will be visible in the Part Reference dialog box and Properties dialog box.

Property

Displays the name of the component property.

Display prompt

Defines the prompt to be displayed for that property in the Part References dialog box and Properties dialog box. For example, you can set the caption for the Name property to Enter the name of the component.

Move Up

Moves the selected row or range of rows in the Component properties list, one position up. This button is available only if entire rows are selected.

Move Down

Moves the selected row or range of rows in the Component properties list, one position down. This button is available only if entire rows are selected.

Remove

Removes the selected row or range of rows from the Component properties list. This button is available only if entire rows are selected.

Sync

Synchronizes the component properties list with the component properties list in the BOM tab. Consequently, all component properties visible in the BOM will be made visible in the Part Reference dialog box and the Properties dialog box.

NoteSync does not add QTY and ITEM.

BOM tab

Component properties list

Displays the component properties that will be visible in the BOM dialog box.

Property

Displays the name of the component property.

Caption alignment

Defines the how the column headings are aligned in the BOM dialog box.

Value alignment

Defines the how the data rows are aligned in the BOM dialog box.

Move Up

Moves the selected row or range of rows in the Component properties list, one position up. This button is available only if entire rows are selected.

Move Down

Moves the selected row or range of rows in the Component properties list, one position down. This button is available only if entire rows are selected.

Remove

Removes the selected row or range of rows from the Component properties list. This button is available only if entire rows are selected.

Default View

Sets how BOM items are displayed by default.

NoteThe Default view is not visible if you are working in the GOST standard.

Expanded (parts only)

Sets BOM representation to the expanded view, where BOM items correspond to parts and parts from the different assemblies are summed together. However, parts from xref assemblies are not merged with parts from the host drawing nor are they merged with parts from other xref assemblies.

Structured

Sets BOM representation to the structured view, where parts are collected under the assemblies they belong to and are summed only within that assembly.

Use Assembly Path

Appends the item number of the assembly to the front of the item number of a part. For example, if the item number of the assembly is 2 and the separator is “-”, the item numbers of the parts that belong to that assembly will typically be 2-1, 2-2 and so on.

Separator

Specifies the character to use as the separator.

Parts list tab

NoteThe Parts list tab is not visible if you are working in the GOST standard.

Component properties list

Displays the component properties that will be visible in Parts Lists, by default.

Property

Displays the name of the component property.

Caption alignment

Defines the how the column heading are aligned in parts lists.

Value alignment

Defines the how the data rows are aligned in parts lists.

Width

Defines the column width for the property in the parts list.

Move Up

Moves the selected row or range of rows in the Component properties list, one position up. This button is available only if entire rows are selected.

Move Down

Moves the selected row or range of rows in the Component properties list, one position down. This button is available only if entire rows are selected.

Remove

Removes the selected row or range of rows from the Component properties list. This button is available only if entire rows are selected.

Sync

Synchronizes the component properties list with the component properties list in the BOM tab. Consequently, all component properties visible in the BOM will be made visible in parts lists.

Default style

Standard

Switches the parts list style to a standard based parts list.

Displays a dialog box, which enables you to customize settings applicable to standard based parts lists.

Custom

Switches the parts list style to a custom parts list. The list shows all blocks that can be used as custom parts lists. If the blocks to use are in an external drawing, select Browse (last entry in the list).

Balloon tab

Category

Displays different categories of references or functions that you can use in the expression for balloon text. This option is not available for custom balloons (because the expression to use for balloon text is defined within the block used for the custom balloon).

Select

Displays a list of references that belong to the selected category or a list of functions, as the case may be.

Add

Inserts the reference selected in the Select list to the Expression box. The reference is inserted at the insertion point within the Expression box. If there is no explicit insertion point, the reference is appended to the end of any existing expression.

Expression

Defines the formula to be used for balloon text.

Default style

Standard

Switches the appearance of the balloon to that defined by the drafting standard.

Displays a dialog box, which enables you to customize settings applicable to standard based balloon.

Custom

Switches the appearance of the balloon to a custom style defined via a block. If the block to use is in an external drawing, select Browse (last entry in the list).

Restore Defaults

Resets all settings to the default settings for the current drafting standard.


Configure component property capturing (Concept)

Set up custom balloons
Configure BOMs, Balloons, and Parts Lists
Configure hole charts
Configuration and setup guide > Configure BOMs, Balloons, and Parts Lists >
Configure component property capturing
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Mechanical structure and part references capture component property data differently.

If you use mechanical structure, you can capture component property data by editing the properties of a component. The program captures some data, such as the component name, automatically.

If you use part references, you can capture component property data when you place a part reference on an object in the drawing area. The dialog box that appears contains a Component Properties section, enabling you to enter the relevant data manually.

AutoCAD Mechanical enables you to configure the dialog boxes that capture component property data. You can:

  • Specify which properties to display in the dialog box.

    In the BOM settings dialog box, you can add component properties from the available properties list. Any property you add appears in the BOM automatically. The BOM is the database that stores the captured data.

  • Customize the caption for a component property.

    By default, the component property name acts as the caption. You can change this behavior. For example, if you set up the component property “Material” so that you can pick up its value using a drop-down list, you can change the caption to “Select Material” instead of using the component property name “Material.””The component property name appears as a tooltip in the relevant dialog box, regardless of the caption setting.

  • Change the order in which component properties appear.


Configure component property capturing (Procedure)

Set up custom balloons
Up a level to ..
Configure component property capturing
Configuration and setup guide > Configure BOMs, Balloons, and Parts Lists >
Configure component property capturing
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To specify what properties to display

To customize the display prompt of a component property

To change the order component properties appear


To specify what properties to display (Procedure)

Configure component property capturing
Up a level to ..
Configure component property capturing
Configuration and setup guide > Configure BOMs, Balloons, and Parts Lists >
Configure component property capturing
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To specify what properties to display

  1. Click None [image] None [image] At the Command prompt, enter AMOPTIONS.
  2. In the Options dialog box, select the AM:Standards tab.
  3. In the Standard Elements list, double-click Component Properties. The BOM Settings dialog box is displayed.
  4. To add a component property to dialog box capturing component property data:
    1. In the Available component properties list, click the row heading of the component property to include. The program selects the entire row.
    2. Click Add to. The program adds the component property to the bottom of the list in the Component Properties tab.
      NoteThe Add to button is unavailable if the selected component property already exists in the list.
    3. Use the Move up or Move down buttons to position the property.
  5. To remove a component property:
    1. In the Component Property tab, click the row heading of the component property to remove.
    2. Click Remove.
  6. Click OK until all dialog boxes close.


To customize the display prompt of a component property (Procedure)

Configure component property capturing
Up a level to ..
Configure component property capturing
Configuration and setup guide > Configure BOMs, Balloons, and Parts Lists >
Configure component property capturing
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To customize the display prompt of a component property

  1. Click None [image] None [image] At the Command prompt, enter AMOPTIONS.
  2. In the Options dialog box, select the AM:Standards tab.
  3. In the Standard Elements list, double-click Component Properties. The BOM Settings dialog box is displayed.
  4. In the Component Properties tab, in the Display Prompt column, enter the new caption.
  5. Click OK until all dialog boxes close.


To change the order component properties appear (Procedure)

Configure component property capturing
Up a level to ..
Configure hole charts
Configuration and setup guide > Configure BOMs, Balloons, and Parts Lists >
Configure component property capturing
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To change the order component properties appear

  1. Click None [image] None [image] At the Command prompt, enter AMOPTIONS.
  2. In the Options dialog box, select the AM:Standards tab.
  3. In the Standard Elements list, double-click Component Properties. The BOM Settings dialog box is displayed.
  4. In the Component Properties tab, Use the Move up or Move down buttons to position the property.
  5. Click OK until all dialog boxes close.


Configure component property capturing (Quick Reference)

Set up custom balloons
Configure component property capturing
Configure hole chart layout
Configuration and setup guide > Configure BOMs, Balloons, and Parts Lists >
Configure component property capturing
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

BOM Settings dialog box

Use this dialog box to configure component properties and set up defaults for parts lists, balloons and data capture for the BOM.

Revision

Displays the name and the revision of the standard that controls the default settings of parts lists.

Available component properties

Contains a list of component properties that can be used as columns for BOMs and parts lists. To make a property visible in the BOM, Parts list or in the Component Property section of the Part Reference dialog box and Properties dialog box, drag the property from this list to the list of properties in the corresponding tab.

Property

Defines the name of the component property. This name uniquely identifies a component property. This is the name by which a BOM column is referred to in formulas.

Caption

Defines the column header to be displayed for this property, when it is used as a column in a BOM table or parts list.

Data type

Specifies the data type for the property.

The text data type allows all alphanumeric characters while the numeric data type allows only numeric characters 0 -9. If you need to store a value such as 4 1/2”, you must set the data type to Text.

Value

Specifies the default value for the property. When you click in a cell, the [image] button appears. Click [image] to launch the expression builder, which will assist you create formulas and pre-defined lists (drop-down lists containing possible values) for the property. If required, you can enter the formula or the pre-defined list directly, without using the expression builder.

If the text in this column is red, it means that the expression contains a syntax error. If you invoke the expression builder at this time, it will show you entries up to the position the syntax error occurs.

NoteOnly syntax errors in expressions for pre-defined lists are shown in this manner.

Precision

Specifies the number of decimals to be used round off numerical data for that property. Precision is defined in the form of 0.000 where the number of zeros (0) after the decimal point indicates the number of decimals to use.

Lead zero

Specifies the number of leading zeros (0) to be used when displaying numerical data for that property. Leading zeros are defined in the form of 00.0 where the number of zeros (0) before the decimal point indicates the minimum number of digits that must exist before the decimal point.

Lock

Prevents the component property data from being edited in the BOM, Parts List, Part Reference and Properties dialog boxes.

Sum

Controls if the component property should be summed and displayed in the result bar of the BOM and Parts List dialog boxes.

New

Displays the last row of the Available component properties list, to enable you to add a new row and thereby create a user-defined component property.

TipIt is better to use the pre-defined component properties User1 to User8 (available via the More button) as these are better supported by the system. For example, when creating custom parts lists, to be able to properly fit text into columns, you must use property ids. The property ids for user defined columns are not known before hand and hence cannot be supported. However, the property ids for the pre-defined columns are known.

Delete

Removes the row selected in the Available component properties list. If the property is a user-defined property, the property is deleted. If not the property is added to the list of additional pre-defined component properties. The additional component properties are shown in the more component properties dialog box, which appears when you click the More button. This Delete button is available only if the entire row is selected.

More

Opens a list of additional pre-defined component properties to add to the Available component properties list.

Add to

Adds the row selected in the Available component property list, to the list of properties in the currently selected tab below the Available component properties list. This button is not available if the entire row is not selected or if the current tab is the Balloon tab.

Component properties tab

Component properties list

Displays the component properties that will be visible in the Part Reference dialog box and Properties dialog box.

Property

Displays the name of the component property.

Display prompt

Defines the prompt to be displayed for that property in the Part References dialog box and Properties dialog box. For example, you can set the caption for the Name property to Enter the name of the component.

Move Up

Moves the selected row or range of rows in the Component properties list, one position up. This button is available only if entire rows are selected.

Move Down

Moves the selected row or range of rows in the Component properties list, one position down. This button is available only if entire rows are selected.

Remove

Removes the selected row or range of rows from the Component properties list. This button is available only if entire rows are selected.

Sync

Synchronizes the component properties list with the component properties list in the BOM tab. Consequently, all component properties visible in the BOM will be made visible in the Part Reference dialog box and the Properties dialog box.

NoteSync does not add QTY and ITEM.

BOM tab

Component properties list

Displays the component properties that will be visible in the BOM dialog box.

Property

Displays the name of the component property.

Caption alignment

Defines the how the column headings are aligned in the BOM dialog box.

Value alignment

Defines the how the data rows are aligned in the BOM dialog box.

Move Up

Moves the selected row or range of rows in the Component properties list, one position up. This button is available only if entire rows are selected.

Move Down

Moves the selected row or range of rows in the Component properties list, one position down. This button is available only if entire rows are selected.

Remove

Removes the selected row or range of rows from the Component properties list. This button is available only if entire rows are selected.

Default View

Sets how BOM items are displayed by default.

NoteThe Default view is not visible if you are working in the GOST standard.

Expanded (parts only)

Sets BOM representation to the expanded view, where BOM items correspond to parts and parts from the different assemblies are summed together. However, parts from xref assemblies are not merged with parts from the host drawing nor are they merged with parts from other xref assemblies.

Structured

Sets BOM representation to the structured view, where parts are collected under the assemblies they belong to and are summed only within that assembly.

Use Assembly Path

Appends the item number of the assembly to the front of the item number of a part. For example, if the item number of the assembly is 2 and the separator is “-”, the item numbers of the parts that belong to that assembly will typically be 2-1, 2-2 and so on.

Separator

Specifies the character to use as the separator.

Parts list tab

NoteThe Parts list tab is not visible if you are working in the GOST standard.

Component properties list

Displays the component properties that will be visible in Parts Lists, by default.

Property

Displays the name of the component property.

Caption alignment

Defines the how the column heading are aligned in parts lists.

Value alignment

Defines the how the data rows are aligned in parts lists.

Width

Defines the column width for the property in the parts list.

Move Up

Moves the selected row or range of rows in the Component properties list, one position up. This button is available only if entire rows are selected.

Move Down

Moves the selected row or range of rows in the Component properties list, one position down. This button is available only if entire rows are selected.

Remove

Removes the selected row or range of rows from the Component properties list. This button is available only if entire rows are selected.

Sync

Synchronizes the component properties list with the component properties list in the BOM tab. Consequently, all component properties visible in the BOM will be made visible in parts lists.

Default style

Standard

Switches the parts list style to a standard based parts list.

Displays a dialog box, which enables you to customize settings applicable to standard based parts lists.

Custom

Switches the parts list style to a custom parts list. The list shows all blocks that can be used as custom parts lists. If the blocks to use are in an external drawing, select Browse (last entry in the list).

Balloon tab

Category

Displays different categories of references or functions that you can use in the expression for balloon text. This option is not available for custom balloons (because the expression to use for balloon text is defined within the block used for the custom balloon).

Select

Displays a list of references that belong to the selected category or a list of functions, as the case may be.

Add

Inserts the reference selected in the Select list to the Expression box. The reference is inserted at the insertion point within the Expression box. If there is no explicit insertion point, the reference is appended to the end of any existing expression.

Expression

Defines the formula to be used for balloon text.

Default style

Standard

Switches the appearance of the balloon to that defined by the drafting standard.

Displays a dialog box, which enables you to customize settings applicable to standard based balloon.

Custom

Switches the appearance of the balloon to a custom style defined via a block. If the block to use is in an external drawing, select Browse (last entry in the list).

Restore Defaults

Resets all settings to the default settings for the current drafting standard.


Configure hole charts

Configure component property capturing
Configuration and setup guide
Configure hole chart layout
Configuration and setup guide >
Configure hole charts
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

Topics in this section

  • Configure hole chart layout
  • Configure hole tables layout
  • Configure hole labels


Configure hole charts (Procedure)

Configure component property capturing
Configure hole charts
Configure hole chart layout
Configuration and setup guide >
Configure hole charts
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

To configure text height and color for hole charts

To configure which columns are visible in a hole chart

To add a user-defined column to a hole chart

To configure the gaps between rows in a hole chart

To configure hole table text

To configure the gaps between rows in a hole table

To configure text height and color of hole labels

To configure the default position of hole labels

To prevent hole labels from changing when you delete or move holes


Configure hole chart layout (Concept)

Configure hole charts
Configure hole charts
Configure hole tables layout
Configuration and setup guide > Configure hole charts >
Configure hole chart layout
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AutoCAD Mechanical enables you to pre-configure the format of hole charts, saving it with the drafting standard. At draw time, hole charts based on that standard default to that format automatically. You can:

  • Set the Text height and color for heading and data rows separately.
  • Set the gap between the heading and data rows, as well as the gap between adjacent data rows.
  • Determine the hole chart title.
  • Select which columns to show in a hole chart.
  • Add custom columns to a hole chart.
NoteIf you change the settings in the middle of a drawing session, existing hole charts will not reflect the change. However, any new hole chart you create will reflect the changes in the settings.


Configure hole chart layout (Procedure)

Configure hole charts
Up a level to ..
Configure hole chart layout
Configuration and setup guide > Configure hole charts >
Configure hole chart layout
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To configure text height and color for hole charts

To configure which columns are visible in a hole chart

To add a user-defined column to a hole chart

To configure the gaps between rows in a hole chart


Configure hole chart layout (Quick Reference)

Configure component property capturing
Configure hole chart layout
Configure hole chart layout
Configuration and setup guide > Configure hole charts >
Configure hole chart layout
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Hole Chart Settings dialog box

Formula dialog box


To configure text height and color for hole charts (Procedure)

Configure hole chart layout
Up a level to ..
Configure hole chart layout
Configuration and setup guide > Configure hole charts >
Configure hole chart layout
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To configure text height and color for hole charts

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. In the Options dialog box, click the AM:Standards tab.
  3. In the Standard Elements list, double-click Hole Chart. The Hole Chart settings dialog box appears.
  4. To change the text height of hole chart column labels, in the List of coordinates section, in the Heading text height list, select the text height.
    NoteTo acquire the base height setting from the master text settings, select the text height marked “By NameOfCurrentDraftingStandard.”
  5. To change the text height of hole chart data rows, in the List of coordinates section, in the Data text height list, select the text height.
  6. To change the text height of the origin labels, in the Point and Origin Cartesian section, in the Text height list, select the text height.
  7. To change the text color of hole chart column labels, in the List of coordinates section, in the Heading text color list, select the color.
  8. To change the text color of hole chart data rows, in the List of coordinates section, in the Data text color list, select the color.
  9. To change the text color of the origin labels, in the Point and Origin Cartesian section, in the Text color list, select the color.
  10. Click OK until all dialog boxes close.
NoteIf the current drafting standard is a custom standard, you can select a text style for hole chart text.


To configure which columns are visible in a hole chart (Procedure)

Configure hole chart layout
Up a level to ..
Configure hole chart layout
Configuration and setup guide > Configure hole charts >
Configure hole chart layout
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To configure which columns are visible in a hole chart

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. In the Options dialog box, click the AM:Standards tab.
  3. In the Standard Elements list, double-click Hole Chart. The Hole Chart Settings dialog box appears.
  4. Click [image] . The Hole Chart Columns dialog box appears.
  5. To make a hole chart column visible in all types of hole charts, select the check box in column 1.

    To make a column visible in Cartesian Hole charts only, in the (1) Visible in hole Charts section, select the Cartesian check box. and clear the Polar check box.

    To make a column visible in Polar Hole charts only, in the (1) Visible in hole Charts section, clear the Cartesian check box and select the Polar check box.

  6. Click OK until all dialog boxes close.


To add a user-defined column to a hole chart (Procedure)

Configure hole chart layout
Up a level to ..
Configure hole chart layout
Configuration and setup guide > Configure hole charts >
Configure hole chart layout
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To add a user-defined column to a hole chart

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. In the Options dialog box, click the AM:Standards tab.
  3. In the Standard Elements list, double-click Hole Chart. The Hole Chart Settings dialog box appears.
  4. Click [image] . The Hole Chart Columns dialog box appears.
  5. Scroll to the bottom of the list of hole chart columns.
  6. In the last row, in the column named Column, enter a name for the new hole chart column.
  7. In the list of Hole Chart columns, enter information for the Caption, Width, Formula, Caption alignment, Data alignment, Data type, precision, and Wrap text.
  8. Click OK until all dialog boxes close.


To configure the gaps between rows in a hole chart (Procedure)

Configure hole chart layout
Up a level to ..
Configure hole tables layout
Configuration and setup guide > Configure hole charts >
Configure hole chart layout
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To configure the gaps between rows in a hole chart

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. In the Options dialog box, click the AM:Standards tab.
  3. In the Standard Elements list, double-click Hole Chart. The Hole Chart Settings dialog box appears.
  4. In the List of coordinates section, in the Heading gap box, type or select the gap between the heading row and data rows.
  5. In the Row gap box, type or select the gap between adjacent data rows.
  6. Click OK until all dialog boxes close.


Configure hole chart layout (Quick Reference)

Configure hole chart layout
Configure hole chart layout
Configure hole chart layout
Configuration and setup guide > Configure hole charts >
Configure hole chart layout
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Hole Chart Settings dialog box

Toolbar

Sets the default coordinates to the cartesian type. Once set, all new hole charts you create will have their coordinate type set to cartesian coordinates. This button is available only if you arrived at this dialog box via the AM:Standards tab.

Sets the default coordinates to the polar type. Once set, all new hole charts you create will have their coordinate type set to polar coordinates. This button is available only if you arrived at this dialog box via the AM:Standards tab.

Enables creation of a hole table by default. Consequently, whenever you place a hole chart in the drawing area, the AMHOLECHART command prompts you to place a hole table as well. This button is available only if you arrived at this dialog box via the AM:Standards tab. You typically use this option with ANSI hole charts.

Show

Specifies whether this dialog box displays hole chart or hole table details. Select “List of Coordinates” for hole chart details and “Hole Table” for hole table details. This option is available only if you arrived at this dialog box via the AM:Standards tab.

Displays the Hole Chart Columns dialog box. Use this dialog box to set the column defaults for hole charts. This button is available only if you arrived at this dialog box via the AM:Standards tab.

Displays the Sort dialog box to set the default sort order. This button is available only if you arrived at this dialog box via the AM:Standards tab.

Specifies that hole charts must display column headings by default. This button is available only if you arrived at this dialog box via the AM:Standards tab.

Specifies that hole charts must display a table title by default. Once set, all new hole charts you create will contain titles. This button is available only if you arrived at this dialog box via the AM:Standards tab.

Specifies that hole charts should display a grip frame by default. Once set, all new hole charts you create will contain grip frames. This button is available only if you arrived at this dialog box via the AM:Standards tab.

List of Coordinates/Hole Table

Attach Point

Sets the placement for the grip.

Title pattern

Sets the table title. You can add free text as well as a formula. To add a formula, type the equal sign character (=) as the first character of the title. The table title can display the <DefaultTitle> (evaluates to HOLE table or LIST OF COORDINATES) and <Origin> (evaluates to the hole chart origin name) variables. \P (backslash character followed by P followed by a space) inserts a line break. The [image] button enables you to pickup variables from a look up table.

Text style

Specifies the text style to use with hole chart text. This option is available only if the current drafting standard is a custom standard or if text settings are linked to dimension styles.

Heading Gap

Sets the gap between the heading and the first row in the table.

Row Gap

Sets the spacing between the rows in the table.

Line Spacing

Sets the height of the rows.

Heading text height

Sets the height of the text in the heading row.

When the text height is set to ByNameOfCurrentDraftingStandard, this setting acquires its value from the master settings of the current drafting standard. If the master setting changes, the text height changes automatically.

If the current standard is a custom standard, you can specify a non-standard text height. If not, the AutoCAD Mechanical restricts you to selecting a value from the list.

NoteWhen you change the text height, the color of the text is set to the default text object color for that text height. Text object colors are set from the Object Property Settings dialog box.

Heading text color

Defines the text color to be used for the heading row.

When the text color is set to ByNameOfCurrentDraftingStandard, it acquires the color from the master settings of the current drafting standard. If the master setting changes, the text color of heading rows change automatically.

NoteIf the text height changes, the color automatically changes to the default color corresponding to that text height. Text object colors are set from the Object Property Settings dialog box.

Data text height

Defines the text height to be used for data rows.

When the text height is set to ByNameOfCurrentDraftingStandard, this setting acquires its value from the master settings of the current drafting standard. If the master setting changes, the text height changes automatically.

NoteWhen you change the text height, the color of the text is set to the default text object color for that text height. Text object colors are set from the Object Property Settings dialog box.

Data text color

Defines the text color to be used for data rows.

When the text color is set to ByNameOfCurrentDraftingStandard, it acquires the color from the master settings of the current drafting standard. If the master setting changes, the text color of data rows change automatically.

NoteIf the text height changes, the color automatically changes to the default color corresponding to that text height. Text object colors are set from the Object Property Settings dialog box.

Points and Origin Cartesian

Label position

Specifies how labels are positioned in the drawing.

Point identifier

Specifies the format of points in the drawing.

Origin terminator

Specifies the format of the point origin in the drawing.

Text height

Sets the text height to use for hole labels and origin the origin label.

When the text height is set to ByNameOfCurrentDraftingStandard, this setting acquires its value from the master settings of the current drafting standard. If the master setting changes, the text height changes automatically.

Text color

Defines the text color to be used for hole labels and origin label.

When the text color is set to ByNameOfCurrentDraftingStandard, it acquires the color from the master settings of the current drafting standard. If the master setting changes, the text color changes automatically.

NoteIf the text height changes, the color automatically changes to the default color corresponding to that text height. Text object colors are set from the Object Property Settings dialog box.

Draw leader from point to label

Draws a leader at the point origin.

Show coordinate system

Displays coordinate system in the drawing.

Show 0 origin Indicator

Displays 0 at the point origin in the drawing.

Restore Defaults

Resets all values to default settings.


Configure hole chart layout (Quick Reference)

Configure hole chart layout
Configure hole chart layout
Configure hole tables layout
Configuration and setup guide > Configure hole charts >
Configure hole chart layout
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Formula dialog box

Variable drop down list

Selects a variable from the list and adds it to the formula. The variable is inserted at the cursor position in the expression box.

Clears the content in the expression box.

Inserts an equal sign in the expression box. An equal sign at the beginning of the expression instructs the system to evaluate the expression as a formula. If no equal sign exists, the system interprets the contents as text.

Expression

Contains the formula expression.


Configure hole tables layout (Concept)

Configure hole chart layout
Configure hole charts
Configure hole labels
Configuration and setup guide > Configure hole charts >
Configure hole tables layout
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

In the ANSI standard, when inserting a hole chart in the drawing area, a hole table is also created by default. The hole table provides a summary of the holes in the hole chart; usually the number of holes of a given diameter in the hole chart. You can:

  • Set text height and color for heading and data rows separately.
  • Set the gap between the heading and data rows, as well as the gap between adjacent data rows.
  • Specify the hole table title.


Configure hole tables layout (Procedure)

Configure hole chart layout
Up a level to ..
Configure hole tables layout
Configuration and setup guide > Configure hole charts >
Configure hole tables layout
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To configure hole table text

To configure the gaps between rows in a hole table


To configure hole table text (Procedure)

Configure hole tables layout
Up a level to ..
Configure hole tables layout
Configuration and setup guide > Configure hole charts >
Configure hole tables layout
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To configure hole table text

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. In the Options dialog box, click the AM:Standards tab.
  3. In the Standard Elements list, double-click Hole Chart. The Hole Chart settings dialog box appears.
  4. In the Show list, select Hole table.
  5. To change the text height of hole chart column labels, in the Heading Text Height list, select the appropriate text height.
  6. To change the text height of the data rows of hole charts, in the Data Text Height list, select the appropriate text height.
  7. To change the text height of the origin labels, in the Text Height list under the Point and Origin Cartesian group, select the text height.
  8. To change the text color, click the Text Color button in the appropriate row and select a color from the dialog box.
  9. Click OK until all dialog boxes close.
NoteIf the current drafting standard is a custom standard, you can select a text style for hole chart text.


To configure the gaps between rows in a hole table (Procedure)

Configure hole tables layout
Up a level to ..
Configure hole labels
Configuration and setup guide > Configure hole charts >
Configure hole tables layout
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To configure the gaps between rows in a hole table

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. In the Options dialog box, click the AM:Standards tab.
  3. In the Standard Elements list, double-click Hole Chart. The Hole Chart Settings dialog box appears.
  4. In the Show list, select Hole table.
  5. In the Hole table section, in the Heading gap box, type or select the gap between the heading row and data rows.
  6. In the Row gap box, type or select the gap between adjacent data rows.
  7. Click OK until all dialog boxes close.


Configure hole tables layout (Quick Reference)

Configure hole chart layout
Configure hole tables layout
Configure hole labels
Configuration and setup guide > Configure hole charts >
Configure hole tables layout
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Hole Chart Settings dialog box

Toolbar

Sets the default coordinates to the cartesian type. Once set, all new hole charts you create will have their coordinate type set to cartesian coordinates. This button is available only if you arrived at this dialog box via the AM:Standards tab.

Sets the default coordinates to the polar type. Once set, all new hole charts you create will have their coordinate type set to polar coordinates. This button is available only if you arrived at this dialog box via the AM:Standards tab.

Enables creation of a hole table by default. Consequently, whenever you place a hole chart in the drawing area, the AMHOLECHART command prompts you to place a hole table as well. This button is available only if you arrived at this dialog box via the AM:Standards tab. You typically use this option with ANSI hole charts.

Show

Specifies whether this dialog box displays hole chart or hole table details. Select “List of Coordinates” for hole chart details and “Hole Table” for hole table details. This option is available only if you arrived at this dialog box via the AM:Standards tab.

Displays the Hole Chart Columns dialog box. Use this dialog box to set the column defaults for hole charts. This button is available only if you arrived at this dialog box via the AM:Standards tab.

Displays the Sort dialog box to set the default sort order. This button is available only if you arrived at this dialog box via the AM:Standards tab.

Specifies that hole charts must display column headings by default. This button is available only if you arrived at this dialog box via the AM:Standards tab.

Specifies that hole charts must display a table title by default. Once set, all new hole charts you create will contain titles. This button is available only if you arrived at this dialog box via the AM:Standards tab.

Specifies that hole charts should display a grip frame by default. Once set, all new hole charts you create will contain grip frames. This button is available only if you arrived at this dialog box via the AM:Standards tab.

List of Coordinates/Hole Table

Attach Point

Sets the placement for the grip.

Title pattern

Sets the table title. You can add free text as well as a formula. To add a formula, type the equal sign character (=) as the first character of the title. The table title can display the <DefaultTitle> (evaluates to HOLE table or LIST OF COORDINATES) and <Origin> (evaluates to the hole chart origin name) variables. \P (backslash character followed by P followed by a space) inserts a line break. The [image] button enables you to pickup variables from a look up table.

Text style

Specifies the text style to use with hole chart text. This option is available only if the current drafting standard is a custom standard or if text settings are linked to dimension styles.

Heading Gap

Sets the gap between the heading and the first row in the table.

Row Gap

Sets the spacing between the rows in the table.

Line Spacing

Sets the height of the rows.

Heading text height

Sets the height of the text in the heading row.

When the text height is set to ByNameOfCurrentDraftingStandard, this setting acquires its value from the master settings of the current drafting standard. If the master setting changes, the text height changes automatically.

If the current standard is a custom standard, you can specify a non-standard text height. If not, the AutoCAD Mechanical restricts you to selecting a value from the list.

NoteWhen you change the text height, the color of the text is set to the default text object color for that text height. Text object colors are set from the Object Property Settings dialog box.

Heading text color

Defines the text color to be used for the heading row.

When the text color is set to ByNameOfCurrentDraftingStandard, it acquires the color from the master settings of the current drafting standard. If the master setting changes, the text color of heading rows change automatically.

NoteIf the text height changes, the color automatically changes to the default color corresponding to that text height. Text object colors are set from the Object Property Settings dialog box.

Data text height

Defines the text height to be used for data rows.

When the text height is set to ByNameOfCurrentDraftingStandard, this setting acquires its value from the master settings of the current drafting standard. If the master setting changes, the text height changes automatically.

NoteWhen you change the text height, the color of the text is set to the default text object color for that text height. Text object colors are set from the Object Property Settings dialog box.

Data text color

Defines the text color to be used for data rows.

When the text color is set to ByNameOfCurrentDraftingStandard, it acquires the color from the master settings of the current drafting standard. If the master setting changes, the text color of data rows change automatically.

NoteIf the text height changes, the color automatically changes to the default color corresponding to that text height. Text object colors are set from the Object Property Settings dialog box.

Points and Origin Cartesian

Label position

Specifies how labels are positioned in the drawing.

Point identifier

Specifies the format of points in the drawing.

Origin terminator

Specifies the format of the point origin in the drawing.

Text height

Sets the text height to use for hole labels and origin the origin label.

When the text height is set to ByNameOfCurrentDraftingStandard, this setting acquires its value from the master settings of the current drafting standard. If the master setting changes, the text height changes automatically.

Text color

Defines the text color to be used for hole labels and origin label.

When the text color is set to ByNameOfCurrentDraftingStandard, it acquires the color from the master settings of the current drafting standard. If the master setting changes, the text color changes automatically.

NoteIf the text height changes, the color automatically changes to the default color corresponding to that text height. Text object colors are set from the Object Property Settings dialog box.

Draw leader from point to label

Draws a leader at the point origin.

Show coordinate system

Displays coordinate system in the drawing.

Show 0 origin Indicator

Displays 0 at the point origin in the drawing.

Restore Defaults

Resets all values to default settings.


Configure hole labels (Concept)

Configure hole tables layout
Configure hole charts
Configure dimensions
Configuration and setup guide > Configure hole charts >
Configure hole labels
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

In the drawing area, hole labels tag and identify the holes in the hole chart. The hole label is generated dynamically with a formula. The default formula for hole labels ensures that hole are relabeled whenever holes are added, deleted, or moved. In some cases, this behavior is not desirable. In the DIN, ISO, GB, and CSN standards, you can prevent holes from being relabeled by activating the User Item Order, a sort option under Sorting Styles.

In addition to customizing the formula for hole labels, you can:

  • Set text height and color.
  • Add a leader to the hole label
  • Select how holes are marked


Configure hole labels (Procedure)

Configure hole tables layout
Up a level to ..
Configure hole labels
Configuration and setup guide > Configure hole charts >
Configure hole labels
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To configure text height and color of hole labels

To configure the default position of hole labels

To prevent hole labels from changing when you delete or move holes


To configure text height and color of hole labels (Procedure)

Configure hole labels
Up a level to ..
Configure hole labels
Configuration and setup guide > Configure hole charts >
Configure hole labels
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To configure text height and color of hole labels

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. In the Options dialog box, click the AM:Standards tab.
  3. In the Standard Elements list, double-click Hole Chart. The Hole Chart Settings dialog box appears.
  4. In the Points and origin section, in the Text height list, select the new text height.
  5. Click the colored button adjacent to the Text height list and select the required color from the Select Color dialog box.
  6. Click OK until all dialog boxes close.


To configure the default position of hole labels (Procedure)

Configure hole labels
Up a level to ..
Configure hole labels
Configuration and setup guide > Configure hole charts >
Configure hole labels
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To configure the default position of hole labels

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. In the Options dialog box, click the AM:Standards tab.
  3. In the Standard Elements list, double-click Hole Chart. The Hole Chart Settings dialog box appears.
  4. In the Points and origin section, in the Label position list, select the default position for hole labels.
  5. Click OK until all dialog boxes close.


To prevent hole labels from changing when you delete or move holes (Procedure)

Configure hole labels
Up a level to ..
Configure dimensions
Configuration and setup guide > Configure hole charts >
Configure hole labels
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To prevent hole labels from changing when you delete or move holes

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. In the Options dialog box, click the AM:Standards tab.
  3. In the Standard Elements list, double-click Hole Chart. The Hole Chart Settings dialog box appears.
  4. Click
  5. In the Sorting style section, select the Use sorting style check box.
  6. In the Name list, select User item order.
  7. Click OK until all dialog boxes close.


Configure hole labels (Quick Reference)

Configure hole tables layout
Configure hole labels
Configure dimension styles
Configuration and setup guide > Configure hole charts >
Configure hole labels
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Hole Chart Settings dialog box

Toolbar

Sets the default coordinates to the cartesian type. Once set, all new hole charts you create will have their coordinate type set to cartesian coordinates. This button is available only if you arrived at this dialog box via the AM:Standards tab.

Sets the default coordinates to the polar type. Once set, all new hole charts you create will have their coordinate type set to polar coordinates. This button is available only if you arrived at this dialog box via the AM:Standards tab.

Enables creation of a hole table by default. Consequently, whenever you place a hole chart in the drawing area, the AMHOLECHART command prompts you to place a hole table as well. This button is available only if you arrived at this dialog box via the AM:Standards tab. You typically use this option with ANSI hole charts.

Show

Specifies whether this dialog box displays hole chart or hole table details. Select “List of Coordinates” for hole chart details and “Hole Table” for hole table details. This option is available only if you arrived at this dialog box via the AM:Standards tab.

Displays the Hole Chart Columns dialog box. Use this dialog box to set the column defaults for hole charts. This button is available only if you arrived at this dialog box via the AM:Standards tab.

Displays the Sort dialog box to set the default sort order. This button is available only if you arrived at this dialog box via the AM:Standards tab.

Specifies that hole charts must display column headings by default. This button is available only if you arrived at this dialog box via the AM:Standards tab.

Specifies that hole charts must display a table title by default. Once set, all new hole charts you create will contain titles. This button is available only if you arrived at this dialog box via the AM:Standards tab.

Specifies that hole charts should display a grip frame by default. Once set, all new hole charts you create will contain grip frames. This button is available only if you arrived at this dialog box via the AM:Standards tab.

List of Coordinates/Hole Table

Attach Point

Sets the placement for the grip.

Title pattern

Sets the table title. You can add free text as well as a formula. To add a formula, type the equal sign character (=) as the first character of the title. The table title can display the <DefaultTitle> (evaluates to HOLE table or LIST OF COORDINATES) and <Origin> (evaluates to the hole chart origin name) variables. \P (backslash character followed by P followed by a space) inserts a line break. The [image] button enables you to pickup variables from a look up table.

Text style

Specifies the text style to use with hole chart text. This option is available only if the current drafting standard is a custom standard or if text settings are linked to dimension styles.

Heading Gap

Sets the gap between the heading and the first row in the table.

Row Gap

Sets the spacing between the rows in the table.

Line Spacing

Sets the height of the rows.

Heading text height

Sets the height of the text in the heading row.

When the text height is set to ByNameOfCurrentDraftingStandard, this setting acquires its value from the master settings of the current drafting standard. If the master setting changes, the text height changes automatically.

If the current standard is a custom standard, you can specify a non-standard text height. If not, the AutoCAD Mechanical restricts you to selecting a value from the list.

NoteWhen you change the text height, the color of the text is set to the default text object color for that text height. Text object colors are set from the Object Property Settings dialog box.

Heading text color

Defines the text color to be used for the heading row.

When the text color is set to ByNameOfCurrentDraftingStandard, it acquires the color from the master settings of the current drafting standard. If the master setting changes, the text color of heading rows change automatically.

NoteIf the text height changes, the color automatically changes to the default color corresponding to that text height. Text object colors are set from the Object Property Settings dialog box.

Data text height

Defines the text height to be used for data rows.

When the text height is set to ByNameOfCurrentDraftingStandard, this setting acquires its value from the master settings of the current drafting standard. If the master setting changes, the text height changes automatically.

NoteWhen you change the text height, the color of the text is set to the default text object color for that text height. Text object colors are set from the Object Property Settings dialog box.

Data text color

Defines the text color to be used for data rows.

When the text color is set to ByNameOfCurrentDraftingStandard, it acquires the color from the master settings of the current drafting standard. If the master setting changes, the text color of data rows change automatically.

NoteIf the text height changes, the color automatically changes to the default color corresponding to that text height. Text object colors are set from the Object Property Settings dialog box.

Points and Origin Cartesian

Label position

Specifies how labels are positioned in the drawing.

Point identifier

Specifies the format of points in the drawing.

Origin terminator

Specifies the format of the point origin in the drawing.

Text height

Sets the text height to use for hole labels and origin the origin label.

When the text height is set to ByNameOfCurrentDraftingStandard, this setting acquires its value from the master settings of the current drafting standard. If the master setting changes, the text height changes automatically.

Text color

Defines the text color to be used for hole labels and origin label.

When the text color is set to ByNameOfCurrentDraftingStandard, it acquires the color from the master settings of the current drafting standard. If the master setting changes, the text color changes automatically.

NoteIf the text height changes, the color automatically changes to the default color corresponding to that text height. Text object colors are set from the Object Property Settings dialog box.

Draw leader from point to label

Draws a leader at the point origin.

Show coordinate system

Displays coordinate system in the drawing.

Show 0 origin Indicator

Displays 0 at the point origin in the drawing.

Restore Defaults

Resets all values to default settings.


Configure dimensions

Configure hole labels
Configuration and setup guide
Configure dimension styles
Configuration and setup guide >
Configure dimensions
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

Topics in this section

  • Configure dimension styles
  • Predefine dimension text templates
  • Configure distance snaps
  • Configure the default radius, diameter, and chamfer representations
  • Configure the default tolerance method and fit representation


Configure dimensions (Procedure)

Configure hole labels
Configure dimensions
Configure dimension styles
Configuration and setup guide >
Configure dimensions
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

To Modify a Dimension Style

To Create a Custom Dimension Style

To Set the Text Color and Height for Each Dimension Type Separately

To Set the Text Color and Height for all Dimension Types

To Add a New Dimension Text Template

To Delete a Power Dimension Text Template

To Configure Distance Snap Settings

To Set the Default Representation for Radius Dimensions

To Set the Default Representation for Diameter Dimensions

To Set the Default Representation for Chamfer Dimensions

To Set the Default Fit Representation

To Set the Default Tolerance Method


Configure dimension styles (Concept)

Configure dimensions
Configure dimensions
Predefine dimension text templates
Configuration and setup guide > Configure dimensions >
Configure dimension styles
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

When you select a drafting standard for a drawing, a set of dimension styles that comply with the standard are automatically added to the drawing. You can change the dimension style settings.

There are two ways by which you can modify dimensions styles: using the AutoCAD DIMSTYLES command or by accessing Dimension Styles through the AM:Standards tab of the Options dialog box (AMOPTIONS). We recommend the AMOPTIONS method. AutoCAD Mechanical creates dimension styles on the fly and you may not have access to all the required dimension styles when you use the DIMSTYLES command.

Base Dimension Styles and Substyles

The dimension styles associated with a drafting standard consists of a base dimension style, which defines the basic settings for dimensions for that standard, and substyles, which explicitly define styles for the different dimension types. In most cases, substyles are identical to the base style. In some cases, when it is required to enforce a unique characteristic on a dimension type, the default settings for that dimension style have at least one setting that is different from the base dimension style.

When you change the base dimension style settings, the changes apply to the substyles. However, if the substyle setting does not match the base dimension style setting before the change (if you overrode the setting in the substyle), the setting does not apply to that substyle.

AutoCAD Mechanical provides options to reset a substyle in the Dimension Styles dialog box. When you reset the substyle, it is synchronized with the current base dimension style, removing all user-defined overrides on that substyle. Default preset overrides, required to enforce the unique characteristics of the corresponding dimension type, do not reset.


Configure dimension styles (Procedure)

Configure dimensions
Up a level to ..
Configure dimension styles
Configuration and setup guide > Configure dimensions >
Configure dimension styles
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To Modify a Dimension Style

To Create a Custom Dimension Style

To Set the Text Color and Height for Each Dimension Type Separately

To Set the Text Color and Height for all Dimension Types


Configure dimension styles (Quick Reference)

Configure hole labels
Configure dimension styles
Configure dimension styles
Configuration and setup guide > Configure dimensions >
Configure dimension styles
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Edit Dimension Style dialog box

Dimension Settings dialog box

Dimension styles


To Modify a Dimension Style (Procedure)

Configure dimension styles
Up a level to ..
Configure dimension styles
Configuration and setup guide > Configure dimensions >
Configure dimension styles
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To Modify a Dimension Style

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. In the Options dialog box, click the AM:Standards tab.
  3. In the Standard Elements list, double-click Dimension. The Dimension Settings dialog box appears.
  4. Click Edit. The Edit Dimension Styles dialog box appears.
  5. Select the type of dimension (substyle) to change and click Modify.
  6. In the displayed dialog box, make the necessary changes and click OK until all dialog boxes close.


To Create a Custom Dimension Style (Procedure)

Configure dimension styles
Up a level to ..
Configure dimension styles
Configuration and setup guide > Configure dimensions >
Configure dimension styles
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To Create a Custom Dimension Style

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. In the Options dialog box, click the AM:Standards tab.
  3. In the Standard Elements list, double-click Dimension. The Dimension Settings dialog box appears.
  4. In the Base Dimension Style edit box, enter a name for the custom dimension style, and then click Edit.
  5. In The Edit Dimension Styles dialog box, select the type of dimension to change, and then choose Modify.
  6. In the displayed dialog box, make your necessary entries and click OK until all dialog boxes close.


To Set the Text Color and Height for Each Dimension Type Separately (Procedure)

Configure dimension styles
Up a level to ..
Configure dimension styles
Configuration and setup guide > Configure dimensions >
Configure dimension styles
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To Set the Text Color and Height for Each Dimension Type Separately

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. In the Options dialog box, click the AM:Standards tab.
  3. In the Standard Elements list, double-click Dimension. The Dimension Settings dialog box appears.
  4. Click Edit. The Edit Dimension Styles dialog box appears.
  5. From the tree on the left, select the dimension type to set text color and height for and click Modify.
  6. Click the Text tab.
  7. In the Text color list, select a color for text.
  8. In the Text height box, type the new text height.
  9. Click OK until all dialog boxes close.

NoteIf the text color and height settings of a substyle are not the same as the base dimension style, the text color and height of the substyle do not change.


To Set the Text Color and Height for all Dimension Types (Procedure)

Configure dimension styles
Up a level to ..
Predefine dimension text templates
Configuration and setup guide > Configure dimensions >
Configure dimension styles
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To Set the Text Color and Height for all Dimension Types

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. In the Options dialog box, click the AM:Standards tab.
  3. In the Standard Elements list, double-click Dimension. The Dimension Settings dialog box appears.
  4. Click Edit. The Edit Dimension Styles dialog box appears.
  5. From the tree on the left, select the base dimension style and click Modify.
  6. Click the Text tab.
  7. In the Text color list, select a color for text.
  8. In the Text height box, type the new text height.
  9. Click OK until all dialog boxes close.
NoteIf the text color and height settings of a substyle are not the same as the base dimension style, the text color and height of the substyle do not change.


Configure dimension styles (Quick Reference)

Configure dimension styles
Configure dimension styles
Configure dimension styles
Configuration and setup guide > Configure dimensions >
Configure dimension styles
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Edit Dimension Style dialog box

Use this dialog box to customize the base dimension style and its derivatives as applied to the different dimension types.

Dimension style

Shows a tree showing the base dimension style as the root and sub-styles as the leaves. Each sub-style controls the representation of the dimension type indicated by the name of the sub-style. The sub-styles have been derived from the base style and can be configured to customize the representation of one dimension type independently of the others.

Sub styles that are displayed in bold have at least one parameter that is different from the base dimension style. As you move the pointer over a sub-style, the tooltip shows the settings that have been customized.

If you change a setting in the base dimension style, the change is propagated to all sub-styles, unless the setting has been overridden in the sub-style.

Delete

Deletes dimension style overrides. This button is available only when an override is selected in the Dimension style list.

Reset

Removes overrides and synchronizes the selected dimension style with the base dimension style. If the dimension type corresponding to the selected dimension style requires mandatory overrides, they are automatically added.

Modify

Displays the Modify Dimension Style dialog box to let you change the setting for the selected dimension style.

Default format for Ordinate dimensions

Contains settings that apply to the Ordinate dimension style. The settings in this section has no impact on dimensions that already exist in the drawing.

Minus

Inserts whatever you type to the left of <> as a prefix to negative ordinate dimension text. Typically you use this to insert a “-” sign in front of the dimension text. Anything you type to the right of <> appears after the dimension text. If you delete <>, no dimension text appears.

Plus

Inserts whatever you type to the left of <> as a prefix to positive ordinate dimension text. Typically you use thito insert a “+” sign in front of the dimension text. Similarly, anything you type to the right of <> appears after the dimension text. If you delete <>, no dimension text appears.


Configure dimension styles (Quick Reference)

Configure dimension styles
Configure dimension styles
Configure dimension styles
Configuration and setup guide > Configure dimensions >
Configure dimension styles
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Dimension Settings dialog box

Use this dialog box to set preferences for Power Dimension commands for the current standard

Dimension style

Base dimension style

Sets the dimension style to be used as the base dimension style. All the dimension types are based on the dimension style or a variation (a sub-style).

Edit

Displays the Dimension Styles dialog box, enabling you to create, modify, and assign dimension styles.

Force power dimensions to use this dimension style

Prevents the dimension style from being overridden (via the DIMSTYLE command) during a drawing session.

Default representations

Chamfer

Displays the Chamfer Representation dialog box, enabling you to select the default chamfer dimension representation from a predefined list of representations.

Radius

Displays the Radius Representation dialog box, enabling you to select the default locations for dimension line, dimension text, and arrowhead for radius.

Diameter

Displays the Diameter Representation dialog box, enabling you to select the default locations for dimension line, dimension text, and arrowhead for diameter.

Dimension Text

Ignore AutoCAD scale factor for linear dimension measurements

Makes Power Dimensioning ignore the DIMLFAC system variable and other settings that control the linear scale.

AutoCAD Mechanical uses several scaling mechanisms such as scale areas, detail views, and annotation views, that are not available in AutoCAD. Power dimensioning recognizes the scales and automatically compensates for them. If you choose to honor AutoCAD scale factors and use different scales in different places in a drawing, AutoCAD Mechanical's scaling mechanisms may not reflect the correct dimension value.

NoteThis setting is not available for Inventor linked drawings.
NoteThis setting is not available in AutoCAD Mechanical

Predefined Text

Displays the Predefined Text dialog box, which enables you to create predefined dimension text templates for Power DImensioning commands at draw time.

Fits and Tolerances

Fits

Displays the Fits Representation dialog box, which enables you to set the default fit representation. It also provides access to the System Editor, which enables you to modify the Windows registry settings that define the existing fit representations as well as create new ones.

Tolerances

Displays the Tolerance Representation dialog box, which enables you to set the default tolerance method. It also provides access to the System Editor, which enables you to modify the Windows registry settings that define the existing tolerance methods as well as create new ones.

When a fits list requires updates

Configures how fits lists rebuild. You can choose to update fits lists schematically, have the system prompt you, or update fits lists on demand by selecting the manual option.

Placement Options

Display visual aids when creating dimensions

Displays an icon on the crosshairs when a dimension is created, indicating the type of dimension being created.

In chain dimensions, replace arrows with points for lengths less than

Defines the distance at which arrowheads are replaced with points in chain dimensions.

Use distance snaps for placement

Turns on distance snaps, which cause dimensions to snap into place as you move the dimension line in the drawing area.

Snaps value

Sets the distance from the snap position to the object being dimensioned.

Display power dimension dialog

Sets how often the Power Dimension dialog box appears during one command session.

Show text override prompt

Enables the display of the text override prompt enabling you to modify the dimension text on the command line during the dimensioning process. By default, this check box is cleared.

Restore defaults

Resets all settings to the factory settings for the current standard. If the current standard is a custom standard, the settings default to the factory settings of the standard it is derived from.


Configure dimension styles (Quick Reference)

Configure dimension styles
Configure dimension styles
Predefine dimension text templates
Configuration and setup guide > Configure dimensions >
Configure dimension styles
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Dimension styles

Tabulates the default dimension styles and the system variables they control. For sub styles, only the system variables that differ from the base dimension style are specified.

AM_ANSI

Description | Variable | Dimension Style/ Sub Style
 |  | Base | Radial | Diameter | Half Shaft | Full Shaft | Leader
(DIMUPT) | DIMUPT | Off | On | On |  |  |
Alt precision | DIMALTD | 2 |  |  |  |  |
Alt prefix and suffix | DIMAPOST | mm |  |  |  |  |
Alt roundoff | DIMALTRND | 0.00 |  |  |  |  |
Alt scale factor | DIMALTF | 25.40 |  |  |  |  |
Alt tol precision | DIMALTTD | 4 |  |  |  |  |
Alt tol zeroes | DIMALTTZ | 0 |  |  |  |  |
Alt units | DIMALTU | 2 |  |  |  |  |
Alt zeroes | DIMALTZ | 0 |  |  |  |  |
Alternate units | DIMALT | Off |  |  |  |  |
Angle format | DIMAUNIT | 0 |  |  |  |  |
Angle precision | DIMADEC | 0 |  |  |  |  |
Angle zero suppression | DIMAZIN | 2 |  |  |  |  |
Arrow | DIMBLK | ClosedFilled |  |  |  |  |
Arrow 1 | DIMBLK1 | ClosedFilled |  |  | GENAXEH |  |
Arrow 2 | DIMBLK2 | ClosedFilled |  |  |  |  |
Arrow size | DIMASZ | 0.10 |  |  |  |  |
Center mark size | DIMCEN | 0.00 |  |  |  |  |
Decimal separator | DIMDSEP | . |  |  |  |  |
Dim line color | DIMCLRD | BYLAYER |  |  |  |  |
Dim line ext | DIMDLE | 0.00 |  |  |  |  |
Dim line forced | DIMTOFL | Off |  |  |  |  |
Dim line lineweight | DIMLWD | -1 |  |  |  |  |
Dim line spacing | DIMDLI | 0.50 |  |  |  |  |
Ext line color | DIMCLRE | BYLAYER |  |  |  |  |
Ext line extension | DIMEXE | 0.10 |  |  |  |  |
Ext line lineweight | DIMLWE | -1 |  |  |  |  |
Ext line offset | DIMEXO | 0.05 |  |  |  |  |
Fit: arrow and text | DIMATFIT | 3 | 0 | 0 |  |  |
Fit: text movement | DIMTMOVE | 0 |  |  |  |  |
Fraction format | DIMFRAC | 0 |  |  |  |  |
Leader arrow | DIMLDRBLK | ClosedFilled |  |  |  |  |
Length scale | DIMLFAC | 1.00 |  |  |  |  |
Length units | DIMLUNIT | 2 |  |  |  |  |
No dim line 1 | DIMSD1 | Off |  |  |  |  |
No dim line 2 | DIMSD2 | Off |  |  |  |  |
No dim lines outside | DIMSOXD | Off |  |  |  |  |
No ext line 1 | DIMSE1 | Off |  |  | On | On |
No ext line 2 | DIMSE2 | Off |  |  | On | On |
Overall scale | DIMSCALE | 1.00 |  |  |  |  |
Precision | DIMDEC | 4 |  |  |  |  |
Roundoff | DIMRND | 0.00 |  |  |  |  |
Separate arrows | DIMSAH | Off |  |  | On |  |
Text color | DIMCLRT | 2 (yellow) |  |  |  |  |
Text height | DIMTXT | 0.12 |  |  |  |  | 0.24
Text inside | DIMTIX | Off |  |  |  |  |
Text inside align | DIMTIH | On |  |  |  |  |
Text offset | DIMGAP | 0.06 |  |  |  |  |
Text outside align | DIMTOH | On |  |  |  |  |
Text pos hor | DIMJUST | 0 |  |  |  |  |
Text pos vert | DIMTAD | 0 |  |  |  |  |
Text prefix and suffix | DIMPOST |  |  |  |  |  |
Text style | DIMTXSTY | STANDARD |  |  |  |  |
Tol dev lower | DIMTM | 0.10 |  |  |  |  |
Tol dev upper | DIMTP | 0.10 |  |  |  |  |
Tol deviation | DIMTOL | Off |  |  |  |  |
Tol limits | DIMLIM | Off |  |  |  |  |
Tol pos vert | DIMTOLJ | 1 |  |  |  |  |
Tol precision | DIMTDEC | 4 |  |  |  |  |
Tol text scale factor | DIMTFAC | 0.71 |  |  |  |  |
Tol zero suppression | DIMTZIN | 7 |  |  |  |  |
Zero suppression | DIMZIN | 7 |  |  |  |  |
AM_BSI

Description | Variable | Dimension Style/ Sub Style
 |  | Base | Radial | Diameter | Half Shaft | Full Shaft | Leader | Ordinate
(DIMUPT) | DIMUPT | Off | On | On |  |  |  |
Alt precision | DIMALTD | 2 |  |  |  |  |  |
Alt prefix and suffix | DIMAPOST | " |  |  |  |  |  |
Alt roundoff | DIMALTRND | 0.00 |  |  |  |  |  |
Alt scale factor | DIMALTF | 0.04 |  |  |  |  |  |
Alt tol precision | DIMALTTD | 4 |  |  |  |  |  |
Alt tol zeroes | DIMALTTZ | 0 |  |  |  |  |  |
Alt units | DIMALTU | 2 |  |  |  |  |  |
Alt zeroes | DIMALTZ | 0 |  |  |  |  |  |
Alternate units | DIMALT | Off |  |  |  |  |  |
Angle format | DIMAUNIT | 0 |  |  |  |  |  |
Angle precision | DIMADEC | 0 |  |  |  |  |  |
Angle zero suppression | DIMAZIN | 2.00 |  |  |  |  |  |
Arrow | DIMBLK | ClosedFilled |  |  |  |  |  |
Arrow 1 | DIMBLK1 | ClosedFilled |  |  | GENAXEH |  |  |
Arrow 2 | DIMBLK2 | ClosedFilled |  |  |  |  |  |
Arrow size | DIMASZ | 4.00 |  |  |  |  | 2.50 |
Center mark size | DIMCEN | 0.00 |  |  |  |  |  |
Decimal separator | DIMDSEP | . |  |  |  |  |  |
Dim line color | DIMCLRD | BYLAYER |  |  |  |  |  |
Dim line ext | DIMDLE | 0.00 |  |  |  |  |  |
Dim line forced | DIMTOFL | On |  | Off |  |  |  |
Dim line lineweight | DIMLWD | -1 |  |  |  |  |  |
Dim line spacing | DIMDLI | 10 |  |  |  |  |  |
Ext line color | DIMCLRE | BYLAYER |  |  |  |  |  |
Ext line extension | DIMEXE | 1 |  |  |  |  |  |
Ext line lineweight | DIMLWE | -1 |  |  |  |  |  |
Ext line offset | DIMEXO | 0.05 |  |  |  |  |  |
Fit: arrow and text | DIMATFIT | 3 | 0 | 0 |  |  |  |
Fit: text movement | DIMTMOVE | 0 |  |  |  |  |  |
Fraction format | DIMFRAC | 0 |  |  |  |  |  |
Leader arrow | DIMLDRBLK | ClosedFilled |  |  |  |  |  |
Length scale | DIMLFAC | 1.00 |  |  |  |  |  |
Length units | DIMLUNIT | 2 |  |  |  |  |  |
No dim line 1 | DIMSD1 | Off |  |  |  |  |  |
No dim line 2 | DIMSD2 | Off |  |  |  |  |  |
No dim lines outside | DIMSOXD | Off |  |  |  |  |  |
No ext line 1 | DIMSE1 | Off |  |  | On | On |  |
No ext line 2 | DIMSE2 | Off |  |  | On | On |  |
Overall scale | DIMSCALE | 1.00 |  |  |  |  |  |
Precision | DIMDEC | 2 |  |  |  |  |  |
Roundoff | DIMRND | 0.00 |  |  |  |  |  |
Separate arrows | DIMSAH | Off |  |  | On |  |  |
Text color | DIMCLRT | 2 (yellow) |  |  |  |  |  |
Text height | DIMTXT | 3.50 | 5.00 |  |  |  |  |
Text inside | DIMTIX | Off |  |  |  |  |  |
Text inside align | DIMTIH | Off |  |  |  |  |  |
Text offset | DIMGAP | 1.5 |  |  |  |  |  |
Text outside align | DIMTOH | Off |  | On |  |  |  |
Text pos hor | DIMJUST | 0 |  |  |  |  |  |
Text pos vert | DIMTAD | 1.00 |  |  |  |  |  | 0
Text prefix and suffix | DIMPOST |  |  |  |  |  |  |
Text style | DIMTXSTY | STANDARD |  |  |  |  |  |
Tol dev lower | DIMTM | 0.10 |  |  |  |  |  |
Tol dev upper | DIMTP | 0.10 |  |  |  |  |  |
Tol deviation | DIMTOL | Off |  |  |  |  |  |
Tol limits | DIMLIM | Off |  |  |  |  |  |
Tol pos vert | DIMTOLJ | 0 |  |  |  |  |  |
Tol precision | DIMTDEC | 3 |  |  |  |  |  |
Tol text scale factor | DIMTFAC | 0.71 |  |  |  |  |  |
Tol zero suppression | DIMTZIN | 8 |  |  |  |  |  |
Zero suppression | DIMZIN | 8 |  |  |  |  |  |
AM_CSN

Description | Variable | Dimension Style/ Sub Style
 |  | Base | Radial | Diameter | Half Shaft | Full Shaft | Leader | Ordinate
(DIMUPT) | DIMUPT | Off | On | On |  |  |  |
Alt precision | DIMALTD | 2 |  |  |  |  |  |
Alt prefix and suffix | DIMAPOST | " |  |  |  |  |  |
Alt roundoff | DIMALTRND | 0.00 |  |  |  |  |  |
Alt scale factor | DIMALTF | 0.04 |  |  |  |  |  |
Alt tol precision | DIMALTTD | 4 |  |  |  |  |  |
Alt tol zeroes | DIMALTTZ | 0 |  |  |  |  |  |
Alt units | DIMALTU | 2 |  |  |  |  |  |
Alt zeroes | DIMALTZ | 0 |  |  |  |  |  |
Alternate units | DIMALT | Off |  |  |  |  |  |
Angle format | DIMAUNIT | 0 |  |  |  |  |  |
Angle precision | DIMADEC | 0 |  |  |  |  |  |
Angle zero suppression | DIMAZIN | 2.00 |  |  |  |  |  |
Arrow | DIMBLK | ClosedFilled |  |  |  |  |  |
Arrow 1 | DIMBLK1 | ClosedFilled |  |  | GENAXEH |  |  |
Arrow 2 | DIMBLK2 | ClosedFilled |  |  |  |  |  |
Arrow size | DIMASZ | 2.5 |  |  |  |  |  |
Center mark size | DIMCEN | 0.00 |  |  |  |  |  |
Decimal separator | DIMDSEP | . |  |  |  |  |  |
Dim line color | DIMCLRD | BYLAYER |  |  |  |  |  |
Dim line ext | DIMDLE | 0.00 |  |  |  |  |  |
Dim line forced | DIMTOFL | On |  | Off |  |  |  |
Dim line lineweight | DIMLWD | -1 |  |  |  |  |  |
Dim line spacing | DIMDLI | 10 |  |  |  |  |  |
Ext line color | DIMCLRE | BYLAYER |  |  |  |  |  |
Ext line extension | DIMEXE | 1 |  |  |  |  |  |
Ext line lineweight | DIMLWE | -1 |  |  |  |  |  |
Ext line offset | DIMEXO | 0.05 |  |  |  |  |  |
Fit: arrow and text | DIMATFIT | 3 | 0 | 0 |  |  |  |
Fit: text movement | DIMTMOVE | 0 |  |  |  |  |  |
Fraction format | DIMFRAC | 0 |  |  |  |  |  |
Leader arrow | DIMLDRBLK | ClosedFilled |  |  |  |  |  |
Length scale | DIMLFAC | 1.00 |  |  |  |  |  |
Length units | DIMLUNIT | 2 |  |  |  |  |  |
No dim line 1 | DIMSD1 | Off |  |  |  |  |  |
No dim line 2 | DIMSD2 | Off |  |  |  |  |  |
No dim lines outside | DIMSOXD | Off |  |  |  |  |  |
No ext line 1 | DIMSE1 | Off |  |  | On | On |  |
No ext line 2 | DIMSE2 | Off |  |  | On | On |  |
Overall scale | DIMSCALE | 1.00 |  |  |  |  |  |
Precision | DIMDEC | 2 |  |  |  |  |  |
Roundoff | DIMRND | 0.00 |  |  |  |  |  |
Separate arrows | DIMSAH | Off |  |  | On |  |  |
Text color | DIMCLRT | 2 (yellow) |  |  |  |  |  |
Text height | DIMTXT | 3.50 | 5.00 |  |  |  |  |
Text inside | DIMTIX | Off |  |  |  |  |  |
Text inside align | DIMTIH | Off |  |  |  |  |  |
Text offset | DIMGAP | 1.5 |  |  |  |  |  |
Text outside align | DIMTOH | Off |  | On |  |  |  |
Text pos hor | DIMJUST | 0 |  |  |  |  |  |
Text pos vert | DIMTAD | 1.00 |  |  |  |  |  | 0
Text prefix and suffix | DIMPOST |  |  |  |  |  |  |
Text style | DIMTXSTY | STANDARD |  |  |  |  |  |
Tol dev lower | DIMTM | 0.10 |  |  |  |  |  |
Tol dev upper | DIMTP | 0.10 |  |  |  |  |  |
Tol deviation | DIMTOL | Off |  |  |  |  |  |
Tol limits | DIMLIM | Off |  |  |  |  |  |
Tol pos vert | DIMTOLJ | 0 |  |  |  |  |  |
Tol precision | DIMTDEC | 3 |  |  |  |  |  |
Tol text scale factor | DIMTFAC | 0.71 |  |  |  |  |  |
Tol zero suppression | DIMTZIN | 8 |  |  |  |  |  |
Zero suppression | DIMZIN | 8 |  |  |  |  |  |
AM_DIN

Description | Variable | Dimension Style/ Sub Style
 |  | Base | Radial | Diameter | Half Shaft | Full Shaft | Leader | Ordinate
(DIMUPT) | DIMUPT | Off | On | On |  |  |  |
Alt precision | DIMALTD | 2 |  |  |  |  |  |
Alt prefix and suffix | DIMAPOST | " |  |  |  |  |  |
Alt roundoff | DIMALTRND | 0.00 |  |  |  |  |  |
Alt scale factor | DIMALTF | 0.04 |  |  |  |  |  |
Alt tol precision | DIMALTTD | 4 |  |  |  |  |  |
Alt tol zeroes | DIMALTTZ | 0 |  |  |  |  |  |
Alt units | DIMALTU | 2 |  |  |  |  |  |
Alt zeroes | DIMALTZ | 0 |  |  |  |  |  |
Alternate units | DIMALT | Off |  |  |  |  |  |
Angle format | DIMAUNIT | 0 |  |  |  |  |  |
Angle precision | DIMADEC | 0 |  |  |  |  |  |
Angle zero suppression | DIMAZIN | 2.00 |  |  |  |  |  |
Arrow | DIMBLK | ClosedFilled |  |  |  |  |  |
Arrow 1 | DIMBLK1 | ClosedFilled |  |  | GENAXEH |  |  |
Arrow 2 | DIMBLK2 | ClosedFilled |  |  |  |  |  |
Arrow size | DIMASZ | 2.5 |  |  |  |  |  |
Center mark size | DIMCEN | 0.00 |  |  |  |  |  |
Decimal separator | DIMDSEP | . |  |  |  |  |  |
Dim line color | DIMCLRD | BYLAYER |  |  |  |  |  |
Dim line ext | DIMDLE | 0.00 |  |  |  |  |  |
Dim line forced | DIMTOFL | On |  | Off |  |  |  |
Dim line lineweight | DIMLWD | -1 |  |  |  |  |  |
Dim line spacing | DIMDLI | 10 |  |  |  |  |  |
Ext line color | DIMCLRE | BYLAYER |  |  |  |  |  |
Ext line extension | DIMEXE | 1 |  |  |  |  |  |
Ext line lineweight | DIMLWE | -1 |  |  |  |  |  |
Ext line offset | DIMEXO | 0.05 |  |  |  |  |  |
Fit: arrow and text | DIMATFIT | 3 | 0 | 0 |  |  |  |
Fit: text movement | DIMTMOVE | 0 |  |  |  |  |  |
Fraction format | DIMFRAC | 0 |  |  |  |  |  |
Leader arrow | DIMLDRBLK | ClosedFilled |  |  |  |  |  |
Length scale | DIMLFAC | 1.00 |  |  |  |  |  |
Length units | DIMLUNIT | 2 |  |  |  |  |  |
No dim line 1 | DIMSD1 | Off |  |  |  |  |  |
No dim line 2 | DIMSD2 | Off |  |  |  |  |  |
No dim lines outside | DIMSOXD | Off |  |  |  |  |  |
No ext line 1 | DIMSE1 | Off |  |  | On | On |  |
No ext line 2 | DIMSE2 | Off |  |  | On | On |  |
Overall scale | DIMSCALE | 1.00 |  |  |  |  |  |
Precision | DIMDEC | 2 |  |  |  |  |  |
Roundoff | DIMRND | 0.00 |  |  |  |  |  |
Separate arrows | DIMSAH | Off |  |  | On |  |  |
Text color | DIMCLRT | 2 (yellow) |  |  |  |  |  |
Text height | DIMTXT | 3.50 | 5.00 |  |  |  |  |
Text inside | DIMTIX | Off |  |  |  |  |  |
Text inside align | DIMTIH | Off |  |  |  |  |  |
Text offset | DIMGAP | 1.5 |  |  |  |  |  |
Text outside align | DIMTOH | Off |  | On |  |  |  |
Text pos hor | DIMJUST | 0 |  |  |  |  |  |
Text pos vert | DIMTAD | 1.00 |  |  |  |  |  | 0
Text prefix and suffix | DIMPOST |  |  |  |  |  |  |
Text style | DIMTXSTY | STANDARD |  |  |  |  |  |
Tol dev lower | DIMTM | 0.10 |  |  |  |  |  |
Tol dev upper | DIMTP | 0.10 |  |  |  |  |  |
Tol deviation | DIMTOL | Off |  |  |  |  |  |
Tol limits | DIMLIM | Off |  |  |  |  |  |
Tol pos vert | DIMTOLJ | 0 |  |  |  |  |  |
Tol precision | DIMTDEC | 3 |  |  |  |  |  |
Tol text scale factor | DIMTFAC | 0.71 |  |  |  |  |  |
Tol zero suppression | DIMTZIN | 8 |  |  |  |  |  |
Zero suppression | DIMZIN | 8 |  |  |  |  |  |
AM_GB

Description | Variable | Dimension Style/ Sub Style
 |  | Base | Radial | Diameter | Half Shaft | Full Shaft | Leader | Ordinate
(DIMUPT) | DIMUPT | Off | On | On |  |  |  |
Alt precision | DIMALTD | 2 |  |  |  |  |  |
Alt prefix and suffix | DIMAPOST | " |  |  |  |  |  |
Alt roundoff | DIMALTRND | 0.00 |  |  |  |  |  |
Alt scale factor | DIMALTF | 0.04 |  |  |  |  |  |
Alt tol precision | DIMALTTD | 4 |  |  |  |  |  |
Alt tol zeroes | DIMALTTZ | 0 |  |  |  |  |  |
Alt units | DIMALTU | 2 |  |  |  |  |  |
Alt zeroes | DIMALTZ | 0 |  |  |  |  |  |
Alternate units | DIMALT | Off |  |  |  |  |  |
Angle format | DIMAUNIT | 0 |  |  |  |  |  |
Angle precision | DIMADEC | 0 |  |  |  |  |  |
Angle zero suppression | DIMAZIN | 2.00 |  |  |  |  |  |
Arrow | DIMBLK | ClosedFilled |  |  |  |  |  |
Arrow 1 | DIMBLK1 | ClosedFilled |  |  | GENAXEH |  |  |
Arrow 2 | DIMBLK2 | ClosedFilled |  |  |  |  |  |
Arrow size | DIMASZ | 2.5 |  |  |  |  |  |
Center mark size | DIMCEN | 0.00 |  |  |  |  |  |
Decimal separator | DIMDSEP | . |  |  |  |  |  |
Dim line color | DIMCLRD | BYLAYER |  |  |  |  |  |
Dim line ext | DIMDLE | 0.00 |  |  |  |  |  |
Dim line forced | DIMTOFL | On |  | Off |  |  |  |
Dim line lineweight | DIMLWD | -1 |  |  |  |  |  |
Dim line spacing | DIMDLI | 10 |  |  |  |  |  |
Ext line color | DIMCLRE | BYLAYER |  |  |  |  |  |
Ext line extension | DIMEXE | 1 |  |  |  |  |  |
Ext line lineweight | DIMLWE | -1 |  |  |  |  |  |
Ext line offset | DIMEXO | 0.05 |  |  |  |  |  |
Fit: arrow and text | DIMATFIT | 3 | 0 | 0 |  |  |  |
Fit: text movement | DIMTMOVE | 0 |  |  |  |  |  |
Fraction format | DIMFRAC | 0 |  |  |  |  |  |
Leader arrow | DIMLDRBLK | ClosedFilled |  |  |  |  |  |
Length scale | DIMLFAC | 1.00 |  |  |  |  |  |
Length units | DIMLUNIT | 2 |  |  |  |  |  |
No dim line 1 | DIMSD1 | Off |  |  |  |  |  |
No dim line 2 | DIMSD2 | Off |  |  |  |  |  |
No dim lines outside | DIMSOXD | Off |  |  |  |  |  |
No ext line 1 | DIMSE1 | Off |  |  | On | On |  |
No ext line 2 | DIMSE2 | Off |  |  | On | On |  |
Overall scale | DIMSCALE | 1.00 |  |  |  |  |  |
Precision | DIMDEC | 2 |  |  |  |  |  |
Roundoff | DIMRND | 0.00 |  |  |  |  |  |
Separate arrows | DIMSAH | Off |  |  | On |  |  |
Text color | DIMCLRT | 2 (yellow) |  |  |  |  |  |
Text height | DIMTXT | 3.50 | 5.00 |  |  |  |  |
Text inside | DIMTIX | Off |  |  |  |  |  |
Text inside align | DIMTIH | Off |  |  |  |  |  |
Text offset | DIMGAP | 1.5 |  |  |  |  |  |
Text outside align | DIMTOH | Off |  | On |  |  |  |
Text pos hor | DIMJUST | 0 |  |  |  |  |  |
Text pos vert | DIMTAD | 1.00 |  |  |  |  |  | 0
Text prefix and suffix | DIMPOST |  |  |  |  |  |  |
Text style | DIMTXSTY | STANDARD |  |  |  |  |  |
Tol dev lower | DIMTM | 0.10 |  |  |  |  |  |
Tol dev upper | DIMTP | 0.10 |  |  |  |  |  |
Tol deviation | DIMTOL | Off |  |  |  |  |  |
Tol limits | DIMLIM | Off |  |  |  |  |  |
Tol pos vert | DIMTOLJ | 0 |  |  |  |  |  |
Tol precision | DIMTDEC | 3 |  |  |  |  |  |
Tol text scale factor | DIMTFAC | 0.71 |  |  |  |  |  |
Tol zero suppression | DIMTZIN | 8 |  |  |  |  |  |
Zero suppression | DIMZIN | 8 |  |  |  |  |  |
AM_ISO

Description | Variable | Dimension Style/ Sub Style
 |  | Base | Radial | Diameter | Half Shaft | Full Shaft | Leader | Ordinate
(DIMUPT) | DIMUPT | Off | On | On |  |  |  |
Alt precision | DIMALTD | 2 |  |  |  |  |  |
Alt prefix and suffix | DIMAPOST | " |  |  |  |  |  |
Alt roundoff | DIMALTRND | 0.00 |  |  |  |  |  |
Alt scale factor | DIMALTF | 0.04 |  |  |  |  |  |
Alt tol precision | DIMALTTD | 4 |  |  |  |  |  |
Alt tol zeroes | DIMALTTZ | 0 |  |  |  |  |  |
Alt units | DIMALTU | 2 |  |  |  |  |  |
Alt zeroes | DIMALTZ | 0 |  |  |  |  |  |
Alternate units | DIMALT | Off |  |  |  |  |  |
Angle format | DIMAUNIT | 0 |  |  |  |  |  |
Angle precision | DIMADEC | 0 |  |  |  |  |  |
Angle zero suppression | DIMAZIN | 2.00 |  |  |  |  |  |
Arrow | DIMBLK | ClosedFilled |  |  |  |  |  |
Arrow 1 | DIMBLK1 | ClosedFilled |  |  | GENAXEH |  |  |
Arrow 2 | DIMBLK2 | ClosedFilled |  |  |  |  |  |
Arrow size | DIMASZ | 2.5 |  |  |  |  |  |
Center mark size | DIMCEN | 0.00 |  |  |  |  |  |
Decimal separator | DIMDSEP | . |  |  |  |  |  |
Dim line color | DIMCLRD | BYLAYER |  |  |  |  |  |
Dim line ext | DIMDLE | 0.00 |  |  |  |  |  |
Dim line forced | DIMTOFL | On |  | Off |  |  |  |
Dim line lineweight | DIMLWD | -1 |  |  |  |  |  |
Dim line spacing | DIMDLI | 10 |  |  |  |  |  |
Ext line color | DIMCLRE | BYLAYER |  |  |  |  |  |
Ext line extension | DIMEXE | 1 |  |  |  |  |  |
Ext line lineweight | DIMLWE | -1 |  |  |  |  |  |
Ext line offset | DIMEXO | 0.05 |  |  |  |  |  |
Fit: arrow and text | DIMATFIT | 3 | 0 | 0 |  |  |  |
Fit: text movement | DIMTMOVE | 0 |  |  |  |  |  |
Fraction format | DIMFRAC | 0 |  |  |  |  |  |
Leader arrow | DIMLDRBLK | ClosedFilled |  |  |  |  |  |
Length scale | DIMLFAC | 1.00 |  |  |  |  |  |
Length units | DIMLUNIT | 2 |  |  |  |  |  |
No dim line 1 | DIMSD1 | Off |  |  |  |  |  |
No dim line 2 | DIMSD2 | Off |  |  |  |  |  |
No dim lines outside | DIMSOXD | Off |  |  |  |  |  |
No ext line 1 | DIMSE1 | Off |  |  | On | On |  |
No ext line 2 | DIMSE2 | Off |  |  | On | On |  |
Overall scale | DIMSCALE | 1.00 |  |  |  |  |  |
Precision | DIMDEC | 2 |  |  |  |  |  |
Roundoff | DIMRND | 0.00 |  |  |  |  |  |
Separate arrows | DIMSAH | Off |  |  | On |  |  |
Text color | DIMCLRT | 2 (yellow) |  |  |  |  |  |
Text height | DIMTXT | 3.50 | 5.00 |  |  |  |  |
Text inside | DIMTIX | Off |  |  |  |  |  |
Text inside align | DIMTIH | Off |  |  |  |  |  |
Text offset | DIMGAP | 1.5 |  |  |  |  |  |
Text outside align | DIMTOH | Off |  | On |  |  |  |
Text pos hor | DIMJUST | 0 |  |  |  |  |  |
Text pos vert | DIMTAD | 1.00 |  |  |  |  |  | 0
Text prefix and suffix | DIMPOST |  |  |  |  |  |  |
Text style | DIMTXSTY | STANDARD |  |  |  |  |  |
Tol dev lower | DIMTM | 0.10 |  |  |  |  |  |
Tol dev upper | DIMTP | 0.10 |  |  |  |  |  |
Tol deviation | DIMTOL | Off |  |  |  |  |  |
Tol limits | DIMLIM | Off |  |  |  |  |  |
Tol pos vert | DIMTOLJ | 0 |  |  |  |  |  |
Tol precision | DIMTDEC | 3 |  |  |  |  |  |
Tol text scale factor | DIMTFAC | 0.71 |  |  |  |  |  |
Tol zero suppression | DIMTZIN | 8 |  |  |  |  |  |
Zero suppression | DIMZIN | 8 |  |  |  |  |  |
AM_JIS

Description | Variable | Dimension Style/ Sub Style
 |  | Base | Radial | Diameter | Half Shaft | Full Shaft | Leader | Ordinate
(DIMUPT) | DIMUPT | Off | On | On |  |  |  |
Alt precision | DIMALTD | 2 |  |  |  |  |  |
Alt prefix and suffix | DIMAPOST | " |  |  |  |  |  |
Alt roundoff | DIMALTRND | 0.00 |  |  |  |  |  |
Alt scale factor | DIMALTF | 0.04 |  |  |  |  |  |
Alt tol precision | DIMALTTD | 4 |  |  |  |  |  |
Alt tol zeroes | DIMALTTZ | 0 |  |  |  |  |  |
Alt units | DIMALTU | 2 |  |  |  |  |  |
Alt zeroes | DIMALTZ | 0 |  |  |  |  |  |
Alternate units | DIMALT | Off |  |  |  |  |  |
Angle format | DIMAUNIT | 0 |  |  |  |  |  |
Angle precision | DIMADEC | 0 |  |  |  |  |  |
Angle zero suppression | DIMAZIN | 2.00 |  |  |  |  |  |
Arrow | DIMBLK | Open30 |  |  |  |  |  |
Arrow 1 | DIMBLK1 | Open30 |  |  | GENAXEH |  |  |
Arrow 2 | DIMBLK2 | Open30 |  |  |  |  |  |
Arrow size | DIMASZ | 2.5 |  |  |  |  |  |
Center mark size | DIMCEN | 0.00 |  |  |  |  |  |
Decimal separator | DIMDSEP | . |  |  |  |  |  |
Dim line color | DIMCLRD | BYLAYER |  |  |  |  |  |
Dim line ext | DIMDLE | 0.00 |  |  |  |  |  |
Dim line forced | DIMTOFL | On |  | Off |  |  |  |
Dim line lineweight | DIMLWD | -1 |  |  |  |  |  |
Dim line spacing | DIMDLI | 10 |  |  |  |  |  |
Ext line color | DIMCLRE | BYLAYER |  |  |  |  |  |
Ext line extension | DIMEXE | 1 |  |  |  |  |  |
Ext line lineweight | DIMLWE | -1 |  |  |  |  |  |
Ext line offset | DIMEXO | 0.05 |  |  |  |  |  |
Fit: arrow and text | DIMATFIT | 3 | 0 | 0 |  |  |  |
Fit: text movement | DIMTMOVE | 0 |  |  |  |  |  |
Fraction format | DIMFRAC | 0 |  |  |  |  |  |
Leader arrow | DIMLDRBLK | ClosedFilled |  |  |  |  |  |
Length scale | DIMLFAC | 1.00 |  |  |  |  |  |
Length units | DIMLUNIT | 2 |  |  |  |  |  |
No dim line 1 | DIMSD1 | Off |  |  |  |  |  |
No dim line 2 | DIMSD2 | Off |  |  |  |  |  |
No dim lines outside | DIMSOXD | Off |  |  |  |  |  |
No ext line 1 | DIMSE1 | Off |  |  | On | On |  |
No ext line 2 | DIMSE2 | Off |  |  | On | On |  |
Overall scale | DIMSCALE | 1.00 |  |  |  |  |  |
Precision | DIMDEC | 2 |  |  |  |  |  |
Roundoff | DIMRND | 0.00 |  |  |  |  |  |
Separate arrows | DIMSAH | Off |  |  | On |  |  |
Text color | DIMCLRT | 2 (yellow) |  |  |  |  |  |
Text height | DIMTXT | 3.50 | 5.00 |  |  |  |  |
Text inside | DIMTIX | Off |  |  |  |  |  |
Text inside align | DIMTIH | Off |  |  |  |  |  |
Text offset | DIMGAP | 1.5 |  |  |  |  |  |
Text outside align | DIMTOH | Off |  | On |  |  |  |
Text pos hor | DIMJUST | 0 |  |  |  |  |  |
Text pos vert | DIMTAD | 3 |  |  |  |  |  | 0
Text prefix and suffix | DIMPOST |  |  |  |  |  |  |
Text style | DIMTXSTY | STANDARD |  |  |  |  |  |
Tol dev lower | DIMTM | 0.10 |  |  |  |  |  |
Tol dev upper | DIMTP | 0.10 |  |  |  |  |  |
Tol deviation | DIMTOL | Off |  |  |  |  |  |
Tol limits | DIMLIM | Off |  |  |  |  |  |
Tol pos vert | DIMTOLJ | 0 |  |  |  |  |  |
Tol precision | DIMTDEC | 3 |  |  |  |  |  |
Tol text scale factor | DIMTFAC | 0.71 |  |  |  |  |  |
Tol zero suppression | DIMTZIN | 8 |  |  |  |  |  |
Zero suppression | DIMZIN | 8 |  |  |  |  |  |


Predefine dimension text templates (Concept)

Configure dimension styles
Configure dimensions
Configure distance snaps
Configuration and setup guide > Configure dimensions >
Predefine dimension text templates
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

When you create dimensions using Power Dimensioning, you can select a dimension text template from a drop-down list showing rendered, predefined formats.

You can modify the existing formats and add them to the list so that they are available at draw time.


Predefine dimension text templates (Procedure)

Configure dimension styles
Up a level to ..
Predefine dimension text templates
Configuration and setup guide > Configure dimensions >
Predefine dimension text templates
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To Add a New Dimension Text Template

To Delete a Power Dimension Text Template


Predefine dimension text templates (Quick Reference)

Configure dimension styles
Predefine dimension text templates
Predefine dimension text templates
Configuration and setup guide > Configure dimensions >
Predefine dimension text templates
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Dimension Settings dialog box

Predefined Dimension Text dialog box


To Add a New Dimension Text Template (Procedure)

Predefine dimension text templates
Up a level to ..
Predefine dimension text templates
Configuration and setup guide > Configure dimensions >
Predefine dimension text templates
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To Add a New Dimension Text Template

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. In the Options dialog box, click the AM:Standards tab.
  3. In the Standard Elements list, double-click Dimension. The Dimension Settings dialog box appears.
  4. Click Predefined Text. The Predefined Dimension Text dialog box appears.
  5. From the Predefined text list, select the template that is closest to the target format.
  6. To add a special character:
    1. Position the cursor where you want to insert the special character.
    2. Click
    3. From the displayed palette, click the special character to insert.
  7. To apply text formatting to a selected section of the dimension text:
    1. In the text editor, select the characters to format.
    2. Right-click and choose a formatting option from the Format menu.
  8. To stack two numbers vertically:
    1. In the text editor, enter the two numbers separated by the “/” character.
    2. Select the two numbers along with the separator and right-click.
    3. Select Format > Stacked and select the stacking method.
  9. Click Add. The program adds the new text template to the Predefined list
  10. Click OK until all dialog boxes close.
NoteTo add a symbol text from an existing Power Dimension text, from the Power Dimensioning dialog box, copy the text to the clipboard and paste it in the Dimension Text box.


To Delete a Power Dimension Text Template (Procedure)

Predefine dimension text templates
Up a level to ..
Configure distance snaps
Configuration and setup guide > Configure dimensions >
Predefine dimension text templates
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To Delete a Power Dimension Text Template

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. In the Options dialog box, click the AM:Standards tab.
  3. In the Standard Elements list, double-click Dimension. The Dimension Settings dialog box appears.
  4. Click Predefined Text. The Predefined Dimension Text dialog box appears.
  5. From the Predefined Text list, select the dimension text template to delete.
  6. Click Remove.
  7. Click OK until all dialog boxes close.


Predefine dimension text templates (Quick Reference)

Predefine dimension text templates
Predefine dimension text templates
Predefine dimension text templates
Configuration and setup guide > Configure dimensions >
Predefine dimension text templates
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Dimension Settings dialog box

Use this dialog box to set preferences for Power Dimension commands for the current standard

Dimension style

Base dimension style

Sets the dimension style to be used as the base dimension style. All the dimension types are based on the dimension style or a variation (a sub-style).

Edit

Displays the Dimension Styles dialog box, enabling you to create, modify, and assign dimension styles.

Force power dimensions to use this dimension style

Prevents the dimension style from being overridden (via the DIMSTYLE command) during a drawing session.

Default representations

Chamfer

Displays the Chamfer Representation dialog box, enabling you to select the default chamfer dimension representation from a predefined list of representations.

Radius

Displays the Radius Representation dialog box, enabling you to select the default locations for dimension line, dimension text, and arrowhead for radius.

Diameter

Displays the Diameter Representation dialog box, enabling you to select the default locations for dimension line, dimension text, and arrowhead for diameter.

Dimension Text

Ignore AutoCAD scale factor for linear dimension measurements

Makes Power Dimensioning ignore the DIMLFAC system variable and other settings that control the linear scale.

AutoCAD Mechanical uses several scaling mechanisms such as scale areas, detail views, and annotation views, that are not available in AutoCAD. Power dimensioning recognizes the scales and automatically compensates for them. If you choose to honor AutoCAD scale factors and use different scales in different places in a drawing, AutoCAD Mechanical's scaling mechanisms may not reflect the correct dimension value.

NoteThis setting is not available for Inventor linked drawings.
NoteThis setting is not available in AutoCAD Mechanical

Predefined Text

Displays the Predefined Text dialog box, which enables you to create predefined dimension text templates for Power DImensioning commands at draw time.

Fits and Tolerances

Fits

Displays the Fits Representation dialog box, which enables you to set the default fit representation. It also provides access to the System Editor, which enables you to modify the Windows registry settings that define the existing fit representations as well as create new ones.

Tolerances

Displays the Tolerance Representation dialog box, which enables you to set the default tolerance method. It also provides access to the System Editor, which enables you to modify the Windows registry settings that define the existing tolerance methods as well as create new ones.

When a fits list requires updates

Configures how fits lists rebuild. You can choose to update fits lists schematically, have the system prompt you, or update fits lists on demand by selecting the manual option.

Placement Options

Display visual aids when creating dimensions

Displays an icon on the crosshairs when a dimension is created, indicating the type of dimension being created.

In chain dimensions, replace arrows with points for lengths less than

Defines the distance at which arrowheads are replaced with points in chain dimensions.

Use distance snaps for placement

Turns on distance snaps, which cause dimensions to snap into place as you move the dimension line in the drawing area.

Snaps value

Sets the distance from the snap position to the object being dimensioned.

Display power dimension dialog

Sets how often the Power Dimension dialog box appears during one command session.

Show text override prompt

Enables the display of the text override prompt enabling you to modify the dimension text on the command line during the dimensioning process. By default, this check box is cleared.

Restore defaults

Resets all settings to the factory settings for the current standard. If the current standard is a custom standard, the settings default to the factory settings of the standard it is derived from.


Predefine dimension text templates (Quick Reference)

Predefine dimension text templates
Predefine dimension text templates
Configure distance snaps
Configuration and setup guide > Configure dimensions >
Predefine dimension text templates
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Predefined Dimension Text dialog box

Use this dialog box to customize predefined dimension text templates for use with the AMPOWERDIM command and its variants.

Text editor

Shows a graphical representation of the dimension text currently selected from the list of predefined text strings. Place the cursor in the text editor to add or delete text.

Right-click menu options

Enables you to specify formatting for the selected segment of text. The formatting options are:

  • Underline - Toggles underlining for the selected text.
  • Overline - Toggles overlining for the selected text.
  • Alignment - Specifies how the selected text aligns to stacked text on the same line.
  • Stacked- Stacks two segments of text separated by a “/” character.
  • Text Color - Specifies a color for the selected text.
  • Text Height - Applies a scale factor for the selected text.
  • Text Font - Specifies a font for the selected text.
  • Text Width - Applies a scale factor for the width of the selected text.
  • Tracking Factor - Specifies the spacing between characters of the selected text.

Insert special characters

Displays a palette of special characters available for insertion at the cursor position in the Text editor.

Preview Mode

Selects the dimension text in the Text editor.

  • Plain Text - Displays variables and formatting signs that define the dimension text.
  • Rendered Text Colored - Renders all variables and formatting signs to preview the dimension text.
  • Rendered Text Mono - Displays monochromatically the same text as the Rendered Text Colored mode.
TipUse the Plain Text mode especially if you are inserting variables. It gives you more control over where to place variables. Use a rendered mode for a preview of the dimension text.

Predefined text list

Displays a list of predefined dimension text templates available for the AMPOWERDIM command and its variants.

Add

Adds the text in the Text editor to the list of predefined text strings.

Remove

Deletes the text that is selected in the Predefined text list.


Configure distance snaps (Concept)

Predefine dimension text templates
Configure dimensions
Configure the default radius, diameter, and chamfer representations
Configuration and setup guide > Configure dimensions >
Configure distance snaps
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Distance snap enables you to insert the dimension line at a defined distance from the object you are dimensioning. If distance snap is active, when you drag the dimension to place it in the drawing area, it snaps into position and changes to red. Configuring distance snaps includes activating the feature and setting the snap distance.

For baseline dimensions, AutoCAD Mechanical maintains a consistent gap between the dimensions. This gap reflects the DIMDLI system variable and not the snap distance.


To Configure Distance Snap Settings (Procedure)

Predefine dimension text templates
Up a level to ..
Configure the default radius, diameter, and chamfer representations
Configuration and setup guide > Configure dimensions >
Configure distance snaps
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To Configure Distance Snap Settings

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. In the Options dialog box, click the AM:Standards tab.
  3. In the Standard Elements list, double-click Dimension. The Dimension Settings dialog box appears.
  4. To enable distance snaps, select the Use distance snap for placement check box.
  5. In the Snap value box, type the distance.
  6. Click OK until all dialog boxes close.


Configure distance snaps (Quick Reference)

Predefine dimension text templates
Configure distance snaps
Configure the default radius, diameter, and chamfer representations
Configuration and setup guide > Configure dimensions >
Configure distance snaps
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Dimension Settings dialog box

Use this dialog box to set preferences for Power Dimension commands for the current standard

Dimension style

Base dimension style

Sets the dimension style to be used as the base dimension style. All the dimension types are based on the dimension style or a variation (a sub-style).

Edit

Displays the Dimension Styles dialog box, enabling you to create, modify, and assign dimension styles.

Force power dimensions to use this dimension style

Prevents the dimension style from being overridden (via the DIMSTYLE command) during a drawing session.

Default representations

Chamfer

Displays the Chamfer Representation dialog box, enabling you to select the default chamfer dimension representation from a predefined list of representations.

Radius

Displays the Radius Representation dialog box, enabling you to select the default locations for dimension line, dimension text, and arrowhead for radius.

Diameter

Displays the Diameter Representation dialog box, enabling you to select the default locations for dimension line, dimension text, and arrowhead for diameter.

Dimension Text

Ignore AutoCAD scale factor for linear dimension measurements

Makes Power Dimensioning ignore the DIMLFAC system variable and other settings that control the linear scale.

AutoCAD Mechanical uses several scaling mechanisms such as scale areas, detail views, and annotation views, that are not available in AutoCAD. Power dimensioning recognizes the scales and automatically compensates for them. If you choose to honor AutoCAD scale factors and use different scales in different places in a drawing, AutoCAD Mechanical's scaling mechanisms may not reflect the correct dimension value.

NoteThis setting is not available for Inventor linked drawings.
NoteThis setting is not available in AutoCAD Mechanical

Predefined Text

Displays the Predefined Text dialog box, which enables you to create predefined dimension text templates for Power DImensioning commands at draw time.

Fits and Tolerances

Fits

Displays the Fits Representation dialog box, which enables you to set the default fit representation. It also provides access to the System Editor, which enables you to modify the Windows registry settings that define the existing fit representations as well as create new ones.

Tolerances

Displays the Tolerance Representation dialog box, which enables you to set the default tolerance method. It also provides access to the System Editor, which enables you to modify the Windows registry settings that define the existing tolerance methods as well as create new ones.

When a fits list requires updates

Configures how fits lists rebuild. You can choose to update fits lists schematically, have the system prompt you, or update fits lists on demand by selecting the manual option.

Placement Options

Display visual aids when creating dimensions

Displays an icon on the crosshairs when a dimension is created, indicating the type of dimension being created.

In chain dimensions, replace arrows with points for lengths less than

Defines the distance at which arrowheads are replaced with points in chain dimensions.

Use distance snaps for placement

Turns on distance snaps, which cause dimensions to snap into place as you move the dimension line in the drawing area.

Snaps value

Sets the distance from the snap position to the object being dimensioned.

Display power dimension dialog

Sets how often the Power Dimension dialog box appears during one command session.

Show text override prompt

Enables the display of the text override prompt enabling you to modify the dimension text on the command line during the dimensioning process. By default, this check box is cleared.

Restore defaults

Resets all settings to the factory settings for the current standard. If the current standard is a custom standard, the settings default to the factory settings of the standard it is derived from.


Configure the default radius, diameter, and chamfer representations (Concept)

Configure distance snaps
Configure dimensions
Configure the default tolerance method and fit representation
Configuration and setup guide > Configure dimensions >
Configure the default radius, diameter, and chamfer representations
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Dimensions styles control how diameter dimensions and radius dimensions appear. AutoCAD Mechanical configurations dialog boxes contain only the options relevant to these dimension types, providing a quick way to change these settings. These dialog boxes automatically update the relevant dimension styles. Because these dialog boxes are easier to use than the corresponding dialog boxes for editing the dimension style directly, we recommend using AutoCAD Mechanical’s radius Representation dialog box and Diameter Representation dialog box.

Chamfer representations, unlike radius and diameter dimensions, do not reflect the dimension style. They are in the drawing file. You can save them to a template (.dwt) for use as a default settings across an entire organization. The Chamfer representation dialog box enables you to select a default representation for chamfer dimensions from a graphical list of preset representations.


Configure the default radius, diameter, and chamfer representations (Procedure)

Configure distance snaps
Up a level to ..
Configure the default radius, diameter, and chamfer representations
Configuration and setup guide > Configure dimensions >
Configure the default radius, diameter, and chamfer representations
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To Set the Default Representation for Radius Dimensions

To Set the Default Representation for Diameter Dimensions

To Set the Default Representation for Chamfer Dimensions


Configure the default radius, diameter, and chamfer representations (Quick Reference)

Configure distance snaps
Configure the default radius, diameter, and chamfer representations
Configure the default radius, diameter, and chamfer representations
Configuration and setup guide > Configure dimensions >
Configure the default radius, diameter, and chamfer representations
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Radius Representations dialog box

Diameter Representations dialog box

Chamfer Representations dialog box


To Set the Default Representation for Radius Dimensions (Procedure)

Configure the default radius, diameter, and chamfer representations
Up a level to ..
Configure the default radius, diameter, and chamfer representations
Configuration and setup guide > Configure dimensions >
Configure the default radius, diameter, and chamfer representations
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To Set the Default Representation for Radius Dimensions

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. In the Options dialog box, click the AM:Standards tab.
  3. In the Standard Elements list, double-click Dimension. The Dimension Settings dialog box appears.
  4. Click Radius. The Radius Representation dialog box appears.
  5. Select the check boxes corresponding to the behaviors to enable. The preview updates.
  6. Click OK until all dialog boxes close.


To Set the Default Representation for Diameter Dimensions (Procedure)

Configure the default radius, diameter, and chamfer representations
Up a level to ..
Configure the default radius, diameter, and chamfer representations
Configuration and setup guide > Configure dimensions >
Configure the default radius, diameter, and chamfer representations
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To Set the Default Representation for Diameter Dimensions

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. In the Options dialog box, click the AM:Standards tab.
  3. In the Standard Elements list, double-click Dimension. The Dimension Settings dialog box appears.
  4. Click Diameter. The Diameter Representation dialog box appears.
  5. Select the check boxes corresponding to the behaviors to enable. The preview updates.
  6. Click OK until all dialog boxes close.


To Set the Default Representation for Chamfer Dimensions (Procedure)

Configure the default radius, diameter, and chamfer representations
Up a level to ..
Configure the default tolerance method and fit representation
Configuration and setup guide > Configure dimensions >
Configure the default radius, diameter, and chamfer representations
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To Set the Default Representation for Chamfer Dimensions

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. In the Options dialog box, click the AM:Standards tab.
  3. In the Standard Elements list, double-click Dimension. The Dimension Settings dialog box appears.
  4. Click Chamfer. The Chamfer Representation dialog box appears.
  5. From the drop-down list, select the default representation for chamfer dimensions.
  6. Click OK until all dialog boxes close.


Configure the default radius, diameter, and chamfer representations (Quick Reference)

Configure the default radius, diameter, and chamfer representations
Configure the default radius, diameter, and chamfer representations
Configure the default radius, diameter, and chamfer representations
Configuration and setup guide > Configure dimensions >
Configure the default radius, diameter, and chamfer representations
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Radius Representations dialog box

Use this dialog box to configure the default locations for dimension line, dimension text and arrowhead for radius dimensions

When dimension text is outside, draw dimension line inside arc/circle

Draws a dimension line inside the circle or arc and places the text, arrowheads, and leader outside. This option is applicable only when the radius is small and the dimension text must be outside the arc or circle. The preview updates to reflect the selection.

Draw arrows inside

Places the arrow inside the circle or arc.

When dimension text is inside, hide dimension line inside arc/circle

Suppresses the dimension line inside the circle or arc. This option is applicable only when the dimension text is inside the arc or circle. The preview updates to reflect the selection.

Create landing line

Draws dimension text horizontally when dimension text is outside the circle. This option is not available for the ANSI drafting standard.

Draw center cross

Draws a center mark if you place the dimension line outside the circle or arc. This option is available only for the ANSI drafting standard.


Configure the default radius, diameter, and chamfer representations (Quick Reference)

Configure the default radius, diameter, and chamfer representations
Configure the default radius, diameter, and chamfer representations
Configure the default radius, diameter, and chamfer representations
Configuration and setup guide > Configure dimensions >
Configure the default radius, diameter, and chamfer representations
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Diameter Representations dialog box

Use this dialog box to configure the default locations for dimension line, dimension text and arrowhead for diameter dimensions.

When dimension text is outside, draw dimension line inside arc/circle

Draws a dimension line inside the circle or arc and places the text, arrowheads, and leader outside. This option is applicable only when the diameter is small and the dimension text must be outside the arc or circle. The preview updates to reflect the selection.

Draw arrows

Places the arrow inside the circle or arc.

When dimension text is inside, hide dimension line inside arc/circle

Suppresses the dimension line inside the circle or arc. This option is applicable only when the dimension text is inside the arc or circle. The preview updates to reflect the selection.

Create landing line

Draws dimension text horizontally when dimension text is outside the circle. This option is not available for the ANSI drafting standard.

Draw center cross

Draws a center mark if you place the dimension line outside the circle or arc. This option is available only for the ANSI drafting standard.


Configure the default radius, diameter, and chamfer representations (Quick Reference)

Configure the default radius, diameter, and chamfer representations
Configure the default radius, diameter, and chamfer representations
Configure the default tolerance method and fit representation
Configuration and setup guide > Configure dimensions >
Configure the default radius, diameter, and chamfer representations
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Chamfer Representations dialog box

Use this dialog box to configure the default representation for chamfer dimensions.

Image showing chamfer representations

Shows the current default chamfer representations. Click the drop-down arrow next to the image to display a list of representations and click the representation to set as default.


Configure the default tolerance method and fit representation (Concept)

Configure the default radius, diameter, and chamfer representations
Configure dimensions
Configure drawing sheets
Configuration and setup guide > Configure dimensions >
Configure the default tolerance method and fit representation
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Tolerance methods and fit representations do not reflect the dimension style. They are stored in the Windows registry.

AutoCAD Mechanical enables you to select a tolerance method and a fit representation as the defaults for the Power Dimension family of commands. Because these settings are in the Windows registry, they do not transfer from one computer to another through templates.


Configure the default tolerance method and fit representation (Procedure)

Configure the default radius, diameter, and chamfer representations
Up a level to ..
Configure the default tolerance method and fit representation
Configuration and setup guide > Configure dimensions >
Configure the default tolerance method and fit representation
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To Set the Default Fit Representation

To Set the Default Tolerance Method


Configure the default tolerance method and fit representation (Quick Reference)

Configure the default radius, diameter, and chamfer representations
Configure the default tolerance method and fit representation
Configure the default tolerance method and fit representation
Configuration and setup guide > Configure dimensions >
Configure the default tolerance method and fit representation
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Fit Representations dialog box

Tolerance Methods dialog box


To Set the Default Fit Representation (Procedure)

Configure the default tolerance method and fit representation
Up a level to ..
Configure the default tolerance method and fit representation
Configuration and setup guide > Configure dimensions >
Configure the default tolerance method and fit representation
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To Set the Default Fit Representation

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. In the Options dialog box, click the AM:Standards tab.
  3. In the Standard Elements list, double-click Dimension. The Dimension Settings dialog box appears.
  4. Click Fits. The Fit Representations dialog box appears.
  5. From the drop-down list, select the default representation for fits.
  6. Click OK until all dialog boxes close.


To Set the Default Tolerance Method (Procedure)

Configure the default tolerance method and fit representation
Up a level to ..
Configure drawing sheets
Configuration and setup guide > Configure dimensions >
Configure the default tolerance method and fit representation
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To Set the Default Tolerance Method

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. In the Options dialog box, click the AM:Standards tab.
  3. In the Standard Elements list, double-click Dimension. The Dimension Settings dialog box appears.
  4. Click Tolerance. The Tolerance Method dialog box appears.
  5. From the drop-down list, select the default method for tolerances.
  6. Click OK until all dialog boxes close.


Configure the default tolerance method and fit representation (Quick Reference)

Configure the default tolerance method and fit representation
Configure the default tolerance method and fit representation
Configure the default tolerance method and fit representation
Configuration and setup guide > Configure dimensions >
Configure the default tolerance method and fit representation
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Fit Representations dialog box

Use this dialog box to set the defaults for fits.

Choose the default representation for fits

Graphically shows the default fit representation. Click the drop-down arrow next to the image to display a list of representations and click the representation to set as default.

Customize fit representations

System Editor

Displays the System Editor, which enables you to modify the Windows registry settings that define the existing set of fit representations as well as create new ones.


Configure the default tolerance method and fit representation (Quick Reference)

Configure the default tolerance method and fit representation
Configure the default tolerance method and fit representation
Configure drawing sheets
Configuration and setup guide > Configure dimensions >
Configure the default tolerance method and fit representation
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Tolerance Methods dialog box

Use this dialog box to set the defaults for tolerance methods.

Choose the default method for tolerances

Graphically shows the default tolerance representation. Click the drop-down arrow next to the image to display a list of representations and click the representation to set as default.

Customize tolerance methods

System Editor

Displays the System Editor, which enables you to modify the Windows registry settings that define the existing set of tolerance representations as well as create new ones.


Configure drawing sheets (Concept)

Configure the default tolerance method and fit representation
Configuration and setup guide
Configure section lines and section view labels
Configuration and setup guide >
Configure drawing sheets
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

When you select a drafting standard for a drawing, the drawing sheet formats that correspond to the standard become available for selection in the AMTITLE command. Drawing sheet formats consist of two individually configurable areas:

  • The drawing border
  • The title block

Each of these items exists as separate .dwg files, which you can customize. Usually, you do not modify the original files supplied with the product, but rather create a copy and modify that. Configure your system to use the modified files with the AMTITLE command.

Once you add the required drawing borders and title blocks, you may want to remove all other selections from the AMTITLE command.

NoteIf you change the settings in the middle of a drawing session, they may not take effect if you already have a drawing border in the drawing area. To make the latest settings take effect, delete existing drawing borders and purge all blocks and then invoke the AMTITLE command.


Configure drawing sheets (Procedure)

Configure the default tolerance method and fit representation
Configure drawing sheets
Configure drawing sheets
Configuration and setup guide >
Configure drawing sheets
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To customize drawing border and title block

To add a title block to the list of available title blocks

To remove a title block from the list of available title blocks

To create a customized drawing border

To add a drawing border to the paper formats list

To remove a drawing border from the paper formats list

To add title block extensions


To customize drawing border and title block (Procedure)

Configure drawing sheets
Configure drawing sheets
Configure drawing sheets
Configuration and setup guide >
Configure drawing sheets
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To customize drawing border and title block

Title blocks are DWG files that the program inserts into a drawing when you execute the AMTITLE command. These DWG files contain key information. We recommend that you create a copy of the supplied title block closest to your requirements and modify it per your requirements.

  1. Click None [image] None [image] . At the Command prompt, enter OPEN.
  2. Select the file containing the title block closest to the one you need.
    NoteThe program stores title blocks in the Title subfolder of the folder containing title border files.
  3. Save the file with another name in the same folder.
  4. From the View menu, select Zoom [image] Zoom All. The title block appears. Static text (title block captions such as the text “File Name”) and variable text (title block entries such as the file name) are shown as tags.
    Illustration of an ISO title block

    Title block captions appear in red and title block data (implemented as attributes) appears in blue

  5. To edit a static text, double-click the static text and type the new caption.
    NoteAlthough default title block captions are implemented as tags (for example, Igenmsg “gentitis” 60{22.7}), when you insert your own captions, they do not need to be inserted as tags. Type the text to display.
    Illustration of a custom title block

    Title block captions appear in red and title block data (implemented as attributes) appears in blue

  6. To edit a variable text:
    1. Double-click the variable text. The Edit attributes dialog box is displayed.
    2. In the Tag box, type the name of the title block attribute, ending it with a pair of curly brackets.
    3. Between the curly brackets, type the width to height ratio of the variable text. For example, if the text height is 5 units, and the available width is 100 units, enter 20 between the curly brackets.
    4. In the prompt box, type the caption for this variable text.
      NoteAlthough default title block captions are implemented as tags (for example, Igenmsg “gentitis” 60), custom captions do not need to be inserted as tags. Type the text to display.
    5. In the default box, type the default value for the variable text.
    6. Click OK
  7. Use the MOVE and ERASE commands to reorganize entries as required.
  8. Save and close the file.
  9. In the file you want to add the title block to, add this file to the list of available title blocks.


To add a title block to the list of available title blocks (Procedure)

Configure drawing sheets
Configure drawing sheets
Configure drawing sheets
Configuration and setup guide >
Configure drawing sheets
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To add a title block to the list of available title blocks

  1. Click None [image] None [image] At the Command prompt, enter AMOPTIONS.
  2. In the Options dialog box, select the AM:Standards tab.
  3. In the Standard Elements list, double-click Drawing Sheet. The Drawing Sheet Properties dialog box is displayed.
  4. In the Default Title section, click the Additional button. The Select File dialog box is displayed.
    NoteThe program stores title blocks in theTitle subfolder of the folder containing title border files.
  5. Select the file containing the desired title block and click Open.
  6. Click OK until all dialog boxes close.

The program saves the title block details to the current drafting standard. When you execute the AMTITLE command after changing the title block details, the selected title block is available for selection.


To remove a title block from the list of available title blocks (Procedure)

Configure drawing sheets
Configure drawing sheets
Configure drawing sheets
Configuration and setup guide >
Configure drawing sheets
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To remove a title block from the list of available title blocks

The drafting standard keeps track of the names of the files selected for use as title blocks. Renaming a file removes the title block from the selection set, and therefore the AMTITLE command. To remove unnecessary selections from the AMTITLE command:

  1. At the Command prompt, enter AMOPTIONS
  2. In the Options dialog box, select the AM:Standards tab.
  3. In the Standard Elements list, double-click Drawing Sheet. The Drawing Sheet Properties dialog box is displayed.
  4. In the Default Title Block section, click the Additional button. The Select File dialog box is displayed.
  5. Right-click the file to remove from the selection set and rename it.
  6. Click Cancel until you return to the AM:Standards tab of the Options dialog box.
  7. In the Standard Elements list, double-click Drawing Sheet again. The Drawing Sheet Properties dialog box is displayed.
  8. In the Default Title section, click the Additional button. The Select File dialog box is displayed.
  9. Right-click the file you renamed and restore it to its original name.
  10. Click Cancel until you return to the AM:Standards tab of the Options dialog box.
  11. Click OK.

The program saves the title block details to the current drafting standard. When you execute the AMTITLE command after changing the title block details, the renamed title block is no longer available for selection.


To create a customized drawing border (Procedure)

Configure drawing sheets
Configure drawing sheets
Configure drawing sheets
Configuration and setup guide >
Configure drawing sheets
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To create a customized drawing border

The drawing border is a DWG file that the program inserts into a drawing when you execute the AMTITLE command. DWG files used for borders contain keywords at strategic positions. We recommend that you create a copy of the supplied borders closest to your requirements and modify it per your requirements.

  1. Click None [image] None [image] . At the Command prompt, enter OPEN.
  2. Select the file containing the drawing border closest to the one you need.
    NoteThe program stores drawing borders in the Format subfolder of the folder containing title border files.
  3. Save the file under another name.
  4. Change the border (change color, add objects, and so on).
    NoteIf necessary, you can add attributes. When you insert the border (through the AMTITLE command), the program prompts you to specify the attributes.
  5. Save and close the DWG file.
  6. In the file to add the new border to, add this file to the list of available drawing borders.
NoteAMTITLE uses keywords to define the insertion point for the title block and for the available vacant drawing surface. To calculate these points, AMTITLE searches in the inserted border block for the text !GENTITLE-INSERT or the attribute INSERT that defines the insertion point of the title block. Therefore, when you create a drawing border, it is necessary to enter !GENTITLE-INSERT into the border with the TEXT command.


To add a drawing border to the paper formats list (Procedure)

Configure drawing sheets
Configure drawing sheets
Configure drawing sheets
Configuration and setup guide >
Configure drawing sheets
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To add a drawing border to the paper formats list

  1. Click None [image] None [image] At the Command prompt, enter AMOPTIONS.
  2. In the Options dialog box, select the AM:Standards tab.
  3. In the Standard Elements list, double-click Drawing Sheet. The Drawing Sheet Settings dialog box is displayed.
  4. In the Default Paper Format section, click the Additional button. The Select File dialog box is displayed.
    NoteThe program stores drawing borders in the Format subfolder of the folder containing title border files.
  5. Select the file containing the desired drawing border and click Open.
  6. Click OK until all dialog boxes close.

The program saves the drawing border details to the current drafting standard. When you execute the AMTITLE command after changing the drawing border details, the selected drawing border is available for selection.


To remove a drawing border from the paper formats list (Procedure)

Configure drawing sheets
Configure drawing sheets
Configure drawing sheets
Configuration and setup guide >
Configure drawing sheets
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To remove a drawing border from the paper formats list

The drafting standard keeps track of the names of the files selected for use as title blocks. Renaming a file removes the drawing border from the paper formats list, and therefore the dialog box opened by the AMTITLE command. To remove unnecessary drawing border formats:

  1. Click None [image] None [image] At the Command prompt, enter AMOPTIONS.
  2. In the Options dialog box, select the AM:Standards tab.
  3. In the Standard Elements list, double-click Drawing Sheet. The Drawing Sheet Properties dialog box is displayed.
  4. In the Default Paper Format section, click the Additional button. The Select File dialog box is displayed.
  5. Right-click the file to remove from the selection set and rename it.
  6. Click Cancel until you return to the AM:Standards tab of the Options dialog box.
  7. In the Standard Elements list, double-click Drawing Sheet again. The Drawing Sheet Properties dialog box is displayed.
  8. In the Default Paper Format section, click the Additional button. The Select File dialog box is displayed.
  9. Right-click the file you renamed and restore it to its original name.
  10. Click Cancel until you return to the AM:Standards tab of the Options dialog box.
  11. Click OK.

The program saves the drawing border details to the current drafting standard. When you execute the AMTITLE command after changing the drawing border details, the renamed drawing border is no longer available for selection.


To add title block extensions (Procedure)

Configure drawing sheets
Configure drawing sheets
Configure section lines and section view labels
Configuration and setup guide >
Configure drawing sheets
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To add title block extensions

The Extensions Title Block button opens the Extensions Title Block dialog box so that you can add two additional title blocks. If you change the paper format, the options in the Extensions Title Block dialog box change to conform to the new format.

  1. From the Command prompt, enter AMTITLE or double-click the title block on the drawing.
  2. In the Title Block section, click the Extension Title Blocks button.
  3. In the Extensions Title Block dialog box, click the extensions you want to add to the drawing. When you click the extension, the field is automatically populated with a default extension.
  4. To change the extension type, click the down arrow in the field to choose a different extension type.
  5. Click OK to accept the changes and close the dialog box.


Configure drawing sheets (Quick Reference)

Configure the default tolerance method and fit representation
Configure drawing sheets
Configure section lines and section view labels
Configuration and setup guide >
Configure drawing sheets
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Drawing Sheet Settings dialog box

Specify entries for the title block, paper format, and scale factor of the drawing for the current standard.

Revision Displays most recent revision of the standard this symbol complies with.
Default Paper Format
 | Drop-down list Sets the default drawing border for the current drawing.
 | Displays the Select File dialog box, in which you can add a drawing file (containing a drawing border) to the drop-down list and set it as the default drawing border.
Default Title Block
 | Drop-down list Sets the default title block for the current drawing.
 | Displays the Select File dialog box, in which you can add a drawing file (containing a title block) to the drop-down list and set it as the default drawing border.
 | Extension Title Blocks button Displays the Extension Title Blocks dialog box so that you can add up to two additional title block extensions to the drawing. NoteThis option is available only in the GOST standard.
 | Invert Part Number Inserts the part number as an upside-down text within a rectangular box, at the top left of the paper format. NoteThis option is available only if the current drafting standard is set to GB.
Default Revision List NoteRevision lists are not available in the GOST standard.
 | First Drop-down list Selects a default revision list block for the current drawing.
 | Displays the Select File dialog box, in which you can add a drawing file (containing a revision block) to the drop-down list and set it as the default revision list.
 | Second Drop-down list Sets a base point for the revision block.
Scale Change Settings
 | Objects to Rescale Specifies whether the drawing objects are to be selected automatically or manually.
Read from External File Sets the default standard import file (.tit file) name to be used with the Import button on the Drawing Borders with Title Block dialog box, which appears when the AMTITLE command is invoked.
 | Path Displays the name of the folder that contains the default .tit file.
 | File Displays the name of the default .tit file.
 | Browse Displays the Select File dialog box, enabling you to select the .tit file.
 | Display Title Block Dialog after Import check box Sets the AMTITLE command to display the data of the selected .tit file, giving you the opportunity to accept or reject the settings while inserting drawing borders.
Views Created From Sets the AMTITLE command to create six views, which are accessible via the AutoCAD VIEW command, within the drawing border.
 | Don't create views Does not create views.
 | Limits Creates views defined by the outer points of the frame.
 | Drawing Area Creates views defined by the maximum drawing area within the frame.
Set Limits
 | Don't Set Limits Keeps the adjusted limits unchanged.
 | Limits to Corners Sets a size limit for the new border area.
 | Limits to Maximum Sets the limits to maximum, if the border space exceeds the predefined limit space.
Restore Defaults Resets all settings to their default values.


Configure section lines and section view labels (Concept)

Configure drawing sheets
Configuration and setup guide
Configure standard parts
Configuration and setup guide >
Configure section lines and section view labels
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

The drafting standard controls the appearance of section lines and section view labels. When you select a drafting standard, the default settings for the AMSECTIONLINE command change accordingly. You can customize these settings to suit your drafting requirements.

Because text and leader lines are the most common objects used for annotations, AutoCAD Mechanical provides a single configuration point (the Standard Settings dialog box) enabling you to specify their default properties. These settings are the master settings.

When the text size for section line and section view labels is “By NameOfCurrentDraftingStandard,” they automatically take on a text height that is one size larger than the base height master setting. Section line and section view labels become larger than dimension, note, and symbol text. If you modify the master settings, the text size for section line and section view labels automatically updates. If you do not want the text size for section line and section view labels to follow the master settings, you can override the setting with a specific value.

In addition to the text height and color, you can configure:

  • How labels appear.

    You can select how section lines are named and edit the variables that define the section view label.

    The labeling options do not affect section lines and section views that exist in a drawing. We recommend that you configure section line and section view labels before you create any section lines.

  • The appearance of section lines.

    You can select the line weight for the end, bend, and plane line segments and specify how the arrowheads appear at the ends.


Configure section lines and section view labels (Procedure)

Configure drawing sheets
Configure section lines and section view labels
Configure section lines and section view labels
Configuration and setup guide >
Configure section lines and section view labels
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To Configure Text Height and Color for Section Labels

To Configure how Section Labels Appear

To Configure the Appearance of Section Lines

To Configure Master Settings for Text Height


Configure section lines and section view labels (Quick Reference)

Configure drawing sheets
Configure section lines and section view labels
Configure section lines and section view labels
Configuration and setup guide >
Configure section lines and section view labels
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Section View Settings dialog box

Standard Settings dialog box


To Configure Text Height and Color for Section Labels (Procedure)

Configure section lines and section view labels
Configure section lines and section view labels
Configure section lines and section view labels
Configuration and setup guide >
Configure section lines and section view labels
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To Configure Text Height and Color for Section Labels

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. In the Options dialog box, click the AM:Standards tab.
  3. In the Standard Elements list, double-click Section View. The Section View Settings dialog box appears.
  4. To change the section line and section view label text heights, in the Text section, in the Height list, select the text height.
    NoteTo derive the text height from the master text settings automatically, select the text height marked “By NameOfCurrentDraftingStandard.”
  5. To change the text color, in the Text section, in the Color list in the Text section, select a color.
  6. Click OK until all dialog boxes close.
NoteIf the current drafting standard is a custom drafting standard, you can select a text style for the section line/view labels.


To Configure how Section Labels Appear (Procedure)

Configure section lines and section view labels
Configure section lines and section view labels
Configure section lines and section view labels
Configuration and setup guide >
Configure section lines and section view labels
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To Configure how Section Labels Appear

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. In the Options dialog box, click the AM:Standards tab.
  3. In the Standard Elements list, double-click Section View. The Section View Settings dialog box appears.
  4. To enable displaying of labels, select the Show label check box.
  5. To display a label at all vertices of the section line, select the Show all plane symbols check box.
  6. To label the section line using the same alpha character at the ends and vertices, clear the Use continuous naming check box.

    To label the section line using consecutive alpha characters (A,B,C), select the Use continuous naming check box.

  7. Edit the formula that defines the section view label as appropriate.
    • To add a valid reference:
      1. In the Pattern box, click where you want to insert the reference.
      2. Click [image] . A list of references appears.
      3. Select the reference from the list.
    • To delete a reference:
      1. In the Pattern box, select the reference. Make sure to select the characters “<“ and “>” that wrap the reference.
      2. Press DEL.
    • To add plain text:
      1. In the Pattern box, click in the position to insert the text.
      2. Use the keyboard to enter the text
  8. In the Position box, select where to display the section view label.
  9. Click OK until all dialog boxes close.


To Configure the Appearance of Section Lines (Procedure)

Configure section lines and section view labels
Configure section lines and section view labels
Configure section lines and section view labels
Configuration and setup guide >
Configure section lines and section view labels
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To Configure the Appearance of Section Lines

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. Click the AM:Standards tab.
  3. In the Standard Elements list, double-click Section View. The Section View Settings dialog box appears.
  4. To display arrows at the ends of the section line, select the Show arrows check box.

    To configure the appearance of the arrowhead:

    1. In the Arrowhead list, select the type of arrowhead to use.
    2. In the Arrowhead size box, specify a length for the arrowhead.
    3. In the Color list, in the Arrow section, select a color for the arrowhead.
  5. To specify the line weight for the end and bend line segments, in the Lineweight box, select the line weight to use.
  6. To set a color for the ends and bends, in the Color list, in the Section line section, select a color.
  7. Configure plane lines (segment between ends and bends) as appropriate.
    • To disable plane lines, in the Visibility list, select None.
    • To draw plane lines in the same linetype and line weight as the ends and bends, in the Visibility list, select continuous.
    • To draw plane lines with the linetype and line weight assigned to the Section/Viewing Plane Line object in the Layer/Objects Settings dialog box (PHANTOM2 by default), in the Visibility list, select Between planes.
  8. Click OK until all dialog boxes close.


To Configure Master Settings for Text Height (Procedure)

Configure section lines and section view labels
Configure section lines and section view labels
Configure standard parts
Configuration and setup guide >
Configure section lines and section view labels
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To Configure Master Settings for Text Height

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. In the Options dialog box, click the AM:Standards tab.
  3. In the Standard Elements list, double-click the root node (the standard name). The Standard Settings dialog box appears.
  4. To change the text height, in the text section, in the Base height box, select a text height.
Note If the current drafting standard is a custom standard or if the Link to Dimension Style check box is selected, you can do the following additional operations:
  • Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  • Click in the Base height box and type any text height.


Configure section lines and section view labels (Quick Reference)

Configure section lines and section view labels
Configure section lines and section view labels
Configure section lines and section view labels
Configuration and setup guide >
Configure section lines and section view labels
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Section View Settings dialog box

Use this dialog box to specify the defaults for the AMSECTIONLINE command.

Revision

Displays most recent revision of the standard this symbol complies with.

Section label

Contains options to label the section line and section view. The settings in this section have no effect on section lines that already exist in the drawing.

Show label

Displays labels for section lines and section views.

Plane

Show all plane symbols

Labels all vertices of the section line.

Use continuous naming

Labels vertices using consecutive alphabetic characters

View

Pattern

Contains the formula that defines the label for the section view.

Displays a list of variables that can be used with the formula.

Position

Specifies the positioning of the section view label, relative to the section view.

Section line

Contains options to define the appearance of the section line.

End and bend lines

Contains options to define the line weight and color of the end portion and bends of section lines.

Lineweight

Defines the line weight of the end portion and bends of section lines.

Color

Defines the color of the end portion and bends of section lines. If you click Select Color (at the bottom of the Color list), the Select Color dialog box appears. You can also enter a color name or number.

Plane lines

Visibility

Specifies how plane lines (the section line segment between the end portion and bends) should be drawn. The available options are:

  • None - Does not draw a plane lines.
  • Continuous - Draws plane lines using the same line type and line weight as the ends and bends.
  • Between planes - Draws plane lines using the line type and line weight assigned to the Section/Viewing Plane Line object (PHANTOM2 by default) in the Object Property Settings dialog box.

Arrow

Contains options to define the appearance of the arrowhead on section lines.

Show arrows

Toggles the visibility of arrowheads on section lines.

Arrowhead

Provides a list of arrowheads to let you choose the type of arrowhead.

Arrowhead Size

Specifies the length of the arrowheads.

Color

Specifies the color of the arrowheads. Color dialog box appears. You can also enter a color name or number.

Text

Style

Sets a text style to be used for section line and section view labels. This option is available only if the drafting standard is a custom standard.

Height

Defines the text height to be used for section line and section view labels.

When the height is set to ByNameOfCurrentDraftingStandard, the text height derives from the master settings of the current drafting standard. If the master setting changes, the text height automatically changes to one size larger than the base height setting.

If the current standard is a custom standard, you can specify a non-standard text height. If not, the AutoCAD Mechanical restricts you to selecting a value from the list.

Color

Sets a color for the arrows. If you click Select Color (at the bottom of the Color list), the Select Color dialog box appears. You can also enter a color name or number.

When the text color is set to ByNameOfCurrentDraftingStandard, it acquires the color from the master settings of the current drafting standard. If the master setting changes, the text color changes automatically.

NoteIf the text height changes, the color automatically changes to the default color corresponding to that text height. Text object colors are set in the Object Property Settings dialog box.

Restore Defaults

Returns all values to the default values for the current standard.


Configure section lines and section view labels (Quick Reference)

Configure section lines and section view labels
Configure section lines and section view labels
Configure standard parts
Configuration and setup guide >
Configure section lines and section view labels
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Standard Settings dialog box

Sets up master settings for the current drafting standard. The elements of the standard that have their settings configured as ByNameOfCurrentDraftingStandard, automatically acquire their settings from this dialog box.

Dimension link

Link to dimension style

Links the text and leader settings to a dimension style, so that dimension styles are controlled by the drafting standard. Any change you make on this dialog box is applied to the linked dimension style. Any change you make to the linked dimension style is applied back to the text and leader settings.

When this option is selected, you can specify non-standard text heights.

Link to leader dimension style only

Restricts linking of dimension styles to the Leader dimension sub-style. Hence changes to text and leader settings are applied only to the Leader sub-style.

If this option is not selected, you link to the base dimension style. Changes to the base dimension style are automatically applied to all sub-styles, unless that setting is overridden in the sub-style. This means that if you modify the text and leader settings in this dialog box, the change is applied across all sub-styles, unless the settings are explicitly overridden in the sub-style.

Style

Displays the name of the dimension style to which leader and text settings are linked.

Text

Style

Sets the text style for use with all annotations. This setting is controlled by the drafting standard. Hence this setting can be changed only if the current drafting standard is a custom drafting standard or if the text and leader settings are linked to a dimension style.

Base height

Sets the text height to use as the base height for annotation text. If the Link to dimension style check box is selected, or if the current drafting standard is a custom drafting standard, you can specify non-standard text heights. If not, you can only select the standard text heights that are available on the list.

By default, all symbols use the base text height for symbol text. Annotations such as annotation view labels, section line labels, detail view labels and balloons, use a text height that is one size larger than the base height.

Color

Sets the color for the text category selected for base text. If you click Select Color (at the bottom of the Color list), the Select Color dialog box appears. You can also enter a color name or number.

Leader

Arrowhead

Sets the default leader arrowhead type for all annotations.

Arrow size

Sets the default leader arrowhead size for all annotations.

Color

Displays and sets the leader color for all annotations. If you click Select Color (at the bottom of the Color list), the Select Color dialog box appears. You can also enter a color name or number. If the Link to dimension style check box is selected, this setting affects the dimension line and extension line colors.

Symbols

List attach point

Sets the default attachment point for lists such as parts lists and hole charts, which are controlled by the drafting standard.

Color

Sets the color for all symbol geometry. If you click Select Color (at the bottom of the Color list), the Select Color dialog box appears. You can also enter a color name or number.

Object Properties

Let AutoCAD Mechanical manage object properties

Specifies that all objects created using AutoCAD Mechanical commands are automatically assigned properties as specified in the Object Properties Settings dialog box.

Settings

Displays the Object Property Settings dialog box, which enables you to pre configure the settings of all objects created using AutoCAD Mechanical commands.

Projection angle

Projection angle for drawing views:

Specifies the projection angle to use when generating drawing views and shaft generator views.

Restore Defaults

Returns all values to the default values for the current standard.


Configure standard parts (Concept)

Configure section lines and section view labels
Configuration and setup guide
Configure mechanical structure
Configuration and setup guide >
Configure standard parts
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

The Content Library included with AutoCAD Mechanical contains more than 600,000 predrawn standard parts and standard features that comply with 18 international standards. However all standards are not installed by default. You can install standard parts with Add/Remove Programs applet in the Windows Control Panel.

Regardless of the drafting standard you select in the AM:Standards tab (in the Options dialog box) you have access to all the standard parts installed on your computer. For example, AutoCAD Mechanical does not prevent you from selecting a UNC (Regular Thread- Inch) tapped hole, even when the current drafting standard is ISO and the measurement is metric.

Because the content library contains a large number of parts, dialog boxes for selecting items from the content library may take a considerable time to load. You can configure AutoCAD Mechanical to exclude standard parts that belong to standards you use infrequently or not at all. You can also configure the order in which content library items appear in dialog boxes so that parts from frequently used standards appear at the beginning of the selection lists.

By default, standard parts and standard features appear on special mechanical layers called standard part layers. By default, the names of these layers end with the letter “N.” Standard part layers enable you to turn on or turn off the visibility of standard parts by clicking the pointing device once. You can configure AutoCAD Mechanical to create standard parts on regular mechanical layers instead of standard part layers.

You can also change the representation of standard parts and standard features. You can do this at any time during a drawing session.

Standard part settings are saved in the Windows registry. Once you set them, they remain in force regardless of the selected drafting standard. Since these settings are not in the drawing, they do not move from one computer to another through template (.dwt) files.


Configure standard parts (Procedure)

Configure section lines and section view labels
Configure standard parts
Configure standard parts
Configuration and setup guide >
Configure standard parts
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To Disable or Enable the Creation of Standard Part on Standard Part Layers

To set the type of holes and threads available for selection

To set how standard content is displayed in drawings

To set which standard content will be available for selection

To Install Standard Parts from Standards not Installed by Default


To Disable or Enable the Creation of Standard Part on Standard Part Layers (Procedure)

Configure standard parts
Configure standard parts
Configure standard parts
Configuration and setup guide >
Configure standard parts
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To Disable or Enable the Creation of Standard Part on Standard Part Layers

By default AutoCAD Mechanical creates standard parts on standard part layers, a special set of mechanical layers with names that end with “N.” You can configure AutoCAD Mechanical to create standard parts on regular mechanical layers instead.

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. Select the AM:Content tab.
  3. To disable the creation of standard parts of standard part layers, clear the Use Standard Parts Layer check box.

    To enable the creation of standard parts on standard part layers, select the Use Standard Parts Layer check box.

  4. Click OK until all dialog boxes close.
NoteBy creating standard parts on layers other than standard part layers you lose the ability to turn on/turn off the visibility of standard parts


To set the type of holes and threads available for selection (Procedure)

Configure standard parts
Configure standard parts
Configure standard parts
Configuration and setup guide >
Configure standard parts
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To set the type of holes and threads available for selection

  1. Click None [image] None [image] At the Command prompt, enter AMOPTIONS.
  2. In the Options dialog box, select the AM:Content tab.
  3. In the Selection Group section, select the check boxes corresponding to hole types and thread types to be made available for selection and clear the other check boxes.
  4. Click OK.


To set how standard content is displayed in drawings (Procedure)

Configure standard parts
Configure standard parts
Configure standard parts
Configuration and setup guide >
Configure standard parts
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To set how standard content is displayed in drawings

  1. Click None [image] None [image] At the Command prompt, enter AMOPTIONS.
  2. In the Options dialog box, select the AM:Content tab.
  3. In the Representation section, make the necessary entries, and click OK.


To set which standard content will be available for selection (Procedure)

Configure standard parts
Configure standard parts
Configure standard parts
Configuration and setup guide >
Configure standard parts
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To set which standard content will be available for selection

To specify the standards available for selection:

  1. Click None [image] None [image] At the Command prompt, enter AMOPTIONS.
  2. In the Options dialog box, select the AM:Content tab.
  3. In the Available Standard list, move appropriate standards to the Selected Standard list. (Ensure that the standards you will not use remain in the Available Standard list).
  4. Use the arrows of the Selected Standard list to change the order of the standards. Place the preferred standard at the top of the list.
  5. Click OK to close the Options dialog box.


To Install Standard Parts from Standards not Installed by Default (Procedure)

Configure standard parts
Configure standard parts
Configure mechanical structure
Configuration and setup guide >
Configure standard parts
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To Install Standard Parts from Standards not Installed by Default

NoteThis procedure outlines the installation procedure in Windows XP Professional. The procedure for other versions of Windows are similar, but not identical.

Insert the installation CD.

  1. Click Start, click Settings, and click Control Panel. The Control Panel appears.
  2. Double-click Add or Remove Programs. The Add or Remove Programs dialog box appears.
  3. Select the row corresponding to AutoCAD Mechanical and click Change.
    NoteThe row representing AutoCAD Mechanical depends on the options you selected at the time of Installation. For example, if you installed Mechanical Desktop from the Autodesk Inventor Professional (AIP) installation CD, the row corresponding to AutoCAD Mechanical is Autodesk Mechanical Desktop.
  4. Select Add or Remove Features and click Next.
  5. Click Next until the Standard Libraries step of the installation wizard appears.
  6. Select the check boxes next to the content libraries you need and clear the other check boxes.
  7. Keep clicking Next.
  8. When the library installation completes, click Finish.


Configure standard parts (Quick Reference)

Configure section lines and section view labels
Configure standard parts
Configure mechanical structure
Configuration and setup guide >
Configure standard parts
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AM:Content tab of the Options dialog box

Content library management
 | File Locations Specifies path, selection group, and standards.
 | Standard Content Filters Specifies filters for standard content.
Content behavior on insertion
 | Hide background objects Automatically creates a hide situation when the standard part is placed on top of another object in the drawing area. If mechanical structure is enabled, AutoCAD Mechanical uses the AMSHIDE command to create the hide situation. If not, it uses the AM2DHIDE command.
 | 2D Hide button Specifies whether hidden edges are drawn as invisible lines or as dashed lines. The button face graphically shows the current selection.
 | Draw centerlines Draws centerlines when symmetric standard parts are inserted to the drawing.
 | Draw standard/custom parts on standard parts layers Instructs system to create standard parts and features on the Standard Parts Layers (layer names end with the letter N). If this option is not selected, standard parts are created on regular mechanical layers and you loose the ability to turn on/off the visibility of standard parts.
 | Enforce Projection Length Rules for Screw Connection Sets the projection length of centerlines for screw connections to follow a rule like that of VDI 2230, where the projection length of the screw centerline should have a length of 1.5 times the length of the nut associated with it.
Object properties overrides
 | Create standard/custom parts on layer group Specifies that standard parts are created on a specific layer group and provides space for you to specify the name of the layer group.
 | Create front view of standard/custom features on hidden layer Instructs system to draw front views of standard features using hidden lines.
Default representation for standard content
 | Specifies whether standard content are represented in drawings as Standard, Symbolic, or Simplified. The image shows the results of the selection.


Configure mechanical structure (Concept)

Configure standard parts
Configuration and setup guide
Distribute configuration files
Configuration and setup guide >
Configure mechanical structure
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To use mechanical structure in a drawing, enable mechanical structure first. If you use mechanical structure regularly, you can configure AutoCAD Mechanical to enable mechanical structure automatically in any new drawing you create.

NoteYou can only disable mechanical structure before you create any structure entities.

The other mechanical structure-related settings that you can configure are:

  • Mechanical browser defaults.

    Associates commands with the New and Insert mechanical browser shortcut menus.

  • Default names for mechanical structure entities.

    Sets default names for components, component views, folders, and annotation views.

  • Default behavior when you copy component views.

    When you create component views in response to the COPY, ARRAY, MIRROR, or PASTECLIP commands, you can make them new instances of components or additional component views of the component from which they were original copied. You can opt to have the system prompt you when you issue the command.

  • Labels for subviews of Annotation views

    The drafting standard controls the placement labels for subviews in Annotation Views. When you apply the master settings for text across all elements of the standard, the text size for annotation view labels change to one size larger than the master text height. The labels become larger than dimension, note, and symbol text.

    The content for the annotation view label is defined with a formula. The label text can provide context-sensitive labels.


Configure mechanical structure (Procedure)

Configure standard parts
Configure mechanical structure
Configure mechanical structure
Configuration and setup guide >
Configure mechanical structure
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To enable mechanical structure for the current drawing

To Set the Mechanical Browser Defaults

To Specify how to Create Component Views when Copying, Mirroring, or Arraying

To configure the default options for AMSHIDE

To Configure the Default Names of Mechanical Structure Entities

To Configure Text Height and Color for Annotation View Labels

To Configure Annotation View Label Default Settings


Configure mechanical structure (Quick Reference)

Configure standard parts
Configure mechanical structure
Configure mechanical structure
Configuration and setup guide >
Configure mechanical structure
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

OPTIONS command (AM:Structure tab)

Annotation View Settings dialog box


To enable mechanical structure for the current drawing (Procedure)

Configure mechanical structure
Configure mechanical structure
Configure mechanical structure
Configuration and setup guide >
Configure mechanical structure
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To enable mechanical structure for the current drawing

  • Click the STRUCT status bar button to enable.


To Set the Mechanical Browser Defaults (Procedure)

Configure mechanical structure
Configure mechanical structure
Configure mechanical structure
Configuration and setup guide >
Configure mechanical structure
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To Set the Mechanical Browser Defaults

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. In the Options dialog box, select the AM:Structure tab.
  3. To set the New and Insert right-click menus to trigger the dialog box versions of the commands:
    1. In the Browser right-click menu for creation list, select Use dialog box (AMSNEW).
    2. In the Browser right-click menu for insertion list, select Use dialog box (AMSNEW).

    To set the New and Insert right-click menus to trigger the command line versions of the commands:

    1. In the Browser Create list, select Use command line (AMSCREATE).
    2. In the Browser Insert list, select Use command line (AMSINSERT).
  4. Click OK until all dialog boxes close.


To Specify how to Create Component Views when Copying, Mirroring, or Arraying (Procedure)

Configure mechanical structure
Configure mechanical structure
Configure mechanical structure
Configuration and setup guide >
Configure mechanical structure
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To Specify how to Create Component Views when Copying, Mirroring, or Arraying

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. In the Options dialog box, select the AM:Structure tab.
  3. To prompt for input when you create views:
    • In the Structure object type section, clear the Do not prompt check box.

    To pre-configure the component view creation behavior:

    1. In the Structure object type section, select the Do not prompt check box.
    2. To create component views as new component instances, select Component instances.

      To create component views as views of the original component, select Component instances

  4. Click OK until all dialog boxes close.


To configure the default options for AMSHIDE (Procedure)

Configure mechanical structure
Configure mechanical structure
Configure mechanical structure
Configuration and setup guide >
Configure mechanical structure
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To configure the default options for AMSHIDE

  1. Click None [image] None [image] . At the Command prompt, enter AMOPTIONS.
  2. In the Options dialog box, select the AM:Structure tab.
  3. Click Hide Options.
  4. To set the default hide style to dashed lines, select the Display hidden lines check box. If this check box is not selected, hidden lines are not visible.
  5. To set only the outer contour as a foreground object, select the Use outer contour only check box. If this check box is not selected, all contours selected for the foreground are set as foreground objects.
  6. To set the background objects that fall outside the foreground perimeter as hidden, select the Inverse foreground check box. If this check box is not selected, background objects that fall within the foreground perimeter are hidden.
  7. To limit foreground selection to objects on contour layers only, select the Use contours only check box. If this check box is not selected, any object may be treated as a foreground object.
  8. To make hide situations respect the Usage in Hide object setting, select the Hide appropriate objects only check box. If this box is cleared, the Usage in Hide object setting is ignored.
  9. To set the AMSHIDE command to automatically select the background when the foreground objects are selected, select the Select background objects automatically check box.
  10. To enable a dynamic preview of hide situations in model space, select the Dynamic preview when editing check box.
  11. To set the limit for automatic background selection, in the Limit background entities selection to box, type the limit.
  12. To set the limit for foreground objects, in the Prompt when number of foreground entities exceed box, type the limit.
  13. Click OK.


To Configure the Default Names of Mechanical Structure Entities (Procedure)

Configure mechanical structure
Configure mechanical structure
Configure mechanical structure
Configuration and setup guide >
Configure mechanical structure
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To Configure the Default Names of Mechanical Structure Entities

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. In the Options dialog box, select the AM:Structure tab.
  3. To set the default name of components:
    • In the Component box, type a name to be used as the default prefix for component names.
  4. To set the default name of folders:
    • In the Folder box, type a name to be used as the default prefix for folder names.
  5. To set the default name of annotation views:
    • In the Annotation View box, type a name to be used as the default suffix for annotation view names.
  6. To set the default names of component views:
    1. If the name you want to set is not available in the component names list, in the Component Views frame, click Add. The Add view name dialog box appears.
    2. In the Enter new view name box, type a name and click OK.
    3. If any of the views in the list are redundant, select the view and click Remove.
    4. Use the Move Up and Move Down buttons to reposition the views in the order you are most likely to use them during a drawing session.


To Configure Text Height and Color for Annotation View Labels (Procedure)

Configure mechanical structure
Configure mechanical structure
Configure mechanical structure
Configuration and setup guide >
Configure mechanical structure
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To Configure Text Height and Color for Annotation View Labels

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. In the Options dialog box, click the AM:Standards tab.
  3. In the Standard Elements list, double-click Annotation View. The Annotation View Settings dialog box appears.
  4. To change the annotation view label text height, in the Height list, select the text height.
    NoteTo derive the text height from the master text settings automatically, select the text height marked “By NameOfCurrentDraftingStandard.”
  5. To change the text color, in the Color list, select the color.
  6. Click OK until all dialog boxes close.
NoteIf the current drafting standard is a custom drafting standard, you can select a text style as well.


To Configure Annotation View Label Default Settings (Procedure)

Configure mechanical structure
Configure mechanical structure
Define preferences
Configuration and setup guide >
Configure mechanical structure
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To Configure Annotation View Label Default Settings

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. In the Options dialog box, click the AM:Standards tab.
  3. In the Standard Elements list, double-click Annotation View. The Annotation View Settings dialog box appears.
  4. Edit the formula that defines the default label.
    • To add a valid reference:
      1. In the Pattern box, click where you want to insert the reference.
      2. Click [image] . A list of references appears.
      3. Select the reference from the list.
    • To delete a reference:
      1. In the Pattern box, select the reference. Ensure that you include the characters “<” and “>” (which wrap the reference) in the selection.
      2. Press DEL.
    • To add plain text:
      1. In the Pattern box, click where you want to insert the text.
      2. Enter the text
  5. In the Position box, select where to display the label.
  6. To change the default label text height and color:
    1. In the Height list in the Text section, select the text height.
    2. In the Color list, select the color for the text.
  7. Click OK until all dialog boxes close.


Configure mechanical structure (Quick Reference)

Configure mechanical structure
Configure mechanical structure
Configure mechanical structure
Configuration and setup guide >
Configure mechanical structure
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

OPTIONS command (AM:Structure tab)

The AMOPTIONS command manages settings and standards for parts, assemblies, drawings, standard parts, and general desktop preferences from the Options dialog box. The AutoCAD Mechanical AMOPTIONS command is merged with the AutoCAD OPTIONS command.

The AM:Structure tab sets mechanical structure-related preferences.

Ribbon: None tab [image] None panel [image] Options.... Does not exist on the ribbon.
Toolbar: None
Menu: Default Menu [image] Tools [image] Options Does not exist in the menus.
Command entry: options

DIALOG BOX DEFINITIONS

General

Always enable structure for new drawings

Automatically enables mechanical structure in a drawing at the time the drawing file is created.

NoteThis setting has no effect on new drawings based on a customized template that contains mechanical structure entities.

Selection Mode

Sets the default object selection mode for mechanical structure. Functions the same as the AMSSMODE command.

In the top-down selection mode, the first click on an object selects the highest level component the object belongs to. If a component view is activated, the first click selects the highest level component with respect to the activated component view.

Clicking the object again, selects the next level component. By default, the name of the selected entity is shown in a tooltip window as you click. The lowest level that can be selected is the elemental geometry.

In bottom-up selection mode, the first click on an object always selects elemental geometry. Clicking the object again selects the next highest level component.

Browser right-click menu for creation

Maps the options in the submenu below the New right-click menu option in the mechanical browser to the AMSNEW command or AMSCREATE command.

Browser right-click menu for insertion

Maps the options in the submenu below the Insert right-click menu option in the mechanical browser to the AMSNEW command or AMSINSERT command.

Hide options

Displays a dialog box that where you can set the defaults for the AMSHIDE command.

Structure object type

Provides options to customize AutoCAD Mechanical ’s behavior when mechanical structure component views are created in response to a COPY, ARRAY, MIRROR or PASTECLIP command.

Component instances

Creates the component views as new component instances.

Views of the original components

Creates the component views as additional views of the component they were originally copied from.

Do not prompt

Prevents a dialog box from being displayed at the time the component views are created. This dialog box prompts you to select between the above two options at draw time.

Default Names

Sets default names for the various mechanical structure entities that are created using the AMSNEW and AMSCREATE commands.

Component

Sets the default component name prefix. Can be left blank.

Folder

Sets the default folder name prefix. Can be left blank.

View

Contains a list of component view names to be used as default values at the time components or component views are created. The first component view to be created defaults to the first name in the list and the next component view, to the next in the list, and so on.

Add

Displays a dialog box that where you can add a new component view name to the list. The new name is inserted above the component view name that is selected in the list.

Remove

Deletes the selected component view name.

Move Up

Moves the selected component view name one level up.

Move Down

Moves the selected component view name one level down.

Annotation View

Sets the default annotation view identifier. Can be left blank.


Configure mechanical structure (Quick Reference)

Configure mechanical structure
Configure mechanical structure
Define standard, system, and personal preferences
Configuration and setup guide >
Configure mechanical structure
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Annotation View Settings dialog box

Use this dialog box to set up the default labels for Annotation views.

Label

Pattern

Defines what the label of the subview should display. You can select a references to the formula from a predefined list of applicable reference by clicking [image] .

Position

Defines the position (relative to the subview) the label is displayed.

Text

Style

Defines the text style to use for labels. This option is available only if the current standard is a custom standard.

Height

Defines the text height of annotation view label. If the current standard is a custom standard, you can set any text height. If not, the system restricts you to values allowed by the drafting standard. You must select a text height from the list. If you modify the master settings for text, and apply it to all elements of the standard, the changes you make here are overwritten (by one size larger than the master text setting).

NoteWhen a text height is selected, the text color automatically changes to the default text object color for that text height. Text object colors are set from the Layer/Objects Settings dialog box (OPTIONS/AMOPTIONS command > AM:Standards tab > Layer/Objects).

Color

Sets the color for annotation view labels.

Restore Defaults

Resets all settings to the default for the current drafting standard.


Distribute configuration files

Configure mechanical structure
Configuration and setup guide
Where are my configuration settings stored?
Configuration and setup guide >
Distribute configuration files
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

Topics in this section

  • Where are my configuration settings stored?
  • Which files should I distribute?


Distribute configuration files (Procedure)

Customize background color
Distribute configuration files
Which files should I distribute?
Configuration and setup guide >
Distribute configuration files
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

To Export Windows Registry-based Settings to a .CFG File

To Import Settings from a CFG File

To Specify the Path to the Folder Containing Drawing Templates


Where are my configuration settings stored? (Concept)

Distribute configuration files
Distribute configuration files
Which files should I distribute?
Configuration and setup guide > Distribute configuration files >
Where are my configuration settings stored?
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Most of the configuration settings are in a template (.dwt) file, while some settings are in the Windows registry. In the Options dialog box and other dialog boxes that control the configuration, the [image] icon indicates settings stored in templates.

Support files supplement the settings in template files, such as drawing files that contain custom parts lists, title borders, and so on. Starting with AutoCAD Mechanical 2009, the default location of some of these files have changed to facilitate the following:

  • Limited user rights on a workstation. You can run AutoCAD Mechanical as a limited user. This means that you no longer need power user or Administrator permissions to run AutoCAD Mechanical.
  • Roaming profiles. Roaming profiles enable you to log on to any computer within a network and retain your user settings. Some files, such as your personal settings and documents, follow you from computer to computer, while other files, such as templates, reside only on your system. Refer to AutoCAD documentation for more information on roaming profiles.

See the Quick Reference tab for details of file locations.


Where are my configuration settings stored? (Quick Reference)

Define standard, system, and personal preferences
Where are my configuration settings stored?
Where are my configuration settings stored?
Configuration and setup guide > Distribute configuration files >
Where are my configuration settings stored?
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Location of form files

Location of library files

Location of Mask files

Location of script generator files

Location of Val files

Location of GDB files

Location of MLD files

Location of material library files

Location of OPT files

Location of thread XML files

Location of drawing template files

Location of tutorial files

Location of title border files

Location of revision block files

Location of parts list files

Location of DSK files

Location of CCF files

Location of xls template files

Location of folder nesting all support files


Where are my configuration settings stored? (Quick Reference)

Where are my configuration settings stored?
Where are my configuration settings stored?
Where are my configuration settings stored?
Configuration and setup guide > Distribute configuration files >
Where are my configuration settings stored?
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Location of form files

Form files are the files used by the AMCOMP2D, AMEXT2D, AMOR2D, and AMBELL2D commands to insert forms for springs in a drawing.

The path to the folder containing form files is in the system editor key Acad/M [image] Paths [image] FormPath, (Configuration setting gen@Paths@FormPath).

By default, the key points to:

  • Windows Vista: C:\Users\Public\Public Documents\Autodesk\ACADM 2010\Acadm\Gen\Form

  • Windows XP: C:\Documents and Settings\All Users\Shared Documents\Autodesk\ACADM 2010\Acadm\Gen\Form


Where are my configuration settings stored? (Quick Reference)

Where are my configuration settings stored?
Where are my configuration settings stored?
Where are my configuration settings stored?
Configuration and setup guide > Distribute configuration files >
Where are my configuration settings stored?
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Location of library files

The AMLIBRARY command uses library files to store blocks and drawing files for reuse.

The path to the folder containing library files is in the system editor key Acad/M [image] Paths [image] LibPath (Configuration setting gen@Paths@LibPath).

By default, the key points to:

  • Windows Vista: C:\Users\Public\Public Documents\Autodesk\ACADM 2010\Acadm\Gen\Lib

  • Windows XP: C:\Documents and Settings\All Users\Shared Documents\Autodesk\ACADM 2010\Acadm\Gen\Lib


Where are my configuration settings stored? (Quick Reference)

Where are my configuration settings stored?
Where are my configuration settings stored?
Where are my configuration settings stored?
Configuration and setup guide > Distribute configuration files >
Where are my configuration settings stored?
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Location of Mask files

The Mask Editor uses Mask files to format parts lists for printing.

The path to the folder containing Mask (.msk) files is in the system editor key Acad/M [image] Paths [image] MaskFiles (Configuration setting gen@Paths@MaskFiles).

By default, the key points to:

  • Windows Vista: C:\Users\Public\Public Documents\Autodesk\ACADM 2010\Acadm\Gen\Msk

  • Windows XP: C:\Documents and Settings\All Users\Shared Documents\Autodesk\ACADM 2010\Acadm\Gen\Msk


Where are my configuration settings stored? (Quick Reference)

Where are my configuration settings stored?
Where are my configuration settings stored?
Where are my configuration settings stored?
Configuration and setup guide > Distribute configuration files >
Where are my configuration settings stored?
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Location of script generator files

Script generator files refer to the lisp files used with the AMSCRIPT command.

The path to the folder containing script generator files is in the system editor key Acad/M [image] Paths [image] ScrPath (Configuration file setting gen@Paths@ScrPath).

By default, the key points to:

  • Windows Vista: C:\Users\Public\Public Documents\Autodesk\ACADM 2010\Acadm\Gen\Scr

  • Windows XP: C:\Documents and Settings\All Users\Shared Documents\Autodesk\ACADM 2010\Acadm\Gen\Scr


Where are my configuration settings stored? (Quick Reference)

Where are my configuration settings stored?
Where are my configuration settings stored?
Where are my configuration settings stored?
Configuration and setup guide > Distribute configuration files >
Where are my configuration settings stored?
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Location of Val files

Val files refer to a special set of database files that contain parameters for standard parts.

The path to the folder containing Val files is in the system editor key Acad/M [image] Paths [image] ValPath (Configuration file setting gen@Paths@ValPath).

By default, the key points to:

  • Windows Vista: C:\Users\Public\Public Documents\Autodesk\ACADM 2010\Acadm\Gen\Val

  • Windows XP: C:\Documents and Settings\All Users\Shared Documents\Autodesk\ACADM 2010\Acadm\Gen\Val


Where are my configuration settings stored? (Quick Reference)

Where are my configuration settings stored?
Where are my configuration settings stored?
Where are my configuration settings stored?
Configuration and setup guide > Distribute configuration files >
Where are my configuration settings stored?
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Location of GDB files

GDB files refer to the files used to implement the standard parts library.

The path to the folder containing GDB files is in the system editor key PowerPack [image] Paths [image] GdbPath (Configuration file setting gef@Paths@GdbPath).

By default, the key points to:

  • Windows Vista: C:\Users\Public\Public Documents\Autodesk\ACADM 2010\Acadm\Gef\Gdb

  • Windows XP: C:\Documents and Settings\All Users\Shared Documents\Autodesk\ACADM 2010\Acadm\Gef\Gdb


Where are my configuration settings stored? (Quick Reference)

Where are my configuration settings stored?
Where are my configuration settings stored?
Where are my configuration settings stored?
Configuration and setup guide > Distribute configuration files >
Where are my configuration settings stored?
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Location of MLD files

MLD files refer to the multi-language dictionary files used by the AMLANGCONV command.

The path to the folder containing MLD files is in the system editor keys PowerPack [image] Paths [image] MldPath and Acad/M [image] Paths [image] MldPath(Configuration file settings gef@Paths@MldPath and gen@Paths@MldPath).

By default, the key points to:

  • Windows Vista: C:\Users\Public\Public Documents\Autodesk\ACADM 2010\Acadm\Gef\Gdb

  • Windows XP: C:\Documents and Settings\All Users\Shared Documents\Autodesk\ACADM 2010\Acadm\Gef\Gdb


Where are my configuration settings stored? (Quick Reference)

Where are my configuration settings stored?
Where are my configuration settings stored?
Where are my configuration settings stored?
Configuration and setup guide > Distribute configuration files >
Where are my configuration settings stored?
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Location of material library files

The AMEDITMAT command uses material library files to store information on predefined physical materials.

The path to the folder containing material library files is:

  • Windows Vista: C:\Users\Public\Public Documents\Autodesk\ACADM 2010\Acadm\Gef\Gdb

  • Windows XP: C:\Documents and Settings\All Users\Shared Documents\Autodesk\ACADM 2010\Acadm\Gef\Gdb


Where are my configuration settings stored? (Quick Reference)

Where are my configuration settings stored?
Where are my configuration settings stored?
Where are my configuration settings stored?
Configuration and setup guide > Distribute configuration files >
Where are my configuration settings stored?
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Location of OPT files

The IGES STEP and IDF translators use OPT files.

The IGES translator uses OPT files.

The path to the folder containing OPT files is:

  • Windows Vista: C:\Users\Public\Public Documents\Autodesk\ACADM 2010\Support

  • Windows XP: C:\Documents and Settings\All Users\Shared Documents\Autodesk\ACADM 2010\Support


Where are my configuration settings stored? (Quick Reference)

Where are my configuration settings stored?
Where are my configuration settings stored?
Where are my configuration settings stored?
Configuration and setup guide > Distribute configuration files >
Where are my configuration settings stored?
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Location of thread XML files

The AMTHREAD command uses thread XML files to refer to thread data.

The path to the folder containing thread XML files is:

  • Windows Vista: C:\Users\Public\Public Documents\Autodesk\ACADM 2010\Acadm\

  • Windows XP: C:\Documents and Settings\All Users\Shared Documents\Autodesk\ACADM 2010\Acadm\


Where are my configuration settings stored? (Quick Reference)

Where are my configuration settings stored?
Where are my configuration settings stored?
Where are my configuration settings stored?
Configuration and setup guide > Distribute configuration files >
Where are my configuration settings stored?
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Location of drawing template files

Template files are in a unique location for each user.

To locate drawing template files:

  1. At the Command prompt, enter AMOPTIONS.
  2. Click the Files tab.
  3. In the Search paths list, expand the Template settings node.
  4. Expand the Drawing Template file location.

    The path to the folder containing drawing template files is listed below this node. If the path is truncated, move the pointer over the path to display the path in a tooltip.


Where are my configuration settings stored? (Quick Reference)

Where are my configuration settings stored?
Where are my configuration settings stored?
Where are my configuration settings stored?
Configuration and setup guide > Distribute configuration files >
Where are my configuration settings stored?
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Location of tutorial files

Tutorial files are sample data sets referenced by the tutorials in the User’s Guide and Online Tutorials.

The path to the folder containing tutorial files is:

  • Windows Vista: C:\Users\Public\Public Documents\Autodesk\ACADM 2010\Acadm\Tutorial

  • Windows XP: C:\Documents and Settings\All Users\Shared Documents\Autodesk\ACADM 2010\Acadm\Tutorial


Where are my configuration settings stored? (Quick Reference)

Where are my configuration settings stored?
Where are my configuration settings stored?
Where are my configuration settings stored?
Configuration and setup guide > Distribute configuration files >
Where are my configuration settings stored?
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Location of title border files

The AMTITLE command uses Title border files to insert drawing borders and title blocks into a drawing.

Title blocks are in a folder named Title and paper formats are in a folder name Format. The path to the folder containing these folders is in the system editor key Acad/M [image] Paths [image] DwgTitle (Configuration file settings gef@Paths@DwgTitle).

By default, the key points to:

  • Windows Vista: C:\Users\Public\Public Documents\Autodesk\ACADM 2010\Acadm\Gen\Dwg

  • Windows XP: C:\Documents and Settings\All Users\Shared Documents\Autodesk\ACADM 2010\Acadm\Gen\Dwg


Where are my configuration settings stored? (Quick Reference)

Where are my configuration settings stored?
Where are my configuration settings stored?
Where are my configuration settings stored?
Configuration and setup guide > Distribute configuration files >
Where are my configuration settings stored?
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Location of revision block files

The AMREVLINE command uses title border files to insert revision blocks into a drawing.

Revision blocks are in a folder named Revisionlist. The path to the folder containing the Revisionlist folder is in the system editor key Acad/M [image] Paths [image] DwgTitle (Configuration file settings gef@Paths@DwgTitle).

By default, the key points to:

  • Windows Vista: C:\Users\Public\Public Documents\Autodesk\ACADM 2010\Acadm\Gen\Dwg\RevisionList

  • Windows XP: C:\Documents and Settings\All Users\Shared Documents\Autodesk\ACADM 2010\Acadm\Gen\Dwg\RevisionList


Where are my configuration settings stored? (Quick Reference)

Where are my configuration settings stored?
Where are my configuration settings stored?
Where are my configuration settings stored?
Configuration and setup guide > Distribute configuration files >
Where are my configuration settings stored?
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Location of parts list files

Parts list files contain custom blocks used to implement custom parts lists.

The path to the folder containing parts list files is in the system editor key Acad/M [image] Paths [image] DwgMask (Configuration file settings gef@Paths@DwgMask).

By default, the key points to:

  • Windows Vista: C:\Users\Public\Public Documents\Autodesk\ACADM 2010\Acadm\Gen\Dwg\Msk

  • Windows XP: C:\Documents and Settings\All Users\Shared Documents\Autodesk\ACADM 2010\Acadm\Gen\Dwg\Msk


Where are my configuration settings stored? (Quick Reference)

Where are my configuration settings stored?
Where are my configuration settings stored?
Where are my configuration settings stored?
Configuration and setup guide > Distribute configuration files >
Where are my configuration settings stored?
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Location of DSK files

The mask editor and the AMPARTLIST command use DSK files to implement special formatting options for custom parts lists.

The path to the folder containing parts list files is in the system editor key Acad/M [image] Paths [image] DskPath (Configuration file settings gef@Paths@DskPath).

By default, the key points to:

  • Windows Vista: C:\Users\Public\Public Documents\Autodesk\ACADM 2010\Acadm\Gen\Dwg\Dsk

  • Windows XP: C:\Documents and Settings\All Users\Shared Documents\Autodesk\ACADM 2010\Acadm\Gen\Dwg\Dsk


Where are my configuration settings stored? (Quick Reference)

Where are my configuration settings stored?
Where are my configuration settings stored?
Where are my configuration settings stored?
Configuration and setup guide > Distribute configuration files >
Where are my configuration settings stored?
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Location of CCF files

The AMCONVDWG command uses CCF files to convert a drawing from one format to another.

The path to the folder containing parts list files is in the system editor key Acad/M [image] Paths [image] Conv (Configuration file settings gef@Paths@Conv).

By default, the key points to:

  • Windows Vista: C:\Users\Public\Public Documents\Autodesk\ACADM 2010\Acadm\Gen\Conv

  • Windows XP: C:\Documents and Settings\All Users\Shared Documents\Autodesk\ACADM 2010\Acadm\Gen\Conv


Where are my configuration settings stored? (Quick Reference)

Where are my configuration settings stored?
Where are my configuration settings stored?
Where are my configuration settings stored?
Configuration and setup guide > Distribute configuration files >
Where are my configuration settings stored?
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Location of xls template files

AutoCAD Mechanical uses xls files as templates to generate some reports. The table shows the name of the report and the corresponding xls template file.

Template File Name | Report used for | Comments
AMSETUPDWGReportTemplate.xls | Report Generated from AMSETUPDWG Wizard, Preview changes step. | The xls file has no user editable parameters.
bom_list.xls | BOM List |
bom+summary_list.xls | BOM+Summary List |
detail_list.xls | Detail List |
PartListTemplate.xls | Template for GOST Parts Lists | The xls file has no user editable parameters.
summary_list.xls | Summary List Report |

The path to the folder containing parts list files is in the system editor key Acad/M [image] Paths [image] XlsPath (Configuration file settings gef@Paths@Xls).

By default, the key points to:

  • Windows Vista: C:\Users\Public\Public Documents\Autodesk\ACADM 2010\Acadm\Gen\Xls

  • Windows XP: C:\Documents and Settings\All Users\Shared Documents\Autodesk\ACADM 2010\Acadm\Gen\Xls


Where are my configuration settings stored? (Quick Reference)

Where are my configuration settings stored?
Where are my configuration settings stored?
Overview
Configuration and setup guide > Distribute configuration files >
Where are my configuration settings stored?
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Location of folder nesting all support files

All support files used by AutoCAD Mechanical during draw time are in various folders, nested under the folder in the following list:

  • Windows Vista: C:\Users\Public\Public Documents\Autodesk\ACADM 2010\Acadm\

  • Windows XP: C:\Documents and Settings\All Users\Shared Documents\Autodesk\ACADM 2010\Acadm\


Which files should I distribute? (Concept)

Where are my configuration settings stored?
Distribute configuration files
Import Drafting Standard Settings
Configuration and setup guide > Distribute configuration files >
Which files should I distribute?
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

Configuration settings are saved in

  1. the Windows registry
  2. drawing templates
  3. support files

To distribute configuration settings to other computers, port all configuration settings.

Copying Windows settings

You can export configuration settings stored in the Windows registry to a .cfg file using the Export feature in the AM:Preferences tab of the Options dialog box. You can import the .cfg file on another computer, copying the settings to the Windows registry of that computer.

Copying template files

A user-specific area on your hard disk stores template files. You can copy templates from your computer to the user-specified areas of another user’s computer. Alternatively, you can store the templates in a common location shared by all users and configure AutoCAD Mechanical to use template files from that location.

Copying support files

Support files are files that a template refers to at draw time. Drawings containing the blocks for a custom parts list and drawing border files are examples of support files. Support files are distributed among several folders with all these folders nested under a single main folder. If you are distributing support files, we recommend distributing the content of the main folder. Unlike with templates, it is not possible to use support files from a common location shared by all users.


Which files should I distribute? (Procedure)

Distribute configuration files
Up a level to ..
Which files should I distribute?
Configuration and setup guide > Distribute configuration files >
Which files should I distribute?
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

To Export Windows Registry-based Settings to a .CFG File

To Import Settings from a CFG File

To Specify the Path to the Folder Containing Drawing Templates


To Export Windows Registry-based Settings to a .CFG File (Procedure)

Which files should I distribute?
Up a level to ..
Which files should I distribute?
Configuration and setup guide > Distribute configuration files >
Which files should I distribute?
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

To Export Windows Registry-based Settings to a .CFG File

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. Click the AM:Preferences tab.
  3. In the Administration Tools section, click Export.
  4. In the message that appears, click OK.
  5. Browse to the location to save the settings to.
  6. Name the file and click Save. The program saves the settings to a CFG file.


To Import Settings from a CFG File (Procedure)

Which files should I distribute?
Up a level to ..
Which files should I distribute?
Configuration and setup guide > Distribute configuration files >
Which files should I distribute?
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

To Import Settings from a CFG File

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. Click the AM:Preferences tab.
  3. In the Administration Tools section, click Import.
  4. Select the CFG file and click Open.
  5. In the message that appears, click Close. The settings are imported and written to the Windows registry.


To Specify the Path to the Folder Containing Drawing Templates (Procedure)

Which files should I distribute?
Up a level to ..
Import Drafting Standard Settings
Configuration and setup guide > Distribute configuration files >
Which files should I distribute?
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

To Specify the Path to the Folder Containing Drawing Templates

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. Click the Files tab.
  3. In the Search paths, file names and file locations list, expand the Template settings node.
  4. Expand the Drawing Template file location.
  5. Double-click [image] .
  6. In the Browse for Folder dialog box, select the folder containing templates.
  7. Click OK until all dialog boxes close.


Import Drafting Standard Settings

Which files should I distribute?
Configuration and setup guide
Overview
Configuration and setup guide >
Import Drafting Standard Settings
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

Topics in this section

  • Overview
  • Import Drafting Standards
  • Import Some Settings Only
  • Save and Reuse AMSETUPDWG Settings


Import Drafting Standard Settings (Procedure)

Which files should I distribute?
Import Drafting Standard Settings
Import Drafting Standards
Configuration and setup guide >
Import Drafting Standard Settings
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

To import all standards from a drawing.

To import one or more standards selectively

To import the symbol libraries from another drawing

To import preset edit lists for surface texture symbols

To create a configuration file for importing from a given file

To import a standard using a configuration file.


Overview (Concept)

Import Drafting Standard Settings
Import Drafting Standard Settings
Import Drafting Standards
Configuration and setup guide > Import Drafting Standard Settings >
Overview
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

There are several scenarios where you may want to import the drafting standard settings of one drawing into another. For example:

  • You receive a drawing from a client. You want to convert that drawing to your company standard before working on it.
  • Your company revises the company standards template after you have started work on the current drawing. You now want to update the current drawing to the latest company standard.
  • You make some useful changes to the settings of the drafting standard on the drawing you are working on. You want to propagate the changes across the company by updating the company standards template. Examples of such changes are:
    • You update the symbol libraries for some symbols.
    • You add a complex formula to a component property in the BOM.
  • You need to use some surface texture symbol preset lists (or note templates or symbol libraries) in the current drawing which reside in another drawing or template.

Use the AMSETUPDWG command to import the drafting standard from a template (a.dwt file) into the current drawing. AMSETUPDWG provides the ability to:

  • Import all standards from a drawing template.
  • Import only selected standards (rather than all standards in a drawing template)
  • Import any of the following without importing anything else:
    • Symbol libraries
    • Note templates
    • Surface texture edit lists
  • Review the changes to the current drawing before they are committed and save the report to Microsoft Excel
  • Save an import configuration for later use.

In most cases, objects controlled by the drafting standard react to a change in settings in the middle of a drawing session. Hole charts and title blocks are known exceptions to this rule. Sometimes other objects do not react to changes in settings, under special circumstances; typically due to the net effects of a combination of changes usually involving a change in the current drafting standard and the Object/Layer settings.

NoteBefore you import settings from a DWG file, you must save it as a DWT file. This is because AMSETUPDWG does not support import from DWG files.


Overview (Quick Reference)

Where are my configuration settings stored?
Overview
Import Drafting Standards
Configuration and setup guide > Import Drafting Standard Settings >
Overview
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

AMSETUPDWG

Imports the drafting standards and the dependent settings from a template file

Ribbon: None tab [image] None panel [image] Setup Drawing. Does not exist on the ribbon.
Toolbar: None
Menu: Format [image] Setup Drawing Does not exist in the menus.
Command entry: amsetupdwg

You can use this command in the middle of a drawing session to replace the existing drawing template by another template. You can import entire standards, selectively or importing subsets of settings.

You can also use this command to clean up a drawing created using Genius 14. Typically, this option repairs or removes object relationships, cleans up Vario blocks, and freezes Genius Vario layers.

COMMAND LINE OPTIONS

Select a source [drawing Template/confiGuration/Clean/Wizard] <Wizard>: Select an option.

Drawing Template

Replaces the standard settings in the current drawing with the settings of a drawing file you select.

Enter template file path [Browse] <<Last used template file>>: Specify the path to the file you want to import settings from or enter B to display a file open dialog box.

Browse

Displays a file open dialog box to assist you select the file to import settings from.

Configuration

Imports settings using an import configuration file. The import configuration file specifies what drawing to import from and the import options to use.

Enter configuration file path [Browse] <<Last used configuration file>>: Specify the path to the configuration file or enter B to display a file open dialog box.

Browse

Displays a file open dialog box to assist you select the configuration file.

Clean

Cleans up a drawing created using Genius 14. For example, this option repairs or remove object relationships, cleans up Vario blocks, and freezes Genius Vario layers.

Wizard

Displays a wizard to walk you through the process of specifying import options.

NoteRunning the AMSETUPDWG command in the middle of a drawing session, and choosing another drawing template, might not fully convert the current drawing so that it appears as if it was created with the new template from the beginning.


Import Drafting Standards (Concept)

Overview
Import Drafting Standard Settings
Import Some Settings Only
Configuration and setup guide > Import Drafting Standard Settings >
Import Drafting Standards
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

The AMSETUPDWG command provides several methods to import drafting standard settings from another drawing. You can use the command line to import all the drafting standards from a template or use a wizard to selectively import one or more drafting standards.

Some behaviors required by the drafting standard are implemented using AutoCAD system variables. When AMSETUPDWG imports a drafting standard, it imports the dependant system variables as well.

In a drawing, system variables derive their values from the current drafting standard. Because of this dependency, AutoCAD Mechanical makes it mandatory that you select the current drafting standard for import, regardless of what other standard you import. After the import process, the current drafting standard of the source drawing becomes the current drafting standard of the current drawing.

Importing Custom Standards

A custom standard is a user-defined standard that is derived from one of the drafting standards included with AutoCAD Mechanical. When importing a custom standard, you may already have a custom standard by the same name in the current drawing, which may be derived from a different base standard. Running AMSETUPDWG in such a case can change existing geometry significantly.

For example, your current drawing is based on a custom standard that is derived from the ANSI standard. The drawing you are importing from is based on a custom standard of the same name, but is derived from the ISO standard. If you proceed with AMSETUPDWG on the current drawing, the text heights change so significantly that annotations may overlap geometry.

Because of the significance of the changes that can occur, AMSETUPDWG displays a warning when it discovers a base standard mismatch. However, AMSETUPDWG does not prevent you from importing a custom standard when a base standard conflict exists. The wizard continues only when you confirm it is OK to proceed.


Import Drafting Standards (Procedure)

Import Drafting Standard Settings
Up a level to ..
Import Drafting Standards
Configuration and setup guide > Import Drafting Standard Settings >
Import Drafting Standards
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To import all standards from a drawing.

To import one or more standards selectively


Import Drafting Standards (Quick Reference)

Overview
Import Drafting Standards
Import Drafting Standards
Configuration and setup guide > Import Drafting Standard Settings >
Import Drafting Standards
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMSETUPDWG

Setup Drawing Wizard - How would you like to set up drawing? step

Setup Drawing Wizard - What settings would you like to import? step

Setup Drawing Wizard - Which standards would you like to import? step

Setup Drawing Wizard - Which symbol libraries would you like to import? step

Setup Drawing Wizard - Review changes to be made to the current drawing step

Setup Drawing Wizard - The wizard is ready to import step


To import all standards from a drawing. (Procedure)

Import Drafting Standards
Up a level to ..
Import Drafting Standards
Configuration and setup guide > Import Drafting Standard Settings >
Import Drafting Standards
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To import all standards from a drawing.

  1. Click [image] [image] Drawing Utilities [image] Setup Drawing.
  2. In the Drawing Setup dialog box, click Overwrite Settings.
  3. At the command prompt enter T and press ENTER for the Drawing Template option.
  4. At the command prompt enter B and press ENTER.
  5. In the Select Template Drawing dialog box, select the file to import the standard from and click Open.
    NoteTo import from a .dwg file, you must first save it as a .dwt file and then import from the dwt file.

    AMSETUPDWG replaces the standards in the current drawing with the standards of the file you are importing from.


To import one or more standards selectively (Procedure)

Import Drafting Standards
Up a level to ..
Import Some Settings Only
Configuration and setup guide > Import Drafting Standard Settings >
Import Drafting Standards
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To import one or more standards selectively

  1. Click [image] [image] Drawing Utilities [image] Setup Drawing.
  2. In the Drawing Setup dialog box, click Overwrite Settings.
  3. At the command prompt enter W for the Wizard option.
  4. Select the Import Settings from drawing template option.
  5. Click Browse
  6. Select the file to import the standard from and click Open.
    NoteTo import from a .dwg file, you must first save it as a .dwt file and then import from the dwt file.
  7. Click Next.
  8. Select the import options.
    1. Select the Full import option and click Next.
    2. Select the standards you want to import and click Next.
      NoteDue to the dependency between the current standard and system variables, AutoCAD Mechanical does not let you clear the check box next to the current standard.
    3. Select the Symbol Libraries you want to import.
    4. Select the Replace option and click Next.
      NoteThe Replace option replaces the symbol library in the current drawing with the librarys in the drawing you are importing from. The Overwrite option replaces only the symbols that have the same names as the ones being imported. We do not recomend the use of the Append option in AMSETUPDWG.
  9. Review the changes and click Next to commit the changes.
  10. Click Import.
  11. Click Exit Wizard.


Import Drafting Standards (Quick Reference)

Import Drafting Standards
Import Drafting Standards
Import Drafting Standards
Configuration and setup guide > Import Drafting Standard Settings >
Import Drafting Standards
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMSETUPDWG

Imports the drafting standards and the dependent settings from a template file

Ribbon: None tab [image] None panel [image] Setup Drawing. Does not exist on the ribbon.
Toolbar: None
Menu: Format [image] Setup Drawing Does not exist in the menus.
Command entry: amsetupdwg

You can use this command in the middle of a drawing session to replace the existing drawing template by another template. You can import entire standards, selectively or importing subsets of settings.

You can also use this command to clean up a drawing created using Genius 14. Typically, this option repairs or removes object relationships, cleans up Vario blocks, and freezes Genius Vario layers.

COMMAND LINE OPTIONS

Select a source [drawing Template/confiGuration/Clean/Wizard] <Wizard>: Select an option.

Drawing Template

Replaces the standard settings in the current drawing with the settings of a drawing file you select.

Enter template file path [Browse] <<Last used template file>>: Specify the path to the file you want to import settings from or enter B to display a file open dialog box.

Browse

Displays a file open dialog box to assist you select the file to import settings from.

Configuration

Imports settings using an import configuration file. The import configuration file specifies what drawing to import from and the import options to use.

Enter configuration file path [Browse] <<Last used configuration file>>: Specify the path to the configuration file or enter B to display a file open dialog box.

Browse

Displays a file open dialog box to assist you select the configuration file.

Clean

Cleans up a drawing created using Genius 14. For example, this option repairs or remove object relationships, cleans up Vario blocks, and freezes Genius Vario layers.

Wizard

Displays a wizard to walk you through the process of specifying import options.

NoteRunning the AMSETUPDWG command in the middle of a drawing session, and choosing another drawing template, might not fully convert the current drawing so that it appears as if it was created with the new template from the beginning.


Import Drafting Standards (Quick Reference)

Import Drafting Standards
Import Drafting Standards
Import Drafting Standards
Configuration and setup guide > Import Drafting Standard Settings >
Import Drafting Standards
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Setup Drawing Wizard - How would you like to set up drawing? step

Import settings from a drawing template Imports settings from the Standard Settings dialog box, settings of each element of the standard, system variables required to implement standard settings, text styles, and dimension styles.
 | Browse Displays a dialog box, enabling you to navigate to the file from which you want to import settings.
Load an import configuration file Loads settings for the wizard from a configuration file. You can create configuration files by saving the wizard settings to a file.
 | Browse Displays a dialog box, enabling you to navigate to the configuration file.
Clean up the drawing Checks drawing for obsolete Genius 14 objects and removes them from the drawing. For example, this option repairs or remove object relationships, cleans up Vario blocks, and freezes Genius Vario layers.
Skip Configuration Jumps to the Review changes to the drawing step. If you selected Import settings from a drawing, the wizard uses the default options for the steps you skip. If you selected Load an import configuration file, the wizard uses the settings saved in the configuration file for the steps you skip. If any of the settings in the pages you are skipping are invalid, the wizard displays an error message and does not jump to the Review changes to the drawing step.


Import Drafting Standards (Quick Reference)

Import Drafting Standards
Import Drafting Standards
Import Drafting Standards
Configuration and setup guide > Import Drafting Standard Settings >
Import Drafting Standards
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Setup Drawing Wizard - What settings would you like to import? step

Full import Imports all settings from the Standard Settings dialog box and all settings of the elements of the drafting standard. It also imports the system variables and styles (text styles and dimension styles) required to implement the drafting standard in a drawing.
Custom import Patches the standard in the current drawing with the settings you select for import.
 | Surface texture symbol preset value lists Imports the preset lists used as drop-down lists in the surface texture symbols. In a later step, you can select the standards for which you are importing presets.
 | Note symbol templates Imports the note templates from the drawing template.
 | Symbol libraries Imports the symbol libraries without importing any other settings. In a later step, you can select the symbols for which you are importing the libraries.


Import Drafting Standards (Quick Reference)

Import Drafting Standards
Import Drafting Standards
Import Drafting Standards
Configuration and setup guide > Import Drafting Standard Settings >
Import Drafting Standards
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Setup Drawing Wizard - Which standards would you like to import? step

List of standards

Displays a list of standards that are loaded in the drawing from which you are importing. Select the standards you want to import.

NoteThe system variables and styles in a drawing are set to values dictated by the current drafting standard. If you do not import the current drafting standard, a mismatch between the system variables and standard occur. Hence, AMSETUPDWG makes it mandatory for you to import the current standard. Accordingly, the check box corresponding to the current standard is always selected and unavailable.

Select All

Selects all standards for import.

Clear All

Clears all standards except the current drafting standard, which is mandatory to import.

Restore Defaults

Restores the default selection. If you selected the Import settings from a drawing template option in the How would you like to set up drawing? step, clicking this button selects all standards. If you selected the Load an import configuration file option, clicking this button selects the standards specified in the configuration file.


Import Drafting Standards (Quick Reference)

Import Drafting Standards
Import Drafting Standards
Import Drafting Standards
Configuration and setup guide > Import Drafting Standard Settings >
Import Drafting Standards
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Setup Drawing Wizard - Which symbol libraries would you like to import? step

List of symbol libraries Displays a list of symbol libraries that you can import. Select the check boxes corresponding to the symbol libraries you want to import.
Clear All Clears all check boxes in the list of symbol libraries.
Select All Selects all check boxes in the list of symbol libraries.
Restore Defaults Restores the default selection. If you selected the Import settings from a drawing template option in the How would you like to set up drawing? step, clicking this button selects all symbol libraries. If you selected the Load an import configuration file option, clicking this button selects the symbol libraries specified in the configuration file.
Options
 | Append Appends the imported symbols to the symbol library in the current drawing. If the imported symbol libraries have symbols with the same name as those in the current drawing, AMSETUPDWG renames the imported symbols.
 | Overwrite Appends the imported symbols to the symbol library in the current drawing. If the imported symbol libraries have symbols with the same name as those in the current drawing, AMSETUPDWG overwrites the symbols in the current drawing with the imported ones.
 | Replace Replaces the symbol library in the current drawing with the library you are importing. If the imported symbol libraries have symbols with the same name as those in the current drawing, AMSETUPDWG overwrites the symbols in the current drawing with the imported ones.


Import Drafting Standards (Quick Reference)

Import Drafting Standards
Import Drafting Standards
Import Drafting Standards
Configuration and setup guide > Import Drafting Standard Settings >
Import Drafting Standards
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Setup Drawing Wizard - Review changes to be made to the current drawing step

List of settings

Displays a list of settings, system variables, and styles that will be affected by AMSETUPDWG. The following states are possible:

  • Update - The setting exists in the current drawing, but will be changed.
  • New - The setting does not exist in the current drawing.

Save Report

Saves the list of settings as an xls file.


Import Drafting Standards (Quick Reference)

Import Drafting Standards
Import Drafting Standards
Import Some Settings Only
Configuration and setup guide > Import Drafting Standard Settings >
Import Drafting Standards
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Setup Drawing Wizard - The wizard is ready to import step

Import options summary

Displays a list of options you specified for the wizard, system variables, and styles that will be affected by AMSETUPDWG.

Save Configuration

Saves all import options to a configuration file. When you are running the wizard again, you can load the configuration file at the How would you like to set up drawing? step, so that you do not have to specify the import options manually.


Import Some Settings Only (Concept)

Import Drafting Standards
Import Drafting Standard Settings
Save and Reuse AMSETUPDWG Settings
Configuration and setup guide > Import Drafting Standard Settings >
Import Some Settings Only
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMSETUPDWG supports a custom import mode, which enables you to import one or more of the following, without importing anything else.

  • Symbol libraries
  • Note templates
  • Surface texture preset edit lists

In this mode, AMSETUPDWG can only update the settings of a standard if it is loaded in the current drawing. In the current drawing, the standard you are importing from must be in the loaded state. For example, if you are importing the ISO symbol library, the ISO standard must be loaded in the current drawing. For this reason, if you are importing using the Setup Drawing Wizard, only those standards that are loaded in both the current drawing and the template are displayed.

AMSETUPDWG performs additional checks on custom standards to verify whether the base standards match. AMSETUPDWG does not allow you to patch a custom standard if it detects a base standard mismatch.

If you are importing symbol libraries, AMSETUPDWG prompts you to specify the symbols you are importing the library for. You also specify if you want to overwrite, replace, or append to the library, if it exists. If you choose Replace, AMSETUPDWG removes the symbol library for the selected standard (and symbol) and replaces it with the imported symbol library. If you choose to overwrite, and AMSETUPDWG detects duplicate names, it replaces the existing symbol with the one you are importing. If you choose to append, and AMSETUPDWG detects duplicate names, it automatically renames the symbol you are importing. As a result, you run the risk of having duplicate symbol library items with different names, which you have to clean up manually. We recommend that you use the Replace or Overwrite options when importing symbol libraries with AMSETUPDWG.

Some symbols support more than one revision for a given standard. Each revision has its own symbol library. When you select such a symbol type for symbol library import, AMSETUPDWG imports symbol libraries for all revisions of that standard.


Import Some Settings Only (Procedure)

Import Drafting Standards
Up a level to ..
Import Some Settings Only
Configuration and setup guide > Import Drafting Standard Settings >
Import Some Settings Only
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To import the symbol libraries from another drawing

To import preset edit lists for surface texture symbols


Import Some Settings Only (Quick Reference)

Import Drafting Standards
Import Some Settings Only
Import Some Settings Only
Configuration and setup guide > Import Drafting Standard Settings >
Import Some Settings Only
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMSETUPDWG

Setup Drawing Wizard - How would you like to set up drawing? step

Setup Drawing Wizard - What settings would you like to import? step

Setup Drawing Wizard - Which standards would you like to import? step

Setup Drawing Wizard - Which symbol libraries would you like to import? step

Setup Drawing Wizard - Review changes to be made to the current drawing step

Setup Drawing Wizard - The wizard is ready to import step


To import the symbol libraries from another drawing (Procedure)

Import Some Settings Only
Up a level to ..
Import Some Settings Only
Configuration and setup guide > Import Drafting Standard Settings >
Import Some Settings Only
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To import the symbol libraries from another drawing

  1. Click [image] [image] Drawing Utilities [image] Setup Drawing.
  2. In the Drawing Setup dialog box, click Overwrite Settings.
  3. At the command prompt enter W for the Wizard option.
  4. Select the Import Settings from drawing template option.
  5. Click Browse
  6. Select the file to import the symbol library from and click Open.
    NoteTo import from a .dwg file, you must first save it as a .dwt file and then import from the dwt file.
  7. Click Next.
  8. Select the import options.
    1. Select the Custom import option.
    2. Select the Symbol libraries check box and click Next
    3. Select the standards you want to import the symbol librarys for and click Next.
      NoteDue to the dependency between the current standard and system variables, AutoCAD Mechanical does not let you clear the check box next to the current standard.
    4. Select the Symbol Libraries you want to import.
    5. Select the Replace option and click Next.
      NoteThe Replace option replaces the symbol library in the current drawing with the librarys in the drawing you are importing from. The Overwrite option replaces only the symbols that have the same names as the ones being imported. We do not recomend the use of the Append option in AMSETUPDWG.
  9. Review the changes and click Next to commit the changes.
  10. Click Import.
  11. Click Exit Wizard.


To import preset edit lists for surface texture symbols (Procedure)

Import Some Settings Only
Up a level to ..
Save and Reuse AMSETUPDWG Settings
Configuration and setup guide > Import Drafting Standard Settings >
Import Some Settings Only
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To import preset edit lists for surface texture symbols

  1. Click [image] [image] Drawing Utilities [image] Setup Drawing.
  2. In the Drawing Setup dialog box, click Overwrite Settings.
  3. At the command prompt enter W for the Wizard option.
  4. Select the Import Settings from drawing template option.
  5. Click Browse
  6. Select the file to import the preset edit lists from and click Open.
    NoteTo import from a .dwg file, you must first save it as a .dwt file and then import from the dwt file.
  7. Click Next.
  8. Select the import options.
    1. Select the Custom import option.
    2. Select the Surface texture symbol preset lists check box and click Next
    3. Select the standards you want to import the lists for and click Next.
      NoteDue to the dependency between the current standard and system variables, AutoCAD Mechanical does not let you clear the check box next to the current standard.
  9. Review the changes and click Next to commit the changes.
  10. Click Import.
  11. Click Exit Wizard.


Import Some Settings Only (Quick Reference)

Import Some Settings Only
Import Some Settings Only
Import Some Settings Only
Configuration and setup guide > Import Drafting Standard Settings >
Import Some Settings Only
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMSETUPDWG

Imports the drafting standards and the dependent settings from a template file

Ribbon: None tab [image] None panel [image] Setup Drawing. Does not exist on the ribbon.
Toolbar: None
Menu: Format [image] Setup Drawing Does not exist in the menus.
Command entry: amsetupdwg

You can use this command in the middle of a drawing session to replace the existing drawing template by another template. You can import entire standards, selectively or importing subsets of settings.

You can also use this command to clean up a drawing created using Genius 14. Typically, this option repairs or removes object relationships, cleans up Vario blocks, and freezes Genius Vario layers.

COMMAND LINE OPTIONS

Select a source [drawing Template/confiGuration/Clean/Wizard] <Wizard>: Select an option.

Drawing Template

Replaces the standard settings in the current drawing with the settings of a drawing file you select.

Enter template file path [Browse] <<Last used template file>>: Specify the path to the file you want to import settings from or enter B to display a file open dialog box.

Browse

Displays a file open dialog box to assist you select the file to import settings from.

Configuration

Imports settings using an import configuration file. The import configuration file specifies what drawing to import from and the import options to use.

Enter configuration file path [Browse] <<Last used configuration file>>: Specify the path to the configuration file or enter B to display a file open dialog box.

Browse

Displays a file open dialog box to assist you select the configuration file.

Clean

Cleans up a drawing created using Genius 14. For example, this option repairs or remove object relationships, cleans up Vario blocks, and freezes Genius Vario layers.

Wizard

Displays a wizard to walk you through the process of specifying import options.

NoteRunning the AMSETUPDWG command in the middle of a drawing session, and choosing another drawing template, might not fully convert the current drawing so that it appears as if it was created with the new template from the beginning.


Import Some Settings Only (Quick Reference)

Import Some Settings Only
Import Some Settings Only
Import Some Settings Only
Configuration and setup guide > Import Drafting Standard Settings >
Import Some Settings Only
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Setup Drawing Wizard - How would you like to set up drawing? step

Import settings from a drawing template Imports settings from the Standard Settings dialog box, settings of each element of the standard, system variables required to implement standard settings, text styles, and dimension styles.
 | Browse Displays a dialog box, enabling you to navigate to the file from which you want to import settings.
Load an import configuration file Loads settings for the wizard from a configuration file. You can create configuration files by saving the wizard settings to a file.
 | Browse Displays a dialog box, enabling you to navigate to the configuration file.
Clean up the drawing Checks drawing for obsolete Genius 14 objects and removes them from the drawing. For example, this option repairs or remove object relationships, cleans up Vario blocks, and freezes Genius Vario layers.
Skip Configuration Jumps to the Review changes to the drawing step. If you selected Import settings from a drawing, the wizard uses the default options for the steps you skip. If you selected Load an import configuration file, the wizard uses the settings saved in the configuration file for the steps you skip. If any of the settings in the pages you are skipping are invalid, the wizard displays an error message and does not jump to the Review changes to the drawing step.


Import Some Settings Only (Quick Reference)

Import Some Settings Only
Import Some Settings Only
Import Some Settings Only
Configuration and setup guide > Import Drafting Standard Settings >
Import Some Settings Only
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Setup Drawing Wizard - What settings would you like to import? step

Full import Imports all settings from the Standard Settings dialog box and all settings of the elements of the drafting standard. It also imports the system variables and styles (text styles and dimension styles) required to implement the drafting standard in a drawing.
Custom import Patches the standard in the current drawing with the settings you select for import.
 | Surface texture symbol preset value lists Imports the preset lists used as drop-down lists in the surface texture symbols. In a later step, you can select the standards for which you are importing presets.
 | Note symbol templates Imports the note templates from the drawing template.
 | Symbol libraries Imports the symbol libraries without importing any other settings. In a later step, you can select the symbols for which you are importing the libraries.


Import Some Settings Only (Quick Reference)

Import Some Settings Only
Import Some Settings Only
Import Some Settings Only
Configuration and setup guide > Import Drafting Standard Settings >
Import Some Settings Only
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Setup Drawing Wizard - Which standards would you like to import? step

List of standards

Displays a list of standards that are loaded in the drawing from which you are importing. Select the standards you want to import.

NoteThe system variables and styles in a drawing are set to values dictated by the current drafting standard. If you do not import the current drafting standard, a mismatch between the system variables and standard occur. Hence, AMSETUPDWG makes it mandatory for you to import the current standard. Accordingly, the check box corresponding to the current standard is always selected and unavailable.

Select All

Selects all standards for import.

Clear All

Clears all standards except the current drafting standard, which is mandatory to import.

Restore Defaults

Restores the default selection. If you selected the Import settings from a drawing template option in the How would you like to set up drawing? step, clicking this button selects all standards. If you selected the Load an import configuration file option, clicking this button selects the standards specified in the configuration file.


Import Some Settings Only (Quick Reference)

Import Some Settings Only
Import Some Settings Only
Import Some Settings Only
Configuration and setup guide > Import Drafting Standard Settings >
Import Some Settings Only
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Setup Drawing Wizard - Which symbol libraries would you like to import? step

List of symbol libraries Displays a list of symbol libraries that you can import. Select the check boxes corresponding to the symbol libraries you want to import.
Clear All Clears all check boxes in the list of symbol libraries.
Select All Selects all check boxes in the list of symbol libraries.
Restore Defaults Restores the default selection. If you selected the Import settings from a drawing template option in the How would you like to set up drawing? step, clicking this button selects all symbol libraries. If you selected the Load an import configuration file option, clicking this button selects the symbol libraries specified in the configuration file.
Options
 | Append Appends the imported symbols to the symbol library in the current drawing. If the imported symbol libraries have symbols with the same name as those in the current drawing, AMSETUPDWG renames the imported symbols.
 | Overwrite Appends the imported symbols to the symbol library in the current drawing. If the imported symbol libraries have symbols with the same name as those in the current drawing, AMSETUPDWG overwrites the symbols in the current drawing with the imported ones.
 | Replace Replaces the symbol library in the current drawing with the library you are importing. If the imported symbol libraries have symbols with the same name as those in the current drawing, AMSETUPDWG overwrites the symbols in the current drawing with the imported ones.


Import Some Settings Only (Quick Reference)

Import Some Settings Only
Import Some Settings Only
Import Some Settings Only
Configuration and setup guide > Import Drafting Standard Settings >
Import Some Settings Only
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Setup Drawing Wizard - Review changes to be made to the current drawing step

List of settings

Displays a list of settings, system variables, and styles that will be affected by AMSETUPDWG. The following states are possible:

  • Update - The setting exists in the current drawing, but will be changed.
  • New - The setting does not exist in the current drawing.

Save Report

Saves the list of settings as an xls file.


Import Some Settings Only (Quick Reference)

Import Some Settings Only
Import Some Settings Only
Save and Reuse AMSETUPDWG Settings
Configuration and setup guide > Import Drafting Standard Settings >
Import Some Settings Only
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Setup Drawing Wizard - The wizard is ready to import step

Import options summary

Displays a list of options you specified for the wizard, system variables, and styles that will be affected by AMSETUPDWG.

Save Configuration

Saves all import options to a configuration file. When you are running the wizard again, you can load the configuration file at the How would you like to set up drawing? step, so that you do not have to specify the import options manually.


Save and Reuse AMSETUPDWG Settings (Concept)

Import Some Settings Only
Import Drafting Standard Settings
Glossary
Configuration and setup guide > Import Drafting Standard Settings >
Save and Reuse AMSETUPDWG Settings
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

You can save the AMSETUPDWG wizard options to an import configuration file. Thereafter when you run AMSETUPDWG, you need not specify the options manually, but load the configuration file instead.

Once you load the configuration file, you can use the Skip Configuration button to skip all wizard pages that require input. When you click the button, AMSETUPDWG validates the file. If AMSETUPDWG finds that the options saved in the file are not valid, AMSETUPDWG displays an error message. You can then go through the wizard and correct the invalid options.

AMSETUPDWG enables you to specify configuration files directly from the command line. If AMSETUPDWG finds that the options saved in the file are not valid, AMSETUPDWG displays an error message and returns you to the command prompt. You can then start the wizard and correct the invalid options.


Save and Reuse AMSETUPDWG Settings (Procedure)

Import Some Settings Only
Up a level to ..
Save and Reuse AMSETUPDWG Settings
Configuration and setup guide > Import Drafting Standard Settings >
Save and Reuse AMSETUPDWG Settings
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To create a configuration file for importing from a given file

To import a standard using a configuration file.


Save and Reuse AMSETUPDWG Settings (Quick Reference)

Import Some Settings Only
Save and Reuse AMSETUPDWG Settings
Save and Reuse AMSETUPDWG Settings
Configuration and setup guide > Import Drafting Standard Settings >
Save and Reuse AMSETUPDWG Settings
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMSETUPDWG

Setup Drawing Wizard - How would you like to set up drawing? step

Setup Drawing Wizard - What settings would you like to import? step

Setup Drawing Wizard - Which standards would you like to import? step

Setup Drawing Wizard - Which symbol libraries would you like to import? step

Setup Drawing Wizard - Review changes to be made to the current drawing step

Setup Drawing Wizard - The wizard is ready to import step


To create a configuration file for importing from a given file (Procedure)

Save and Reuse AMSETUPDWG Settings
Up a level to ..
Save and Reuse AMSETUPDWG Settings
Configuration and setup guide > Import Drafting Standard Settings >
Save and Reuse AMSETUPDWG Settings
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To create a configuration file for importing from a given file

  1. Click [image] [image] Drawing Utilities [image] Setup Drawing.
  2. In the Drawing Setup dialog box, click Overwrite Settings.
  3. At the command prompt enter W for the Wizard option.
  4. Select the Import Settings from drawing template option.
  5. Click Browse, select the file to import from, and click Open.
    NoteTo import from a .dwg file, you must first save it as a .dwt file and then import from the dwt file.
  6. Click Next.
  7. Select the import options and click Next at each step until you arrive at the The Wizard is ready to import page.
  8. Click Save Configuration.
  9. Specify a file name and click Save.
  10. Click Cancel.
  11. Click Exit Wizard.
  12. Click Yes.


To import a standard using a configuration file. (Procedure)

Save and Reuse AMSETUPDWG Settings
Up a level to ..
Configuration and setup guide > Import Drafting Standard Settings >
Save and Reuse AMSETUPDWG Settings
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To import a standard using a configuration file.

  1. Click [image] [image] Drawing Utilities [image] Setup Drawing.
  2. In the Drawing Setup dialog box, click Overwrite Settings.
  3. At the command prompt enter W for the Wizard option.
  4. Select the Load an import configuration option.
  5. Click Browse
  6. Click Browse, select the configuration file and click Open.
  7. Click Next at each step. Verify that the wizard does not show any error messages. Continue until you see the The Wizard is ready to import page.
  8. Click Import.
  9. Click Exit Wizard.


Save and Reuse AMSETUPDWG Settings (Quick Reference)

Save and Reuse AMSETUPDWG Settings
Save and Reuse AMSETUPDWG Settings
Save and Reuse AMSETUPDWG Settings
Configuration and setup guide > Import Drafting Standard Settings >
Save and Reuse AMSETUPDWG Settings
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMSETUPDWG

Imports the drafting standards and the dependent settings from a template file

Ribbon: None tab [image] None panel [image] Setup Drawing. Does not exist on the ribbon.
Toolbar: None
Menu: Format [image] Setup Drawing Does not exist in the menus.
Command entry: amsetupdwg

You can use this command in the middle of a drawing session to replace the existing drawing template by another template. You can import entire standards, selectively or importing subsets of settings.

You can also use this command to clean up a drawing created using Genius 14. Typically, this option repairs or removes object relationships, cleans up Vario blocks, and freezes Genius Vario layers.

COMMAND LINE OPTIONS

Select a source [drawing Template/confiGuration/Clean/Wizard] <Wizard>: Select an option.

Drawing Template

Replaces the standard settings in the current drawing with the settings of a drawing file you select.

Enter template file path [Browse] <<Last used template file>>: Specify the path to the file you want to import settings from or enter B to display a file open dialog box.

Browse

Displays a file open dialog box to assist you select the file to import settings from.

Configuration

Imports settings using an import configuration file. The import configuration file specifies what drawing to import from and the import options to use.

Enter configuration file path [Browse] <<Last used configuration file>>: Specify the path to the configuration file or enter B to display a file open dialog box.

Browse

Displays a file open dialog box to assist you select the configuration file.

Clean

Cleans up a drawing created using Genius 14. For example, this option repairs or remove object relationships, cleans up Vario blocks, and freezes Genius Vario layers.

Wizard

Displays a wizard to walk you through the process of specifying import options.

NoteRunning the AMSETUPDWG command in the middle of a drawing session, and choosing another drawing template, might not fully convert the current drawing so that it appears as if it was created with the new template from the beginning.


Save and Reuse AMSETUPDWG Settings (Quick Reference)

Save and Reuse AMSETUPDWG Settings
Save and Reuse AMSETUPDWG Settings
Save and Reuse AMSETUPDWG Settings
Configuration and setup guide > Import Drafting Standard Settings >
Save and Reuse AMSETUPDWG Settings
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Setup Drawing Wizard - How would you like to set up drawing? step

Import settings from a drawing template Imports settings from the Standard Settings dialog box, settings of each element of the standard, system variables required to implement standard settings, text styles, and dimension styles.
 | Browse Displays a dialog box, enabling you to navigate to the file from which you want to import settings.
Load an import configuration file Loads settings for the wizard from a configuration file. You can create configuration files by saving the wizard settings to a file.
 | Browse Displays a dialog box, enabling you to navigate to the configuration file.
Clean up the drawing Checks drawing for obsolete Genius 14 objects and removes them from the drawing. For example, this option repairs or remove object relationships, cleans up Vario blocks, and freezes Genius Vario layers.
Skip Configuration Jumps to the Review changes to the drawing step. If you selected Import settings from a drawing, the wizard uses the default options for the steps you skip. If you selected Load an import configuration file, the wizard uses the settings saved in the configuration file for the steps you skip. If any of the settings in the pages you are skipping are invalid, the wizard displays an error message and does not jump to the Review changes to the drawing step.


Save and Reuse AMSETUPDWG Settings (Quick Reference)

Save and Reuse AMSETUPDWG Settings
Save and Reuse AMSETUPDWG Settings
Save and Reuse AMSETUPDWG Settings
Configuration and setup guide > Import Drafting Standard Settings >
Save and Reuse AMSETUPDWG Settings
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Setup Drawing Wizard - What settings would you like to import? step

Full import Imports all settings from the Standard Settings dialog box and all settings of the elements of the drafting standard. It also imports the system variables and styles (text styles and dimension styles) required to implement the drafting standard in a drawing.
Custom import Patches the standard in the current drawing with the settings you select for import.
 | Surface texture symbol preset value lists Imports the preset lists used as drop-down lists in the surface texture symbols. In a later step, you can select the standards for which you are importing presets.
 | Note symbol templates Imports the note templates from the drawing template.
 | Symbol libraries Imports the symbol libraries without importing any other settings. In a later step, you can select the symbols for which you are importing the libraries.


Save and Reuse AMSETUPDWG Settings (Quick Reference)

Save and Reuse AMSETUPDWG Settings
Save and Reuse AMSETUPDWG Settings
Save and Reuse AMSETUPDWG Settings
Configuration and setup guide > Import Drafting Standard Settings >
Save and Reuse AMSETUPDWG Settings
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Setup Drawing Wizard - Which standards would you like to import? step

List of standards

Displays a list of standards that are loaded in the drawing from which you are importing. Select the standards you want to import.

NoteThe system variables and styles in a drawing are set to values dictated by the current drafting standard. If you do not import the current drafting standard, a mismatch between the system variables and standard occur. Hence, AMSETUPDWG makes it mandatory for you to import the current standard. Accordingly, the check box corresponding to the current standard is always selected and unavailable.

Select All

Selects all standards for import.

Clear All

Clears all standards except the current drafting standard, which is mandatory to import.

Restore Defaults

Restores the default selection. If you selected the Import settings from a drawing template option in the How would you like to set up drawing? step, clicking this button selects all standards. If you selected the Load an import configuration file option, clicking this button selects the standards specified in the configuration file.


Save and Reuse AMSETUPDWG Settings (Quick Reference)

Save and Reuse AMSETUPDWG Settings
Save and Reuse AMSETUPDWG Settings
Save and Reuse AMSETUPDWG Settings
Configuration and setup guide > Import Drafting Standard Settings >
Save and Reuse AMSETUPDWG Settings
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Setup Drawing Wizard - Which symbol libraries would you like to import? step

List of symbol libraries Displays a list of symbol libraries that you can import. Select the check boxes corresponding to the symbol libraries you want to import.
Clear All Clears all check boxes in the list of symbol libraries.
Select All Selects all check boxes in the list of symbol libraries.
Restore Defaults Restores the default selection. If you selected the Import settings from a drawing template option in the How would you like to set up drawing? step, clicking this button selects all symbol libraries. If you selected the Load an import configuration file option, clicking this button selects the symbol libraries specified in the configuration file.
Options
 | Append Appends the imported symbols to the symbol library in the current drawing. If the imported symbol libraries have symbols with the same name as those in the current drawing, AMSETUPDWG renames the imported symbols.
 | Overwrite Appends the imported symbols to the symbol library in the current drawing. If the imported symbol libraries have symbols with the same name as those in the current drawing, AMSETUPDWG overwrites the symbols in the current drawing with the imported ones.
 | Replace Replaces the symbol library in the current drawing with the library you are importing. If the imported symbol libraries have symbols with the same name as those in the current drawing, AMSETUPDWG overwrites the symbols in the current drawing with the imported ones.


Save and Reuse AMSETUPDWG Settings (Quick Reference)

Save and Reuse AMSETUPDWG Settings
Save and Reuse AMSETUPDWG Settings
Save and Reuse AMSETUPDWG Settings
Configuration and setup guide > Import Drafting Standard Settings >
Save and Reuse AMSETUPDWG Settings
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Setup Drawing Wizard - Review changes to be made to the current drawing step

List of settings

Displays a list of settings, system variables, and styles that will be affected by AMSETUPDWG. The following states are possible:

  • Update - The setting exists in the current drawing, but will be changed.
  • New - The setting does not exist in the current drawing.

Save Report

Saves the list of settings as an xls file.


Save and Reuse AMSETUPDWG Settings (Quick Reference)

Save and Reuse AMSETUPDWG Settings
Save and Reuse AMSETUPDWG Settings
Configuration and setup guide > Import Drafting Standard Settings >
Save and Reuse AMSETUPDWG Settings
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Setup Drawing Wizard - The wizard is ready to import step

Import options summary

Displays a list of options you specified for the wizard, system variables, and styles that will be affected by AMSETUPDWG.

Save Configuration

Saves all import options to a configuration file. When you are running the wizard again, you can load the configuration file at the How would you like to set up drawing? step, so that you do not have to specify the import options manually.


Glossary

Save and Reuse AMSETUPDWG Settings
Glossary
Glossary
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • Glossary


Glossary
Glossary
Glossary >
Glossary
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

acceleration

Graph of acceleration of the straight driven element of the rotation angle acceleration of a rocker and the cam plate angle of rotation.

ACIS

Alan, Charles, Ian Systems. An open-architecture, object-oriented software program providing a geometric engine for application developers. ACIS supports methods for creating and editing a broad range of 3D geometric objects including splines, surfaces, and solids.

action pane

The area in the Dimension Formatter dialog box where your change to a control is dynamically reflected on your drawing.

administrator configuration file

A file that contains the system settings. The path to this file is contained in the AdminCfgPath entry of the windows registry subkey \HKEY_LOCAL_MACHINE\SOFTWARE\Autodesk\AutoCAD\[AutoCAD Version Number]\[PRODUCT_ID]\Mechanical\SYSTEM.

Where

* AutoCAD Version Number is the version ID for AutoCAD. The AutoCAD version ID for AutoCAD 2008 is R17.1

* PRODUCT_ID is a product- & language-dependent number and will typically look like ACAD-4003:409.

The registry subkey will typically look like:

\HKEY_LOCAL_MACHINE\SOFTWARE\Autodesk\AutoCAD\R17.1\ ACAD-4003:409\Mechanical\SYSTEM.

alloy steel

An alloy steel contains elements other than carbon which have been added to obtain definite mechanical or physical properties, such as higher strength at elevated temperatures, toughness, etc.

annotation

A group of AutoCAD 2D objects, such as text or geometry that is attached to a Mechanical Desktop drawing to describe a design. Examples are surface finish symbols, callout balloons, and BOMs (bills of material).

annotation view

A folder that contains one or more views of a single component dedicated to annotating and detailing parts and assemblies. Annotation views are used to instance component views without incrementing the component quantity in the bill of materials (BOM).

attach

The act of connecting a reference file to the current assembly file. The attachment remains with the current file after the file is saved.

auto detailing

A function where component detail drawings can be inserted automatically into the drawing under a specific scale, with a border and a title block. Layer groups or selected elements can be set as components for the auto detailing.

automatic dimension

A function that offers various options to dimension a 2D contour automatically. You determine the point marking the origin of the dimension. The function searches for the edges of the work piece and dimensions according to the selected dimension type.

background

A contour that is covered by another contour or by objects that are lying behind another contour, in the 3D sense. A background may be a foreground for an additional contour.

balloon

Circular annotation tag that ties components in an assembly into a bill of materials.

base dimension

The first dimension selected for joining, inserting, and aligning dimensions.

base layer

A layer made up of working layers and standard parts layers. Base layers are repeated in every layer group.

base standard

Predefined drafting standard that conforms to International Drafting Standards ANSI, ISO, DIN, BSI, GB, CSN, and JIS.

baseline dimensioning

A dimension that is aligned to extension lines and read from the bottom or right side of the drawing.

basic size

The basic size is that size from which the limits of size are derived by the application of allowances and tolerances.

bearing calculation

Calculates limiting value, dynamic and static load rating, dynamic and static equivalent load, and fatigue life in revolutions and hours.

Belleville spring washer

Washer-type spring that can sustain relatively large loads with small deflections. The loads and deflections can be increased by stacking the springs.

bill of material (BOM)

A dynamic database containing a list of parts. Used to generate part lists that contain associated attributes such as part number, manufacturer, and quantity.

binding head

The binding head has a rounded top surface, slightly tapered side surface and a flat bearing surface, a portion of which is sometimes undercut adjacent to the shank.

body

The body of a threaded fastener is the unthreaded portion of the shank.

body diameter

The body diameter is the diameter of the body of a threaded fastener.

BOM attribute

An entity that contains attributes by default (the attribute is invisible) that can add information to and describe details of a part in the drawing. The values of these attributes are transformed into the parts list attributes when converting BOM attributes and creating a parts list.

border BOM

A BOM database that contains a list of all the parts within the confines of a drawing border. For a border BOM to be created, the drawing must contain one or more drawing borders.

breakout line

Shows a partial area of a broken view.

button head

A button head as applied to threaded fasteners has a low rounded top surface with a large flat bearing surface.

calculation object

An object in model space that is a result of an engineering calculation. Examples include cams, deflection lines, moment lines, moment of inertia, screw calculations and shaft calculations.

cam

Types of gears for obtaining unusual and irregular motions that would be difficult to produce otherwise.

carbon steel

Carbon steel is a steel that does not contain any substantial amounts of alloying materials other than carbon.

centerline

Line in the center of a symmetrical object. When you create centerlines, you specify the starting and endpoints.

chain dimensioning

A dimensioning that always refers to the end of the last dimension.

chamfer

A placed feature that bevels a part edge and is defined by its placement, size, and angle.

chamfer point

A chamfer point is a truncated cone point, the end of which is approximately flat and perpendicular to the fastener axis. These points on threaded fasteners generally have point included angles of 45 to 90 degrees and a point diameter equal to or slightly less than the minor diameter of the thread. This point is intended to facilitate entry of fasteners into holes at assembly.

class of thread.

An alphanumerical designation to indicate the standard grade of tolerance and allowance specified for a thread.

clearance

A mating where the parts fit together loosely.

clearance fit

A fit between mating assembled parts that provides a clearance at their maximum material condition.

clearance flank

The flank that does not take the externally applied axial load in an assembly.

closed end

The end of the rivet, as manufactured, is solid and remains closed on the blind side after setting.

coating

Coating is the application of some material such as a metal, organic compound, etc. to the surface of a fastener.

collinear

The relative position of any number of lines or linear edges that have the same slope and are coincident with one another.

component

An element of mechanical structure that represents a part or subassembly. In 2D drawings, a part or assembly is represented by one or more views. Hence a component can be considered to be a container for component views, and the views of the part or assembly are collected under the component node in the mechanical browser.

component definition

A non-graphical description of a mechanical structure component that AutoCAD Mechanical saves in the data area of a drawing, similar to how it saves a block definition.

component view

A folder that contains the geometry representing a view of a part or subassembly. On the mechanical browser, a component view is always a child of a component node.

compression spring

A spring type that can be compressed and can absorb pressure forces.

concentric

The relative position of any number of arcs or circles that shares the same center point or projected center point.

cone

A solid object with a round base and a point at the top.

cone head

A cone head is a high conical head with a small, flat, truncated top and a flat bearing surface.

cone point

A cone point is a sharp conical point designed to perform perforating or aligning functions at assembly.

construction geometry

Any line or arc created with construction lines. Using construction geometry in 2D drawings helps you to define your contour shape.

construction line (C-line)

A line that is infinite in both directions or infinite starting at a point which can be inserted into the drawing area. You use C-lines to transfer important points (for example, center points of bore holes) into other views or drawing areas.

contour inside

Displays the inner contour of an object. You need to select the boundary edges on underlying layers (0, AM_0, AM_1, AM_2).

contour layer

A special mechanical layer that AutoCAD Mechanical uses to draw object lines on. Up to four mechanical layers can be set as contour layer in the Object/Settings dialog box. By default only the layers AM_0, AM_1, AM_2 are contour layers.

contour outside

Displays the outer contour of an object. You need to select the boundary edges on underlying layers (0, AM_0, AM_1, AM_2).

contour trace

A function that can combine a number of entities to form a closed polyline consisting of individual segments. This polyline can be copied and processed, (to calculate the dimensions for example).

coordinate system

The set of magnitudes (visually represented by the X, Y, and Z axes) that determines the position of points, lines, curves, and planes in part and assembly files. By default, a grid displays on the active sketch plane of the coordinate system.

counterbore

A blind hole of a larger diameter drilled concentric with a hole to allow bolt and screw heads to be flush or below the part surface.

countersink

A chamfered hole that allows bolt and screw heads to be flush or below the part surface.

countersunk head

A countersunk head is a circular head having a flat top surface and a conical bearing surface with head angles that vary with the rivet type.

cross section

Manually created 2D view which shows a cut through a part.

curve path

Geometric shape of the cam.

custom balloon

A balloon having a custom shape, which has been created using a block.

custom parts list

A customized parts list constructed using blocks.

custom standard

A named user defined standard that is created via the AM:Standards tab of the Options dialog box. At the time of creation, the settings of a custom standard are identical to that of the standard it is based on. However, the elements of the standard can be customized to any value, even to values that are not permitted in the original standard the custom standard is based on.

cut line

Used to specify the path of a cross-section drawing view.

cutting plane line

Imaginary cutting line through a work piece. The arrows determine the cutting direction. Also called section line.

cylinder axial

Option for inserting a standard part or hole parallel to a cylinder axis.

cylinder radial

Option for inserting a standard part or hole radial into a cylinder.

datum identifier

A symbol consisting of a frame with a reference letter.

datum target

Used to establish a theoretical exact plane, line, or profile. All features are subject to deviation, and it may be impractical to control the tolerance of an entire surface via a datum. In order to specify practical data, relevant locations called datum targets are selected and indicated on a drawing. The datum target may be a point, a line, or an area.

deflection line

Deflection lines are calculated based on the predefined force direction (F) or to radial direction (s).

deflection moment

Deflection moment is calculated based on the predefined force direction (F) or to radial direction (s).

detach

Permanently removing a file as an external reference in an assembly.

detail

A portion of the design drawing which cannot be displayed or dimensioned clearly. The overall representation (surface texture symbols) can be enlarged.

deviation

A variation from an established dimension, position, standard, or value.

die fin

A die fin is a slight amount of excess material or flash which may be visible on the bearing surface and/or body of fasteners made by open die heading.

digitizing

A manual or automatic process utilizing a mechanical device to follow and electronically record the 2D shape of a line on a drawing or the 3D contour of a physical model.

dimensional tolerance

The width of the tolerance (upper deviation - lower deviation).

distance snap

fixed

distributed force

A force that is spread over an area.

drawing

A layout of drawing views in model space or layout.

drawing border

A standardized frame, that is used for technical drawings.

drawing mode

Establishes the settings for the layout so that you can create a drawing of your model. When Drawing mode is off, you are in model space.

drawing title

The drawing title is in the lower right corner of the drawing and provides information about your drawing.

drawing view

A defined, oriented view of a part or model used for manufacturing. Drawing views are placed in layout mode and have parametric relationships to each other.

drilled

A single-diameter hole with no counterbore or countersink.

dynamic calculation

Calculation required for a revolving bearing. The result is the Adjusted Rating Life. This is the life associated with 90% reliability with contemporary, commonly used material, and under conventional operating conditions. With the number of revolutions you get the life in working hours.

dynamic dragging

The act of determining the size of a standard part with the cursor while inserting the part into a side view. The standard part is displayed dynamically on the screen and can be dragged to the next possible size and length. The values (sizes) are taken from the Standard parts database.

edge

The boundary of a face.

edge symbol

Symbol used to describe edges of objects, which are generated using certain production processes. The object edge consists of the basic symbol, the edge dimension, and the minus or plus sign. You can also specify an upper and lower limit for the edge dimension.

effective thread

The effective (or useful) thread includes the complete thread, and those portions of the incomplete thread which are fully formed at the root but not at the crest, thus excluding the vanish thread.

entity filter

Filters entities on a defined layer.

extension spring

A spring type that can absorb tension forces.

external drawing

A drawing reference that resides in a file other than the current assembly file.

external reference component

An instance of a mechanical structure component, which has its definition stored in another drawing.

external thread

A screw thread formed on the outside of a cylindrical surface.

externalize

The process of converting a local component to an external reference component. The process creates a new drawing and moves the definition of the component to the new file, rendering the component an external reference component.

family of lines

A term referring to a set of polylines or splines that share common characteristics, for example, lines that are parallel to each other.

FEA

Finite Element Analysis. A calculation routine, or method. Calculates stress and deformation in a plane for plates with a given thickness, or in a cross section with individual forces, stretching loads, and fixed and/or movable supports. The FEA routine uses its own layer group for input and output.

feature

Any component portion of a part that can be used as basis for a datum. An individual feature may be:

- - a plane surface (in which case there is no consideration of feature size);

- - a single cylindrical or spherical surface of two plane parallel surfaces (all of which are associated with a size dimension).

feature control frame symbol

Symbol that gives an accurate and concise meaning to specifying geometric characteristics and tolerances. Notes can supplement symbols where appropriate.

feature identifier symbol

Specifies individual features for tolerancing.

fillet

A curved transition from one part face or surface to another. The transition cuts off the outside edge or fills in the inside edge. The fillet can have a constant or variable radius.

fillister head

The fillister head has a rounded top surface, cylindrical side surface and a flat bearing surface.

fin

A fin, as in a Fin Neck Bolt, is a form of key under the head of a fastener which serves to keep the fastener from turning during assembly and use.

fin neck

A fin neck is a style of neck consisting of two or more fins under and integral with the head.

finish

The term finish is commonly applied to the condition of the surface of a fastener as a result of chemical or organic treatment subsequent to fabrication. The term finish is also applied to some types of fasteners to indicate the condition of the surface as a result of mechanical operations and the degree of precision.

fit

Range of tightness or looseness in mating parts (for example shafts or holes). Tolerances in these dimensions are expressed in standard form.

The relationship resulting from the designed difference, before assembly, between the sizes of two mating parts which are to be assembled.

Fit is the general term used to signify the range of tightness which may result from the application of a single combination of allowances and tolerances in the design of mating parts.

fit name

Name of the selected fit (for example H7).

fit type

There are three kinds of fit types: Interference, Clearance, and Transition.

fits list

A table of all fits within a drawing. The fits list function searches the entire drawing for fits. Once they have been gathered, you are asked where to insert this list for in your drawing.

fixed support

A support that is fixed to the part and cannot be moved.

flank

The part of a helical surface that connects the crest and the root and which is theoretically a straight line in an axial plane section.

flank angle

The angle formed by a flank and a perpendicular to the thread axis in an axial plane.

flat fillister head

The flat fillister head has a flat top surface, cylindrical side surface and a flat bearing surface.

flat head

The flat head has a flat top surface and a conical bearing surface with head angle of nominally 82 degrees.

flat undercut head

The flat undercut head is basically the same as the standard 82° flat head except it is undercut to 70 percent of the basic head height.

folder

An object very similar to a block that combines one or more geometrical objects and is represented in the mechanical browser by a folder icon. Folders are the most flexible element of mechanical structure and can contain geometry as well as other folders.

folder definition

A non-graphical description of a mechanical structure folder that AutoCAD Mechanical saves in the data area of a drawing, similar to how it saves a block definition.

foreground

Objects which are lying in front of another contour in the 3D sense. A foreground may also be a background for an additional contour.

free object

An elemental geometry in model space, such as a line, arc.

The term free object is used in the context of associative hide situations, where structure entities such as component views and folders as well as free objects overlap one another. For example, a component view that contains a circle and a rectangle where one overlaps the other, results in a hide situation involving two free objects.

galvanizing

Galvanizing is the process of coating iron or steel with zinc - originally by using direct current and a zinc anode.

gear

Any several arrangements, especially of toothed wheels in a machine which allows power to be passed from one part to another so as to control the power speed or the direction of movement.

geometric tolerance

The general term applied to the category of tolerances used to control form, profile, orientation, location, and run out.

ghost component

A mechanical browser representation of a component that is in an intermediate state of restructure. Ghost components occur when one or more component views have been restructured and the remaining views are held temporarily on a ghost until they too are restructured.

grinding

Grinding is the process of removing material from the surface by the cutting action of a bonded abrasive wheel.

grip

In general, the grip of a fastener is the thickness of material or parts which the fastener is designed to secure when assembled.

groove

A long narrow path made in a surface (for example in a shaft).

ground thread

A ground thread is a thread finished on the flanks by a grinding operation.

head

The head of a fastener is the enlarged shape, pre-formed on one end of a headed fastener, to provide a bearing surface.

head angle

The head angle is the included angle of the bearing surface of the head.

head diameter

The head diameter is the diameter at the largest periphery of the head.

head height

For a flat bearing surface head, the head height is the overall distance, measured parallel to the fastener axis, from the extreme top to the bearing surface. For a conical bearing surface head, the head height is the overall distance, measured in a line parallel to the fastener axis, from the extreme top to the intersection of the bearing surface with the extended thread major diameter cylinder on a threaded fastener or with the shank on an unthreaded fastener. For flat and oval undercut heads, it is this distance measured to the intersection of the bearing surface with the undercut. For oval heads and undercut oval heads, the overall distance is referred to as total head height.

header point

A header point is a chamfered point normally produced during the heading operation. The screw blank is chamfered before threads are rolled. It is applied to machine screws in certain sizes and lengths.

headless threaded fastener

A headless threaded fastener is a fastener normally having a slot, recess or socket in one end.

helix

The curve formed on any cylinder by a straight line angular to the axis, and in a plane that is wrapped around the cylinder.

helix angle

The complement of the lead angle.

hex flange head

The hex flange head is a circular flange upon which a hex head is formed.

hex head

The hex head has a flat or indented top surface, six flat sides and a flat bearing surface.

hexagon washer head

The hexagon washer head is a washer head upon which a hexagon head is formed.

hidden line

Line that is not visible in a specified view. For example, in a front view, lines behind the front plane would not be visible.

hide 2D

A closed contour (with islands) that can be used to define an area. This area is used to change the representation of other objects. Usually, these objects are lying behind this area (in the 3D sense) and are partly or entirely not visible in the view.

hide situation

A description of how a group of overlapping objects are organized in a 3d sense. Hide situations can be created using the AM2DHIDE command or the AMSHIDE command. AMSHIDE is designed to be used in conjunction with mechanical structure and hide situations created with it are represented in the mechanical browser.

hole

A geometric feature with a predefined shape: drilled, counterbore, or countersink.

hole chart

A table with X and Y coordinates, and the radius of holes in a plate.

hot dip galvanizing

Hot dip galvanizing is the process of immersing the parts to be coated in a batch of molten zinc.

incomplete lead thread

The incomplete thread at the starting end of a screw thread.

incomplete runout thread

The incomplete thread at the starting end of a screw thread.

incomplete thread

A threaded profile having either crests or roots, or both crests and roots not fully formed, resulting from the intersection with the cylindrical or end surface of the work or the vanish cone. It may occur at either end of the thread.

instance

An object that is inserted in a drawing and displays the data stored in a definition (block definition, component definition, view definition or folder definition). In a drawing there can be multiple instances of a single definition and is a powerful way of reusing geometry.

interference

A mating where the parts always grip tightly.

internal thread

A screw formed on the inside of a cylindrical surface.

language converter

Tool that dynamically translates texts, attribute values, Mtexts (multiline texts), and default values of attributes in selected blocks into other languages.

layer definition

A non-graphical description of a layer that AutoCAD Mechanical saves in the data area of a drawing, similar to how it saves a block definition. Layer definitions are used by AutoCAD Mechanical commands to create layers on demand.

layer group

A set of mechanical layers that contain associated or related items in a drawing. A major advantage of working with layer groups is that you can deactivate a specific layer group and hence, a complete component. The drawing and its overview are enhanced with a reduction in regeneration time.

layout

The tabbed environment in which you create and design paper space floating viewports to be plotted. Multiple layouts can be created for each drawing. See model space and paper space.

leader line

Command, for adding leader lines to existing leader lines.

left-hand thread

A screw thread that is screwed in or on counterclockwise. All left-hand threads are designated LH.

length of headed fastener

The length of a headed fastener is the distance from the intersection of the largest diameter of the head with the bearing surface to the extreme point, measured in a line parallel to the axis of the fastener.

library

A feature for storing parts (blocks, drawings) in a library.

load

Forces and moments that act on a part.

local component

An instance of a mechanical structure component, which has its definition stored in the same drawing as the instance.

localize

The process of converting an external reference component to a local component.

lower deviation

A negative (or the lowest) deviation from the nominal size.

lower tolerance

A negative tolerance.

lubricator

A device for lubricating parts.

main BOM

A dynamic database containing a list of all the parts in the drawing file. Used to generate part lists that contain associated attributes such as part number, manufacturer, and quantity.

mass properties

Volumetric information about a part or model that is based on the density of the material. Mass properties include the center of gravity, principle axes, moments of inertia, and mass.

master view definition

The master view definition (MVD) is the root node of the browser, labeled with the file name. The MVD is the topmost parent of all folders and views.

mating

shaft

maximum clearance

The maximum mating where the parts will fit together loosely.

maximum limit of size

Nominal size of a part plus the upper deviation. The part does not exceed this size.

mechanical browser

A window containing a tree that shows the hierarchical relationship of elements of mechanical structure such as components, component views, annotation views, and folders, in a drawing.

mechanical layer definition

A non-graphical description of a layer that AutoCAD Mechanical saves in the data area of a drawing, similar to how it saves a block definition. Layer definitions are used by AutoCAD Mechanical commands to create layers on demand.

mechanical layers

A set of special layers that have been preassigned to objects created by AutoCAD Mechanical commands. No matter what the current layer is, AutoCAd Mechanical created objects on these pre assigned layers. If the layer does not existin the drawing, the layer is automatically created.

minimum clearance

The minimum mating where the parts will fit together loosely.

minimum limit of size

Nominal size of a part plus the lower deviation. The part remains under this size.

minor clearance

The radial distance between the crest of the internal thread and the roots of the external thread of the coaxially assembled design forms of mating threads.

model space

One of the two primary spaces in which AutoCAD objects reside. Typically, a geometric model is placed in a three-dimensional coordinate space called model space. A final layout of specific views and annotations of this model is placed in layout mode. See also layout and paper space.

moment of inertia

An important property of areas and solid bodies. Standard formulas are derived by multiplying elementary particles of area and mass by the squares of their distances from reference axes. Moments of inertia, therefore, depend on the location of reference axes.

movable support

Support which is not fixed.

movement diagram

The representation of the cam as a graph of the lift and the angle of rotation of the cam plate (straight driven element). If the driven element is a rocker, the lift corresponds to an angle of rotation of the rocker.

movement section

Part of the movement diagram. Some sections are defined by design. For example, the maximum lift of 15 mm is reached at an angle of 90&deg;.

multi edit

An option where you determine a selection set of dimensions and edit them together.

NC

Numerical Control. Used in the manufacturing industry to represent the control on machine tool movement through numeric data for 25 axis machining.

neck

Neck is used to define:

- - a specialized form of a portion of the body of fasteners near the head to perform a definite function, such as preventing rotation, etc.; and

- - a reduced diameter of a portion of the shank of a fastener which is required for design or manufacturing reasons.

nominal size

The ideal dimensional value.

The nominal size is the designation used for the purpose of general identification.

non-mechanical layer

A layer that is created via the AutoCAD LAYER command, and is not listed in the Layer/Object Settings dialog box.

nut thickness

Nut thickness is the overall distance from the top of the nut to the bearing surface, measured parallel to the axis of the nut.

nut width

The nut width is the distance across opposite flats of hexagon, square or twelve-point nuts.

object prototypes

Properties of layers and objects.

oiled

Oiled is the term denoting the application of a suitable corrosion retarding oil to a fastener.

open end

The end of the rivet, as manufactured, is open, that means, the rivet body is hollow through its full length.

ordinate dimensioning

In general, these ordinate dimensioning practices are compatible with the data requirements for tape or computer-controlled automatic production machines.

oval head

The oval head has a rounded top surface and a conical bearing surface with head angle of nominally 82 degrees.

oval point

An oval point is a radiused point, sometimes referred to as a Crowned End or Round Point.

oval undercut head

The oval undercut head is the same basic head as the standard oval head except it is shorter. The screw head is undercut to 70 percent of the basic head side height to afford a greater length of thread.

pan head

The pan head has a flat bearing surface and a flat top surface rounding into a cylindrical side surface. On recessed pan heads, the top surface is semi-elliptical, rounding into a cylindrical side surface.

paper space

One of two primary spaces in which AutoCAD objects reside. Paper space is used for creating a finished layout for printing or plotting, as opposed to doing drafting or design work. You design your paper space viewports using a layout tab. See also model space and layout.

parallel guides

Support that has a degree of freedom in the vertical direction.

parametric dimensions

A special type of dimension used in Autodesk Mechanical Desktop and Autodesk Inventor, to control the size of a geometry. When you change the dimension value, the size of the associated geometry changes to reflect the new value of the dimension. AutoCAD Mechanical can display parametric dimensions created in Autodesk Inventor, when you open an Inventor part or assembly file using the Inventor link feature.

parent view

A drawing view on which other views are based. For example, the base view is the parent view for an isometric or orthographic view.

part layer

A layer where the standard parts are put. All standard parts layers have the suffix AM_*N.

part reference

Part information for a bill of material, which is attached to the part in the drawing.

partition

Distance in mm or inches between centers of adjacent joint members. Other dimensions are proportional to the pitch. Also known as pitch.

parts list

A dynamic list of parts and associated attributes generated from a bill of material database. The parts list automatically reflects additions and subtractions of parts from an assembly.

pitch

The measured distance parallel to the axis of a thread, from one point on the path to the corresponding point on the adjacent revolution.

The pitch of a thread having uniform spacing is the distance, measured parallel to its axis, between corresponding points on adjacent thread forms in the same axial plane and on the same side of the axis. Pitch is equal to the lead divided by the number of thread starts.

pitch diameter

The diameter of the pitch circle that passes through the centers of the link pins as the chain is wrapped on the sprocket.

On a straight thread, the pitch diameter is the diameter of the pitch cylinder.

pitch line

A generator of the cylinder specified in the definitions of pitch cylinder.

point

The point of a fastener is the configuration of the end of the shank of a headed fastener or of each end of a headless fastener.

point angle

The point angle is the included angle of the point.

point diameter

The point diameter is the diameter of the point measured at the extreme end of the fastener. It may sometimes be designated as Chamfer Diameter or Pilot Diameter on respective point types.

point force

A force which is concentrated on a point.

point length

The point length is the length of the pointed portion of the fastener, measured parallel to the axis of the fastener from the extreme end. It may sometimes be designated as Chamfer Length or Pilot Length on respective point types.

point radius

The point radius is the spherical radius on an oval or spherical point.

power command

Summary term for Power Copy, Power Recall, Power Edit, Power Dimensioning, Power Erase and Power View.

Power Copy

A command that copies a drawing object to another position in the drawing. Power Copy produces an identical copy of the copied object.

Power Dimensioning

A command useful for generating linear, radial, and diameter dimensions while minimizing the number of the individual actions for generating a dimension. Power Dimensioning automatically selects the type of the linear dimension (horizontal, vertical, aligned) based on the selected point.

Power Edit

A single edit command for all objects in your drawing.

Power Erase

Command for deleting. Use Power Erase when you delete part reference numbers or dimensions that were created with Power Dimensioning.

Power Object

An object or a group of drawing objects that contain additional information.

Power Recall

A command that lets you click an existing drawing object and places you in the correct command for creating that object.

Power View

A tool where you can quickly and easily create a standard part top view from a side view.

preselection

Option that allows you to set preferences for parts based on your company's standards. For example only cylinder head screws greater than M8 are used in your company. In this case, you delete the company preference for cylinder head screws smaller than M8.

radius

Distance from the center point of an arc or circle to a point on its circumference.

radius reflection line

Thin line that represents the radius in the side or top view.

recess depth

The recess depth is the distance measured parallel to the fastener axis from the intersection of the head surface with the maximum diameter of the recess to the bottom of the recess.

recess diameter

The recess diameter is the diameter measured in a plane perpendicular to the axis of the fastener over the intersection of the outermost extremities of the recess with the head surface.

recess width

The recess width is the distance measured in a plane perpendicular to the axis of the fastener across the intersection of the sides or wings of the recess with the head surface.

recessed head

A recessed head is a head having a specially formed indentation or recess centered in its top surface. Three common forms of recessed heads are the Cross Recess, Clutch Recess and Square Recess.

reference dimension

A type of dimension used in Autodesk Mechanical Desktop and Autodesk Inventor. When the size of the geometry that is dimensioned changes, reference dimensions automatically reflect the new size. (See also parametric dimensions)

representation

Standard parts representation in a drawing in normal, simplified, and symbolic mode.

resolution (cam plate)

Controls the precision of curves. A low value increases computing time. Use a higher value for initial design.

revision list

A line block to be inserted in the drawing after each change in the drawing. The list can contain the date of change, the name of the person responsible for the changes, and a description of the changes.

ribbed neck

A ribbed neck is style of neck consisting of longitudinal ribs around the shank adjacent to the underside of the head.

right-hand thread

A screw thread that is screwed in or on clockwise.

roller chain

A roller chain is made up of two kinds of links: roller links and pin links alternately and evenly spaced throughout the length of the chain.

round countersunk head

The round countersunk head is a circular head having a flat top surface and conical bearing surface.

runout

As applied to screw threads, unless otherwise specified, this term refers to circular runout of major or minor cylinders with respect to the pitch cylinder.

scale area

Defines a particular scale area (corresponds to zoom viewport). The respective scales can be viewed before zooming.

scale monitor

Function where you can control the scale for each viewport.

screw template

Enables you to include frequently used screw connections which were saved before.

screw thread

A continuous and projecting helical ridge usually of uniform section on a cylindrical surface.

script

Scripts contain a set of AutoCAD commands which are executed sequentially with a single SCRIPT command. Script files are saved in a text format and stored in an external file with the extension SCR.

script generator

Feature that enables you to work on a select set of drawings. In the script, you can combine as many LISP routines as required.

section line

Line through a 2D view which defines the cross section.

shaft break

Interruption of a shaft. A shaft can be interrupted at a point, and the shaft break symbols are inserted in a suitable size.

shaft generator

Tool to draw rotationally symmetric parts. A shaft is usually created from left to right using different sections. These sections are positioned automatically one after the other. Additionally, any shaft section can be inserted, deleted, or edited.

shoulder

A shoulder is an enlarged portion of the body of a threaded fastener, or shank of an unthreaded fastener.

simple weld

Draws arc and V welds in plain views and cross-sections. Ellipses, circles, arcs, lines and polylines can be provided with a weld.

slope

A measure of an angle from a level direction.

slot depth

The slot depth on a headed fastener is the distance measured parallel to the axis of the fastener from the highest part of the head to the intersection of the bottom of the slot with the head or bearing surface. The slot depth on a nut or headless fastener is the distance measured parallel to the fastener axis from the top surface to the extreme bottom of the slot.

slot width

The slot width is the distance measured in a plane perpendicular to the axis of the fastener over the intersection of the sides of the slot with the head surface of a headed fastener or top surface of a nut.

slotted head

A slotted head is a head having a slot centered across its top surface.

socket depth

The socket depth is the distance measured parallel to the fastener axis from the intersection of the socket with the head surface to the extreme end of the socket. In socket head screws, the effective socket depth is most often specified as Key Engagement which is the distance from the intersection of the socket with the head surface to that depth to which the key or wrench will penetrate, measured in a like manner.

socket diameter

The socket diameter is the diameter measured in a plane perpendicular to the axis of the fastener over the intersection of the outermost extremities of the socket with the head surface.

socket head

The socket head has a flat chamfered top surface with smooth or knurled cylindrical side surface and a flat bearing surface. A hexagon socket is usually formed in the center of the top surface.

socket width

The socket width is the distance measured in a plane perpendicular to the axis of the fastener over the intersection of opposite sides of the socket with the head surface.

sprocket

A toothed wheel that transfers the power from the chain to the shaft or the other way round.

square head

The square head has a flat top surface, four flat sides and a flat bearing surface. Square heads on set screws have a rounded top surface and may have an underhead construction tapered or radiused directly into the body.

square neck

A square neck is a style of neck consisting of a square shoulder formed integral with the underside of the head.

stainless steel

Stainless steel is a corrosion resistant type of alloy steel which contains a minimum of 12 percent chromium.

static calculation

Required for bearing-suffering loads in standstill or swinging movement, or for small numbers of revolutions (n < 20 1/min).

step width

Specifies the distance between the points used for the NC records.

stress

Force or pressure on a part. Stress is force per area.

subview

A part of an annotation view that represents the component views of the component for which the annotation view was created for. In the mechanical browser, subviews are nested below the annotation view.

surface texture list

A summary list of all surface texture symbols in a drawing.

surface texture symbol

Symbol that specifies surface texture finish. The symbols conform, in terms of their geometry and annotations (which includes text and other symbols), to international drafting standards.

symbols and designations

Symbols associated with screw threads are of two kinds:

- - letter symbols for designating dimensions of screw threads and threaded products, and

- - abbreviations used as designations for various standard thread forms, thread series, and feature designations for use on drawings.

symmetrical deviation

Tolerance values that have equal maximum and minimum values.

symmetrical line

Segments, that are symmetrical to the line segments drawn and automatically mirrored at a centerline.

system editor key

A configuration variable that is stored in the window's registry. These variables are usually modified in the system editor, in which they are referred to as keys. The system editor is displayed using the AMOPTIONS command, clicking the AM:Preferences tab and then clicking the System button.

tangent

A condition where two items share the same slope at a specified point.

taper

Taper, as used for fasteners, is the angle between one side and the axis of the fastener. Taper may refer to head, shank or some other feature or fastener.

taper angle

The angle where a thread is tapered as it is created.

template

A preformatted drawing that serves as a starting point for a new drawing. While creating a new drawing you are prompted to select a template.

Any drawing file (DWG file) can be saved as a template file (DWT file). Templates typically contain company-specific preferences such as standards, title blocks and so on.

thread

A thread is a portion of a screw thread encompassed by one pitch. On a single-start thread it is equal to one turn.

thread designations

Thread series designations are capital letter abbreviations of names used on drawings, in tables, and otherwise to designate various forms of thread and thread series, and commonly consist of combinations of such abbreviations.

threads per inch

The number of thread pitches per inch. It is the reciprocal of the axial pitch value in inches.

title block

A title block contains a series of attributes; some already have values. The pre-assigned values can be modified, and the vacant attributes can be completed with new values.

tolerance

The total amount by which a given dimension (nominal size) may vary (for example, 20 0.1).

The total amount of variation permitted for the size of a dimension. It is the difference between the maximum limit of size and the minimum limit of size.

A tolerance is the total permissible variation of size. The tolerance is the difference between the limits of size.

torsion spring

A spring type that can absorb torque forces.

transition

A mating in between a true Clearance or Interference.

truss head

The truss head has a low rounded top surface with a flat bearing surface. For a given screw size, the diameter of the truss head is larger than the diameter of the corresponding round head.

turns per inch

The number of turns per inch is the reciprocal of the lead in inches.

UCS

User coordinate system. A user-defined coordinate system that defines the orientation of the X, Y, and Z axes in 3D space. The UCS determines the default placement of geometry in the drawing. See also world coordinate system (WCS).

upper deviation

The positive (or highest) deviation from the nominal size.

In surface modeling, display line that is drawn in the U direction.

variation of fit

In a mating, the difference between the tightest possible and loosest possible fit combinations.

vario database

A database that manages all parametric templates. The database is essential for activating and storing templates.

velocity (cam plate)

Graph of the speed of the straight driven element, or the rotation angle of a rocker and the cam plate angle of rotation.

view definition

A non-graphical description of a 2d mechanical structure component view that AutoCAD Mechanical saves in the data area of a drawing, similar to how it saves a block definition.

view scale

The scale of a base drawing relative to the model scale. Also the scale of dependent views relative to the base view.

viewport

In Drawing mode, a bounded area that displays a drawing view.

virtual intersection

Two lines have a virtual intersection if they are not parallel. The virtual intersection is the intersection of the line extensions.

welding

Welding of metals requires that they be heated to a molten state so that they fuse together.

welding symbol

Specifies information for welding.

width across corners

The width across corners of hexagon, square or rectangular shaped fasteners is the distance measured perpendicular to the axis of the fastener from the intersection of two sides to the intersection of the two opposite sides.

width across flats

The width across flats of hexagon or square heads of fasteners is the distance measured perpendicular to the fastener axis across opposite sides of the fastener.

working layer

The layer where you are currently working.

world coordinate system (WCS)

A coordinate system used as the basis for defining all objects and other coordinate systems. See also user coordinate system (UCS).

wrench opening

In the shaft generator, sectional views for two-sided, four-sided, six-sided segments of shafts that fit a standard wrench.


Where am I in the Flowchart?

Hypothetical case study
Case Study
Selecting a drafting standard
Configuration and setup guide > Case Study >
Where am I in the Flowchart?
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.


Case Study

Hypothetical case study
Configuration and setup guide
Selecting a drafting standard
Configuration and setup guide >
Case Study
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.


Define standard, system, and personal preferences (Concept)

Configure mechanical structure
Define preferences
Distribute configuration files
Configuration and setup guide > Define preferences >
Define standard, system, and personal preferences
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Using the Options dialog box, you can define and set standards for each functional area, and set personal preferences to customize the look and feel of individual parts, assemblies, surfaces, and drawings. This dialog box is useful for company administrators to create a company standard drawing template.

We recommend setting up your system or personal standards before you begin working. Although you can change the settings in the Options dialog box throughout a design or drawing session, some changes do not appear unless you make them before the session begins.

These tabs control general AutoCAD settings. Click the Help button on individual tabs to access help about the tab settings.

  • Files
  • Display
  • Open and Save
  • Plotting
  • System
  • User Preferences
  • Drafting
  • Selection
  • Profiles

Tabs with the AM prefix are specific mechanical settings. Click the Reference button at the top of the page to go to Help for Options.

  • AM:Standards
  • AM:Content
  • AM:Preferences
  • AM:Shafts
  • AM:Calculations
  • AM:Structure


Define standard, system, and personal preferences (Quick Reference)

Configure mechanical structure
Define standard, system, and personal preferences
Where are my configuration settings stored?
Configuration and setup guide > Define preferences >
Define standard, system, and personal preferences
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Options

The OPTIONS command manages settings used in AutoCAD Mechanical and general AutoCAD preferences from the Options dialog box.

The “AM” prefix on the tabs indicates that they affect mechanical settings only.

You can access the Options dialog box using the following methods:

Ribbon: Output tab [image] Output - Export to DWF/PDF panel [image] Options.... Does not exist on the ribbon.
Toolbar: None
Menu: Default Menu [image] Tools [image] Options Does not exist in the menus.
Command entry: options


Define preferences

Configure mechanical structure
Configuration and setup guide
Distribute configuration files
Configuration and setup guide >
Define preferences
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure


Define preferences (Procedure)

Configure mechanical structure
Define preferences
Customize background color
Configuration and setup guide >
Define preferences
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

To Change the Color of a Mechanical Object

To Change the Color of the Background

To Change the Path to the Template File Location


Customize background color (Concept)

Configure mechanical structure
Define preferences
Distribute configuration files
Configuration and setup guide > Define preferences >
Customize background color
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

AutoCAD Mechanical now ships with a light background color. If you open a drawing that was created under a black background, the object colors in that drawing may not contrast well with the light background. In such a case, you must visit the Object Property Settings dialog box and change the colors of these objects.

If you have not customized object properties such as linetype, lineweight layer and usage in hide, you can use the Restore Defaults button to automatically change the colors of the objects. This button intelligently restores the correct color schemes depending on the background color.

NoteChanging object colors on some objects such as title blocks will not change the color of objects that you have already drawn. However all new objects you draw will follow the new color scheme.

If required, you can revert the background color to black. In this case, you must change the path to the templates so that AutoCAD Mechanical picks up the dark background templates by default. The dark background templates are stored in a folder named Darkbackground, which is a sub folder of the default templates folder.


Customize background color (Procedure)

Define preferences
Up a level to ..
Customize background color
Configuration and setup guide > Define preferences >
Customize background color
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

To Change the Color of a Mechanical Object

To Change the Color of the Background

To Change the Path to the Template File Location


To Change the Color of a Mechanical Object (Procedure)

Customize background color
Up a level to ..
Customize background color
Configuration and setup guide > Define preferences >
Customize background color
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

To Change the Color of a Mechanical Object

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. Click the AM:Standards tab.
  3. In the Standard Elements list, double-click the root node (the standard name). The Standard Settings dialog box appears.
  4. In the Object properties section, click Settings. The Object Property Settings dialog box appears.
    NoteThe Settings button is available only if the Let AutoCAD Mechanical manage object properties check box is selected.
  5. In the Category list, select the category corresponding to the object you want to modify.
    NoteThe Object you want to modify may be listed in more than one category.
  6. In the row corresponding to the object you want to modify, click in the color column. The Select Color dialog box appears.
  7. Select the desired color.
    • To enable the object to acquire the color from the layer it uses, click ByLayer.
    • To enable the object to acquire the color from a block it is part of, click ByBlock.
    • To select an explicit color, click the desired color.

    If other objects use the object you are modifying, a message appears showing the categories of the affected objects. Click Change Property.

  8. Click OK until all dialog boxes close.


To Change the Color of the Background (Procedure)

Customize background color
Up a level to ..
Customize background color
Configuration and setup guide > Define preferences >
Customize background color
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

To Change the Color of the Background

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. Click the Display tab.
  3. Click Colors.
  4. In the Drawing Window Colors dialog box, in the Context list, select 2D model space and in the Interface element list select Uniform background.
  5. In the Color list, select the desired color.
  6. Click Apply and Close.
  7. In the row corresponding to the object you want to modify, click in the color column. The Select Color dialog box appears.
  8. Click OK until all dialog boxes close.


To Change the Path to the Template File Location (Procedure)

Customize background color
Up a level to ..
Distribute configuration files
Configuration and setup guide > Define preferences >
Customize background color
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

To Change the Path to the Template File Location

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. Click the Files tab.
  3. In the Search paths list, expand the Template settings node and select Drawing Templates File Location.
  4. Click Browse and select the folder you want to point to.
  5. Click OK until all dialog boxes close.


Comments?

Using this form sends your comments to the Autodesk Technical Publications group responsible for this documentation.

Topic title and location (do not edit):
Name (optional):
         Email (optional):
Comments:

Note: This form is not intended as a way for you to receive feedback or technical support. The information you provide will be used to enhance future updates to the documentation. Thanks!